<?php
/*******************************************************************************
 *   Admin Main page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.7 (August 21, 2014)      : improved management editors
 * v5.0.8 (October 02, 2104)     : added a save control file
 * v5.00.10 (December 29, 2014)  : added processing against vulnerabilities
 * v5.00.11 (March 02, 2015)     : improved collaborators management
 *                               : limit notes to admin and webm
 * v5.01.00 (June 12, 2015)      : separate version for admin
 *                               : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : corrected button image name
 * v5.01.06 (December 06, 2016)  : correction for https address
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : suppress flash management
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 *                               : independence of the admin part
 * v5.02.02 (December 18, 2017)  : control admin access
 *                               : deleting the GuppYUser5 cookie
 * v5.02.03 (February 01, 2018)  : improvement of password input
 *                               : modification of not allowed access message
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '../');
include 'includes.inc';

function isHtaccessProtect() {
    if (!is_file(CHEMIN.'admin/.htaccess')) return false;
   	$htaccess = file(CHEMIN.'admin/.htaccess');
    foreach ($htaccess as $hta)
        if (strstr($hta, 'require valid-user')) return true;
    return false;
}

if (!isAdmin($userprefs[1])) {
    // Vous n'avez accès à l'administration
    $topmess = $admin[23];
    include 'hpage.inc';
    htable($admin[23], "100%");
    echo '
<br />
<p style="text-align:center;line-height:20px;font-size:14px;"><b>'.$admin[849].'</b></p>
<form name="logout" action="'.CHEMIN.'index.php?lng='.$lng.'" method="POST"><div style="text-align:center;">'.SubmitButton($admin[464]).'</div></form>';
    btable();
    include 'bpage.inc';
    exit;
}

if (import('pass', 'GET') != NULL) die('STOP ! Variable $pass: illegal origine !');

$ctrl    = import('ctrl', 'POST', true, NULL);
$logout  = import('logout');
$action  = import('action');
$pass    = import('pass', 'POST');
$regit   = import('regit');
$replace = import('replace');
$plug    = import('plug');
$try     = import('try');
$wri     = import('wri');
$fctwri  = import('fctwri');
$pg      = import('pg', 'GET');

if ($logout == 1) {
    if (isset($_COOKIE['GuppYAdmin'])) {
        session_name('GuppYAdmin');
        session_start();
        @session_unset();
        $_SESSION = array();
        @session_destroy();
        setcookie('GuppYAdmin', '', time() - 3600, 'admin', $_DOMAIN, $_SECURE);
    } else
        unset($_SESSION['adminprefs']);
    header('location:'.CHEMIN.'index.php?lng='.$lng);
    exit;
}

if (FileDBExist(REDACREP.$userprefs[1].INCEXT)) {
    $wri = $userprefs[1];
    include REDACREP.$wri.INCEXT;
    $mdp    = $drtuser[38];
	$fctwri = $drtuser[42];
}
else {
    $wri    = 'admin';
    $fctwri = 'admin';
    include 'mdp.php';
}

if (!isHtaccessProtect()) {
    switch ($ctrl) {
    case NULL :
        $token = uniqid(rand(), true);
        $_SESSION['admin_token'] = $token;
        $_SESSION['admin_token_time'] = time();
        break;
    case 1 :
        $token = !isset($_SESSION['admin_token']) ? NULL : $_SESSION['admin_token'];
        if ($_SESSION['admin_token'] != $token || $_SESSION['admin_token_time'] < time() - (30 * 60)) die('STOP ! Tentative d\'intrusion détectée !');
        if ($_SESSION['admin_token_time'] + 2 > time()) die('HALTE AUX ROBOTS ! Temps d\'exécution trop court !');
        $_SESSION['admin_cookie'] = 'ok';
        break;
    default :    
        $_SESSION['admin_cookie'] = 'no';
    }
} else {
    $try    = 1;
    $action = $serviz[42] == "on" && (FileDBExist(REDACREP.$userprefs[1].INCEXT)) ? 'redac' : 'admin';
    $_SESSION['admin_cookie'] = 'ok';
}
$okcookie = isset($_SESSION['admin_cookie']) && $_SESSION['admin_cookie'] == 'ok' ? true : false;

$grpcols = ReadMembersCol();
if (!empty($userprefs[1])) {
	$myname  = $userprefs[1];
	$myemail = $userprefs[2];
}
else {
	$myname  = $user[0];
	$myemail = $user[1];
}
$grpcol = isset($grpcols[$myname]) ? $grpcols[$myname][0] : 'ALL';

$boutonleft = $boutonright = '';
$imgdroite  = ' <img src="'.CHEMIN.'admin/inc/img/general/droite.png" alt="=>" />';
$imggauche  = '<img src="'.CHEMIN.'admin/inc/img/general/gauche.png" alt="<=" /> ';

if (!isHtaccessProtect()) {
    switch ($action) {
    case 'admin':
        header('location:admin.php?lng='.$lng.'&wri=admin&try=1');
        break;

    case 'redac':
        header('location:admin.php?lng='.$lng.'&wri='.(!isset($wri) ? $userprefs[1] : $wri).'&try=1');
        break;
    }
}

if ($userprefs[10] == '') $userprefs[10] = $page[14];
if (isset($selskin)) $userprefs[10] = $selskin;

$ctrlmdp = abs(crc32($mdp));

if ((md5($pass) == $mdp && $okcookie) || isHtaccessProtect())  {
    $admcookie  = $ctrlmdp.'-img-file-img-3-1-1-web-web';
	$adminprefs = explode('-', $admcookie);
    $admdata    = '';
    for ($i = 0; $i < count($adminprefs); $i++) {
        $strlen   = sprintf("%02d", strlen($adminprefs[$i]));
        $admdata .= $strlen.$adminprefs[$i];
    }
    $_SESSION['adminprefs'] = $admdata;
}

$widepage  = 'on';
$admcookie = $_SESSION['adminprefs'];
$strlen    = substr($admcookie, 0, 2);
$okctrlmdp = substr($admcookie, 2, intval($strlen)) == $ctrlmdp ? true : false;

################################################################################
if (isset($_SESSION['adminprefs']) && ($okctrlmdp || md5($pass) == $mdp || !isHtaccessProtect()) && empty($pg)) {
    // Page d'accueil d'admin.
    $topmess = $admin[1];
    include 'hpage.inc';
    $dirsave  = CHEMIN.'save';
    $ctrlsave = false;
    if (is_dir($dirsave)) {
        $allsave = scandir($dirsave);
        if (FALSE !== $allsave) { 
            foreach ($allsave as $onesave) {
                $info = pathinfo($onesave);
                if (isset($info['extension']) && $info['extension'] == 'zip') {
                    $ctrlsave = true;
                    break;
                }
            }
            unset($allsave);
        }
    }
    $proto   = $_SERVER['HTTPS'] == 'on' ? 'https://' : 'http://';
    $realurl = $proto.str_replace("/admin","/",$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])); //real site url
    if (FileDBExist(REDACREP.$wri.INCEXT) && $okctrlmdp && $serviz[42] == "on") {
        // Rédacteur
        include 'adminredac.php';
		htable($admin[1], "100%");
		echo '
<div style="text-align:center;">'.ToHelp($lng, 'administrateur').'
  <p><br />
    <strong>'.$admin[2].'</strong><br />
    '.$admin[3].'<br />
    '.$admin[4].'<br />
  </p>
</div>';
		if ($site[3] != $realurl || $mdp == md5('pass')) {
			include 'inc/check_config.inc';
		}
		elseif (file_exists(CHEMIN.'install/install.php')) {
			include 'inc/check_install.inc';
        }
		if ($ctrlsave) {
			include 'inc/check_save.inc';
		}

		if (!in_array($fctwri, array('redac1', 'redac2', 'modo'))) include_once 'inc/notes.inc';
		$dirinc = CHEMIN.'admin/incadmin';
		if (is_dir($dirinc)) { 
			$hd = opendir($dirinc);
			while ($file = readdir($hd)) { 
				if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
					include $dirinc.'/'.$file;
				}
			}
		}
    }
    elseif (($wri == "admin") && $okctrlmdp) {
        // Administrateur
        include 'administrateur.php';
		htable($admin[1], "100%");
		echo '
<div style="text-align:center;">'.ToHelp($lng, 'administrateur').'
  <p><br />
    <strong>'.$admin[2].'</strong><br />
    '.$admin[3].'<br />
    '.$admin[4].'<br />
  </p>
</div>';
		if ($site[3] != $realurl || $mdp == md5('pass')) {
			include 'inc/check_config.inc';
		}
		elseif (file_exists(CHEMIN.'install/install.php')) {
			include 'inc/check_install.inc';
		}
		if ($ctrlsave) {
			include 'inc/check_save.inc';
		}
        
		include_once 'inc/notes.inc';
		$dirinc = CHEMIN.'admin/incadmin';
		if (is_dir($dirinc)) { 
			$hd = opendir($dirinc);
			while ($file = readdir($hd)) { 
				if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
					include $dirinc.'/'.$file;
				}
			}
		}
    }
    else {
        // Vous n'avez accès à l'administration
		htable($admin[1], "100%");
        echo '
<br />
<p style="text-align:center;"><b>'.$admin[849].'</b></p>';
    }
    btable();
    include 'bpage.inc';
}
################################################################################
elseif (isset($_SESSION['adminprefs']) && $okctrlmdp && !empty($pg)) {
    // Autres pages d'admin.
    if (($pg == 'plugin') && (file_exists('plugins/'.$plug.'.inc'))) {
        // pages de plugin
        $admcookie  = $ctrlmdp.'-img-file-img-3-1-1-web-web';
        $adminprefs = explode('-', $admcookie);
        $admdata    = '';
        for ($i = 0; $i < count($adminprefs); $i++) {
            $strlen   = sprintf("%02d", strlen($adminprefs[$i]));
            $admdata .= $strlen.$adminprefs[$i];
        }
        $_SESSION['adminprefs'] = $admdata;
        $plugindir = substr($plug, 0, strpos($plug,'/'));
        include 'plugins/'.$plugindir.'/plugin.inc';
        if(FileDBExist(REDACREP.$userprefs[1].INCEXT) && $drtuserplg[$plugindir] == '') {
            $nomzone = $plugin_admin_name;
            include 'inc/access.inc';
        }
        else {
            include 'plugins/'.$plug.'.inc';
        }
		exit;
    }
    elseif (file_exists('inc/'.$pg.'.inc')) {
        // Pages standards
        include 'inc/'.$pg.'.inc';
		exit;
    }
    else {
        // Pages inexistantes
		$topmess = $admin[1];
		include 'hpage.inc';
		if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
		if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
		htable($admin[1], "100%");
        echo '
<br />
<p style="text-align:center;"><b>'.$admin[20].'</b> '.$admin[21].'</p>
<br />
<p style="text-align:center;"><a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'">'.$admin[22].'</a></p>';
		btable();
		include 'bpage.inc';
    }
}
################################################################################
else {
    if (!empty($try) && $try != 0)  {
        echo BeginJavascript().'
alert("'.$admin[24].' '.$admin[20].'");
window.location = "admin.php?lng='.$lng.'";'.EndJavascript();
        die('STOP ! Variable $pass : illegal value ('.$pass.')');
    }
    
    if (!empty($userprefs[1]) && !FileDBExist(MSGREP.$userprefs[1].DBEXT) && $serviz[42] == "on") {
        echo BeginJavascript().'
alert("'.$admin[716].'");
window.location = "'.CHEMIN.'user.php?lng='.$lng.'"'.EndJavascript().$admin[716];
		header("location:".CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-8-'.$admin[716].'-'.$tconfig : 'user.php?lng='.$lng.'&erreur='.$admin[716].'&tconfig='.$tconfig));
        exit;
    }

    $topmess = $admin[23];
    include 'hpage.inc';
    htable($admin[23], '100%');

    if ($serviz[42] == "on" && (FileDBExist(REDACREP.$userprefs[1].INCEXT))) {
        $pseudo = $userprefs[1];
        $pvalue = 'redac';

    } else {
        $pseudo = $admin[714];
        $pvalue = 'admin';
    }
    echo '
<style type="text/css">
.adm-password {
	font-size: 9px;
	text-transform: uppercase;
	position: absolute;
	cursor: pointer;
	margin: 6px 0 0 -24px;
}
</style>
<script text="javascript">
  $(document).ready(function(){
    $(".adm-password").click(function() {
        if($(this).prev("input").prop("type") == "password") {
            $(this).prev("input").prop("type","text");
            $(this).children("img").prop("title","'.$admin[1748].'");
        } else {
            $(this).prev("input").prop("type","password");
            $(this).children("img").prop("title","'.$admin[1747].'");
        }
    });
  });
</script>
<br />
<hr />
<p style="text-align:center;">
<a href="'.CHEMIN.'index.php?lng='.$lng.'">'.$admin[464].'</a>
</p>
<hr />
<form name="login" action="admin.php?lng='.$lng.'" method="POST">
<input type="hidden" name="action" value="'.$pvalue.'">
<input type="hidden" name="try" value="1" />
<input type="hidden" name="ctrl" value="1" />
  <table style="margin:auto;">
    <tr>
      <td style="text-align:center;white-space:nowrap;">
        <p style="text-align:center;font-weight:bold">'.$admin[710].'</p>
        ---<br /><br />
        <b>'.$pseudo.'</b>,<br />
        <br />'.$admin[713].' <b>'.$admin[24].'</b><br />
        <input class="texte" type="password" id=pass" name="pass" size="40" />
        <span class="adm-password"><img src="inc/img/look.png" alt="<O>" title="'.$admin[1747].'" /></span>
        <br />
        <br />'.SubmitButton($admin[25]).'
      </td>
    </tr>
  </table>
</form>'.BeginJavascript().'
document.login.pass.focus()'.EndJavascript().'
<br />
<hr />
<p style="text-align:center;">
  <b>'.$admin[26].'</b> '.$admin[27].'
  <br />
  '.$admin[28].'
</p>';
    btable();
    include 'bpage.inc';
}
?>