<?php
/*******************************************************************************
 *   Admin account member
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.1 (March 08, 2014)       : resized to 64x64 external avatars
 * v5.0.5 (June 02, 2014)        : corrected recipients mails
 * v5.0.6 (July 02, 2014)        : improvement of management members
 * v5.0.7 (August 21, 2014)      : improvement of management members
 * v5.0.8 (October 02, 2014)     : suppress option to prohibit skin changes
 * v5.00.11 (March 02, 2015)     : corrected status of new member
 *                               : registration correction of collaborator rights
 *                               : add hyphen in the nickname
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.04 (September 07, 2016) : suppress editor test
 * v5.01.06 (December 06, 2016)  : avatar and external signature image become internal in https
 * v5.01.07 (January 04, 2016)   : improvement of control of external signature
 * v5.02.01 (August 28, 2017)    : independence of the admin part
 * v5.02.02 (December 18, 2017)  : secondary admin support
 *                               : deleting the GuppYUser5 cookie
 * v5.02.03 (February 01, 2018)  : improvement of password input
 *                               : modify the location of the password entry image (thanks Laroche)
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'compte.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[10] == '') {
        $nomzone = $admin[816];
        include 'access.inc';
        exit();
    }
}

$edit  = import('edit');
$uuser = import('uuser');
$regit = import('regit');
if ($uuser == NULL) $uuser = 'old';
$erreur = '';

$err_pseudo = false;
$err_uid    = false;
$err_uid2   = false;
$err_uemail = false;
$err_uweb   = false;
$err_uimg   = false;
$err_uext   = false;
$ishttps    = 1 != preg_match('!^https!', $site[3]) ? false : true;
$preprot    = $ishttps ? 'https://' : 'http://';

if ($regit == 1) {
	$pseudok = true;
	$msg = '';
	if ($uuser == 'new') {
		$upseudo = KeepGoodChars(RemoveConnector(RemoveQuote(stripslashes(CutLongWord(import('upseudo'), $serviz[148])))));
		$edit    = $upseudo;
	}
	else $userdb = ReadDBFields(MSGREP.$edit.DBEXT);
	
	$ulang      = import('ulang');
	$uemail     = checkEmail(CutLongWord(import('uemail')));
	$uboxes     = import('uboxes');
	$ushow      = import('ushow');
	$usign      = WrapLongWords(stripslashes(import('usign')));
	$usign      = RemoveConnector(stripslashes($usign));
	$usign      = str_replace(chr(10), '<br />', $usign);
	$uuid       = import('uuid');
	$uuid2      = import('uuid2');
	$avatar     = import('avatar');
	$avatar     = IsImage(substr($avatar, -3)) ? $avatar : 'unknow.png';
	$uwebsite   = import('uwebsite');
	$udesign    = import('udesign');
	$ueditor    = 'on';
	$uimgsign   = import('uimgsign');
	$uextavatar = import('uextavatar');
	$umailct    = import('umailct');
	$umpct      = import('umpct');
	$usendmail  = import('usendmail');
	$usendct    = import('usendct');
	$uusemp     = import('uusemp');
	$uctmail    = import('uctmail');
	$uprfmemb   = import('uprfmemb');
	$ulstmemb   = import('ulstmemb');
	$uavaext    = import('uavaext');
	$uimgext    = import('uimgext');
	$uenreg     = import('uenreg');
	$ucnct      = import('ucnct');
	$unobox     = import('unobox');
	$uredir     = import('uredir');
	$ustatus    = import('ustatus');

	$uwebsite   = empty($uwebsite) ? 'http://' : $uwebsite;
	$uimgsign   = empty($uimgsign) ? $preprot : $uimgsign;
	$uextavatar = empty($uextavatar) ? $preprot : $uextavatar;

	$err_pseudo = empty($edit) ? true: false;
    $err_uid    = ((empty($uuid) && $uuser == 'new') || (!empty($uuid) && !ctrlPasswordOK($uuid))) ? true: false;
	$err_uid2   = $uuid != $uuid2 ? true: false;
	$err_uemail = empty($uemail) ? true: false;
	$err_uweb   = 'http://' != $uwebsite && 'https://' != $uwebsite && 1 != preg_match('/(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uwebsite) ? true : false;
	$err_uimg   = 'http://' != $uimgsign && 'https://' != $uimgsign && 1 != preg_match('/(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uimgsign) ? true : false;
	$err_uext   = 'http://' != $uextavatar && 'https://' != $uextavatar && 1 != preg_match('/(http|https|inc\/img\/avatars):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uextavatar) ? true : false;
	$err_uimg   = $err_uimg && !IsImage(substr($uimgsign, -3));
	$err_uext   = $err_uext && !IsImage(substr($uextavatar, -3));
	
	$erreur .= $err_pseudo ? '<li>'.$admin[1588].'</li>': '';
	$erreur .= $err_uid ? '<li>'.$admin[1610].'</li>': '';
	$erreur .= $err_uid2 ? '<li>'.$admin[1611].'</li>': '';
	$erreur .= $err_uemail ? '<li>'.$admin[544].'</li>': '';
	$erreur .= $err_uweb ? '<li>'.$admin[1585].$admin[1622].$admin[1587].'</li>': '';
	$erreur .= $err_uimg ? '<li>'.$admin[1585].$admin[1623].$admin[1587].'</li>': '';
	$erreur .= $err_uext ? '<li>'.$admin[1585].$admin[1624].$admin[1587].'</li>': '';
	
	$uwebsite   = $err_uweb ? 'http://' : $uwebsite;
	$uimgsign   = $err_uimg ? $preprot : $uimgsign;
	$uextavatar = $err_uext ? $preprot : $uextavatar;
	
    if (empty($erreur)) {
		$dbmail = array();
		$bad    = array('.', '..', 'index.php');
		$files  = scandir(MSGREP);
		$files  = array_diff($files, $bad);
		foreach ($files as $file) {
			if (is_file(MSGREP.$file) && substr($file, -3) == 'dtb') {
				$userdb = ReadDBFields(MSGREP.$file);
				if (basename($file) == $edit.DBEXT) {
					if ($uuser == 'new') {
						$pseudok = false;
						$msg     = $admin[1625];
						break;
					}
				} elseif (isset($userdb[1][3])) {
					$dbmail[] = $userdb[1][3];
				}
			}
		}
		if ($pseudok && in_array($uemail, $dbmail)) {
			$pseudok = false;
			$msg    .= ' - '.$admin[1626];
		}
		if ($pseudok) {
            $ishttps = 1 != preg_match('!^https!', $site[3]) ? false : true;
			if ($uimgsign != $preprot) {
                $imghttps = 1 != preg_match('!^https!', $uimgsign) ? false : true;
                $uimgsign = $ishttps && !$imghttps ? $site[3].'data/users/frsigns/'.basename($uimgsign) : $uimgsign;
                if (file_exists($uimgsign)) {
                    list($wimg, $himg, $timg, $aimg) = getimagesize($uimgsign);
                    if ($wimg == 0 || $himg == 0 || $wimg > 468 || $himg > 60) {
                        $uimgsign = $preprot;
                        $msg     .= ' - '.$admin[1627];
                    } else {
                        $frcode  = 'fr_'.$edit;
                        $frsigns = ReadFrSigns();
                        if (isset($frsigns[$frcode])) {
                            $frsigns[$frcode]['image'] = $uimgsign;
                        } else {
                            $frsigns[$frcode]['image']   = $uimgsign;
                            $frsigns[$frcode]['status']  = 'a';
                            $frsigns[$frcode]['origine'] = 'e';
                        }
                        WriteFrSigns($frsigns);
                    }
                } else $uimgsign = '';
			}
            if (empty($uimgsign) || $uimgsign == $preprot) {
				$frcode  = 'fr_'.$edit;
				$frsigns = ReadFrSigns();
				if (isset($frsigns[$frcode])) unset($frsigns[$frcode]);
				WriteFrSigns($frsigns);
			}
			if ($uextavatar != $preprot) {
                $imghttps = 1 != preg_match('!^https!', $uextavatar) ? false : true;
                $uextavatar = $ishttps && !$imghttps ? 'inc/img/avatars/'.basename($uextavatar) : $uextavatar;
                $avaexist   = $ishttps && !$imghttps ? CHEMIN.$uextavatar : $uextavatar;
                if (file_exists($avaexist)) {
                    list($wimg, $himg, $timg, $aimg) = getimagesize($uextavatar);
                    if ($wimg == 0 || $himg == 0 || $wimg > 64 || $himg > 64) {
                        $uextavatar = $preprot;
                        $msg       .= ' - '.$admin[1628];
                    }
                }
			}

			if (empty($msg)) {
				$userdb        = (is_file(MSGREP.$edit.DBEXT)) ? ReadDBFields(MSGREP.$edit.DBEXT) : array();
				$userdb[0][0]  = $uuser == 'new' || $uuid != '' ? md5($uuid) : $userdb[0][0];
				$userdb[0][1]  = $uuser == 'new' || $uuid != '' ? crypt($uuid) : (isset($userdb[0][1]) ? $userdb[0][1] : $userdb[0][0]);
				$userdb[1][0]  = '0';
				$userdb[1][1]  = $ulang;
				$userdb[1][2]  = trim($edit);
				$userdb[1][3]  = trim($uemail);
				$userdb[1][4]  = $uboxes;
				$userdb[1][5]  = $ulang;
				$userdb[1][6]  = $ushow;
				$userdb[1][7]  = $usign;
				$userdb[1][8]  = $uuser == 'new' || $uuid != '' ? md5($uuid) : $userdb[1][8];
				$userdb[1][9]  = trim($avatar);
				$userdb[1][10] = $uwebsite == 'https://' || $uwebsite == 'http://' ? '' : $uwebsite;
				$userdb[1][11] = $serviz[146] == 'on' ? '' : $udesign;
				$userdb[1][12] = $ueditor;
				if ($uuser == 'new') {
					$userdb[1][13] = 'on';
					$userdb[1][14] = GetCurrentDateTime();
					$userdb[1][15] = '';
				}
				else {
					$userdb[1][13] = $ustatus == 'off' ? $ustatus : ($ustatus == 'ok' ? 'on' : $userdb[1][13]);
					$userdb[1][14] = $uenreg;
					$userdb[1][15] = $ucnct;
				}
				$userdb[1][16] = $uextavatar == $preprot || $avatar != 'unknow.png' || $uavaext == 'on' ? '' : $uextavatar;
				$userdb[1][17] = isset($userdb[1][17]) ? $userdb[1][17] : '';
				$userdb[1][18] = $uusemp;
				$userdb[1][19] = $uctmail;
				$userdb[1][20] = $uprfmemb;
				$userdb[1][21] = $ulstmemb;
				$userdb[1][22] = $uavaext;
				$userdb[1][23] = $uimgext;
				$userdb[1][24] = $umailct;
				$userdb[1][25] = $umpct;
				$userdb[1][26] = $usendmail;
				$userdb[1][27] = $usendct;
				$userdb[1][28] = '';
				$userdb[1][29] = $unobox;
				$userdb[1][30] = $uredir;
				$userdb[1][31] = $uuser == 'new' ? 'ok' : (empty($userdb[1][31]) ? 'ok' : ($ustatus == '1' || $ustatus == '2' || $ustatus == 'ok' ? $ustatus : $userdb[1][31]));
				$userdb[0][0]  = $userdb[1][31] == 'ok' && $userdb[0][0] != $userdb[1][8] ? $userdb[1][8] : $userdb[0][0];
				
                if ($uuser == 'new' && !empty(trim($serviz[31]))) {
					$userdb[2][0] = $serviz[31].CONNECTOR.GetCurrentDateTime().CONNECTOR.'&nbsp; '.
					$admin[1629].' '.sprintf($admin[1630], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), $edit).CONNECTOR.'new'.CONNECTOR.''.
						CONNECTOR.''.CONNECTOR.''.CONNECTOR.$serviz[43].CONNECTOR.substr($page[23], 4);
				}
                if ($uuser == 'new' && !empty(trim($serviz[176]))) {
					$userdb[2][0] = $serviz[176].CONNECTOR.GetCurrentDateTime().CONNECTOR.'&nbsp; '.
					$admin[1629].' '.sprintf($admin[1630], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), $edit).CONNECTOR.'new'.CONNECTOR.''.
						CONNECTOR.''.CONNECTOR.''.CONNECTOR.$serviz[43].CONNECTOR.substr($page[23], 4);
				}
				
				WriteDBFields(MSGREP.$edit.DBEXT, $userdb);
				
				if ($uuser == 'new') {
					$adrimg = $skn_logo != '' ? $skn_logo : CHEMIN.'img/'.$page[4];
                    $tconf  = $serviz[172] == 'ALL' ? 0 : $serviz[172];
					while ('../' == substr($adrimg, 0, 3)) $adrimg = substr($adrimg, 3);
					$to    = $uemail;
					$sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$admin[1631];
					$body  = '<div style="margin:auto;padding:8px;width:600px;border: solid 1px #000000;border-radius:4px;">';
					$body .= '<p style="text-align:center;"><img src="'.$site[3].$adrimg.'" style="max-width:600px;" /></p><hr />';
					$body .= '<p style="text-align:left;font:12pt Arial;">';
					$body .= $admin[1632].sprintf($admin[1633], $edit, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
					$body .= $admin[1013].' <b>'.$edit.'</b><br />'.$admin[1634].' : <b>'.$uuid.'</b><br /><br />';
					$body .= $admin[1635];
					$body .= '<a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-4-'.$edit.'-'.$uuid.'-'.$tconf : 'connect.php?lng='.$lng.'&pseudo='.$edit.'&uid='.$uuid.'&tconfig='.$tconf).'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
					$body .= $admin[1635].'<br />'.$user[0].'<br />';
					$body .= '</p></div>';
					eMailHtmlTo($sujet, $body, $to);			
				} elseif (!empty($uuid)) {
					UpdateCollaboratorPass($edit, md5($uuid));
                    UpdateProtectMember($edit, crypt($uuid));
				}
			}
		}
	}
	if (!empty($msg)) {
		$erreur .= '<li>'.$msg.'</li>';
        echo BeginJavascript().'
alert("'.addslashes($msg).'");
'.EndJavascript();
    }
	if (empty($erreur)) {
		header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=members&act=2');
		exit();
	}
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var erreur = false;
	var uweb = document.userprefnow.uwebsite.value;
	var uimg = document.userprefnow.uimgsign.value;
	var uext = document.userprefnow.uextavatar.value;
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.userprefnow.uemail.value)) {
        sto += \'  - '.addslashes($admin[544]).'\n\';
		document.userprefnow.uemail.className = "errorInputText";
        erreur = true;
    }
	';
if ($uuser != 'new')
	$headinc .= '
	var uid = document.userprefnow.uuid.value;
	var uid2 = document.userprefnow.uuid2.value;
    if (uid != "") {
        regexp = /^\\S{8,40}$/;
        if (!regexp.test(uid)) {
            sto += \'  - '.addslashes($admin[1610]).'\n\';
			document.userprefnow.uuid.className = "errorInputText";
            erreur = true;
        }
    }
	if (uid != uid2) {
		sto += \'  - '.addslashes($admin[1611]).' !\n\';
		document.userprefnow.uuid.className = "errorInputText";
		document.userprefnow.uuid2.className = "errorInputText";
		erreur = true;
	}';
else
	$headinc .= '
    regexp = /^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/;
    if (!regexp.test(document.userprefnow.upseudo.value)) {
        sto += \'  - '.addslashes($admin[1588]).'\n\';
		document.userprefnow.upseudo.className = "errorInputText";
        erreur = true;
    }';
$headinc .= '
	regexp = /(http|https|inc/img/avatars):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
    if (uweb != "http://" && uweb != "https://" && !regexp.test(uweb)) {
        sto += \'  - '.addslashes($admin[1585].$admin[1622].$admin[1587]).'\n\';
		document.userprefnow.uwebsite.className = "errorInputText";
		document.userprefnow.uwebsite.value = "http://";
        erreur = true;
    }
    if (uimg != "'.$preprot.'" && !regexp.test(uimg)) {
        sto += \'  - '.addslashes($admin[1585].$admin[1623].$admin[1587]).'\n\';
		document.userprefnow.uimgsign.className = "errorInputText";
		document.userprefnow.uimgsign.value = "'.$preprot.'";
        erreur = true;
    }
    if (uext != "'.$preprot.'" && !regexp.test(uext)) {
        sto += \'  - '.addslashes($admin[1585].$admin[1624].$admin[1587]).'\n\';
		document.userprefnow.uextavatar.className = "errorInputText";
		document.userprefnow.uextavatar.value = "'.$preprot.'";
        erreur = true;
    }
    if (erreur == true) {
        sto = "'.addslashes($admin[1636]).'\n\n" + sto;
        alert(sto);
		return false;
    }
}'.EndJavascript();

$topmess = '
  <a href="admin.php?lng='.$lng.'">Admin</a> >&nbsp;
  <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2">'.$admin[696].'</a> > '.($uuser == 'new' ? $admin[1308] : $admin[498]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';

if ($uuser != 'new' && !FileDBExist(MSGREP.$edit.DBEXT)) {
	header('location:admin.php?lng='.$lng.'&pg=members&act=2');
	exit();
} else {
	if ($uuser == 'new') {
		$userdb       = array();
		$userdb[0][0] = '';
		$userdb[1]    = array_pad(array(), 16, '');		
		$value_pseudo = ' value=""';
	} else {
		$userdb = ReadDBFields(MSGREP.$edit.DBEXT);
		$value_pseudo = ' value="'.$edit.'" readonly="readonly"';
	}
	htable($uuser == 'new' ? $admin[1308] : $admin[498].' - '.$edit, '100%');
	if (!empty($erreur))
		echo displayErrorMsg($admin[1636], $erreur);
	echo '
<p style="text-align:center;">'.ToHelp($lng, 'compte').'</p>
<br />
<hr />
<style type="text/css">
.cmpt-password {
	font-size: 9px;
	text-transform: uppercase;
	position: absolute;
	cursor: pointer;
	margin: 6px 0 0 -26px;
}
</style>
<script text="javascript">
  $(document).ready(function(){
    $(".cmpt-password").click(function() {
        if($(this).prev("input").prop("type") == "password") {
            $(this).prev("input").prop("type","text");
            $(this).children("img").prop("title","'.$admin[1748].'");
        } else {
            $(this).prev("input").prop("type","password");
            $(this).children("img").prop("title","'.$admin[1747].'");
        }
    });
    $("#testuuid").on("keyup", function(e) {
      var strongRegex = new RegExp("^(?=.{8,})(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?=.*\\\\W).*$", "ig");
      var mediumRegex = new RegExp("^(?=.{8,})(((?=.*[A-Z])(?=.*[a-z]))|((?=.*[A-Z])(?=.*[0-9]))|((?=.*[a-z])(?=.*[0-9]))).*$", "g");
      var okRegex = new RegExp("(?=.{8,}).*", "g");
      if (okRegex.test($(this).val()) === false) {
        $("#uuid-strength").removeClass().addClass("alert alert-error").html("'.$help[21].'");
      } else if (strongRegex.test($(this).val())) {
        $("#uuid-strength").removeClass().addClass("alert alert-success").html("'.$help[22].'");
      } else if (mediumRegex.test($(this).val())) {
        $("#uuid-strength").removeClass().addClass("alert alert-info").html("'.$help[23].'");
      } else {
        $("#uuid-strength").removeClass().addClass("alert alert-error").html("'.$help[24].'");
      }
      return true;
    });
  });
</script>
<div style="text-align:center;width:720px;margin:auto;text-align:left;">
  <form name="userprefnow" id="userprefnow" action="admin.php?lng='.$lng.'&amp;pg=compte" method="post" onsubmit="return VerifyForm(); return false;">
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38]).'</div>
      <div style="clear:both"></div>
    </div>
    <input type="hidden" name="regit" value="1" />';
	if ($uuser == 'new') {
		$mpass = GenerateUID();
		echo '
    <input type="hidden" name="uuser" value="new" />
    <input type="hidden" name="uuid" value="'.$mpass.'" />
    <input type="hidden" name="uuid2" value="'.$mpass.'" />';
	}
	else
		echo '
    <input type="hidden" name="edit" value="'.$edit.'" />';
	echo '
    <br />
    <fieldset style="margin-top:-10px;">'.legend($admin[810]).'
      <table style="margin:auto 12px;width:100%;">
		<tr>
		  <td style="width:60%;margin:2px;">&bull; '.sprintf($admin[1637], $edit).'</td>
		  <td style="margin:2px;"><input type="checkbox" name="uusemp"'.Checked($userdb[1][18] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.sprintf($admin[1638], $edit).'</td>
		  <td style="margin:2px;"><input type="checkbox" name="uctmail"'.Checked($userdb[1][19] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.sprintf($admin[1639], $edit).'</td>
		  <td style="margin:2px;"><input type="checkbox" name="uprfmemb"'.Checked($userdb[1][20] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.sprintf($admin[1640], $edit).'</td>
		  <td style="margin:2px;"><input type="checkbox" name="ulstmemb"'.Checked($userdb[1][21] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.$admin[1641].'</td>
		  <td style="margin:2px;"><input type="checkbox" name="uavaext"'.Checked($userdb[1][22] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.$admin[1642].'</td>
		  <td style="margin:2px;"><input type="checkbox" name="uimgext"'.Checked($userdb[1][23] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.$admin[1643].'</td>
		  <td style="margin:2px;"><input type="checkbox" name="unobox"'.Checked($userdb[1][29] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.$admin[195].'</td>
		  <td style="margin:2px;">
		    <select name="ustatus">
			  <option value="">'.ucfirst($admin[1108]).'</option>
			  <option value="ok"'.Selected($userdb[1][31] == 'ok').'>'.$admin[1471].'</option>
              <option value="1"'.Selected($userdb[1][31] == '1').'>'.$admin[1302].'</option>
              <option value="2"'.Selected($userdb[1][31] == '2').'>'.$admin[1303].'</option>
			  <option value="off"'.Selected($userdb[1][13] == 'off').'>'.$admin[1472].'</option>
			</select>
		  </td>
		</tr>
      </table>
      <br />
    </fieldset>
    <br />
    <fieldset style="margin-top:-10px;">'.legend($admin[1644]).'
      <table style="margin:auto 12px;width:100%;">
        <tr>
          <td style="width:50%;">&bull; '.$admin[1013].'</td>
          <td><input type="text" class="'.($err_pseudo ? 'errorInputText' : 'texte').'" name="upseudo" size="30"'.$value_pseudo.' /></td>
        </tr>';
	if ($uuser != 'new') 
		echo '
        <tr><td colspan="2" style="padding:4px;"><div class="" id="uuid-strength"></div></td></tr>
        <tr>
          <td>&bull; '.$admin[1634].' :</td>
          <td>
            <div style="float:left;">
			  <input id="testuuid" type="password" class="'.($err_uid ? 'errorInputText' : 'texte').'" style="float:left;" name="uuid" size="40" value="" />
              <span class="cmpt-password "><img src="inc/img/look.png" alt="<O>" title="'.$admin[1747].'" /></span>
			</div>
			<div class="pop" style="width:32px;margin-left:8px;">
			  <a><img src="'.$reptheme.'/say.png" alt="" title="" />
			    <span style="left:-260px;"><em style="left:auto;right:20px;"></em>'.$help[3].'</span></a>
			</div>
			<div style="clear:both"></div>
          </td>
        </tr>
        <tr>
          <td>&bull; '.$admin[1645].' :</td>
          <td>
            <input type="password" class="'.($err_uid2 ? 'errorInputText' : 'texte').'" name="uuid2" size="40" value="" />
            <span class="cmpt-password"><img src="inc/img/look.png" alt="<O>" title="'.$admin[1747].'" /></span>
        </td>
        </tr>';
	echo '
        <tr>
          <td>&bull; '.$admin[1646].'</td>
          <td><input type="text" class="'.($err_uemail ? 'errorInputText' : 'texte').'" name="uemail" size="40" value="'.$userdb[1][3].'" /></td>
        </tr>
        <tr>
          <td>&bull; '.$admin[1622].'</td>
          <td><input type="text" class="'.($err_uweb ? 'errorInputText' : 'texte').'" name="uwebsite" size="40" value="'.(empty($userdb[1][10]) || $userdb[1][10] == 'user9' ? $preprot : $userdb[1][10]).'" /></td>
        </tr>
        <tr>
          <td>&bull; '.$admin[1647].'</td>
          <td><textarea name="usign" rows="2" cols="30">'.stripslashes($userdb[1][7] == 'user6' ? '' : $userdb[1][7]).'</textarea></td>
        </tr>
        <tr>
          <td>&bull; '.$admin[1623].' :</td>';
	$frsigns = ReadFrSigns();
	$imgsign = $preprot;
	foreach ($frsigns as $code => $frsign) {
		if ('fr_'.$edit == $code && 'a' == $frsign['status'] && 'e' ==  $frsign['origine']) {
			$imgsign = $frsign['image'];
			break;
		}
	}
	echo '
          <td>
		    <div style="float:left;"><input type="text" class="'.($err_uimg ? 'errorInputText' : 'texte').'" name="uimgsign" size="40" value="'.$imgsign.'" /></div>
		    <div class="pop" style="width:32px;margin-left:8px;">
			  <a><img src="'.$reptheme.'/say.png" alt="" title="" />
			    <span style="left:-260px;"><em style="left:auto;right:20px;"></em>'.$help[6].'</span>
			  </a>
			</div>
			<div style="clear:both"></div>';
	if ($imgsign != $preprot) {
		echo '
			<div><img src="'.$imgsign.'" alt="" title="'.$imgsign.'" /></div>';
	}
	echo '
		  </td>
        </tr>';
	echo '
		<tr>
		  <td style="margin:2px;">&bull; '.$admin[1648].' :</td>
		  <td style="margin:2px;"><input type="checkbox" name="ushow"'.Checked($userdb[1][6] == 'on').' /></td>
		</tr>';
	echo '
		<tr>
		  <td style="margin:2px;">&bull; '.$admin[1649].'</td>
		  <td style="margin:2px;"><input type="checkbox" name="umailct"'.Checked($userdb[1][24] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.$admin[1650].'</td>
		  <td style="margin:2px;"><input type="checkbox" name="umpct"'.Checked($userdb[1][25] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.$admin[1651].'</td>
		  <td style="margin:2px;"><input type="checkbox" name="usendmail"'.Checked($userdb[1][26] == 'on').' /></td>
		</tr>
		<tr>
		  <td style="margin:2px;">&bull; '.$admin[1652].'</td>
		  <td style="margin:2px;"><input type="checkbox" name="usendct"'.Checked($userdb[1][27] == 'on').' /></td>
		</tr>
      </table>
      <br />
    </fieldset>
    <br />
    <fieldset style="margin-top:-10px;">'.legend($admin[1653]).'
      <table style="margin:auto 12px;width:100%;">';
	if ($lang[1] != '') {
		echo '
        <tr>
          <td style="width:45%;">&bull; '.$admin[1653].'</td>
          <td>
            <select name="ulang">
              <option value="'.$lang[0].'"'.Selected($userdb[1][1] == $lang[0]).'>'.$lang[0].'</option>
              <option value="'.$lang[1].'"'.Selected($userdb[1][1] == $lang[1]).'>'.$lang[1].'</option>
            </select>
          </td>
        </tr>';
	} else {
		echo '
        <input type="hidden" name="ulang" value="'.$lang[0].'" />';
	}
	$uskintheme = ExploreDir('skins/');
	echo '
        <tr>
          <td>&bull; '.$admin[1655].'</td>
          <td>
            <select name="udesign">
              <option value="">'.$admin[1661].'</option>';
	for ($i = 0; $i < count($uskintheme); $i++) {
		echo '
			  <option value="'.$uskintheme[$i].'"'.Selected($userdb[1][11] == $uskintheme[$i]).'>'.$uskintheme[$i].'</option>';
	}
	echo '
            </select>
          </td>
        </tr>
        <tr>
          <td>&bull; '.$admin[1656].'</td>
          <td>
            <select name="uboxes">
              <option value="'.BOX_LEFT.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_LEFT.BOX_RIGHT).'>'.$admin[1657].'</option>
              <option value="'.BOX_LEFT.'"'.Selected($userprefs[3] == BOX_LEFT).'>'.$admin[1658].'</option>
              <option value="'.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_RIGHT).'>'.$admin[1659].'</option>
            </select>
          </td>
        </tr>
        <tr>
          <td>&bull; '.$admin[1660].'</td>
          <td><input type="checkbox" name="uredir"'.Checked($userdb[1][30]).' /></td>
        </tr>
      </table>
	  <table style="margin:auto;width:100%;">
        <tr>
          <td colspan="2" style="text-align:center;">';
	if ($page[23] != 'none') {
		$imgavatars = array();
		$dossier = opendir(CHEMIN.'inc/img/avatars/'.$page[23].'/');
		while ($fichier = readdir($dossier)) {
			if (is_file(CHEMIN.'inc/img/avatars/'.$page[23].'/'.$fichier)) {
				$path_parts = basename($fichier);
				$path_parts = substr($path_parts,strrpos($path_parts,'.')+1);
				if (Isimage($path_parts)) {
					$imgavatars[] = $fichier;
				}
			}
		}
		closedir($dossier);
		@sort($imgavatars);
		echo '
            <fieldset>'.legend($admin[1662]).'
			  <div style="max-height:400px;overflow:auto;">
                <table style="margin:auto;width:60%;">
                  <tr>';
		$nbrimgavatar = 0; $j= count($imgavatars);
		for ($i = 0; $i < count($imgavatars); $i++) {
			echo '
                    <td style="text-align:center;margin:4px;padding:4px;"><label>
                      <img src="'.CHEMIN.'inc/img/avatars/'.$page[23].'/'.$imgavatars[$i].'" alt="'.$imgavatars[$i].'" title="'.$imgavatars[$i].'" />
                      <br />
                      <input type="radio" value="'.$imgavatars[$i].'" name="avatar"'.Checked($userdb[1][9] == $imgavatars[$i]).' /></label>
                    </td>';
			$nbrimgavatar++; $j--;
			if ($nbrimgavatar == 5 && $j != 0) {
				$nbrimgavatar = 0;
				echo '
                  </tr>
                  <tr>';
			}
		}
		$vid = 5 - count($imgavatars)%5 ;
		if ($vid != 0) {
			echo '
		            <td colspan="'.$vid.'"></td>';
		}
		echo '
                  </tr>
                </table>
			  </div>
		      <div style="width:480px;text-align:center;margin:auto;">
		        <span style="float:left;">
 		          <label><input type="radio" value="unknow.png" name="avatar"'.Checked($userdb[1][9] == 'unknow.png' || (!empty($userdb[1][16]) && $userdb[1][16] != $preprot)).' />'.$admin[1624].' :</label>
			      <input type="text" class="'.($err_uext ? 'errorInputText' : 'texte').'" name="uextavatar" style="width:300px;" value="'.(empty($userdb[1][16]) ? $preprot : $userdb[1][16]).'" />
		        </span>
		        <span class="pop" style="width:auto;margin-left:8px;">
			      <a>
			        <img src="'.$reptheme.'/say.png" alt="" title="" />
			        <span style="left:-260px;"><em style="left:auto;right:20px;"></em>'.$help[8].'</span>
			      </a>
		        </span>
		      </div>
		      <div style="clear:both"></div>';
		if ($userdb[1][9] == 'unknow.png' && !empty($userdb[1][16]))
			echo '
		      <div style="text-align:center;width:100%;margin:auto;">
		        <img src="'.$userdb[1][16].'" alt="" title="'.$edit.'" style="max-width:60px; max-height:60px;" />
		      </div>';
		echo '
            </fieldset>';
	}
	echo '
          </td>
        </tr>
      </table>
    </fieldset>';
	if ($uuser != 'new')
		echo '
  	<fieldset>
	  <table style="margin:auto 12px;width:98%;">
		<tr>
		  <td>'.$admin[1663].'</td>
		  <td><b>'.(isset($userdb[1][15])? FormatDate($userdb[1][14]): '???').'</b></td>
		  <td><input type="text" class="texte" name="uenreg" size="14" value="'.$userdb[1][14].'" /></td>
		</tr>
		<tr>
		  <td>'.$admin[1664].'</td>
		  <td><b>'.(isset($userdb[1][15])? FormatDate($userdb[1][15]): '???').'</b></td>
		  <td><input type="text" class="texte" name="ucnct" size="14" value="'.$userdb[1][15].'" /></td>
		</tr>
      </table>
    </fieldset>';
	echo '
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38]).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
}

btable();
include CHEMIN.'admin/bpage.inc';
?>