<?php
/*******************************************************************************
 *   Admin Boxes disposition
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.01.00 (June 12, 2015)      : registration correction for hostings with data caching
 *                               : improvement for a mobile-friendly structure
 * v5.01.01 (September 02, 2015) : corrected create/delete page configuration
 *                               : move the parameter on/off for the poll
 * v5.01.02 (December 02, 2015)  : adding style file for new configuration page
 * v5.01.03 (June 02, 2016)      : prohibition of the removal of the main page
 * v5.01.06 (December 06, 2016)  : correction of the recording with data caching
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : suppress flash management
 * v5.02.01 (August 28, 2017)    : independence of the admin part
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 * v5.02.03 (February 01, 2018)  : correction of creating new secondary page
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'config6.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[5] == '') {
        $nomzone = $admin[346];
        include 'access.inc';
        exit();
    }
}

$widepage = 'on';
$regit    = import('regit');
$xpb      = import('xpb', 'POST', FALSE);
$wpb      = import('wpb', 'POST', FALSE);
$skns     = import('skns', 'POST', FALSE);
$conf     = import('conf', '', FALSE, 0);
$nameconf = import('nameconf', 'POST');
$messreg  = '';

AddFreeBoxes();
AddMenuBoxes();
AddDDMenuBoxes();

$admcookie = $_SESSION['adminprefs'];
$positem   = 0;
for ($i = 0; $i < 9; $i++) {
    $posdata        = $positem + 2;
    $lendata        = intval(substr($admcookie, $positem, 2));
    $adminprefs[$i] = substr($admcookie, $posdata, $lendata);
    $positem        = $posdata + $lendata;
}

$confstruct    = import('confstruct');
$confstruct    = empty($confstruct) ? 'web' : $confstruct;
$adminprefs[8] = $confstruct;
$admdata       = '';
for ($i = 0; $i < count($adminprefs); $i++) {
    $strlen   = sprintf("%02d", strlen($adminprefs[$i]));
    $admdata .= $strlen.$adminprefs[$i];
}
$_SESSION['adminprefs'] = $admdata;

$fileconf = $confstruct == 'web' ? 'confweb' : 'confmob';
$meskin   = CHEMIN.'skins/'.$selskin.'/';
unset($xposbox);
if (is_file ($meskin.$fileconf.'.inc')) {
    include $meskin.$fileconf.'.inc';
} else {
    include CHEMIN.'skins/no_skin/'.$fileconf.'.inc';
}

if ($regit == 1) {
	$lst = '';
    foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
		foreach ($xpb[$conf][BOX_TOP][$key] as $i => $value) {
			if (!empty($value) && empty($wpb[BOX_TOP][$key][$i])) 
				$lst .= ' - [ '.BOX_TOP.' ] [ '.$key.' ] [ '.$i.' ] => '.getLabelBox($boxes, substr($value, 2)).'\n';
		}
		foreach ($xpb[$conf][BOX_BOTTOM][$key] as $i => $value) {
			if (!empty($value) && empty($wpb[BOX_BOTTOM][$key][$i])) 
				$lst .= ' - [ '.BOX_BOTTOM.' ] [ '.$key.' ] [ '.$i.' ] => '.getLabelBox($boxes, substr($value, 2)).'\n';
		}
	}
	if ($lst == '') {
		$messreg = ' : &nbsp;OK';
	} else {
		echo BeginJavascript().'alert("'.addslashes($admin[706]).'\n\n'.$lst.'");'.EndJavascript();
	}

	$serviz[28] = 'on'; // Préférences visiteurs
	$serviz[38] = 'on'; // RSS News ON / OFF

	$xposbox[$conf][BOX_LEFT]  = $xpb[$conf][BOX_LEFT];
	$xposbox[$conf][BOX_RIGHT] = $xpb[$conf][BOX_RIGHT];
	$xposbox[$conf][BOX_ABOVE] = $xpb[$conf][BOX_ABOVE];
	$xposbox[$conf][BOX_UNDER] = $xpb[$conf][BOX_UNDER];
	foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
		foreach ($xpb[$conf][BOX_TOP][$key] as $i => $value) {
			$args  = '';
			if (!empty($value)) {
				$wb   = intval($wpb[BOX_TOP][$key][$i]);
				$pos  = strrpos($value, CONNECTOR, 2);
				$args = $wb == 0 ? '' : ($pos == 0 ? CONNECTOR : '').'W'.$wb;
			}
			$xpb[$conf][BOX_TOP][$key][$i] = $value.$args;
		}
		foreach ($xpb[$conf][BOX_BOTTOM][$key] as $i => $value) {
			$args  = '';
			if (!empty($value)) {
				$wb   = intval($wpb[BOX_BOTTOM][$key][$i]);
				$pos  = strrpos($value, CONNECTOR, 2);
				$args = $wb == 0 ? '' : ($pos == 0 ? CONNECTOR : '').'W'.$wb;
			}
			$xpb[$conf][BOX_BOTTOM][$key][$i] = $value.$args;
		}
		$xposbox[$conf][BOX_TOP][$key]    = $xpb[$conf][BOX_TOP][$key];
		$xposbox[$conf][BOX_BOTTOM][$key] = $xpb[$conf][BOX_BOTTOM][$key];
	}
	unset($xpb, $wpb);

	include 'inc/'.$fileconf.'.inc';
    if ($site[7] == 'on') {
        flush();
        sleep($site[8]);
        header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=config6&confstruct='.$confstruct);
    }
}
elseif ($regit == 2) { // copie config dans les autres skins
	if (!empty($skns)) {
		foreach ($skns as $skin) {
            $src  = CHEMIN.'skins/'.$selskin.'/'.$fileconf.'.inc';
            $dest = CHEMIN.'skins/'.$skin.'/'.$fileconf.'.inc';
            copy($src, $dest);
		}
		unset($skns);
	}
} 
elseif ($regit == 3) { // ajout config secondaire
	if (!empty($nameconf) && preg_match('`^\w{4,24}$`', $nameconf)) {	
		$meskin = CHEMIN.'skins/'.$selskin.'/';
        $templates[] = $nameconf;
        foreach (array('confweb', 'confmob') as $conffile) {
            if (is_file ($meskin.$conffile.'.inc')) {
                include $meskin.$conffile.'.inc';
            } else {
                include CHEMIN.'skins/no_skin/'.$conffile.'.inc';
            }
            foreach($templates as $key=>$tmpl) $conf = $key;
            foreach (array(BOX_LEFT, BOX_RIGHT, BOX_ABOVE, BOX_UNDER) as $subarray) {
                $xposbox[$conf][$subarray][0] = '';
            }
            foreach (array(BOX_TOP, BOX_BOTTOM) as $array) {
                foreach(array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $subarray) {
                    $xposbox[$conf][$array][$subarray][0] = '';
                }
            }
            include 'inc/'.$conffile.'.inc';
            if ($site[7] == 'on') {
                flush();
                sleep($site[8]);
                header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=config6');
            }
        }
        for ($i = 1; $i < count($templates); $i++) {
            if (!is_file($meskin.'stylepage'.$i.'.css')) {
                $csstitle = '/*  ---------  CSS to customize '.$page[14].' for secondary page '.$templates[$i].'  ----------- */';
                WriteFullDB($meskin.'stylepage'.$i.'.css', $csstitle);
            }
        }
	} else {
		echo BeginJavascript().'alert("'.addslashes($admin[1337]).'");'.EndJavascript();
	}
}
elseif ($regit == 4) { // modification/suppression config secondaire
    $meskin = CHEMIN.'skins/'.$selskin.'/';
    foreach (array('confweb', 'confmob') as $conffile) {
        if (!empty($nameconf)) {
            if (is_file ($meskin.$conffile.'.inc')) {
                include $meskin.$conffile.'.inc';
            } else {
                include CHEMIN.'skins/no_skin/'.$conffile.'.inc';
            }
            if (preg_match('`^\w{4,24}$`', $nameconf)) {
                foreach($templates as $key=>$value)
                    if ($conf == $key) {
                        $templates[$conf] = $nameconf;
                        break;
                    }
                include 'inc/'.$conffile.'.inc';
            }
        } else {
            if (is_file ($meskin.$conffile.'.inc')) {
                include $meskin.$conffile.'.inc';
            } else {
                include CHEMIN.'skins/no_skin/'.$conffile.'.inc';
            }
            foreach($templates as $key=>$value)
                if ($conf == $key && $key != 0) {
                    unset($templates[$conf]);
                    unset($xposbox[$conf]);
                    @unlink($meskin.'stylepage'.$conf.'.css');
                    break;
                }
            include 'inc/'.$conffile.'.inc';
        }
    }
}

include CONFIG;
$conf = !isset($templates[$conf]) ? 0 : $conf;

TestPosBoxes($xposbox[$conf][BOX_LEFT], 10, 2);
TestPosBoxes($xposbox[$conf][BOX_RIGHT], 10, 2);
TestSizeBoxes($xposbox[$conf][BOX_LEFT], $xposbox[$conf][BOX_RIGHT]);

TestPosBoxes($xposbox[$conf][BOX_TOP][BOX_LEFT], 2, 1);
TestPosBoxes($xposbox[$conf][BOX_TOP][BOX_CENTER], 2, 1);
TestPosBoxes($xposbox[$conf][BOX_TOP][BOX_RIGHT], 2, 1);
TestSizeBoxes($xposbox[$conf][BOX_TOP][BOX_LEFT], $xposbox[$conf][BOX_TOP][BOX_CENTER], $xposbox[$conf][BOX_TOP][BOX_RIGHT]);

TestPosBoxes($xposbox[$conf][BOX_ABOVE], 2, 1);
TestPosBoxes($xposbox[$conf][BOX_UNDER], 2, 1);

TestPosBoxes($xposbox[$conf][BOX_BOTTOM][BOX_LEFT], 2, 1);
TestPosBoxes($xposbox[$conf][BOX_BOTTOM][BOX_CENTER], 2, 1);
TestPosBoxes($xposbox[$conf][BOX_BOTTOM][BOX_RIGHT], 2, 1);
TestSizeBoxes($xposbox[$conf][BOX_BOTTOM][BOX_LEFT], $xposbox[$conf][BOX_BOTTOM][BOX_CENTER], $xposbox[$conf][BOX_BOTTOM][BOX_RIGHT]);

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[350]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[350], '100%');

include 'plugins/plugbox.inc';

$skn   = isset($selskin) ? '&amp;selskin='.$selskin : 'no_skin';
$skins = ExploreDir('skins/');

echo '
<div  style="text-align:center">'.ToHelp($lng, 'config6').'<p>'.$admin[351].'</p>';
        
if ($fctwri == 'admin') {
    $bkc = $confstruct == 'web' ? '#00D32D' : '#0007E8';
    $col = $confstruct == 'web' ? '#FFFFFF' : '#FFFF00';
    echo '
<fieldset style="text-align:center;margin:auto;width:300px;background:'.$bkc.';color:'.$col.';font-size:13px;font-weight:bold;">
  <form name="struct" method="post" action="#">  '.$admin[725].' :&nbsp;
    <select name="confstruct" onchange="submit();" style="font-size:16px;">
      <option value="web"'.Selected($confstruct == 'web').'>WEB</option>
      <option value="mob"'.Selected($confstruct == 'mob').'>MOBILE</option>
    </select>
  </form>
</fieldset>';
} else
    $confstruct = 'web';

echo '
  <hr />
  <table style="text-align:left;width:100%;">
    <tr>
      <td class="forum" style="vertical-align:top; text-align:left; width:50%; padding:5px 20px;">
	    '.$admin[725].' : <strong>'.$userprefs[10].$messreg.'</strong>
		<div style="text-align:center;margin-top:12px;">
          <form name="selconf" action="admin.php?lng='.$lng.'&amp;pg=config6" method="post">
            <input type="hidden" name="confstruct" value="'.$confstruct.'" />
            <input type="hidden" name="selskin" value="'.$selskin.'" />
		    '.$admin[1335].'
	        <select name="conf" style="width:140px;" onchange="javascript:selconf.submit();">';

foreach ($templates as $key=>$tmpl) {
	echo '
		      <option value="'.$key.'"'.Selected($conf == $key).'>'.$key.' - '.$tmpl.'</option>>';
}

echo '
		    </select>
			<input type="image" src="'.$reptheme.'/tolist.png" alt="'.$admin[519].'" title="'.$admin[519].'" style="vertical-align:middle;" />
          </form>
		</div>
		<div id="modbutton" style="text-align:center;">
		  '.SubmitButton($admin[144].'/'.$admin[186], 'cache(\'modbutton\'); montre(\'modtname\');').'
	    </div>
		<div id="modtname" class="quest" style="display:none;width:250px;margin:auto;height:72px;z-index:15;text-align:center;border:1px solid;border-radius:8px;">
		  <form name="modconf" action="admin.php?lng='.$lng.'&amp;pg=config6" method="post">
            <input type="hidden" name="confstruct" value="'.$confstruct.'" />
			<input type="hidden" name="regit" value="4" />
			<input type="hidden" name="conf" value="'.$conf.'" />
			<div>'.$admin[144].' : <input type="text" name="nameconf"  size="20" value="'.$templates[$conf].'" /><br />'.$help[15].'</div>
			<div style="text-align:center;margin-top:4px;">'.SubmitButton($admin[38]).'</div>
			<div style="float:right;margin:-12px 4px 0 0;">
			  <img src="'.$reptheme.'/close.png" alt="'.$admin[458].'" title="'.$admin[458].'" onmouseup="cache(\'modtname\'); montre(\'modbutton\');" />
			</div>
			<div style="clear:both;"></div>
		  </form>
		</div>
		<hr />
		<div style="text-align:center;margin-top:12px;">
          <form name="addconf" action="admin.php?lng='.$lng.'&amp;pg=config6" method="post">
            <input type="hidden" name="confstruct" value="'.$confstruct.'" />
            <input type="hidden" name="regit" value="3" />
            <input type="hidden" name="selskin" value="'.$selskin.'" />
			'.$admin[1336].'
			<input name="nameconf" class="texte" type="text" size="20" />
		    <br />'.SubmitButton($admin[38]).'
          </form>
		</div>
	  </td>
      <td class="forum" style="text-align:center;vertical-align:top;">
	    '.$admin[707].'
        <form name="selskns" action="admin.php?lng='.$lng.'&amp;pg=config6" method="post">
          <input type="hidden" name="confstruct" value="'.$confstruct.'" />
          <input type="hidden" name="regit" value="2" />
          <input type="hidden" name="selskin" value="'.$selskin.'" /><br />    
	      <select name="skns[]" style="width:150px;" size="6" multiple="multiple">';

foreach ($skins as $skn)
	if ($skn != $selskin) echo '
			<option value="'.$skn.'">'.$skn.'</option>>';

echo '
		  </select>
		  <br />'.SubmitButton($admin[708]).'
        </form>
	  </td>
	</tr>
  </table>
  <div style="width:100%;margin-left:auto;margin-right:auto;text-align:center">
    <form name="conf6" action="admin.php?lng='.$lng.'&amp;pg=config6" method="post">
      <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>
      <input type="hidden" name="confstruct" value="'.$confstruct.'" />
      <input type="hidden" name="regit" value="1" />
      <input type="hidden" name="conf" value="'.$conf.'" />
      <input type="hidden" name="selskin" value="'.$selskin.'" />';

echo '
      <fieldset>'.legend($admin[1073]).'
        <table style="text-align:center;width:100%;">
          <tr>
            <td style="padding: 4px;">';
if (empty($wposbox[$conf]))
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_TOP.']['.BOX_LEFT.']', $xposbox[$conf][BOX_TOP][BOX_LEFT], SelectBoxes($boxes, BOX_TOP), true, true, 'wpb['.BOX_TOP.']['.BOX_LEFT.']');
else
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_TOP.']['.BOX_LEFT.']', $xposbox[$conf][BOX_TOP][BOX_LEFT], SelectBoxes($boxes, BOX_TOP), true, true, 'wpb['.BOX_TOP.']['.BOX_LEFT.']', $wposbox[$conf][BOX_TOP][BOX_LEFT]);
echo '
            </td>
            <td style="padding: 4px;">';
if (empty($wposbox[$conf]))
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_TOP.']['.BOX_CENTER.']', $xposbox[$conf][BOX_TOP][BOX_CENTER], SelectBoxes($boxes, BOX_TOP), true, true, 'wpb['.BOX_TOP.']['.BOX_CENTER.']');
else
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_TOP.']['.BOX_CENTER.']', $xposbox[$conf][BOX_TOP][BOX_CENTER], SelectBoxes($boxes, BOX_TOP), true, true, 'wpb['.BOX_TOP.']['.BOX_CENTER.']', $wposbox[$conf][BOX_TOP][BOX_CENTER]);
echo '
            </td>
            <td style="padding: 4px;">';
if (empty($wposbox[$conf]))
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_TOP.']['.BOX_RIGHT.']', $xposbox[$conf][BOX_TOP][BOX_RIGHT], SelectBoxes($boxes, BOX_TOP), true, true, 'wpb['.BOX_TOP.']['.BOX_RIGHT.']');
else
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_TOP.']['.BOX_RIGHT.']', $xposbox[$conf][BOX_TOP][BOX_RIGHT], SelectBoxes($boxes, BOX_TOP), true, true, 'wpb['.BOX_TOP.']['.BOX_RIGHT.']', $wposbox[$conf][BOX_TOP][BOX_RIGHT]);
echo '
            </td>
          </tr>
        </table>
      </fieldset>

      <table style="text-align:center;width:100%;border:none">
        <tr>
          <td style="vertical-align:top;width:30%;">
            <fieldset>'.legend($admin[337]);
WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_LEFT.']', $xposbox[$conf][BOX_LEFT], SelectBoxes($boxes, BOX_LEFT), true, true);
echo '
            </fieldset>
          </td>
          <td style="vertical-align:top;width:40%;">
            <fieldset>'.legend($admin[1075], '10px');
WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_ABOVE.']', $xposbox[$conf][BOX_ABOVE], SelectBoxes($boxes, BOX_ABOVE), true, true);

echo '
            </fieldset>
            <p class="quest" style="text-align:center;line-height:75px;margin:50px 0;font-weight:bold;font-size:1.5em;">'.$admin[878].'</p>
            <fieldset>'.legend($admin[1076], '10px');
WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_UNDER.']', $xposbox[$conf][BOX_UNDER], SelectBoxes($boxes, BOX_UNDER), true, true);
echo '
            </fieldset>
          </td>
          <td style="vertical-align:top;width:30%;">
            <fieldset>'.legend($admin[338]);
WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_RIGHT.']', $xposbox[$conf][BOX_RIGHT], SelectBoxes($boxes, BOX_RIGHT), true, true);
echo '
            </fieldset>
          </td>
        </tr>
      </table>
      <fieldset>'.legend($admin[1074]).'
        <table style="text-align:center;width:100%;">
          <tr>
            <td style="padding: 4px;">';
if (empty($wposbox[$conf]))
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_BOTTOM.']['.BOX_LEFT.']', $xposbox[$conf][BOX_BOTTOM][BOX_LEFT], SelectBoxes($boxes, BOX_BOTTOM), true, true, 'wpb['.BOX_BOTTOM.']['.BOX_LEFT.']');
else
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_BOTTOM.']['.BOX_LEFT.']', $xposbox[$conf][BOX_BOTTOM][BOX_LEFT], SelectBoxes($boxes, BOX_BOTTOM), true, true, 'wpb['.BOX_BOTTOM.']['.BOX_LEFT.']', $wposbox[$conf][BOX_BOTTOM][BOX_LEFT]);
echo '
            </td>
            <td style="padding: 4px;">';
if (empty($wposbox[$conf]))
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_BOTTOM.']['.BOX_CENTER.']', $xposbox[$conf][BOX_BOTTOM][BOX_CENTER], SelectBoxes($boxes, BOX_BOTTOM), true, true, 'wpb['.BOX_BOTTOM.']['.BOX_CENTER.']');
else
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_BOTTOM.']['.BOX_CENTER.']', $xposbox[$conf][BOX_BOTTOM][BOX_CENTER], SelectBoxes($boxes, BOX_BOTTOM), true, true, 'wpb['.BOX_BOTTOM.']['.BOX_CENTER.']', $wposbox[$conf][BOX_BOTTOM][BOX_CENTER]);
echo '
            </td>
            <td style="padding: 4px;">';
if (empty($wposbox[$conf]))
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_BOTTOM.']['.BOX_RIGHT.']', $xposbox[$conf][BOX_BOTTOM][BOX_RIGHT], SelectBoxes($boxes, BOX_BOTTOM), true, true, 'wpb['.BOX_BOTTOM.']['.BOX_RIGHT.']');
else
	WriteColumnSelectBoxes('xpb['.$conf.']['.BOX_BOTTOM.']['.BOX_RIGHT.']', $xposbox[$conf][BOX_BOTTOM][BOX_RIGHT], SelectBoxes($boxes, BOX_BOTTOM), true, true, 'wpb['.BOX_BOTTOM.']['.BOX_RIGHT.']', $wposbox[$conf][BOX_BOTTOM][BOX_RIGHT]);
echo '
            </td>
          </tr>
        </table>
      </fieldset>
';

echo '
      <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>
    </form>
  </div>
</div>';

btable();
include CHEMIN."admin/bpage.inc";
?>