<?php
/*******************************************************************************
 *   Admin Configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.01.00 (June 12, 2015)      : registration correction for hostings with data caching
 *                               : improvement for a mobile-friendly structure
 * v5.01.07 (January 04, 2016)   : corrections for php 7.1.x conformity
 * v5.02.01 (August 28, 2017)    : independence of the admin part
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 * v5.02.03 (February 01, 2018)  : skins rotator by dates
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'config9.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[1] == '') {
        $nomzone = $admin[888];
        include 'access.inc';
        exit();
    }
}

$regit    = import('regit');
$page9    = import('page9');
$page11   = import('page11');
$page12   = import('page12');
$page14   = import('page14');
$page20   = import('page20');
$page23   = import('page23');
$page27   = import('page27');
$daterota = import('daterota');
$skinrota = import('skinrota');

if ($regit == 1) {
    $messreg = ' OK';
    $meskin  = CHEMIN.'skins/'.$selskin.'/';
    if (is_file ($meskin.'confskin.inc')){
        include $meskin.'confskin.inc';
    } else {
        include CHEMIN.'skins/no_skin/confskin.inc';
    }
    if ($page12 != $page[12] && $page12 != 'none') {
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/cool.gif', CHEMIN.'inc/img/smileys/cool.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/wink.gif', CHEMIN.'inc/img/smileys/wink.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/biggrin.gif', CHEMIN.'inc/img/smileys/biggrin.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/smile.gif', CHEMIN.'inc/img/smileys/smile.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/frown.gif', CHEMIN.'inc/img/smileys/frown.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/eek.gif', CHEMIN.'inc/img/smileys/eek.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/mad.gif', CHEMIN.'inc/img/smileys/mad.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/confused.gif', CHEMIN.'inc/img/smileys/confused.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/rolleyes.gif', CHEMIN.'inc/img/smileys/rolleyes.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/tongue.gif', CHEMIN.'inc/img/smileys/tongue.gif');
        copy(CHEMIN.'inc/img/smileys/'.$page12.'/cry.gif', CHEMIN.'inc/img/smileys/cry.gif');
    }
    $page[9]  = $page9; // Thème d'icônes
    $page[11] = $page11; // Thème de compteur de visites
    $page[20] = $page20; // Rollover sur les icnes
    include 'inc/confskin.inc';
    include CONFIG;
    $page[12] = $page12; // Thème smileys
    $page[14] = $page14; // Thème skins
    $page[23] = $page23; // Thème avatars
    $page[27] = $page27; // Thème général
    include 'inc/confupdt.inc';
    if ($site[7] == 'on') {
        flush();
        sleep($site[8]);
        header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=config9');
    }
}

if ($regit == 2) {
    $addrota   = true;
    $rotaskins = @file(CHEMIN.'data/config/rotaskins.dtb');
    if (!empty($rotaskins)) {
        foreach ($rotaskins as $rotaskin) {
            $rota = explode(CONNECTOR, $rotaskin);
            if ($rota[0] == substr($daterota.'0000', 0, 12)) {
                $addrota = false;
                break;
            }
        }
    }
    if ($addrota) {
        $rotas  = ReadFullDB(CHEMIN.'data/config/rotaskins.dtb');
        $rotas .= (empty($rotas) || $rotas[strlen($rotas)-1] == chr(10) ? '' : chr(10)).substr($daterota.'0000', 0, 12).CONNECTOR.$skinrota;
        WriteFullDB(CHEMIN.'data/config/rotaskins.dtb', $rotas);
    } else {
        echo BeginJavascript().'alert("'.$admin[1746].'");'.EndJavascript();
    }
}

if ($regit == 3) {
    $rotaskins = @file(CHEMIN.'data/config/rotaskins.dtb');
    $rotas     = '';
    foreach ($rotaskins as $rotaskin) {
        $rota = explode(CONNECTOR, $rotaskin);
        if ($rota[0] != $daterota) $rotas .= $rotaskin;
    }
    WriteFullDB(CHEMIN.'data/config/rotaskins.dtb', $rotas);
}

include CONFIG;
$selskin = is_file(CHEMIN.'skins/'.$selskin.'/confskin.inc') ? $selskin : 'no_skin';
$meskin = CHEMIN.'skins/'.$selskin.'/';
if (is_file ($meskin.'confskin.inc')) {
    include $meskin.'confskin.inc';
} else {
    die('Skin not found : '.$meskin);
}

$headinc .= BeginJavascript().'
function preview(formName, selectName, buttonName) {
    var optSel = document.forms[formName].elements[selectName].selectedIndex;
    optSel = (optSel != -1) ? optSel : 0;
    var optVal = document.forms[formName].elements[selectName].options[optSel].value;
    PopupWindow("'.CHEMIN.'admin/preview.php?lng='.$lng.'&cat=" + buttonName + "&opt=" + optVal,"preview", 400, 300, "yes", "yes");
    return;
}'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[67]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';

$theme        = ExploreDir('inc/img/icons/');
$countheme    = ExploreDir('inc/img/counter/');
$smileystheme = ExploreDir('inc/img/smileys/');
$skintheme    = ExploreDir('skins/');
$progbartheme = ExploreDir('inc/img/progbar/');
$avatartheme  = ExploreDir('inc/img/avatars/');
$generaltheme = ExploreDir('inc/img/general/');

htable($admin[67], '100%');

function GetSelector($inputname = 'idselector', $default = '') {
    return '<input size="8" class="texte" type="text" id="'.$inputname.'" name="'.$inputname.'" value="'.$default.'" />'.
           '<input id="'.$inputname.'btn" name="'.$inputename.'btn" type="button" value="    " onclick="opencolorselector(\''.$inputename.'\', event)" style="background:'.$default.'" />';
}

if (isset($selskin)) $skn = '&amp;selskin='.$selskin;
echo '
<div style="text-align:center;"><p>'.ToHelp($lng, 'config9').'<br />'.$admin[889].'<br /><br /></p>
  <hr />
</div>
<div style="width:514px;margin:auto;">
  <form name="conf9" action="admin.php?lng='.$lng.'&amp;pg=config9" method="post">
	<input type="hidden" name="regit" value="1" />
	<fieldset>'.legend($admin[344]).'
	  <table style="width:100%;">
		<tr style="text-align:left;">
		  <td colspan="2"><p class="forum2" style="text-align:center;"> --------- '.$admin[891].' ----------</p><br /></td>
		</tr>
		<tr style="text-align:left;">
		  <td><p>&bull; '.$admin[550].'</p></td>
		  <td>
		    <select name="page14">';
for ($i = 0; $i < count($skintheme); $i++) {
	echo '
			  <option value="'.$skintheme[$i].'"'.Selected($page[14] == $skintheme[$i]).'>'.$skintheme[$i].'</option>';
}
echo '
			</select>
		  </td>
		</tr>
		<tr style="text-align:left;vertical-align:middle;">
		  <td><p>&bull; '.$admin[370].'</p></td>
		  <td>
		    <select name="page12">
			  <option value="none"'.Selected($page[12] == 'none').'>'.$admin[1681].'</option>';
for ($i = 0; $i < count($smileystheme); $i++) {
	echo '
			  <option value="'.$smileystheme[$i].'"'.Selected($page[12] == $smileystheme[$i]).'>'.$smileystheme[$i].'</option>';
}
echo '
			</select>&nbsp;
			<button type="button" style="border:0;background-color: transparent;" name="smileys_preview" onclick="preview(\'conf9\', \'page12\', this.name);" title="'.$admin[190].' ?">
			  <img src="'.$reptheme.'/look.png" alt="'.$admin[190].' ?" />
			</button>
		  </td>
		</tr>
		<tr style="text-align:left;">
		  <td><p>&bull; '.$admin[809].'</p></td>
		  <td>
		    <select name="page23">
			  <option value="none"'.Selected($page[23] == 'none').'>'.$admin[1681].'</option>';
for ($i = 0; $i < count($avatartheme); $i++) {
	echo '
			  <option value="'.$avatartheme[$i].'"'.Selected($page[23] == $avatartheme[$i]).'>'.$avatartheme[$i].'</option>';
}
echo '
			</select>&nbsp;
			<button type="button" name="avatars_preview" onclick="preview(\'conf9\', \'page23\', this.name);" style="border:0;background-color: transparent;" title="'.$admin[190].' ?">
			  <img src="'.$reptheme.'/look.png" alt="'.$admin[190].' ?" />
			</button>
		  </td>
		</tr>
		<tr style="text-align:left;">
		  <td><p>&bull; '.$admin[1334].'</p></td>
		  <td>
		    <select name="page27">';
for ($i = 0; $i < count($generaltheme); $i++) {
	echo '
			  <option value="'.$generaltheme[$i].'"'.Selected($page[27] == $generaltheme[$i]).'>'.$generaltheme[$i].'</option>';
}
echo '
			</select>&nbsp;
			<button type="button" name="general_preview" onclick="preview(\'conf9\', \'page27\', this.name);" style="border:0;background-color: transparent;" title="'.$admin[190].' ?">
			  <img src="'.$reptheme.'/look.png" alt="'.$admin[190].' ?" />
			</button>
		  </td>
		</tr>
		<tr style="text-align:left;">
		  <td colspan="2"><br /><p class="forum2" style="text-align:center;"> --------- '.$admin[888].' : <b>'.$selskin.'</b> ----------</p><br /></td>
		</tr>
		<tr style="text-align:left;">
		  <td width="50%"><p>&bull; '.$admin[306].'</p></td>
		  <td width="50%">
		    <select name="page9">
			  <option value="">'.$admin[307].'</option>';
for ($i = 0; $i < count($theme); $i++) {
	echo '
			  <option value="'.$theme[$i].'"'.Selected($page[9] == $theme[$i]).'>'.$theme[$i].'</option>';
}
echo '
			</select>&nbsp;
			<button type="button" name="icons_preview" onclick="preview(\'conf9\', \'page9\', this.name);" style="border:0;background-color: transparent;" title="'.$admin[190].' ?">
			  <img src="'.$reptheme.'/look.png" alt="'.$admin[190].' ?" />
			</button>
			<br />'.$admin[807].' <input type="checkbox" name="page20" '.Checked($page[20]).' />
		  </td>
		</tr>
		<tr style="text-align:left;">
		  <td><p>&bull; '.$admin[345].'</p></td>
		  <td>
		    <select name="page11">
			  <option value="">'.$admin[513].'</option>';
for ($i = 0; $i < count($countheme); $i++) {
	echo '
			  <option value="'.$countheme[$i].'"'.Selected($page[11] == $countheme[$i]).'>'.$countheme[$i].'</option>';
}
echo '
			</select>&nbsp;
			<button type="button" name="counter_preview" onclick="preview(\'conf9\', \'page11\', this.name);" style="border:0;background-color: transparent;" title="'.$admin[190].' ?">
			  <img src="'.$reptheme.'/look.png" alt="'.$admin[190].' ?" />
			</button>
		  </td>
		</tr>
	  </table>
	</fieldset>
	<input type="hidden" name="selskin" value="'.$selskin.'" />
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
  <a id="rotaskin"></a>
  <form name="conf91" action="admin.php?lng='.$lng.'&amp;pg=config9#rotaskin" method="post">
	<input type="hidden" name="regit" value="2" />
	<fieldset>'.legend($admin[1742]).'
	  <table style="width:100%;">
		<tr style="text-align:left;vertical-align:middle;">
		  <td><p>&bull; '.$admin[1743].'</p></td>
		  <td>
		    <select name="skinrota">';
for ($i = 0; $i < count($skintheme); $i++) {
	echo '
			  <option value="'.$skintheme[$i].'"'.Selected($page[14] == $skintheme[$i]).'>'.$skintheme[$i].'</option>';
}
echo '
			</select>
          </td>
		</tr>
		<tr style="text-align:left;vertical-align:middle;">
		  <td><p>&bull; '.$admin[1744].'</p></td>
		  <td><input type="text" name="daterota" size="12" /></td>
		</tr>
	  </table>
      <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[1745], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>';
if (is_file(CHEMIN.'data/config/rotaskins.dtb')) {
    $rotaskins = @file(CHEMIN.'data/config/rotaskins.dtb');
    if (!empty($rotaskins)) {
        echo '
      <fieldset>';
        sort($rotaskins);
        foreach($rotaskins as $rotaskin) {
            $rota = explode(CONNECTOR, $rotaskin);
            echo '
        <div style="line-height: 20px;">
          '.FormatDate($rota[0]).'  ==>  '.$rota[1].'
          <span style="float:right;">
            <img src="'.CHEMIN.'admin/inc/img/files/sup.gif" alt="X" title="'.$admin[186].'"  style="cursor: pointer;" 
              onclick="self.location.href=\'admin.php?lng='.$lng.'&pg=config9&regit=3&daterota='.$rota[0].'#rotaskin\'" />
          </span>
        </div>';
        }
        echo '
      </fieldset>';
    }
}
echo '
    </fieldset>
  </form>
</div>
<div style="text-align:center;">';
if (isset($selskin)) $skn = '&amp;selskin='.$selskin;
echo '
</div>';

btable();
include CHEMIN.'admin/bpage.inc';
?>