<?php
/*******************************************************************************
 *   Zone members configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.1 (March 8, 2014)        : correction of chmod folders
 * v5.0.5 (June 02, 2014)        : removal of members not connected since n days
 *                               : corrected suppress of collaborating members
 *                               : add member research by email
 * v5.0.6 (Jujy 02, 2014)        : adding an email following the removal of a member
 * v5.0.7 (August 21, 2014)      : adding count of members
 *                               : improvement of management members
 * v5.0.8 (October 02, 2014)     : corrected member search
 * v5.0.9 (November 28, 2014)    : improvement of member research
 * v5.00.10 (December 29, 2014)  : improvement of management members and groups
 * v5.00.11 (March 2, 2015)      : corrected members suppressions
 * v5.01.00 (June 12, 2015)      : registration correction for hostings with data caching
 *                               : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 * v5.01.07 (January 04, 2016)   : corrections for php 7.1.x conformity
 * v5.02.00 (May 09, 2017)       : notification of private messages if allowed by member
 * v5.02.01 (August 28, 2017)    : change $admin[846] to $admin[472]
 *                               : independence of the admin part
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 *                               : improving the complete deletion of a member
 * v5.02.03 (February 01, 2018)  : deleting collaborator in admin protection file
 *                               : protection of access to the main admin
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'members.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[10] == '') {
        $nomzone = $admin[816];
        include 'access.inc';
        exit();
    }
}

$regit   = import('regit');
$act     = import('act');
$idpg    = import('idpg');
$del     = import('del');
$acc     = import('acc');
$susp    = import('susp');
$suppr   = import('suppr');
$group   = import('group');
$member  = import('member');
$msg1    = import('msg1');
$msg2    = import('msg2');
$msg3    = import('msg3');
$msg4    = import('msg4', 'POST', FALSE);
$usearch = import('usearch');
$search  = import('search');
$depuis  = import('depuis');
$tri     = import('tri');
$nokey   = import('nokey', 'GET', TRUE, 0);

if ($regit == 'fast') {
    $dbids = explode(' ', trim(import('ids')));
    $grps  = ReadGroups();
    $lst   = $grps[$group];
    @usort($lst, 'AsciiCompare');
    $mess = '';
    foreach ($dbids as $ii) {
        $member = $lst[$ii];
        if (isset($_POST['s_'.$ii]) && $_POST['s_'.$ii] == 'on') {
            $mess .= DelMember($group, $member) ? ucfirst($admin[928]).' '.$group.' : '.$admin[1693].' '.$member.$admin[930].' !<br />' : ucfirst($admin[1693]).' '.$member.' '.mb_strtolower($admin[1604], $charset).$admin[930].' !<br />';
        }
    }
    $act = 6;
}

if ($regit == 1) {
    include CONFIG;
    $members[0]  = import('members0'); // Activation de la zone membres
    $members[1]  = import('members1'); // Zone membre accès à la section Articles
    $members[2]  = import('members2'); // Zone membre accès à la section Photo
    $members[3]  = import('members3'); // Zone membre accès à la section Liens
    $members[4]  = import('members4'); // Zone membre accès à la section FAQ
    $members[5]  = import('members5'); // Zone membre accès à la section Forum
    $members[6]  = import('members6'); // Zone membre accès à la section Statistiques
    $members[7]  = import('members7'); // Zone membre accès à la section Téléchargement
    $members[8]  = import('members8'); // Zone membre accès publication Nouvelles
    $members[9]  = import('members9'); // Zone membre accès publication Livre d'Or
    $members[10] = import('members10'); // Zone membre accès publication Forum
    $members[11] = import('members11'); // Zone membre accès publication Réactions aux articles
    $members[12] = import('members12'); // Zone membre accès à la section Livre d'Or
    $members[13] = import('members13'); // Zone membre accès à la section Nouvelles
    $members[14] = import('members14'); // Zone membre accès à la section Agenda
    $members[15] = import('members15'); // Zone membre accès à la section Blog
    $members[16] = import('members16'); // Zone membre accès publication Blog
    $members[17] = import('members17'); // Zone membre accès à publication Commentaires blogs
    $members[18] = import('members18'); // Zone membre accès à inscription Newsletter
    $members[20] = import('members20'); // Zone membre accès contact avancé
    include('inc/confupdt.inc');
    if ($site[7] == 'on') {
        flush();
        sleep($site[8]);
        header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=members&act=1');
    }
}
if ($regit == 2) {
    include CONFIG;
    $menuico[11] = import('menuico11'); // Icône connexion
    $nom[50]     = import('nom50', 'POST', false); // Bouton Connexion langue principale
    $nom[51]     = import('nom51', 'POST', false); // Bouton connexion deuxième langue
    $nom[52]     = import('nom52', 'POST', false); // Bouton déconnexion langue principale
    $nom[53]     = import('nom53', 'POST', false); // Bouton déonnexion deuxième langue
    include('inc/confupdt.inc');
    if ($site[7] == 'on') {
        flush();
        sleep($site[8]);
        header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=members&act=2');
    }
}
if ($regit == 3) {
    include CONFIG;
    $members[19] = import('members19'); // Inscription membres on/off/mail/ok webmaster
    include('inc/confupdt.inc');
    if ($site[7] == 'on') {
        flush();
        sleep($site[8]);
        header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=members&act=2');
    }
}
include CONFIG;
if (is_file(CHEMIN.'skins/'.$page[14].'/confskin'.INCEXT)){
    include CHEMIN.'skins/'.$page[14].'/confskin'.INCEXT;
} else {
    include CHEMIN.'skins/no_skin/confskin'.INCEXT;
}

if ($act == 3)
	$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
    var lng2   = "'.$lang[1].'";

    var m1 = document.membmsg.msg1.value;
    if (m1.length < 3) {
        sto += "  - '.addslashes($admin[1692].$admin[1177]).'\n";
		document.membmsg.msg1.className = "errorInputText";
        erreur = true;
    }
    if (erreur == true) {
        sto = "'.addslashes($admin[1695]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$err_msg1 = empty($msg1) && $regit == 4 ? true: false;
$err_msg2 = empty($msg2) && $regit == 4 && $lang[1] != '' ? true: false;
$erreur  = '';
$erreur .= $err_msg1 ? '<li>'.$admin[1692].$admin[1177].'</li>': '';
$erreur .= $err_msg2 ? '<li>'.$admin[1692].$admin[1178].'</li>': '';
if (!empty($erreur) && $act == 4 && $regit == 4) $act = 3;

include_once CHEMIN.'inc/func_groups.php';

function InputSelectGroups($name, $value) {
    global $admin, $dbgroups;
    $out = '
          <select name="'.$name.'">
            <option value=""> -- '.$admin[1604].' -- </option>
			<option value="all_members"'.Selected('all_members' == $value).'>'.$admin[690].'</option>';
    foreach ($dbgroups as $dbgroup) {
        $out .= '
            <option value="'.$dbgroup[0].'"'.Selected($dbgroup[0] == $value).'>'.$dbgroup[0].'</option>';
    }
    $out .= '
          </select>';
    return $out;
}

################################################################################
// config zone membres
if($act == 1) {
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[829]);
	include CHEMIN.'admin/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[829], '100%');
    $dbgroups = ReadDBFields(GROUPS);
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members1').$admin[830].'</p>
<hr />
<div style="width:560px; margin:auto;">
  <form name="members" action="admin.php?lng='.$lng.'&amp;pg=members" method="post">
    <input type="hidden" name="regit" value="1" />
    <input type="hidden" name="act" value="1" />
    <br />
    <table style="text-align:center;margin:auto;">
      <tr>
	    <td colspan="2" style="text-align:center;">
		    <div style="float:left;padding:0 8px 0 24px;">
			  <b>'.$admin[832].'</b>
			  <input type="checkbox" name="members0"'.Checked($members[0]).' />
			</div>
		    <div class="pop" style="width:32px;margin-top:-6px;">
			  <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			  <span style="left:-186px; width:200px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[17].'</span></a>
		    </div>
	    </td>
	  </tr>
    </table>
    <br />
    <div style="width:90%;margin:auto;">
      <fieldset><legend>'. $admin[831].'</legend>
        <br />
        <table style="margin:auto;width:80%;">
		  <tr><td style="width:70%;">&bull; '.$admin[833].'</td><td>'.InputSelectGroups('members1', $members[1]).'</td></tr>
		  <tr><td>&bull; '.$admin[834].'</td><td>'.InputSelectGroups('members2', $members[2]).'</td></tr>
		  <tr><td>&bull; '.$admin[835].'</td><td>'.InputSelectGroups('members3', $members[3]).'</td></tr>
		  <tr><td>&bull; '.$admin[836].'</td><td>'.InputSelectGroups('members4', $members[4]).'</td></tr>
		  <tr><td>&bull; '.$admin[837].'</td><td>'.InputSelectGroups('members5', $members[5]).'</td></tr>
		  <tr><td>&bull; '.$admin[838].'</td><td>'.InputSelectGroups('members6', $members[6]).'</td></tr>
		  <tr><td>&bull; '.$admin[839].'</td><td>'.InputSelectGroups('members7', $members[7]).'</td></tr>
		  <tr><td>&bull; '.$admin[840].'</td><td>'.InputSelectGroups('members12', $members[12]).'</td></tr>
		  <tr><td>&bull; '.$admin[841].'</td><td>'.InputSelectGroups('members13', $members[13]).'</td></tr>
		  <tr><td>&bull; '.$admin[651].'</td><td>'.InputSelectGroups('members14', $members[14]).'</td></tr>
		  <tr><td>&bull; '.$admin[770].'</td><td>'.InputSelectGroups('members15', $members[15]).'</td></tr>
		  <tr><td>&bull; '.$admin[547].'</td><td>'.InputSelectGroups('members18', $members[18]).'</td></tr>
		  <tr><td>&bull; '.$admin[1180].'</td><td>'.InputSelectGroups('members20', $members[20]).'</td></tr>
	    </table>
      </fieldset>
      <br />
      <fieldset><legend>'. $admin[842].'</legend>
        <br />
        <table style="margin:auto;width:80%;">
		  <tr><td style="width:70%;">&bull; '.$admin[843].'</td><td>'.InputSelectGroups('members8', $members[8]).'</td></tr>
		  <tr><td>&bull; '.$admin[844].'</td><td>'.InputSelectGroups('members9', $members[9]).'</td></tr>
		  <tr><td>&bull; '.$admin[845].'</td><td>'.InputSelectGroups('members10', $members[10]).'</td></tr>
		  <tr><td>&bull; '.$admin[472].'</td><td>'.InputSelectGroups('members11', $members[11]).'</td></tr>
		  <tr><td>&bull; '.$admin[773].'</td><td>'.InputSelectGroups('members16', $members[16]).'</td></tr>
		  <tr><td>&bull; '.$admin[774].'</td><td>'.InputSelectGroups('members17', $members[17]).'</td></tr>
	    </table>
      </fieldset>
      <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>
    </div>
  </form>
</div>';
}
################################################################################
// gestion membres
elseif ($act == 2) {
	$deladmins = array();
	
	function DeleteRedac($redacname) {
		global $deladmins;
		$dbredac = array();
		$file_redac = opendir(REDACREP);
		while ($nomfichier = readdir($file_redac)) {
			if( substr($nomfichier, -3) == 'inc' ) {
				$dbredac[] = str_replace(substr($nomfichier, -4), '', $nomfichier);
			}
		}
		closedir($file_redac);
		foreach ($dbredac as $redac) {
			if ($redac == $redacname) {
				DestroyDBFile(REDACREP.$redacname.'.inc');
				$deladmins[] = $redacname;
				break;
			}
		}
	}
	
    if (!empty($del)) {
        DestroyDBFile(MSGREP.$del.DBEXT);
        DestroyDBFile(COUNTMSGREP.$del.DBEXT);
		DeleteRedac($del);
        DeleteMemberProtect($del);
        DestroyMember($del);
        DestroyMemberCol($del);
    }
    if (!empty($acc)) {
		$userdb        = ReadDBFields(MSGREP.$acc.DBEXT);
		$uuid          = $userdb[0][0];
		$okmail        = $uuid != $userdb[1][8];
		$userdb[0][0]  = $uuid == $userdb[1][8] ? $userdb[1][8] : md5($uuid);
		$userdb[1][31] = 'ok';
		WriteDBFields(MSGREP.$acc.DBEXT, $userdb);
		if ($okmail) {
			$to    = $userdb[1][3];
			$sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$admin[1696];
			$body  = $admin[1632].sprintf($admin[1697], $acc, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
			$body .= $admin[1013].' '.$acc.'<br />'.$admin[1634].' : '.$uuid.'<br />'.$admin[1698];
			$body .= '<a href="'.$site[3].'index.php?lng='.$lng.'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
			$body .= $admin[1635].'<br />'.$user[0].'<br />';
			eMailHtmlTo($sujet,$body,$to);
		}
    }
	if (!empty($susp) && $susp != $userprefs[1]) {
		$userdb = ReadDBFields(MSGREP.$susp.DBEXT);
		$userdb[1][13] = $userdb[1][13] == 'on' ? 'off' : 'on';
		WriteDBFields(MSGREP.$susp.DBEXT, $userdb);
        $to = $userdb[1][3];
		if ($userdb[1][13] == 'on') {
            $sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$admin[696];
            $body  = $admin[1629].sprintf($admin[852], $susp, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
            $body .= '<a href="'.$site[3].'index.php?lng='.$lng.'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
            eMailHtmlTo($sujet, $body, $to);
		}
		else {
            $sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$admin[696];
            $body  = $admin[1629].sprintf($admin[1136], $susp, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
            $body .= $admin[1699].'<br />'.$user[($lang[0] == $lng ? 0 : 11)].'<br />';
            eMailHtmlTo($sujet, $body, $to);
		}
	}
	if ($suppr == 'ok') {
		$datesup    = date('Ymd', time() - ($depuis * 24 * 3600));
		$file_users = opendir(MSGREP);
        set_time_limit(0);
		while ($nomfichier = readdir($file_users)) {
			if (substr($nomfichier, -3) == 'dtb') {
				$pseudo = str_replace(substr($nomfichier, -4), '', $nomfichier);
				if ($pseudo != $userprefs[1]) {
					$userdb = ReadDBFields(MSGREP.$nomfichier);
					$to     = $userdb[1][3];
					$ok1    = substr($userdb[1][15], 0, 8) > substr($userdb[1][14], 0, 8);
					$del    = $ok1 ? substr($userdb[1][15], 0, 8) < $datesup : substr($userdb[1][14], 0, 8) < $datesup;
					if ($del) {
						DestroyDBFile(MSGREP.$nomfichier);
						DeleteRedac($pseudo);
					}
				}
			}
		}
		closedir($file_users);
	}
	if (!empty($deladmins)) {
		$deladmins = array_unique($deladmins);
		$admins    = ReadDBFields(ADMINS);
		$dbadmin   = array();
		foreach ($admins as $adm) {
			foreach ($deladmins as $del) {
				if ($adm[0] != $del) $dbadmin[] = $adm;
			}
		}
		WriteDBFields(ADMINS, $dbadmin);
	}
	unset($deladmins);
    $dbusers = array();
    $file_users = opendir(MSGREP);
    while ($nomfichier = readdir($file_users)) {
        if (substr($nomfichier, -3) == 'dtb') {
			$pseudo = str_replace(substr($nomfichier, -4), '', $nomfichier);
			if ($pseudo == $userprefs[1]) {
				$dbusers[] = array('pseudo' => $pseudo, 'ok' => 'on', 'reg' => $userprefs[13], 'date' => $userprefs[14]);
			} else {
				$userdb = ReadDBFields(MSGREP.$nomfichier);
				if (isset($userdb[1][13])) {
					$userdb[1][31] = empty($userdb[1][31]) ? '0' : $userdb[1][31];
					$dbusers[] = array('pseudo' => $pseudo, 'ok' => $userdb[1][13], 'reg' => $userdb[1][14], 'date' => $userdb[1][15], 'mail' => $userdb[1][3], 'status' => $userdb[1][31], 'web' => $userdb[1][10]);
				}
			}
        }
    }
    closedir($file_users);
	sort($dbusers);
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.$admin[696];
	include CHEMIN.'admin/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[696], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members2').$admin[701].$admin[700].'<br /></p>
<hr /><br />
<div style="width:900px;margin:auto;">
  <fieldset style="border:0;margin:-20px -15px 10px -15px;">
    <fieldset style="float:left;width:420px;height:'.($lang[1] != '' ? 180 : 116).'px;">
      <form name="membconnect" action="admin.php?lng='.$lng.'&amp;pg=members" method="post">
        <input type="hidden" name="regit" value="2" />
        <input type="hidden" name="act" value="2" />
        <table style="width:400px;margin:auto;text-align:center;">
          <tr>
	        <td colspan="2" style="text-align:center;">
              <label><strong>'.$admin[703].'</strong><input name="menuico11" type="checkbox" '.Checked($menuico[11]).' /></label>
	        </td>
          </tr>
          <tr class="rep">
            <td style="vertical-align:middle; text-align:center;">'.$admin[704].'</td>
            <td>'.($lang[1] != '' ? '<img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />' : '').'
	          <input class="texte" type="text" name="nom50" value="'.$nom[50].'" size="20" />'.
	          ($lang[1] != '' ? '<br /><img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />
	          <input class="texte" type="text" name="nom51" value="'.$nom[51].'" size="20" />' : '').'
	        </td>
          </tr>
          <tr class="rep">
            <td style="vertical-align:middle;text-align:center;">'.$admin[705].'</td>
            <td>'.($lang[1] != '' ? '<img src="'.$flag1.'" alt="'.$flag1.'" style="vertical-align:middle" />' : '').'
	          <input class="texte" type="text" name="nom52" value="'.$nom[52].'" size="20" />'.
	          ($lang[1] != '' ? '<br /><img src="'.$flag2.'" alt="'.$flag2.'" style="vertical-align:middle" />
	          <input class="texte" type="text" name="nom53" value="'.$nom[53].'" size="20" />' : '').'
	        </td>
          </tr>
          <tr><td colspan="2" style="text-align:center;">'.SubmitButton($admin[38]).'</td></tr>
        </table>
      </form>
    </fieldset>
    <fieldset style="float:right;width:440px;height:'.($members[19] == '3' ? 84 : 60).'px;margin-right:-14px;">
      <form name="membnew" action="admin.php?lng='.$lng.'&amp;pg=members" method="post">
        <input type="hidden" name="regit" value="3" />
        <input type="hidden" name="act" value="2" />
        <p style="text-align:center;"><strong>'.$admin[1283].' :&nbsp;</strong>
          <select name="members19" onchange="javascript:membnew.submit();">
            <option value = ""'.Selected($members[19] == "").'>'.$admin[1300].'</option>
            <option value = "0"'.Selected($members[19] == "0").'>'.$admin[1301].'</option>
            <option value = "1"'.Selected($members[19] == "1").'>'.$admin[1302].'</option>
            <option value = "2"'.Selected($members[19] == "2").'>'.$admin[1303].'</option>
            <option value = "3"'.Selected($members[19] == "3").'>'.$admin[1277].'</option>
          </select>
          <input type="image" src="'.$reptheme.'/tolist.png" alt="'.$admin[144].'" title="'.$admin[144].'" style="vertical-align:middle;" />
        </p>
      </form>';
	if ($members[19] == '3') {
		echo '
      <form name="newmember" action="admin.php?lng='.$lng.'&amp;pg=compte&amp;uuser=new" method="post">
        <p style="text-align:center;">'.SubmitButton($admin[1278]).'</p>
      </form>';
	}
	$nbdb = count($dbusers);
	echo '
    </fieldset>
  </fieldset>
  <a id="lstmemb"></a>
  <fieldset style="margin:auto;width:100%;margin-top:-14px;">'.legend(sprintf($admin[1428], $nbdb)).'
	<fieldset style="border:0;margin:0 -10px -10px -10px;">
      <fieldset style="float:left;width:465px;height:54px;">'.legend($admin[1429]).'
        <form name="searchname" method="post" action="admin.php?lng='.$lng.'&amp;pg=members#lstmemb">
	      <input type="hidden" name="search" value="ok" />
          <input type="hidden" name="act" value="2" />
	      <div style="margin:auto;text-align:center;">'.$admin[517].' / '.$admin[199].' <input type="text" class="texte" name="usearch" value="'.$usearch.'" size="36" />&nbsp;&nbsp;'.SubmitButton($admin[1700]).'</div>
        </form>';
    if (!empty($usearch)) {
        $nm = $nokey - 1;
        $np = $nokey + 1;
        echo '
      <div style="text-align:center;margin:auto;margin-top:-3px;">
        <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;search=ok&amp;act=2&amp;usearch='.$usearch.'&amp;nokey='.($nm).'#lstmemb" title=""><b>'.$admin[1701].'</b></a>&nbsp;&nbsp;
        <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;search=ok&amp;act=2&amp;usearch='.$usearch.'&amp;nokey='.($np).'#lstmemb" title=""><b>'.$admin[1702].'</b></a>
      </div>';
    }
    echo '
      </fieldset>
      <fieldset style="float:right;width:365px;height:54px;">'.legend($admin[1463]).'
        <form name="membersup" method="post" action="admin.php?lng='.$lng.'&amp;pg=members#lstmemb">
	      <input type="hidden" name="suppr" value="ok" />
          <input type="hidden" name="act" value="2" />
	      <div style="margin:auto;text-align:center;">'.$admin[1376].' : <input type="text" class="texte" name="depuis" size="10" />&nbsp;&nbsp;'.SubmitButton(ucfirst($admin[31])).'</div>
        </form>
      </fieldset>
	</fieldset>';
    if (empty($idpg)) {
        $idpg = 1;
    }
    else {
        while ($nbdb <= ($idpg - 1)* $serviz[75]) $idpg--;
    }
	if (empty($tri)) $tri = 'P';
	$tmpi   = 0;
	$tmp[0] = array();
	$tmp[1] = array();
	$tmp[2] = array();
	$tmp[3] = array();
	$tmp[4] = array();
	$tmp[5] = array();
	$tmp[6] = array();
	$tmp[7] = array();
	for ($i = 0; $i < $nbdb; $i++) {
		$tmp[0][$tmpi] = strtolower($dbusers[$i]['pseudo']);
		$tmp[1][$tmpi] = $dbusers[$i]['ok'];
		$tmp[2][$tmpi] = $dbusers[$i]['reg'];
		$tmp[3][$tmpi] = $dbusers[$i]['date'];
		$tmp[4][$tmpi] = $dbusers[$i]['mail'];
		$tmp[5][$tmpi] = $dbusers[$i]['status'];
		$tmp[6][$tmpi] = $dbusers[$i]['pseudo'];
		$tmp[7][$tmpi] = $dbusers[$i]['web'];
		$tmpi++;
	}
	if ($nbdb > 0 ) {
        switch ($tri) {
        case 'P' :
			$cr = array_multisort($tmp[0], SORT_ASC, $tmp[1], $tmp[2], $tmp[3], $tmp[4], $tmp[5], $tmp[6], $tmp[7]);
            break;
        case '-P' :
			$cr = array_multisort($tmp[0], SORT_DESC, $tmp[1], $tmp[2], $tmp[3], $tmp[4], $tmp[5], $tmp[6], $tmp[7]);
            break;
        case 'R' :
			$cr = array_multisort($tmp[2], SORT_ASC, $tmp[0], $tmp[1], $tmp[3], $tmp[4], $tmp[5], $tmp[6], $tmp[7]);
            break;
        case '-R' :
			$cr = array_multisort($tmp[2], SORT_DESC, $tmp[0], $tmp[1], $tmp[3], $tmp[4], $tmp[5], $tmp[6], $tmp[7]);
            break;
        case 'C' :
			$cr = array_multisort($tmp[3], SORT_ASC, $tmp[0], $tmp[1], $tmp[2], $tmp[4], $tmp[5], $tmp[6], $tmp[7]);
            break;
        case '-C' :
			$cr = array_multisort($tmp[3], SORT_DESC, $tmp[0], $tmp[1], $tmp[2], $tmp[4], $tmp[5], $tmp[6], $tmp[7]);
            break;
        case 'E' :
			$cr = array_multisort($tmp[5], SORT_ASC, $tmp[0], $tmp[1], $tmp[2], $tmp[3], $tmp[4], $tmp[6], $tmp[7]);
            break;
        case '-E' :
			$cr = array_multisort($tmp[5], SORT_DESC, $tmp[0], $tmp[1], $tmp[2], $tmp[3], $tmp[4], $tmp[6], $tmp[7]);
            break;
		}
		if ($search == 'ok' && !empty($usearch)) {
            $keys = array();
            $pseudos = array();
			for ($ii = 0; $ii < $nbdb; $ii++)
				if (strpos($tmp[0][$ii], strtolower($usearch)) !== false || strpos($tmp[4][$ii], trim($usearch)) !== false) {
					$keys[]    = $ii;
					$pseudos[] = $tmp[0][$ii];
				}
            $nokey   = min($nokey, count($keys));
            $nokey   = $nokey == count($keys) ? 0 : $nokey;
            $key     = $keys[$nokey];
            $spseudo = $pseudos[$nokey];
			$idpg    = floor($key / $serviz[75]) + 1;
		}
		$pseudoup    = $tri == 'P' ? 'up1': 'up';
		$pseudodown  = $tri == '-P' ? 'down1': 'down';
		$regup       = $tri == 'R' ? 'up1': 'up';
		$regdown     = $tri == '-R' ? 'down1': 'down';
		$connectup   = $tri == 'C' ? 'up1': 'up';
		$connectdown = $tri == '-C' ? 'down1': 'down';
		$stateup     = $tri == 'R' ? 'up1': 'up';
		$statedown   = $tri == '-R' ? 'down1': 'down';
		$navbar = GetNavBar('admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;tri='.$tri.'&amp;idpg=', $nbdb, $idpg, $serviz[75]);
		echo $navbar.'
    <br />
    <table style="width:100%;margin:auto;">
      <tr class="forum" style="height:64px;">
        <td style="width:24%;text-align:center;">
		  <div>
            <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;tri='.($tri == 'P' ? '-P' : 'P').'&amp;idpg='.$idpg.'#lstmemb" title="'.$admin[517].'">
		      <b>'.$admin[517].'</b><img src="inc/img/general/'.($tri == 'P' ? $pseudoup : $pseudodown).'.png" alt="'.($tri == 'P' ? $pseudoup : $pseudodown).'" />
            </a><b> / '.$admin[1014].'</b>
		  </div>
		</td>
        <td style="width:18%;text-align:center;"><div><b>'.ucfirst($admin[928]).'</b></div></td>
        <td style="width:17%;text-align:center;">
		  <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;tri='.($tri == 'R' ? '-R' : 'R').'&amp;idpg='.$idpg.'#lstmemb" title="'.$admin[1462].'">
		    <div><b>'.$admin[1462].'</b></div><div><img src="inc/img/general/'.($tri == 'R' ? $regup : $regdown).'.png" alt="'.($tri == 'R' ? $regup : $regup).'" /></div>
		  </a>
		</td>
        <td style="width:19%;text-align:center;">
		  <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;tri='.($tri == 'C' ? '-C' : 'C').'&amp;idpg='.$idpg.'#lstmemb" title="'.$admin[1663].'">
		    <div><b>'.$admin[1663].'</b></div><div><img src="inc/img/general/'.($tri == 'C' ? $connectup : $connectdown).'.png" alt="'.($tri == 'C' ? $connectup : $connectdown).'" /></div>
		  </a>
		</td>
        <td style="width:10%;text-align:center;"><div><b>'.$admin[186].'</b></div></td>
        <td style="width:6%;text-align:center;">
		  <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;tri='.($tri == 'E' ? '-E' : 'E').'&amp;idpg='.$idpg.'#lstmemb" title="'.$admin[851].'">
		    <div><b>'.$admin[851].'</b></div><div><img src="inc/img/general/'.($tri == 'E' ? $stateup : $statedown).'.png" alt="'.($tri == 'E' ? $stateup : $statedown).'" /></div>
		  </a>
		</td>
        <td style="width:6%;text-align:center;"><div><b>'.$admin[1019].'</b></div></td>
      </tr>';	
		$grps = ReadGroups();
		for ($i = $serviz[75]*($idpg-1); $i < Min($serviz[75]*$idpg, $tmpi); $i++) {
			$alt = $tmp[5][$i] == '1' || $tmp[5][$i] == '2' ? '?' : ($tmp[1][$i] == 'on' ? $admin[1021] : $admin[1020]);
			$img = $tmp[5][$i] == '1' || $tmp[5][$i] == '2' ? 'inconnu' : ($tmp[1][$i] == 'on' ? 'on' : 'off');
			$userdb = ReadDBFields(GROUPS);
			echo '
      <tr '.($i % 2 == 0 ? 'class="rep"' : 'class="quest"').' style="text-align:center;margin:auto;">
        <td style="text-align:left;'.($spseudo == $tmp[0][$i] ? 'background-color:#00FF00;' : '').'">'.$tmp[6][$i].
          ($tmp[4][$i] == '' ? '' : '
          <ul class="keyword keyword-horizontal" style="float:right;height:auto;">
            <li class="dir" style="margin:0 10px 0 5px;"><strong>=></strong>
              <ul>
                <li style="max-width:700px;">
                  <a href="mailto:'.$tmp[4][$i].'">'.$tmp[4][$i].'</a>
                  '.($tmp[7][$i] == '' ? '' : ' <a href="'.$tmp[7][$i].'" title="'.$tmp[7][$i].'" target="_blank">
                    <img src="'.$reptheme.'/site.png" alt="'.$admin[1038].'" style="height:16px;vertical-align:middle;padding-bottom:2px;" />
                  </a>').'
                </li>
              </ul>
            </li>
          </ul>').'
        </td>';
			echo '
        <td style="text-align:left;">';
			$dbgroup = ReadDBFields(GROUPS);
			for ($x = 0; $x < count($dbgroup); $x++) {
				for ($m = 0; $m < count($dbgroup[$x]); $m++) {
					if ($dbgroup[$x][$m] == $tmp[6][$i])
						echo $dbgroup[$x][0].'<br />';
				}
			}
			echo '
        </td>
        <td>'.FormatDate($tmp[2][$i]).'</td>
        <td>'.FormatDate($tmp[3][$i]).'</td>';
            if ($wri == $userprefs[1] && ($tmp[6][$i] == $serviz[31] || $tmp[6][$i] == $serviz[176]))
                echo '
        <td colspan="3"></td>';
            else {
                echo '
        <td>';
                if ($tmp[6][$i] != $userprefs[1]) 
                    echo '
          <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;idpg='.$idpg.'&amp;del='.$tmp[6][$i].'">
	        <img src="inc/img/files/sup.gif" style="width:14px;height:14px;" alt="'.$admin[186].'" />
		  </a>';
                echo '
        </td>
        <td>';
                if ($tmp[6][$i] != $userprefs[1]) {
                    if ($tmp[5][$i] != '1' && $tmp[5][$i] != '2')
                        echo '
		  <div class="pop" style="padding-left:42%;">
	        <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;idpg='.$idpg.'&amp;susp='.$tmp[6][$i].'">
		      <img src="inc/img/files/'.$img.'.gif" style="width:14px;height:14px;" alt="'.$alt.'" />
		      <span style="top:20px;left:-124px;width:200px;"><em style="left:118px;"></em>'.$help[7].'</span>
			</a>
		  </div>';
                    else {
                        $urlsup = 'admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;idpg='.$idpg.'&amp;del='.$tmp[6][$i];
                        $urlacc = 'admin.php?lng='.$lng.'&amp;pg=members&amp;act=2&amp;idpg='.$idpg.'&amp;acc='.$tmp[6][$i];
                        echo '
		  <div class="pop" style="padding-left:42%;">
	        <a onmouseup="montre(\'moveto\');">
		      <img src="inc/img/files/'.$img.'.gif" style="width:14px;height:14px;" alt="'.$alt.'" />
		      <span style="top:20px;left:-124px;width:200px;"><em style="left:118px;"></em>'.$help[7].'</span>
			</a>
		  </div>
		  <div id="moveto" class="rep" style="position:absolute;right:112px;display:none;width:auto;height:auto;text-align:center;border:1px solid;border-radius:8px;">
		    <div style="padding-bottom:6px;"><b>'.$admin[$tmp[5][$i] == '1' ? 1302 : 1303].'</b></div>
			<div>'.SubmitButton($admin[186], 'self.location.href=\''.$urlsup.'\'').'  '.SubmitButton($admin[1471], 'self.location.href=\''.$urlacc.'\'').'</div>
			<div style="float:right;margin:2px 4px 0 0;"><img src="'.$reptheme.'/close.png" alt="'.$admin[458].'" title="'.$admin[458].'" onmouseup="cache(\'moveto\')" /></div>
		    <div style="clear:both;"></div>
		  </div>';
                    }
                }
                echo '
        </td>
        <td style="text-align:center;">';
                echo '
          <a href="admin.php?lng='.$lng.'&amp;pg=compte&amp;edit='.$tmp[6][$i].'">
		    <img src="inc/img/files/edit.gif" width="14" height="14" alt="'.$admin[1019].'" title="'.$admin[1019].'" />
		  </a>';
                echo '
        </td>';
            }
        echo '
      </tr>';
        }
        echo '
    </table>
    <br />'.$navbar;
	}
	echo '
  </fieldset>
</div>';
}
################################################################################
// écrire aux membres
elseif ($act == 3) {
	$topmess = '
	<a href="admin.php?lng='.$lng.'">Admin</a> > '.$admin[697];
    $dbusers = array();
    $file_users = opendir(MSGREP);
    while ($nomfichier = readdir($file_users)) {
        if (substr($nomfichier, -3) == 'dtb') {
			$pseudo = str_replace(substr($nomfichier, -4), '', $nomfichier);
			if ($pseudo != $userprefs[1]) $dbusers[] = $pseudo;
        }
    }
    closedir($file_users);
    @usort($dbusers, 'AsciiCompare');
    $dbgroup = ReadDBFields(GROUPS);

	include CHEMIN.'admin/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[697], "100%");
	if (!empty($erreur))
		echo displayErrorMsg($admin[1636], $erreur);
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members3').$admin[701].$admin[698].'<br />'.$admin[699].'</p>
<hr />
'.JavascriptFile(CHEMIN.'admin/inc/tinymsg.js').'
<div style="width:540px; margin:auto;">
  <form name="membmsg" action="admin.php?lng='.$lng.'&amp;pg=members" method="post" onsubmit="return VerifyForm(); return false;">
    <fieldset>
      <input type="hidden" name="regit" value="4" />
	  <input type="hidden" name="act" value="4" />
      <table style="text-align:center;margin:auto;">
	    <tr>
		  <td style="text-align:right;vertical-align:top;padding-top:6px;"><strong>'.$admin[697].': </strong></td>
		  <td style="text-align:left;">
			<select multiple="multiple" size="'.(count($dbusers) > 8 ? 9 : count($dbusers) + 1).'" name="msg4[]" style="width:120px;">
			  <option value="ALL" selected="selected">'.$admin[690].'</option>';
    foreach($dbusers as $user) {
        echo '
			  <option value="'.$user.'">'.$user.'</option>';
    }
    echo '
			</select>
		  </td>
		</tr>
		<tr>
		  <td style="text-align:right;"><strong>'.$admin[1123].': </strong></td>
		  <td style="text-align:left;">
			<select name="msg3" style="width:100px;">
			  <option value=""> -- '.$admin[1604].' -- </option>';
    for ($x = 0; $x < count($dbgroup); $x++) {
        echo '
			  <option value="'.$dbgroup[$x][0].'">'.$dbgroup[$x][0].'</option>';
    }
    echo '
			</select>
		  </td>
		</tr>
	  </table>';
    echo '
	  <table style="text-align:center;margin:auto;">
	    <tr>
		  <td style="text-align:center;"><img src="'.$flag1.'" style="width:24px;height:16px;" alt="'.$lang[0].'"/><br /></td>
	    </tr>
	    <tr>
		  <td style="background-color:#FFFFFF;text-align:center;"><textarea class="'.($err_msg1 ? 'errorInputText' : '').'" style="width:500px;margin:auto;" rows="10" name="msg1">'.$msg1.'</textarea></td>
	    </tr>
	    <tr>
		  <td  style="text-align:center;vertical-align:middle">
		    <a href="javascript:format1(\'b\')"><img class="clsCursor" src="'.CHEMIN.'inc/img/images/bold.gif" alt="'.$admin[1703].'" title="'.$admin[1703].'" /></a>&nbsp;
		    <a href="javascript:format1(\'i\')"><img class="clsCursor" src="'.CHEMIN.'inc/img/images/italic.gif" alt="'.$admin[1705].'" title="'.$admin[1705].'" /></a>&nbsp;
		    <a href="javascript:format1(\'u\')"><img class="clsCursor" src="'.CHEMIN.'inc/img/images/underline.gif" alt="'.$admin[1704].'" title="'.$admin[1704].'" /></a>&nbsp;
		    <a href="javascript:dolink1(\'href=http://'.$admin[457].'\')"><img class="clsCursor" src="'.CHEMIN.'inc/img/images/link.gif" alt="'.$admin[1706].'" title="'.$admin[1706].'" /></a>&nbsp;
		    &nbsp;';
      if ($page[12] != 'none') DrawSmileys("1");
      echo '
		  </td>
	    </tr>';
    if ($lang[1] != "") {
        echo '
	    <tr>
		  <td style="text-align:center;"><br /><img src="'.$flag2.'" style="width:24px;height:16px;" alt="'.$lang[1].'" /><br /></td>
	    </tr>
	    <tr>
		  <td style="background-color:#FFFFFF;text-align:center;"><textarea class="'.($err_msg2 ? 'errorInputText' : '').'" style="width:500px;margin:auto;" rows="10" name="msg2">'.$msg2.'</textarea></td>
	    </tr>
	    <tr>
		  <td  style="text-align:center;vertical-align:middle">
		    <a href="javascript:format2(\'b\')"><img class="clsCursor" src="'.CHEMIN.'inc/img/images/bold.gif" alt="'.$admin[1703].'" title="'.$admin[1703].'" /></a>&nbsp;
		    <a href="javascript:format2(\'i\')"><img class="clsCursor" src="'.CHEMIN.'inc/img/images/italic.gif" alt="'.$admin[1705].'" title="'.$admin[1705].'" /></a>&nbsp;
		    <a href="javascript:format2(\'u\')"><img class="clsCursor" src="'.CHEMIN.'inc/img/images/underline.gif" alt="'.$admin[1704].'" title="'.$admin[1704].'" /></a>&nbsp;
		    <a href="javascript:dolink2(\'href=http://'.$admin[457].'\')"><img class="clsCursor" src="'.CHEMIN.'inc/img/images/link.gif" alt="'.$admin[1706].'" title="'.$admin[1706].'" /></a>&nbsp;
		    &nbsp;';
        if ($page[12] != 'none') DrawSmileys("2");
        echo '
		  </td>
	    </tr>';
    }
    echo '
	  </table>
	  <br />
	</fieldset>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[694], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
}
################################################################################
// envoyer un message
elseif ($act == 4) {
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.$admin[697];
	include CHEMIN.'admin/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[697], '100%');
	
	if ($regit == 4) {
		$m1   = $msg1;
		$m2   = $msg2;
		$msg1 = str_replace(chr(10),'<br />', $msg1);
		$msg1 = str_replace(chr(13),'', $msg1);
		$msg1 = str_replace('[b]',  '<b>', $msg1);
		$msg1 = str_replace('[/b]', '</b>', $msg1);
		$msg1 = str_replace('[i]',  '<i>', $msg1);
		$msg1 = str_replace('[/i]', '</i>', $msg1);
		$msg1 = str_replace('[u]',  '<u>', $msg1);
		$msg1 = str_replace('[/u]', '</u>', $msg1);
		$msg1 = str_replace('[l]href=','<a href="', $msg1);
		$msg1 = str_replace('[/l]', '" target="_blank"><img src="'.$reptheme.'/site.png" alt="'.$admin[1038].'" /></a>', $msg1);
		$msg1 = str_replace('"',    "'", $msg1);

		$msg2 = str_replace(chr(10),'<br />', $msg2);
		$msg2 = str_replace(chr(13),'', $msg2);
		$msg2 = str_replace('[b]',  '<b>', $msg2);
		$msg2 = str_replace('[/b]', '</b>', $msg2);
		$msg2 = str_replace('[i]',  '<i>', $msg2);
		$msg2 = str_replace('[/i]', '</i>', $msg2);
		$msg2 = str_replace('[u]',  '<u>', $msg2);
		$msg2 = str_replace('[/u]', '</u>', $msg2);
		$msg2 = str_replace('[l]href=','<a href="', $msg2);
		$msg2 = str_replace('[/l]', '" target="_blank"><img src="'.$reptheme.'/site.png" alt="'.$admin[1038].'" /></a>', $msg2);
		$msg2 = str_replace('"',    "'", $msg2);

		$users = '';
		foreach ($msg4 as $user) $users .= $user.' ';
		$users = trim($users);
		$rec = '<?php
$tinymsg1 = stripslashes("'.$msg1.'");
$tinymsg2 = stripslashes("'.$msg2.'");
$tinymsg3 = stripslashes("'.$msg3.'");
$tinymsg4 = stripslashes("'.$users.'");
?>';
		WriteFullDB(TEMPREP.'sendtinymsg.inc', $rec);
		include TEMPREP.'sendtinymsg.inc';
		echo '
<p style="text-align:center;">'.$admin[689].'<br /></p>
<hr />';
		$msgdest  = (trim($tinymsg3.$tinymsg4) == '') ? $admin[691].' :' : (($tinymsg3 != '') ? $admin[1123].': <strong>'.$tinymsg3.'</strong>' : '');
		$msgdest .= ($tinymsg4 != '') ? '<br />'.$admin[1345].' : <strong>'.$tinymsg4.'</strong>' : '';
		echo '
<div style="width:540px; margin:auto;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$msgdest.'</p>
  <fieldset>
  <p style="text-align:center;"><img src="'.$flag1.'" style="width:24px;height:16px;" alt="'.$lang[0].'"/></p>
  <div class="bord" style="width:500px;margin:0 auto;">
'.PathToImage(replaceimg($tinymsg1));
		if ($lang[1] != "") {
			echo '
  </div>
  <br />
  <p style="text-align:center;"><img src="'.$flag2.'" style="width:24px;height:16px;" alt="'.$lang[1].'"/></p>
  <div class="bord" style="width:500px;margin:0 auto;">
'.PathToImage(replaceimg($tinymsg2));
		}
		echo '
  </div>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[694], 'self.location.href=\'admin.php?lng='.$lng.'&amp;pg=members&amp;act=4\'', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</div>';
		echo '
<hr />
<p style="text-align:center;">
  <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=3&amp;msg1='.$m1.'&amp;msg2='.$m2.'">'.$admin[688].'</a>
</p>';
	} else {
		include(TEMPREP.'sendtinymsg.inc');
		$mbrs = array();
		if ($tinymsg3 != '') {
			$groups = ReadGroups();
			$mbrs   = $groups[$tinymsg3];
		}
		if ($tinymsg4 != 'ALL') {
			$mbrs = array_merge($mbrs, explode(' ', $tinymsg4));
		} else {
			$file_users = opendir(MSGREP);
			while ($nomfichier = readdir($file_users)) {
				if ('.dtb' == $nomfichier) {
					@unlink(MSGREP.$nomfichier);
					continue;
				}
				if (substr($nomfichier, -3) == 'dtb' && $nomfichier != $userprefs[1].DBEXT) {
					$nomuser = str_replace(substr($nomfichier, -4), '', $nomfichier);
					$mbrs[] = $nomuser;
				}
			}
			closedir($file_users);
		}
		$mbrs       = array_unique($mbrs);
		$dbusers    = array();
		$file_users = opendir(MSGREP);
		while ($nomfichier = readdir($file_users)) {
			if (substr($nomfichier, -3) == 'dtb' && $nomfichier != $userprefs[1].DBEXT) {
				$nomuser = str_replace(substr($nomfichier, -4), '', $nomfichier);
				if (in_array($nomuser, $mbrs)) $dbusers[] = $nomuser;
			}
		}
		closedir($file_users);
		@sort($dbusers);
		echo '
<fieldset>
  <br />
  <p style="text-align:center;">'.$admin[692].'</p>
  <p style="text-align:center;">'.count($dbusers).' '.$admin[516].'</p>';
		if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
			$dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
		}
		$tinymsgsend = $tinymsg2 != '' ? $tinymsg1.'<br /><hr /><br />'.$tinymsg2 : $tinymsg1;
		
		$dbmsg    = array();
		$dbmsg[0] = $admin[690];
		$dbmsg[1] = GetCurrentDateTime();
		$dbmsg[2] = RemoveConnector(stripslashes($tinymsgsend));
		$dbmsg[3] = 'lu';
		$dbmsg[4] = 'send';
		$dbmsg[5] = '';
		$dbmsg[6] = '';
		$dbmsg[7] = $userprefs[8];
		AppendDBFields(MSGREP.$userprefs[1].DBEXT, $dbmsg);
		foreach ($dbusers as $uuser) {
			$userdb      = ReadDBFields(MSGREP.$uuser.DBEXT);
			$tinymsgsend = $lang[0] == $userdb[1][1] ? $tinymsg1 : $tinymsg2;
			$dbmsg       = array(
				$userprefs[1],
				GetCurrentDateTime(),
				RemoveConnector(stripslashes($tinymsgsend)),
				'new',
				'',
				'',
				'',
				$userprefs[8]);
			AppendDBFields(MSGREP.$uuser.DBEXT, $dbmsg);
            $sender = empty($userprefs[1]) ? $user[0] : $userprefs[1];
            if ($userdb[1][26] == 'on') {
                $eto   = $userdb[1][3];
                $sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$admin[1707];
                $body  = '<div style="margin:auto;padding:8px;width:440px;border: solid 1px #000000;border-radius:4px;">';
                $body .= '<p style="text-align:left;font:12pt Arial;">';
                $body .= $admin[1632].sprintf($admin[1708], $uuser, $sender).'<a href="'.$site[3].'" title="'.$site[3].'">'.$site[3].'</a>';
                $body .= '</p></div>';
                eMailHtmlTo($sujet, $body, $eto);
            }
		}
		echo '
  <hr />
  <p style="text-align:center;"><b>'.$admin[693].'</b></p>
  <br />';
		@unlink(TEMPREP.'sendtinymsg.inc');
		echo '
</fieldset>';
	}
}
################################################################################
// gestion des groupes
elseif ($act == 5) {
    $mess = '';
    if ($regit == 5 && $group != '') { //ajouter groupe
        $group = preg_replace('! !', '_', $group);
        $mess = '<br />'.AddGroup($group) ? ucfirst($admin[928]).' '.$group.$admin[929].' !<br />' : ucfirst($admin[928]).' '.$group.$admin[931].' !<br />';
    } elseif ($regit == 6) { // supprimer groupe
        $mess = '<br />'.DelGroup($group) ? ucfirst($admin[928]).' '.$group.$admin[930].' !<br />' : ucfirst($admin[928]).' '.$group.' '.mb_strtolower($admin[1604], $charset).$admin[930].' !<br />';
    }
    $grps = ReadGroups();
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[925]);
	include CHEMIN.'admin/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[925], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members5').$admin[701].$admin[926].'</p>
<hr />'.$mess.'
<div style="width:400px; margin:auto;">
  <form name="membgrp" action="admin.php?lng='.$lng.'&amp;pg=members"  method="post">
    <fieldset style="padding-top:12px;">
	  <table class="bord" style="text-align:center;width:300px;margin:auto;">
	    <tr class="forum">
		  <td style="width:66%;text-align:left;"><b>'.ucfirst($admin[928]).'</b></td>
		  <td colspan="2" style="text-align:center;"><b>'.$admin[680].'</b></td>
		</tr>';
    foreach ($grps as $grp=>$mbrs) {
    echo '
		<tr class="rep">
		  <td style="width:33%;text-align:left;">'.$grp.'</td>
		  <td style="text-align:center;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=6&amp;group='.$grp.'" title="'.$admin[144].' '.$grp.'">
			  <img src="inc/img/files/edit.gif" alt="'.$admin[144].'" />
            </a><br />
		  </td>
		  <td style="text-align:center;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=5&amp;regit=6&amp;group='.$grp.'" title="'.$admin[186].' '.$grp.'">
			  <img src="inc/img/files/sup.gif" alt="'.$admin[186].'" />
            </a><br />
		  </td>
		</tr>';
    }
    unset($grps);
    echo '
	  </table><br />';
    echo '
      <input type="hidden" name="regit" value="5" />
	  <input type="hidden" name="act" value="5" />
	  <p style="text-align:center">'.$admin[1590].' '.$admin[928].' : <input class="texte" type="text" name="group" value="" style="width:196px;" /></p>
	</fieldset>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
}
################################################################################
// gestion des membres du groupe
elseif ($act == 6) { 
	$aMembers = (array)import('aMembers', 'POST');
    if ($regit == 'add' && $group != '' && count($aMembers) > 0) { 
        $mess = '';
		foreach ($aMembers as $member) {
            if (!empty($member))
                $mess .= AddMember($group, $member) ? ucfirst($admin[928]).' '.$group.' : '.$admin[1693].' '.$member.$admin[929].' !<br />' : ucfirst($admin[1693]).' '.$member.$admin[931].' !<br />';
		}
    }
	$mess = empty($mess) ? '' : '<br />'.$mess;
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=5">'.$admin[925].'</a> > '.str_replace('Admin - ', '', $admin[928]);
	include CHEMIN.'admin/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable(ucfirst($admin[928]).' '.$group, '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'members5').$admin[701].$admin[927].'</p>
<hr />'.$mess;
    if (FileDBExist(GROUPS)) {
        echo '
<div style="width:400px; margin:auto;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$group.'</p>
  <fieldset style="padding-top:12px;">
  <form name="fast_actions" action="admin.php?lng='.$lng.'&amp;pg=members" method="post">
    <div style="text-align:right; padding-right:50px; margin-bottom:4px;">'.SubmitButton($admin[1602]).'
      <img src="'.$reptheme.'/bas.png" alt="" title="" />
    </div>
    <input type="hidden" name="regit" value="fast" />
	<input type="hidden" name="act" value="6" />
	<input type="hidden" name="group" value="'.$group.'" />
	<table class="bord" style="text-align:center;margin:auto;width:330px;">
	  <tr class="forum">
		<td style="text-align:left;"><b>'.ucfirst($admin[169]).'</b></td>
		<td style="width:76px;text-align:center;"><b>'.$admin[680].'</b></td>
	  </tr>';
        $grps = ReadGroups();
        $lst  = $grps[$group];
        @usort($lst, 'AsciiCompare');
        $count = count($lst);
        $nbpg  = 15;
        if (empty($idpg)) {
            $idpg = 1;
        } else {
            while ($count <= ($idpg - 1)* $nbpg) $idpg--;
        }
        $navbar = GetNavBar('admin.php?lng='.$lng.'&amp;pg=members&amp;act=6&amp;group='.$group.'&amp;idpg=', $count, $idpg, $nbpg);
        $ids    = '';
        for ($i = ($idpg - 1)*$nbpg; $i < Min($nbpg*$idpg, $count); $i++) {
			if (!empty($lst[$i])) {
				echo '
	  <tr class="rep">
		<td style="text-align:left;">'.$lst[$i].'</td>
		<td style="text-align:center;">';
                MakeRadioGroup(array( array("d", "s", $i)));
                echo '
		</td>
	  </tr>';
            }
            $ids .= $i." ";
        }
        unset($grps);
        echo '
	</table><br />
    <input type="hidden" name="ids" value="'.$ids.'" />
  </form>
  <div style="text-align:center">'.$navbar.'</div><br />';
        echo '
  <form name="members" action="admin.php?lng='.$lng.'&amp;pg=members"  method="post">
    <input type="hidden" name="regit" value="add" />
	<input type="hidden" name="act" value="6" />
	<input type="hidden" name="group" value="'.$group.'" />
	<p style="text-align:center">'.$admin[1590].' '.$admin[1693].' :</p>
	<p style="text-align:center">';
        $dbuserspref = array();
        $file_users=opendir(MSGREP);
        while ($nomfichier=readdir($file_users)) {
			if ( substr($nomfichier,-3) == "dtb") {
				$nomuser = str_replace(substr($nomfichier,-4),"",$nomfichier);
				if (!in_array($nomuser, $lst)) $dbuserspref[] = $nomuser;
			}
        }
        closedir($file_users);
        @usort($dbuserspref,'AsciiCompare');
		$size = min(20, count($dbuserspref) + 2);
        echo '
	  <select name="aMembers[]" id="aMembers" size="'.$size.'" multiple="multiple" style="width:160px;">';
        for ($i = 0; $i < count($dbuserspref); $i++) {
			echo '
		<option value="'.$dbuserspref[$i].'">'.$dbuserspref[$i].'</option>';
        }
        echo '
	  </select><br />
	</p>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
  </fieldset>
</div>';
    }
}
btable();
include CHEMIN.'admin/bpage.inc';
?>