<?php
/*******************************************************************************
 *   Send News
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.2 (March 25, 2014)       : initial release.
 * v5.0.3 (April 15, 2014)       : replace newsletter.php by $site['NL']
 * v5.0.7 (August 21, 2014)      : suppress meta tags for W3C conformity
 * v5.02.00-1 (May 22, 2017)     : suppress session cookie parameters for Edge
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 *                               : independence of the admin part
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '../../');
include CHEMIN.'admin/includes.inc';

$lng      = import('lng');
$lsn      = import('lsn', '', true, 0);
$id       = import('id');
$selgroup = import('selgroup');

if (is_file(CHEMIN.'inc/lang/'.$lng.'-admin'.INCEXT))
    include CHEMIN.'inc/lang/'.$lng.'-admin'.INCEXT;
else
    die('BAD Language name !');

$lst = ReadDBFields(TEMPREP.'newstemp.dtb');

echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
<title>'.$admin[546].'</title>
'.JavascriptFile(CHEMIN.'inc/hpage.js').'
</head>
<body bgcolor="#FFFFFF" style="margin:5px; overflow: hidden;">
<fieldset>';
if ($lsn != -1) {
    echo '
<p style="text-align:center;">'.$admin[524].'</p>
<p style="text-align:center;">'.Min($lsn+1,count($lst)).' / '.count($lst).' '.$admin[516].'</p>';
}
if ($lsn < count($lst)) {
	$nom38 = getLabel($nom[38]);
	$nom38 = mb_substr($nom38, 0, 1, $charset) == '§' ? mb_substr($nom38, 1, mb_strlen($nom38 ,$charset) ,$charset) : $nom38;
	$nom39 = getLabel($nom[39]);
	$nom39 = mb_substr($nom39, 0, 1, $charset) == '§' ? mb_substr($nom39, 1, mb_strlen($nom39 ,$charset) ,$charset) : $nom39;
    ReadDoc($id);
	$to = $lst[$lsn][1];
	if ($lst[$lsn][2] == $lang[0]) {
		include CHEMIN.'inc/lang/'.$lang[0].'-admin'.INCEXT;
		include CHEMIN.'inc/lang/'.$lang[0].'-web'.INCEXT;
		$sujet = strip_tags($fieldb1);
		$body  = '<p style="text-align:center;">'.$admin[1709].'<br />';
		$body .= '<a href="'.$site[3].$site['NE'].'.php?lng='.$lang[0].'&pg='.$id.'">';
		$body .= $site[3].$site['NE'].'.php?lng='.$lang[1].'&pg='.$id.'</a></p>';
		$body .= '<fieldset style="padding:15px;"><legend> '.$nom38.' </legend>'.ForceToAbsolute($fieldc1).'</fieldset>';
		$body .= '<p style="text-align:center;font-size:0.75em;">'.$admin[549].'<br />';
		$body .= '<a href="'.$site[3].$site['NL'].".php?lng=".$lst[$lsn][2]."&action=unsub&nlpseudo=".$lst[$lsn][0]."&nlmail=".$lst[$lsn][1].'">';
		$body .= $site[3].$site['NL'].".php?lng=".$lst[$lsn][2]."&action=unsub&nlpseudo=".$lst[$lsn][0]."&nlmail=".$lst[$lsn][1]."</a></p>";
	}
	else {
		include CHEMIN.'inc/lang/'.$lang[1].'-admin'.INCEXT;
		include CHEMIN.'inc/lang/'.$lang[1].'-web'.INCEXT;
		$sujet = strip_tags($fieldb2);
		$body  = '<p style="text-align:center;">'.$admin[1709].'<br />';
		$body .= '<a href="'.$site[3].$site['NE'].'.php?lng='.$lang[1].'&pg='.$id.'">';
		$body .= $site[3].$site['NE'].'.php?lng='.$lang[1].'&pg='.$id.'</a></p>';
		$body .= '<fieldset style="padding:15px;"><legend> '.$nom39.' </legend>'.ForceToAbsolute($fieldc2).'</fieldset>';
		$body .= '<p style="text-align:center;font-size:0.75em;">'.$admin[549].'<br />';
		$body .= '<a href="'.$site[3].$site['NL'].".php?lng=".$lst[$lsn][2]."&action=unsub&nlpseudo=".$lst[$lsn][0]."&nlmail=".$lst[$lsn][1].'">';
		$body .= $site[3].$site['NL'].".php?lng=".$lst[$lsn][2]."&action=unsub&nlpseudo=".$lst[$lsn][0]."&nlmail=".$lst[$lsn][1]."</a></p>";
	}
	eMailHtmlTo($sujet,$body,$to);
	$lsn++;
	$nextstep = "PopupWindow(\"newsmail.php?lng=".$lng."&id=".$id."&selgroup=".$selgroup."&lsn=".$lsn."\",\"newsmail\",400,225,\"no\",\"no\")";
}
else {
    echo '
<hr />
<p style="text-align:center;"><b>'.$admin[522].'</b></p>
<br />';
    $nextstep = "";
}
echo '
</fieldset>';
if ($nextstep != "") {
    echo BeginJavascript().$nextstep.EndJavascript();
}
echo '
</body>
</html>';
?>