<?php
/*******************************************************************************
 *   .
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.7 (August 21, 2014)      : improving presentation
 * v5.00.10 (December 29, 2014)  : add group management #35
 * v5.00.11 (March 02, 2015)     : corrected group management
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.04 (September 07, 2016) : suppress server test
 * v5.02.01 (August 28, 2017)    : independence of the admin part
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 * v5.02.03 (February 01, 2018)  : correction deleting after search (thanks Laroche)
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'nwllist.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[33] == '') {
        $nomzone = $admin[546];
        include 'access.inc';
        exit();
    }
}

$idpg    = import('idpg', '', true, 1);
$tri     = import('tri', '', true, -1);
$action  = import('action');
$search  = import('search');
$spseudo = import('spseudo');
$semail  = import('semail');

/// Nombre d'abonnés par page
$nbpg = 25;

$state0 = '<br /><span style="color:red">'.$admin[732].'</span>';
$state1 = '<br /><span style="color:red">'.$admin[733].'</span>';
$state2 = '<br /><span style="color:green">'.$admin[734].'</span>';
$state3 = '<br /><span style="color:black">'.$admin[735].'</span>';
$state4 = '<br /><span style="color:black">'.$admin[736].'</span>';
$state5 = '<br /><span style="color:green">'.$admin[737].'</span>';

function pseudo_sort($a, $b) {
	global $charset;
	$a = mb_strtolower($a[0], $charset);
	$b = mb_strtolower($b[0], $charset);
	if ($a == $b) {
		return 0;
	} else {
		return $a < $b ? -1 : +1;
	}
}

function pseudo_rsort($a, $b) {
	return - pseudo_sort($a, $b);
}

function address_sort($a, $b) {
	global $charset;
	$a[1] = mb_strtolower($a[1], $charset);
	$b[1] = mb_strtolower($b[1], $charset);
	list($an, $ad) = explode('@', $a[1]);
	list($bn, $bd) = explode('@', $b[1]);
	if ($ad == $bd) {
		if ($an == $bn) {
			return 0;
		} else {
			return $an < $bn ? -1 : +1;
		}
	} else {
		return $ad < $bd ? -1 : +1;
	}
}

function address_rsort($a, $b) {
  return - address_sort($a, $b);
}

function TestEmail($email) {
	global $state0, $state1, $state2, $state3, $state4, $state5;
	$result = $state5;
	if (!preg_match("`^[a-zA-Z0-9][a-zA-Z0-9_-]*(?:\.[a-zA-Z0-9_-]+)*@[a-zA-Z0-9][a-zA-Z0-9-]*(?:\.[a-zA-Z0-9-]+)*\.[a-z]{2,6}$`", $email)) {
		$result = $state0;
	}
	return $result;
}

include_once CHEMIN.'inc/func_groupsnwl.php';
$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[542]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
$list = ReadDBFields(NEWSLET_LIST);
if ($search == 'ok') {
	$lst = array();
	foreach ($list as $abon) 
		if (!empty($abon[0]) && !empty($abon[1]) && ($abon[0] == $spseudo || $abon[1] == $semail)) {
			$lst[] = $abon;
			break;
		}
	if (!empty($lst)) $list = $lst;
}
for ($i = 0; $i < count($list); $i++) {
	$list[$i][3] = $i;
}

$tri = isset($tri) ? $tri : -1;
switch ($tri) {
case  1 : break;
case -1 : $list = array_reverse($list); break;
case  2 : usort($list, 'pseudo_sort'); break;
case -2 : usort($list, 'pseudo_rsort'); break;
case  3 : usort($list, 'address_sort'); break;
case -3 : usort($list, 'address_rsort'); break;
default : $tri = 1;
}

if ($action == 'fastact') {
    $list0 = ReadDBFields(NEWSLET_LIST);
    if ($search == 'ok' && 1 == count($list)) {
        $lst = array();
        foreach ($list0 as $abon) 
            if (!empty($abon[0]) && !empty($abon[1]) && $abon[0] != $spseudo && $abon[1] != $semail) {
                $lst[] = $abon;
            }
        if (!empty($lst)) {
            $list0 = $lst;
            $list  = $lst;
        }
        unset($idpg, $search);
    } else {
        $count = count($list);
        for ($i = ($idpg - 1)*$nbpg; $i < Min($nbpg*$idpg, $count); $i++) {
            if (isset($_POST['s_'.$i]) && $_POST['s_'.$i] == 'on') {
                DestroyAbonne($list[$i][0]); // suppression dans les groupes
                unset($list0[$list[$i][3]], $list[$i]);
            }
            if (isset($_POST['selgrp_'.$i]) && $_POST['selgrp_'.$i] != '') {
                AddAbonne($_POST['selgrp_'.$i], $list[$i][0]); // ajout dans un groupe
            }
        }
        $list  = array_values($list);
        $list0 = array_values($list0);
    }
    WriteDBFields(NEWSLET_LIST, $list0);
    unset($list0);
}

$count = count($list);
if (!isset($idpg)) {
    $idpg = 1;
} else {
    while ($count <= ($idpg - 1)* $nbpg) $idpg--;
}

htable($admin[542], '100%');
echo '
<p style="text-align:center;">'.ToHelp($lng, 'nwllist').$admin[541].'</p>
<hr />';


if (empty($list)) {
    echo '
<p style="text-align:center;">
  <img src="'.CHEMIN.'inc/img/smileys/rolleyes.gif" alt="8-)" title="8-)" />
  <strong>'.$admin[543].'</strong>
</p>';
} else {
    $tris = array (1=>$admin[738], -1=>$admin[739], 2=>$admin[740], -2=>$admin[741], 3=>$admin[742], -3=>$admin[743]);
    $navbar = GetNavBar('admin.php?lng='.$lng.'&amp;pg=nwllist&amp;tri='.$tri.'&amp;idpg=', $count, $idpg, $nbpg);
    echo '
<div style="width:88%; margin:auto;">
  <div style="float:left; text-align:center; width:44%; margin:0 auto;">
    <br />
    <fieldset style="height:100px;">'.legend($admin[748]).'
      <form name="nwlistsort" method="post" action="admin.php?lng='.$lng.'&amp;pg=nwllist">'.$admin[744].'
        <select name="tri" style="vertical-align:middle">';
    foreach ($tris as $k=>$v) {
      echo '
          <option value="'.$k.'"'.Selected($k == $tri).'>'.($k == $tri ? '&bull; ' : '- ').$v.'</option>';
    }
    echo '
        </select>
		<br />
		<input type="hidden" name="idpg" value="'.$idpg.'" />
		<div style="text-align:center; margin: 4px auto auto;">'.SubmitButton($admin[747]).'</div>
	  </form>
    </fieldset>
  </div>
  <div style="float:left; width:56%; margin:0 auto;">
    <br />
    <fieldset style="height:100px;">'.legend($admin[1392]).'
      <form name="nwlistsearch" method="post" action="admin.php?lng='.$lng.'&amp;pg=nwllist">
	    <input type="hidden" name="search" value="ok" />
	    <span style="padding-left:40px;">'.$admin[517].' : <input type="text" class="texte" name="spseudo" size="24" /></span><br />
	    <span style="padding-left:40px;">'.$admin[1014].' : <input type="text" class="texte" name="semail" size="40" /></span>
		<br />
		<div style="text-align:center; margin: 4px auto auto;">'.SubmitButton($admin[1700]).'</div>
      </form>
    </fieldset>
  </div>
</div>
<div style="clear:both;"></div>
<fieldset style="width:85%; margin:auto;">'.legend($admin[540].' ('.$count.')').'
  <div style="text-align:center">'.$navbar.'</div>
  <div style="text-align:center; width:98%; margin:auto;">
    <form name="nwlistdel" method="post" action="admin.php?lng='.$lng.'&amp;pg=nwllist">
      <div style="text-align:right; padding: 5px 0">'
        .SubmitButton($admin[1602]).'
        <img src="'.$reptheme.'/bas.png" title="" alt="" style="padding-right:30px;" />
      </div>
      <table style="width:100%;">
        <tr class="forum2">
          <td style="padding:4px;width:25%;"><strong>'.$admin[517].'</strong></td>
          <td style="padding:4px;width:42%;"><strong>'.$admin[1014].'</strong></td>
          <td style="padding:4px;width:28%;"><strong>'.ucfirst($admin[928]).'</strong></td>
          <td style="padding:4px;width:5%;"><strong>'.$admin[186].'</strong></td>
        </tr>';
    $abonnes = ReadAbonnes();
    for ($i = ($idpg - 1)*$nbpg; $i < Min($nbpg*$idpg, $count); $i++) {
        echo '
        '.($i % 2 == 0 ? '<tr class="rep">' : '<tr class="quest">').'
          <td style="padding:4px;vertical-align:top;"><strong>'.$list[$i][0].'</strong></td>
          <td style="padding:4px;"><strong>'.$list[$i][1].'</strong>'.TestEmail($list[$i][1]).'</td>';
        $grps    = !empty($abonnes[$list[$i][0]]) ? $abonnes[$list[$i][0]] : array();
        $strgrps = '';
        foreach ($grps as $grp) $strgrps .= $grp.'<br />';
        $groups = ReadGroupsNewsletter();
        $lstgrp = '';
        foreach ($groups as $group=>$abon) {
            if (!in_array($group, $grps)) $lstgrp .= '<option value="'.$group.'">'.$group.'</option>';
        }
        $select = empty($lstgrp) ? '' : '
          <div style="float:right;">
            <select name="selgrp_'.$i.'" style="width:100px;">
              <option value="">-- '.$admin[1485].' --</option>
              '.$lstgrp.'
            </select>
          </div>';
        echo '
          <td>'.$strgrps.$select.'<div class="c-right"></div></td>
          <td style="padding:4px;vertical-align:top;text-align:center;">';
        echo MakeRadioGroup(array(array('d', 's', $i)));
        echo '
          </td>
        </tr>';
    }
    echo '
      </table>
      <div style="text-align:right;padding: 5px 0">'
        .SubmitButton($admin[1602]).'
        <img src="'.$reptheme.'/up1.png" alt="" title="" style="vertical-align:top;padding-right:30px;" />
      </div>
      <input type="hidden" name="search" value="'.$search.'" />';
    if ($search == 'ok' && 1 == count($list)) {
        echo '
      <input type="hidden" name="spseudo" value="'.$list[0][0].'" />
      <input type="hidden" name="semail" value="'.$list[0][1].'" />';
    }
    echo '
      <input type="hidden" name="action" value="fastact" />
      <input type="hidden" name="idpg" value="'.$idpg.'" />
      <input type="hidden" name="tri" value="'.$tri.'" />
    </form>
  </div>';
	echo '
  <div style="text-align:center">'.$navbar.'</div>
</fieldset>';
}
btable();
include CHEMIN.'admin/bpage.inc';
?>