<?php
/*******************************************************************************
 *   .
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.04 (September 07, 2016) : adding the closing php tag
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : suppress flash management
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 *                               : improved password control
 * v5.02.03 (February 01, 2018)  : improvement of password input
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'passwd.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[9] == '') {
        $nomzone = $admin[12];
        include 'access.inc';
        exit();
    }
}

$rec   = import('rec');
$pass1 = import('pass1');
$pass2 = import('pass2');
$pass3 = import('pass3');

$err_1   = empty($pass1) && $rec == 1 ? true : false;
$err_2   = (empty($pass2) || !ctrlPasswordOK($pass2)) && $rec == 1 ? true : false;
$err_3   = (empty($pass3) || $pass2 != $pass3) && $rec == 1 ? true : false;
$erreur  = '';
$erreur .= $err_1 ? '<li>'.$admin[118].' : '.$admin[1610].'</li>' : '';
$erreur .= $err_2 ? '<li>'.$admin[119].' : '.$admin[1610].'</li>' : '';
$erreur .= $err_3 ? '<li>'.$admin[1611].'</li>' : '';

$rep = 0;
if ($rec == 1 && empty($erreur)) {
    if ('admin' == $wri) {
        include 'mdp.php';
        if (md5($pass1) != $mdp && $mdp != '') {
            $rep = 1;
        }
        elseif ($pass2 != $pass3 || empty($pass2)) {
            $rep = 2;
        }
        else {
            $rep        = 3;
            $pass2      = md5($pass2);
            $admcookie  = crc32($pass2).'-img-file-img-3-1-1-web-web';
            $adminprefs = explode('-', $admcookie);
            $admdata    = '';
            for ($i = 0; $i < count($adminprefs); $i++) {
                $strlen   = sprintf("%02d", strlen($adminprefs[$i]));
                $admdata .= $strlen.$adminprefs[$i];
            }
            $_SESSION['adminprefs'] = $admdata;
            $txt = "<?php
\$mdp = \"$pass2\";
?>"; 
            WriteFullDB("mdp.php", $txt);
        }
    } else {
        $mdpcol = $drtuser[38];
        if (md5($pass1) != $mdpcol && $mdpcol != '') {
            $rep = 1;
        }
        elseif ($pass2 != $pass3 || empty($pass2)) {
            $rep = 2;
        }
        else {
            $rep        = 3;
            $admcookie  = crc32(md5($pass2)).'-img-file-img-3-1-1-web-web';
            $adminprefs = explode('-', $admcookie);
            $admdata    = '';
            for ($i = 0; $i < count($adminprefs); $i++) {
                $strlen   = sprintf("%02d", strlen($adminprefs[$i]));
                $admdata .= $strlen.$adminprefs[$i];
            }
            $_SESSION['adminprefs'] = $admdata;
            $rightsname  = $wri;
            $drtuser[38] = md5($pass2);
            include CHEMIN.'admin/inc/rightsupdt'.INCEXT;
        }
    }
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var erreur = false;
	var pass1 = document.newpwd.pass1.value;
	var pass2 = document.newpwd.pass2.value;
	var pass3 = document.newpwd.pass3.value;
    regexp = /^\\S{4,40}$/;
    if (pass1 == "" || !regexp.test(pass1)) {
        sto += \'  - '.addslashes($admin[1610]).'\n\';
        document.newpwd.pass1.className = "errorInputText";
        erreur = true;
    }
    regexp = /^\\S{8,40}$/;
    if (pass2 == "" || !regexp.test(pass2)) {
        sto += \'  - '.addslashes($admin[1610]).'\n\';
        document.newpwd.pass2.className = "errorInputText";
        erreur = true;
    }
	if (pass2 != pass3) {
		sto += \'  - '.addslashes($admin[1611]).' !\n\';
		document.newpwd.pass2.className = "errorInputText";
		document.newpwd.pass3.className = "errorInputText";
		erreur = true;
	}
    if (erreur == true) {
        sto = "'.addslashes($admin[1636]).'\n\n" + sto;
        alert(sto);
		return false;
    }
}'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[116]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[116], '100%');

echo '
<p style="text-align:center;">'.ToHelp($lng, 'passwd').$admin[117].'</p>
<hr />';
if (!empty($erreur)) echo displayErrorMsg($admin[1715], $erreur);
echo '
<style type="text/css">
.pwdadm-password {
	font-size: 9px;
	text-transform: uppercase;
	position: absolute;
	cursor: pointer;
	margin: 6px 0 0 -26px;
}
</style>
<script text="javascript">
  $(document).ready(function(){
    $(".pwdadm-password").click(function() {
        if($(this).prev("input").prop("type") == "password") {
            $(this).prev("input").prop("type","text");
            $(this).children("img").prop("title","'.$admin[1748].'");
        } else {
            $(this).prev("input").prop("type","password");
            $(this).children("img").prop("title","'.$admin[1747].'");
        }
    });
    $("#pass2").on("keyup", function(e) {
      var strongRegex = new RegExp("^(?=.{8,})(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?=.*\\\\W).*$", "ig");
      var mediumRegex = new RegExp("^(?=.{8,})(((?=.*[A-Z])(?=.*[a-z]))|((?=.*[A-Z])(?=.*[0-9]))|((?=.*[a-z])(?=.*[0-9]))).*$", "g");
      var okRegex = new RegExp("(?=.{8,}).*", "g");
      if (okRegex.test($(this).val()) === false) {
        $("#pass2-strength").removeClass().addClass("alert alert-error").html("'.$help[21].'");
      } else if (strongRegex.test($(this).val())) {
        $("#pass2-strength").removeClass().addClass("alert alert-success").html("'.$help[22].'");
      } else if (mediumRegex.test($(this).val())) {
        $("#pass2-strength").removeClass().addClass("alert alert-info").html("'.$help[23].'");
      } else {
        $("#pass2-strength").removeClass().addClass("alert alert-error").html("'.$help[24].'");
      }
      return true;
    });
  });
</script>
<div style="width:510px; margin:auto;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.('admin' == $wri ? $admin[12] : $admin[1022].' : '.$wri).'</p>
  <form name="newpwd" action="admin.php?lng='.$lng.'&amp;pg=passwd" method="post" onsubmit="return VerifyForm(); return false;">
    <input type="hidden" name="rec" value="1" />
    <fieldset>
      <table>
        <tr>
          <td style="padding:4px;white-space:nowrap;"><b>'.$admin[118].'</b></td>
          <td style="padding:4px;white-space:nowrap;">
            <input class="texte" type="password" name="pass1" size="40" />
            <span class="pwdadm-password"><img src="inc/img/look.png" alt="<O>" title="'.$admin[1747].'" /></span>
          </td>
        </tr>
        <tr><td colspan="2" style="padding:4px;"><div class="" id="pass2-strength"></div></td></tr>
        <tr>
          <td style="padding:4px;white-space:nowrap;"><b>'.$admin[119].'</b></td>
          <td style="padding:4px;white-space:nowrap;">
            <input id="pass2" class="texte" type="password" name="pass2" size="40" />
            <span class="pwdadm-password"><img src="inc/img/look.png" alt="<O>" title="'.$admin[1747].'" /></span>
          </td>
        </tr>
        <tr>
          <td style="padding:4px;white-space:nowrap;"><b>'.$admin[120].'</b></td>
          <td style="padding:4px;white-space:nowrap;">
            <input class="texte" type="password" name="pass3" size="40" />
            <span class="pwdadm-password"><img src="inc/img/look.png" alt="<O>" title="'.$admin[1747].'" /></span>
          </td>
        </tr>
      </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
	  <div style="float:left">'
  	    .$imggauche.'<button type="button" title="'.$admin[121].'" onclick="self.location.href=\'admin.php?lng='.$lng.'\'">'.$admin[121].'</button>
	  </div>
	  <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
	  <div style="clear:both"></div>
	</div>
  </form>
</div>
'.BeginJavascript().'document.newpwd.pass1.focus()'.EndJavascript();

switch ($rep) {
case 1 :
    echo BeginJavascript().'
alert("'.addslashes($admin[122]).'")'.EndJavascript();
    break;
case 2 :
    echo BeginJavascript().'
alert("'.addslashes($admin[123]).'")'.EndJavascript();
    break;
case 3 :
    echo BeginJavascript().'
alert("'.addslashes($admin[124]).'")'.EndJavascript();
    break;
}

btable();
include CHEMIN.'admin/bpage.inc' ;
?>