<?php
/*******************************************************************************
 *   Admin Protect admin
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.01.03 (June 07, 2016)      : initial release.
 * v5.01.05 (September 27, 2016) : adding the abolition of protection
 *                               : possibility of unencrypted password
 * v5.02.00 (May 09, 2017)       : improve management
 * v5.02.01 (August 28, 2017)    : independence of the admin part
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 *                               : improved password control
 * v5.02.03 (February 01, 2018)  : improvement of password input
 *                               : adding collaborators in classical method
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'],  'protect.inc')) {
	header('location:../index.php');
	die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[9] == '') {
        $nomzone = $admin[12];
        include 'access.inc';
        exit();
    }
}

$regit   = import('regit');
$upseudo = import('upseudo');
$uuid    = import('uuid');
$uuid2   = import('uuid2');
$unorm   = import('unorm');
$ufree   = import('ufree');
$uspec   = import('uspec');
$htspec  = import('htspec');

$erreur     = '';
$err_pseudo = empty($upseudo) && ($regit == 1 || $regit == 3 || $regit == 4) ? true: false;
$err_uid    = (empty($uuid) || !ctrlPasswordOK($uuid)) && $regit == 1 ? true: false;
$err_uid2   = $uuid != $uuid2 && $regit == 1 ? true: false;
$err_method = $unorm.$ufree.$uspec == '' && $regit == 1 ? true : false;
$erreur    .= $err_pseudo ? '<li>'.$admin[1588].'</li>': '';
$erreur    .= $err_uid ? '<li>'.$admin[1610].'</li>': '';
$erreur    .= $err_uid2 ? '<li>'.$admin[1611].'</li>': '';
$erreur    .= $err_method ? '<li>'.$admin[1736].'</li>': '';

$proot = $_SERVER['DOCUMENT_ROOT'].'/data/config/testprotect.inc';
@include $proot;
$uroot = $testprotect == 'Success' ? true : false;
$preal = realpath(CHEMIN.'data/config/testprotect.inc');
@include $preal;
$ureal = $testprotect == 'Success' ? true : false;

if ($regit == 1 && empty($erreur)) { // création et ajout 1er admin
    $htpass = '#:'.($unorm == 'on' ? '1-0-0' : ($ufree == 'on' ? '0-1-0' : '0-0-1')).chr(10).$upseudo.':'.($ufree == 'on' ? $uuid : crypt($uuid));
    WriteFullDB(CHEMIN.'data/config/.htpasswd', $htpass);
    $path = $uroot ? $_SERVER['DOCUMENT_ROOT'].'/data/config/.htpasswd' : realpath(CHEMIN.'data/config/.htpasswd');
    
    $htnormal = '
Options -Indexes
AuthName "Protected Area"
AuthType Basic
AuthUserFile '.$path.'
require valid-user
    ';
    
    $htfree = '
Options -Indexes
PerlSetVar AuthFile /data/config/.htpasswd
AuthName "Protected Area"
AuthType Basic
require valid-user
    ';
    
    $htaccess = $ufree == 'on' ? $htfree : ($uspec == 'on' ? $htspec : $htnormal);
    WriteFullDB(CHEMIN.'admin/.htaccess', $htaccess);
}

if ($regit == 2 && empty($erreur)) { // suppression de la protection
    $htaccess = '
Options -Indexes';
    WriteFullDB(CHEMIN.'admin/.htaccess', $htaccess);
    @unlink(CHEMIN.'data/config/.htpasswd');
    $location = 'admin.php?lng='.$lng.'&pg=protect';
    header('location: '.$location);
    exit();
}

if ($regit == 3 && empty($erreur)) { // ajoute un collaborateur
    $addht   = true;
    $ahtpass = @file(CHEMIN.'data/config/.htpasswd');
    foreach ($ahtpass as $ht) {
        $aht = explode(':', $ht);
        if ($aht[0] == $upseudo) {
            $addht = false;
            break;
        }
    }
    if ($addht) {
        $htpass    = $upseudo.':'.($ufree == 'on' ? $uuid : crypt($uuid));
        $htpasswd  = ReadFullDB(CHEMIN.'data/config/.htpasswd');
        $htpasswd .= chr(10).$htpass;
        WriteFullDB(CHEMIN.'data/config/.htpasswd', $htpasswd);
    } else {
        echo BeginJavascript().'alert("'.$admin[1714].'");'.EndJavascript();
    }
}

if ($regit == 4 && empty($erreur)) { // suppresion collaborateur
    DeleteMemberProtect($upseudo);
}

if ($regit == 5 && empty($erreur)) { // ajout ensemble collaborateurs
    $ahts     = array();
    $dbadmins = ReadDBFields(ADMINS);
    $ahtpass  = @file(CHEMIN.'data/config/.htpasswd');
    foreach ($dbadmins as $row) {
        $addht = true;
        for ($i = 2; $i< count($ahtpass); $i++) {
            $aht = explode(':', $ahtpass[$i]);
            if ($row[0] == $aht[0]) {
                $addht = false;
                break;
            }
        }
        if ($addht) $ahts[] = $row[0];
    }
    foreach ($ahts as $ht) {
        include_once REDACREP.$ht.INCEXT;
        $userdb    = ReadDBFields(MSGREP.$ht.DBEXT);
        $htpass    = $ht.':'.(isset($userdb[0][1]) ? $userdb[0][1] : $drtuser[38]);
        $htpasswd  = ReadFullDB(CHEMIN.'data/config/.htpasswd');
        $htpasswd .= chr(10).$htpass;
        WriteFullDB(CHEMIN.'data/config/.htpasswd', $htpasswd);
    }
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var erreur = false;
    var pseudo = document.protect.upseudo.value;
	var uid = document.protect.uuid.value;
	var uid2 = document.protect.uuid2.value;
    regexp = /^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/;
    if (pseudo == "" || !regexp.test(document.protect.upseudo.value)) {
        sto += \'  - '.addslashes($admin[1588]).'\n\';
		document.protect.upseudo.className = "errorInputText";
        erreur = true;
    }
    if (uid != "") {
        regexp = /^\\S{8,40}$/;
        if (!regexp.test(uid)) {
            sto += \'  - '.addslashes($admin[1610]).'\n\';
			document.protect.uuid.className = "errorInputText";
            erreur = true;
        }
    }
	if (uid != uid2) {
		sto += \'  - '.addslashes($admin[1611]).' !\n\';
		document.protect.uuid.className = "errorInputText";
		document.protect.uuid2.className = "errorInputText";
		erreur = true;
	}
    if (erreur == true) {
        sto = "'.addslashes($admin[1636]).'\n\n" + sto;
        alert(sto);
		return false;
    }
}
function displayht0(form) {
    if (form.unorm.checked) {
        form.uspec.checked = "";
        form.ufree.checked = "";
    }
}
function displayht1(form) {
    if (form.ufree.checked) {
        form.unorm.checked = "";
        form.uspec.checked = "";
    }
}
function displayht2(form) {
    if (form.uspec.checked) {
        form.unorm.checked = "";
        form.ufree.checked = "";
        montre(\'trht\');
    } else {        
        cache(\'trht\');
        form.unorm.checked = true;
    }
}
'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1554]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1554], '100%');

$htpasswd = @file(CHEMIN.'data/config/.htpasswd');
echo '
<p style="text-align:center;">'.ToHelp($lng, 'protect').$admin[1555].'</p>
<hr />';
if (!empty($erreur)) echo displayErrorMsg($admin[1715], $erreur);
$submit = is_file(CHEMIN.'data/config/.htpasswd') ? $admin[885] : $admin[38];
echo '
<style type="text/css">
.prot-password {
	font-size: 9px;
	text-transform: uppercase;
	position: absolute;
	cursor: pointer;
	margin: 6px 0 0 -26px;
}
</style>
<script text="javascript">
  $(document).ready(function(){
    $(".prot-password").click(function() {
        if($(this).prev("input").prop("type") == "password") {
            $(this).prev("input").prop("type","text");
            $(this).children("img").prop("title","'.$admin[1748].'");
        } else {
            $(this).prev("input").prop("type","password");
            $(this).children("img").prop("title","'.$admin[1747].'");
        }
    });
    $("#testuuid").on("keyup", function(e) {
      var strongRegex = new RegExp("^(?=.{8,})(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?=.*\\\\W).*$", "ig");
      var mediumRegex = new RegExp("^(?=.{8,})(((?=.*[A-Z])(?=.*[a-z]))|((?=.*[A-Z])(?=.*[0-9]))|((?=.*[a-z])(?=.*[0-9]))).*$", "g");
      var okRegex = new RegExp("(?=.{8,}).*", "g");
      if (okRegex.test($(this).val()) === false) {
        $("#uuid-strength").removeClass().addClass("alert alert-error").html("'.$help[21].'");
      } else if (strongRegex.test($(this).val())) {
        $("#uuid-strength").removeClass().addClass("alert alert-success").html("'.$help[22].'");
      } else if (mediumRegex.test($(this).val())) {
        $("#uuid-strength").removeClass().addClass("alert alert-info").html("'.$help[23].'");
      } else {
        $("#uuid-strength").removeClass().addClass("alert alert-error").html("'.$help[24].'");
      }
      return true;
    });
  });
</script>
<div style="width:510px; margin:auto;">
  <form name="protect" action="admin.php?lng='.$lng.'&amp;pg=protect" method="post" onsubmit="return VerifyForm(); return false;">';
if (is_file(CHEMIN.'data/config/.htpasswd')) echo '
    <input type="hidden" name="regit" value="3" />';
else echo '
    <input type="hidden" name="regit" value="1" />';
$method = '';
if (!empty($htpasswd)) {
    $method = trim(substr($htpasswd[0], 2));
    switch ($method) {
    case '1-0-0' : 
        echo '
    <input type="hidden" name="unorm" value="on" />';
        break;
    case '0-1-0' : 
        echo '
    <input type="hidden" name="ufree" value="on" />';
        break;
    case '0-0-1' : 
        echo '
    <input type="hidden" name="uspec" value="on" />';
        break;
    }
}
echo '
    <div class="quest" style="padding:2px 20px;">
      <div style="float:left;">
        '.$imggauche.'<button type="button" title="'.$admin[1411].'" onclick="self.location.href=\'admin.php?lng='.$lng.'&pg=protect&regit=2\'">'.$admin[1411].'</button>
      </div>';
if ($method == '1-0-0') echo '
      <div style="float:right;">
        <button type="button" title="'.$admin[1749].'" onclick="self.location.href=\'admin.php?lng='.$lng.'&pg=protect&regit=5\'">'.$admin[1749].'</button>'.$imgdroite.'
      </div>';
echo '
      <div style="clear:both"></div>
	</div>';
echo '
    <fieldset>
      <table>
        <tr>
          <td style="padding:4px;width:50%;"><b>'.$admin[1013].'</b></td>
          <td style="padding:4px;"><input type="text" class="'.($err_pseudo ? 'errorInputText' : 'texte').'" name="upseudo" size="40"'.$userprefs[1].' /></td>
        </tr>
        <tr><td colspan="2" style="padding:4px;"><div class="" id="uuid-strength"></div></td></tr>
        <tr>
          <td style="padding:4px;"><b>'.$admin[1634].'</b></td>
          <td style="padding:4px;">
            <input id="testuuid" class="texte" type="password" name="uuid" size="40" />
            <span class="prot-password"><img src="inc/img/look.png" alt="<O>" title="'.$admin[1747].'" /></span>
          </td>
        </tr>
        <tr>
          <td style="padding:4px;"><b>'.$admin[1645].'</b></td>
          <td style="padding:4px;">
            <input class="texte" type="password" name="uuid2" size="40" />
            <span class="prot-password"><img src="inc/img/look.png" alt="<O>" title="'.$admin[1747].'" /></span>
          </td>
        </tr>
        <tr><td colspan="2"><hr /></td></tr>';
if (empty($htpasswd))
    echo '
        <tr>
          <td style="padding:4px;"><b>'.$admin[1735].'</b></td>
          <td style="padding:4px;"><input type="checkbox" id="unorm" name="unorm" onchange="displayht0(this.form); cache(\'trht\');" /></td>
        </tr>
        <tr>
          <td style="padding:4px;"><b>'.$admin[1568].'</b></td>
          <td style="padding:4px;"><input type="checkbox" id="ufree" name="ufree" onchange="displayht1(this.form); cache(\'trht\');" /></td>
        </tr>
        <tr>
          <td style="padding:4px;"><b>'.$admin[1734].'</b></td>
          <td style="padding:4px;"><input type="checkbox" id="uspec" name="uspec" onchange="displayht2(this.form);" /></td>
        </tr>';
echo '
      </table>
      <div id="trht" class="displayNone" style="width:472px;">
        <textarea name="htspec" rows="4" style="width:473px;"></textarea>
      </div>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
	  <div style="float:left">'
  	    .$imggauche.'<button type="button" title="'.$admin[121].'" onclick="self.location.href=\'admin.php?lng='.$lng.'\'">'.$admin[121].'</button>
	  </div>
	  <div style="float:right">'.SubmitButton($submit, '', '', $imgdroite).'</div>
	  <div style="clear:both"></div>
	</div>
  </form>';
if (!empty($htpasswd)) {
    echo '
    <fieldset style="margin-top: 24px; padding: 6px 24px; width: 60%; margin: auto;">';
    $countht = count($htpasswd);
    for ($i = 1; $i < $countht; $i++) {
        $aht = explode(':', $htpasswd[$i]);
        echo '
      <div style="line-height: 20px;">
        <b>'.$aht[0].'</b>';
        if($i > 1) echo '
        <span style="float:right;">
          <img src="'.CHEMIN.'admin/inc/img/files/sup.gif" alt="X" title="'.$admin[186].'"  style="cursor: pointer;" 
            onclick="self.location.href=\'admin.php?lng='.$lng.'&pg=protect&regit=4&upseudo='.$aht[0].'\'" />
        </span>';
        echo '
      </div><div style="clear: both;"></div>';
    }
    echo '
    </fieldset>';
}
    echo '
</div>
'.BeginJavascript().'document.newpwd.uuid.focus()'.EndJavascript();

btable();
include CHEMIN.'admin/bpage.inc' ;
?>