<?php
/*******************************************************************************
 *   Load Includes
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.02.01 (August 28, 2017)    : initial release for independence of the admin part
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 * v5.02.03 (February 01, 2018)  : changing the connection expiration timeout period
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'includes.inc')) {
    header('location:../index.php');
    die();
}

error_reporting( E_ALL ^ E_NOTICE );

$endurl = strip_tags($_SERVER['REQUEST_URI']);
$lang   = array('','');

require_once CHEMIN.'inc/mobile_detect.php';
$detect = new Mobile_Detect;
define('TYP_SCREEN', $detect->isMobile() ? 'MOB' : 'WEB');
define('TYP_BLANK',  $detect->isMobile() ? '_self' : '_blank');

include CHEMIN.'inc/functions.php';
include CONFIG;
$tconfig  = 0;
$reptheme = CHEMIN.'inc/img/general/gene_1';

$_SERVER['HTTPS'] = is_ssl() ? 'on' : '';

if (substr($serviz[101], -2) != 'px') $serviz[101] = '800px';

include CHEMIN.'inc/func_groups.php';
include CHEMIN.'inc/func_groupscol.php';
include CHEMIN.'inc/func_groupsnwl.php';
include CHEMIN.'inc/func_boxes.php';
include CHEMIN.'inc/func_blogboxes.php';

date_default_timezone_set($site['TZ']);
$pg  = import('pg');
$lng = import('lng');

@ini_set('session.use_only_cookies', true);
@ini_set('session.cookie_lifetime', 0);
@ini_set('session.cookie_path', '/');
@ini_set('session.cookie_domain', $_DOMAIN);
@ini_set('session.cookie_secure', $_SECURE);
@ini_set('session.cookie_httponly', false);
@ini_set('session.use_strict_mode', true);
@ini_set('session.gc_probability', 0);
@ini_set('session.gc_maxlifetime', (!empty($members[21]) ? intval($members[21]) : 157680000));
@session_cache_limiter('nocache');
@session_cache_expire(4320);
$sess_name = $serviz[177] == '0' ? 'GuppYSite' : 'GuppYAdmin';
@session_name($sess_name);
@session_start();

$userprefs  = array_pad(array(), 31, '');
$usercookie = $serviz[177] == '0' ? $_SESSION['UserData'] : $_COOKIE[USER_COOKIE];
if (!empty($usercookie)) {
    $positem = 0;
    for ($i = 0; $i < 31; $i++) {
        $poslen        = $positem + 2;
        $posdata       = $positem + 4;
        $lendata       = intval(substr($usercookie, $poslen, 2));
        $userprefs[$i] = substr($usercookie, $posdata, $lendata);
        $userprefs[$i] = $userprefs[$i] == 'off' ? '' : $userprefs[$i];
        $positem       = $posdata + $lendata;
    }
    if (($userprefs[0] == $lang[0] || $userprefs[0] == $lang[1]) && empty($lng)) {
        $lng = strip_tags($userprefs[0]);
    }
    $userprefs[0] = strip_tags($userprefs[0]);
    $userprefs[1] = preg_replace('![^-a-zA-Z0-9_]!i', '', substr(strip_tags($userprefs[1]), 0, $serviz[148]));
    $userprefs[2] = strip_tags($userprefs[2]);
    $userprefs[3] = strip_tags($userprefs[3]);
    $userprefs[4] = strip_tags($userprefs[4]);
    $userprefs[5] = strip_tags($userprefs[5]);
    $userprefs[6] = str_replace('\n', '<br />', strip_tags($userprefs[6]));
    $userprefs[7]  = strip_tags($userprefs[7]);
    $userprefs[8]  = strip_tags($userprefs[8]);
    $userprefs[9]  = strip_tags($userprefs[9]);
    $userprefs[10] = strip_tags($userprefs[10]);
    $userprefs[11] = strip_tags($userprefs[11]);
    $userprefs[12] = strip_tags($userprefs[12]);
    $userprefs[13] = strip_tags($userprefs[13]);
    $userprefs[14] = strip_tags($userprefs[14]);
    $userprefs[15] = strip_tags($userprefs[15]);
    $userprefs[16] = strip_tags($userprefs[16]);
    $userprefs[17] = strip_tags($userprefs[17]);
    $userprefs[18] = strip_tags($userprefs[18]);
    $userprefs[19] = strip_tags($userprefs[19]);
    $userprefs[20] = strip_tags($userprefs[20]);
    $userprefs[21] = strip_tags($userprefs[21]);
    $userprefs[22] = strip_tags($userprefs[22]);
    $userprefs[23] = strip_tags($userprefs[23]);
    $userprefs[24] = strip_tags($userprefs[24]);
    $userprefs[25] = strip_tags($userprefs[25]);
    $userprefs[26] = strip_tags($userprefs[26]);
    $userprefs[27] = strip_tags($userprefs[27]);
    $userprefs[28] = strip_tags($userprefs[28]);
    $userprefs[29] = strip_tags($userprefs[29]);
    $userprefs[30] = strip_tags($userprefs[30]);
}
@session_regenerate_id();

if (!isset($selskin)) $selskin = import('selskin');
$selskin = preg_replace('`[^-a-z0-9_]`i', '', $selskin);
if (empty($page[14])) {
    $page[14] = 'no_skin';
}
if (!empty($userprefs[10])) {
    $page[14] = $userprefs[10];
}
if (!empty($selskin)) {
    $page[14] = $selskin;
}
if (empty($selskin)) {
    $selskin = $page[14];
}

if (empty($lng)) {
    $lng = $lang[0];
} elseif (($lng != $lang[0]) && ($lng != $lang[1])) {
    $lng = $lang[0];
}

if (!isset($_SERVER['REQUEST_URI'])) {
    $REQUEST_URI = $_SERVER['SCRIPT_NAME']."?".$_SERVER['QUERY_STRING'];
}

$pathconf = is_file(CHEMIN.'skins/'.$page[14].'/skin'.INCEXT) ? $page[14] : 'no_skin';
$fileconf = TYP_SCREEN == 'MOB' ? 'confmob' : 'confweb';
include CHEMIN.'skins/'.$pathconf.'/skin'.INCEXT;
include CHEMIN.'skins/'.$pathconf.'/confskin'.INCEXT;
include CHEMIN.'admin/inc/check_confs'.INCEXT;
include CHEMIN.'skins/'.$pathconf.'/'.$fileconf.INCEXT;
$z2 = !isset($body[16]) ? '#z2' : ($body[16] == 'on' ? '#z2' : '');

$flag1 = CHEMIN.INCREP.'lang/'.$lang[0].'.gif';
$flag2 = CHEMIN.INCREP.'lang/'.$lang[1].'.gif';
include CHEMIN.INCREP.'lang/'.$lng.'-help'.INCEXT;
include CHEMIN.INCREP.'lang/'.$lng.'-admin'.INCEXT;

include CHEMIN.'admin/inc/admfunctions.php';

?>