<?php
/*******************************************************************************
 *   Agenda
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.1 (March 8, 2014)        : tri du tableau des années pour la navigation
 * v5.00.11 (March 2, 2015)      : modified quick admin icons
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : corrected error treatment
 *                               : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 *                               : independence of the admin part
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[47] != 'on') {
    exit($web[143]);
}

$agv     = import('agv');
$an      = import('an');
$mois    = import('mois');
$idpg    = import('idpg');
$tconfig = $serviz[171] == 'ALL' ? import('tconfig', '', true, 0) : $serviz[171];

if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[14])) {
    include 'inc/hpage.inc';
    htable($web[287], '100%');
    echo '
	<div class="web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
	  <p>[&nbsp;
        <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
      </p>';
	echo '
	</div>';
    btable();
    include 'inc/bpage.inc';
} else {
    if (empty($id)) {
        $id = 1; $wag = array();
    }
    $monthlist = array($web[268], $web[269], $web[270], $web[271], $web[272], $web[273],
        $web[274], $web[275], $web[276], $web[277], $web[278], $web[279]);
    $daylist   = array(0 => $web[532], $web[533], $web[534], $web[535], $web[536], $web[537], $web[538]);
    ############################################################################
    if ($agv == 1) {
        $pgid = explode('-', $idpg);
        $wag = array();
        for ($a = 0; $a < count($pgid)-1; $a++) {
            if (!is_file(DBBASE.TestFileId($pgid[$a]).INCEXT)) continue;
            ReadDoc($pgid[$a]);
            if ($type != TYP_AGENDA) continue;
            if (!isAccessGranted($fieldmod) || !isAuthorizedPublication($creadate)) continue;
            $wag[$a][0] = $fielda2;
            $wag[$a][1] = $fileid;
        }
        if (empty($wag)) {
            include 'inc/hpage.inc';
            htable($web[436], '100%');
            echo '<p>'.$web[290].'</p>';
            btable();
            include 'inc/bpage.inc';
            exit();
        }
        sort($wag);
    
        for ($jj = 0; $jj < count($wag); $jj++) {
            ReadDoc($wag[$jj][1]);
			$datcre = $creadate;
			$datmod = $moddate;
            $agtxt1 = substr($fielda1, 6, 2);
            $agtxt2 = substr($fielda1, 4, 2);
            $agtxt3 = substr($fielda1, 0, 4);
            $agtime = array();
            $agtime = explode('-', $fielda2);
			$agtime = array_pad($agtime, 2, '');
            if ($agtime[0] < '10:00') $agtime[0] = substr($agtime[0], 1, 7);
            if ($agtime[1] < '10:00') $agtime[1] = substr($agtime[1], 1, 7);
            if ($site[22] == 'H2'){
                $agtime[0] = str_replace(':', 'h', $agtime[0]);
                $agtime[1] = str_replace(':', 'h', $agtime[1]);
            }
            if ($agtime[0] != '' && $agtime[1] != '') $til = '<br />&darr;<br />';
            elseif ($agtime[0] != '' && $agtime[1] == '') $til= '<br />&darr;<br />&#133;';
            elseif ($agtime[0] == '' && $agtime[1] != '') $til = '&#133;<br />&darr;<br />';
            else $til = '';
            $mthname = $monthlist[$agtxt2-1];
            $dd = date('w', mktime(0, 0, 0, (int)$agtxt2, (int)$agtxt1, (int)$agtxt3));
            $dayname = $daylist[$dd];
            if ($lng == $lang[0]) {
                $agtxt4 = $fieldc1;
            } else {
                $agtxt4 = empty($fieldc2) ? '<em>'.$web[442].'</em><br /><br />'.$fieldc1 : $fieldc2;
            }
            if ($jj == 0 ) {
                if ($web[284] == '0') {
                    $datecountry = $dayname.' '.$agtxt1.' '.$mthname.' '.$agtxt3;
                } elseif ($web[284] == '1') {
                    $datecountry = $mthname.' '.$agtxt1.' '.$agtxt3.', '.$dayname;
                } elseif ($web[284] == '2') {
                    $datecountry = $agtxt3.' '.$mthname.' '.$agtxt1.', '.$dayname;
                } else {
                    $datecountry = '';
                }
				$topmess = $web[285].' '.$datecountry;
                if (!empty($datecountry)) {
                    $datecountry = '<a href="'.$site[3].($site['URLR'] == 'on' ? $lng.'-'.$urlrw[17].'-22-'.$idpg.'-'.$pg.'-1-'.$tconfig.$z2 : 'agenda.php?lng='.$lng.'&amp;idpg='.$idpg.'&amp;pg='.$pg.'&amp;agv=1&amp;tconfig='.$tconfig.$z2).'" title="'.$web[511].'">'.$datecountry.'</a>';
                }
                include 'inc/hpage.inc';
                htable($web[285].' '.$datecountry, '100%');
                echo '
    <br />';
            }
            echo '
    <div class="bord tbldiv marginAuto width98">
      <div class="trtbldiv">
        <div class="quest tdtbldiv textCenter valignTop calagvL fontBold">'.$agtime[0].$til.$agtime[1].'</div>
        <div class="rep tdtbldiv textLeft valignTop calagvR width100">'.getNewUpdateDoc($datcre, $datmod, $serviz[145]).$agtxt4;
            if (empty($prt)) echo displayQuickConfig(NULL, $pgid[$jj], 'agenda&amp;form=2&amp;id='.$pgid[$jj], '', '', 37);
            echo '
        </div>
      </div>
    </div>';
        }
        echo '
    <p class="textCenter">
      <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[17].'-21-'.$agtxt2.'-'.$agtxt3.'-2-'.$tconfig.$z2 : 'agenda.php?lng='.$lng.'&amp;mois='.$agtxt2.'&amp;an='.$agtxt3.'&amp;agv=2&amp;tconfig='.$tconfig.$z2).'">'.$web[286].' '.$mthname.' '.$agtxt3.'</a>
    </p>
    <br />';
        if (empty($prt)) echo displayQuickConfig(NULL, $pg, 'agenda&amp;form=2&amp;id='.$pg);
        btable();
        include 'inc/bpage.inc';
    }
    ############################################################################
    elseif ($agv == 2) {
        if (!$mois && !$an) {
            $mois = date('m');
            $an = date('Y');
        }
        if ($mois < 1) {
            $mois = 12;
            $an--;
        }
        if ($mois > 12) {
            $mois = 1;
            $an++;
        }
        $mthname = $monthlist[$mois-1];
		$topmess   = $web[287].' '.$mthname.' '.$an;
        include 'inc/hpage.inc';
        $permalink = '<a href="'.$site[3].($site['URLR'] == 'on' ? $lng.'-'.$urlrw[17].'-21-'.$mois.'-'.$an.'-2-'.$tconfig.$z2 : 'agenda.php?lng='.$lng.'&amp;mois='.$mois.'&amp;an='.$an.'&amp;agv=2&amp;tconfig='.$tconfig.$z2).'" title="'.$web[511].'">'.$mthname.' '.$an.'</a>';
        htable($web[287].' '.$permalink, '100%');
        $dbwork = ReadDBFields(DBAGENDA);
        @sort($dbwork);
		$dbannee = array();
		foreach($dbwork as $dbw) {
			$ann = substr($dbw[2], -4);
			if (!in_array($ann, $dbannee)) $dbannee[] = $ann;
		}
		$ann = date('Y');
		if (!in_array($an, $dbannee)) $dbannee[] = $ann;
		@sort($dbannee);
        echo '
    <br />
    <div class="tbldiv marginAuto">
      <div class="trtbldiv">
        <div class="tdtbldiv calendarg">';
		$ann_p = $an - ($mois == 1 ? 1 : 0);
		$ann_s = $an + ($mois == 12 ? 1 : 0);
		if ($dbannee[0] <= $ann_p) {
			echo '
          <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[17].'-21-'.sprintf('%02d', $mois-1).'-'.$an.'-2-'.$tconfig.$z2 : 'agenda.php?lng='.$lng.'&amp;mois='.sprintf('%02d', $mois-1).'&amp;an='.$an.'&amp;agv=2&amp;tconfig='.$tconfig.$z2).'">
            <img src="'.$reptheme.'/calendarg.png" class="calimgg'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'" alt="'.$web[289].'" />
          </a>';
		}
		echo '
        </div>
        <div class="tdtbldiv calendard"><b>'.$permalink.'</b></div>
        <div class="tdtbldiv calendard">';
		if ($dbannee[count($dbannee)-1] >= $ann_s) {
			echo '
          <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[17].'-21-'.sprintf('%02d', $mois+1).'-'.$an.'-2-'.$tconfig.$z2 : 'agenda.php?lng='.$lng.'&amp;mois='.sprintf('%02d', $mois+1).'&amp;an='.$an.'&amp;agv=2&amp;tconfig='.$tconfig.$z2).'">
            <img src="'.$reptheme.'/calendard.png" class="calimgd'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'" alt="'.$web[288].'" />
          </a>';
		}
		echo '
        </div>
      </div>
    </div>';
        $mthag = array();
        for ($i = 0; $i < count($dbwork); $i++) {
            if ($dbwork[$i][2] == $mois.$an && isAccessGranted($dbwork[$i][6]) && isAuthorizedPublication($dbwork[$i][5])) {
                $mthag[] = $dbwork[$i][4];
            }
        }
        $controle = CheckDB1Field(DBAGENDA, $mois.$an, 2);
        if ($controle) {
            $lastday = "";
            $currentday = "";
            $k = 0;
            if (3 == abs($prt)) {
                $id = 1;
                $serviz[46] = 99999;
            }
            for ($i = $serviz[46]*($id-1); $i < Min($serviz[46]*$id, count($mthag)); $i++) {
                $k++;
                ReadDoc($mthag[$i]);
				$datcre = $creadate;
				$datmod = $moddate;
                $currentday = $fielda1;
                $agtime = array();
                $agtime = explode('-', $fielda2);
				$agtime = array_pad($agtime, 2, '');
                if ($agtime[0] < '10:00') $agtime[0] = substr($agtime[0], 1, 7);
                if ($agtime[1] < '10:00') $agtime[1] = substr($agtime[1], 1, 7);
                if ($site[22] == 'H2'){
                    $agtime[0] = str_replace(':', 'h', $agtime[0]);
                    $agtime[1] = str_replace(':', 'h', $agtime[1]);
                }
                if ($agtime[0] != '' && $agtime[1] != '') $til = '<br />&darr;<br />';
                elseif ($agtime[0] != '' && $agtime[1] == '') $til= '<br />&darr;<br />&#133;';
                elseif ($agtime[0] == '' && $agtime[1] != '') $til = '&#133;<br />&darr;<br />';
                else $til = '';
				$agtxt1 = substr($fielda1, 6, 2);
				$agtxt2 = substr($fielda1, 4, 2);
				$agtxt3 = substr($fielda1, 0, 4);
                $dd = date('w', mktime(0, 0, 0, (int)$agtxt2, (int)$agtxt1, (int)$agtxt3));
                $dayname = $daylist[$dd];
                if ($lng == $lang[0]) {
                    $agtxt4 = $fieldc1;
                } else {
                    $agtxt4 = empty($fieldc2) ? '<em>'.$web[442].'</em><br /><br />'.$fieldc1 : $fieldc2;
                }
                if ($web[284]=='0') {
                    $datecountry=$dayname.' '.$agtxt1.' '.$mthname.' '.$agtxt3;
                }
                if ($web[284]=='1') {
                    $datecountry=$mthname.' '.$agtxt1.' '.$agtxt3.', '.$dayname;
                }
                if ($web[284]=='2') {
                    $datecountry=$agtxt3.' '.$mthname.' '.$agtxt1.', '.$dayname;
                }
                if ($currentday != $lastday) {
                    echo '
    <div class="bord tbldiv width98 marginAuto">
      <div class="trtbldiv">
        <div class="forum2 tdtbldiv"><b>'.$datecountry.'</b></div>
      </div>
    </div>';
                }
                echo '
    <div class="bord tbldiv width98 marginAuto">
      <div class="trtbldiv">
        <div class="quest tdtbldiv textCenter valignTop calagvL fontBold">'.$agtime[0].$til.$agtime[1].'<br /></div>
        <div class="rep tdtbldiv textLeft valignTop calagvR width100">'.getNewUpdateDoc($datcre, $datmod, $serviz[145]).$agtxt4;
                if (empty($prt)) echo displayQuickConfig(NULL, $mthag[$i], 'agenda&amp;form=2&amp;id='.$mthag[$i], '', '', 37);
                echo '
        </div>
      </div>
    </div>';
                $lastday = $currentday;
            }
        } else {
            echo '
    <p class="textCenter">'.$web[290].'</p>';
        }
        echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[17].'-23-'.$mois.'-'.$an.'-2-'.$tconfig.'-' : 'agenda.php?lng='.$lng.'&amp;mois='.$mois.'&amp;an='.$an.'&amp;agv=2&amp;tconfig='.$tconfig.'&amp;id='), count($mthag), $id, $serviz[46], $z2);
        btable();
        include 'inc/bpage.inc';
    } else {
        die('STOP : Invalid value of agv ('.$agv.')');
    }
}
?>

