<?php
/*******************************************************************************
 *   Articles
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.2 (March 25, 2014)       : padding of social network set to 10px
 * v5.0.5 (June 07, 2014)        : correction display of navbar
 * v5.00.11 (March 2, 2015)      : modified quick admin icons
 *                               : correction title of menu box (thanks Laroche)
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 *                               : correction display of updated date
 * v5.01.01 (September 02, 2015) : correction adresses with anchor in navbar
 *                               : correction of the closure of the menu groups (thanks Jean-Denis)
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : adding a custom error handling 404
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.01.04 (September 07, 2016) : correction of update or new image display in title
 *                               : adding a height limitation of the display article
 * v5.01.05 (September 27, 2016) : optimizing the limited height display
 * v5.01.07 (January 04, 2016)   : correction of end of documents
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 * v5.02.00-1 (May 22, 2017)     : adding authorization to reactions of an article
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

function GetOptionCateg($mnu, $id) {
	global $lng, $lang, $fielda1, $fielda2, $fieldd1, $fieldd2;
	if (substr($mnu, 0, 3) == 'MNU') {
        $mnu_id = substr($mnu, 4);
        $dbw    = SelectDbFieldsByField(ReadDBFields(DBOPTMENU), 5, $mnu_id);
        foreach ($dbw as $item) {
            ReadDoc($item[4]);
			$urls = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
			$pg   = substr($urls[0], strpos($urls[0], 'pg=') + 3);
			$pos  = strpos($pg, '&');
			$pg   = $pos === false ? $pg : substr($pg, 0, $pos);
			if ($pg == $id) return ($lng == $lang[0] ? $fielda1 : $fielda2);
		}
	}
	return '';
}

function GetOptionBoxes($mnu, $id) {
	global $lng, $lang, $fieldc2, $fieldd1, $fieldd2;
	if (substr($mnu, 0, 3) == 'MNU') {
        $mnu_id = substr($mnu, 4);
        $dbw    = SelectDbFieldsByField(ReadDBFields(DBOPTMENU), 5, $mnu_id);
        foreach ($dbw as $item) {
            ReadDoc($item[4]);
			$urls = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
			$pg   = substr($urls[0], strpos($urls[0], 'pg=') + 3);
			$pos  = strpos($pg, '&');
			$pg   = $pos === false ? $pg : substr($pg, 0, $pos);
			if ($pg == $id) return $fieldc2;
		}
	}
	return '';
}

function ArtNavbar($mnu, $cat, $titre) {
	global $lng, $lang, $web, $site, $urlrw, $tconfig, $reptheme, $xposbox, $z2, 
		   $fieldb1, $fieldb2, $fieldc1, $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod, $creadate;
    $imgPrev = '<img src="'.$reptheme.'/precedent.png" class="valignMiddle" alt="'.$web[32].'" title="'.$web[32].'" />';
    $imgNext = '<img src="'.$reptheme.'/suivant.png" class="valignMiddle" alt="'.$web[34].'" title="'.$web[34].'" />';
	$nav     = $navp = $navn = $navs = $categ = '';
	$cat     = stripslashes($cat);
	$titre   = stripslashes($titre);
	if (substr($mnu, 0, 3) == 'MNU') {
        $mnu_id = substr($mnu, 4);
        $dbw    = SelectDbFieldsByField(ReadDBFields(DBOPTMENU), 5, $mnu_id);
		$dbart  = array();
		$cmd    = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[20].'-103' : 'articles.php';
        foreach ($dbw as $item) {
            ReadDoc($item[4]);
			if (!isAuthorizedPublication($creadate) || !isAccessGranted($fieldmod)) continue;
			if ($fieldc1 != '_SELF' || $fieldweb != $mnu_id) continue;
			$urls1 = explode('||', $fieldd1);
			$urls2 = explode('||', $fieldd2);
			$url1  = $site['URLR'] == 'on' ? (empty($urls1[1]) ? '' : substr($urls1[1], 0, 7 + strlen($urlrw[20]))) : substr($urls1[0], 0, 12);
			$url2  = $site['URLR'] == 'on' ? (empty($urls2[1]) ? '' : substr($urls2[1], 0, 7 + strlen($urlrw[20]))) : substr($urls2[0], 0, 12);
			$url   = $lng == $lang[0] ? ($url1 == $cmd) : ($url2 == $cmd);
			$pg    = substr($urls1[0], strpos($urls1[0], 'pg=') + 3);
			$pos   = strpos($pg, '&');
			$pg    = $pos === false ? $pg : substr($pg, 0, $pos);
			// par défaut le titre de l'article est celui de l'option de menu
			$item[6] = $item[2];
			$item[7] = $item[3];
			if ($pg) { // récupère le titre de l'article pour la comparaison
				ReadDoc($pg);
				$item[6] = $fieldb1;
				$item[7] = $fieldb2;
			}
            if ($url) $dbart[] = $item;
			unset($urls1, $urls2);
		}
		sort($dbart);
		if (count($dbart) > 1) {
			$navs = '
			<form name="selnavart" action="#" method="post" class="displayInline valignMiddle">
			  <select size="1" onchange="document.selnavart.action=this.value; document.selnavart.submit();" class="selArtNavbar" title="">';
		}
		for ($i = 0; $i < count($dbart); $i++) {
			$sel      = '';
			$opttitre = stripslashes($dbart[$i][$lng == $lang[0] ? 2 : 3]);
			$arttitre = stripslashes($dbart[$i][$lng == $lang[0] ? 6 : 7]);
			if ($navs != '') {
				ReadDoc($dbart[$i][4]);
				$urls  = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
				$pg    = substr($urls[0], strpos($urls[0], 'pg=') + 3);
				$pos   = strpos($pg, '&');
				$pg    = $pos === false ? $pg : substr($pg, 0, $pos);
                $ancre = '';
                $pos1  = strpos($urls[0], '#');
                $ancre   = empty($ancre) ? $z2 : $ancre;
                if ($pos1 !== false) $ancre = substr($urls[0], $pos1);
                $atconf  = explode('|', $fieldmail);
				$urls[0] = 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;mnuid='.$item[5].'&amp;tconfig='.$atconf[0].$ancre;
				$urls[1] = $lng.'-'.$urlrw[20].'-103-'.$pg.'-'.$item[5].'-'.$atconf[0].$ancre;
				$url = empty($urls[1]) ? $urls[0] : $site['URLR'] != 'on' ? $urls[0] : $urls[1];
				unset($urls);
				// indication des catégories et sous-catégories
				$curcat = str_replace('|', '-', strip_tags($dbart[$i][$lng == $lang[0] ? 0 : 1]));
				if ($categ != $curcat) {
					if ($categ != '' && $i > 0) $navs .= '
				</optgroup>';
					$categ = $curcat;
					$navs .= '
				<optgroup label="'.$categ.'">';
				}
				$navs .= '
				<option value="'.$url.'"'.Selected($titre == $arttitre).'>'.strip_tags($opttitre).'</option>';
			}
			if ($titre == $arttitre) {
				if ($i > 0) { // précédent
					ReadDoc($dbart[$i - 1][4]);
					$urls  = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
					$pg    = substr($urls[0], strpos($urls[0], 'pg=') + 3);
					$pos   = strpos($pg, '&');
					$pg    = $pos === false ? $pg : substr($pg, 0, $pos);
                    $ancre = '';
                    $pos1  = strpos($urls[0], '#');
                    if ($pos1 !== false) $ancre = substr($urls[0], $pos1);
                    $ancre   = empty($ancre) ? $z2 : $ancre;
                    $atconf  = explode('|', $fieldmail);
					$urls[0] = 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;mnuid='.$item[5].'&amp;tconfig='.$atconf[0].$ancre;
					$urls[1] = $lng.'-'.$urlrw[20].'-103-'.$pg.'-'.$item[5].'-'.$atconf[0].$ancre;
					$url = empty($urls[1]) ? $urls[0] : $site['URLR'] != 'on' ? $urls[0] : $urls[1];
					unset($urls);
					$navp = '<a href="'.$url.'">'.$imgPrev.'</a>&nbsp;&nbsp;';
				}
				if ($i < count($dbart) - 1) { // suivant
					ReadDoc($dbart[$i + 1][4]);
					$urls  = explode('||', $lng == $lang[0] ? $fieldd1 : $fieldd2);
					$pg    = substr($urls[0], strpos($urls[0], 'pg=') + 3);
					$pos   = strpos($pg, '&');
					$pg    = $pos === false ? $pg : substr($pg, 0, $pos);
                    $ancre = '';
                    $pos1  = strpos($urls[0], '#');
                    if ($pos1 !== false) $ancre = substr($urls[0], $pos1);
                    $ancre   = empty($ancre) ? $z2 : $ancre;
                    $atconf  = explode('|', $fieldmail);
					$urls[0] = 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;mnuid='.$item[5].'&amp;tconfig='.$atconf[0].$ancre;
					$urls[1] = $lng.'-'.$urlrw[20].'-103-'.$pg.'-'.$item[5].'-'.$atconf[0].$ancre;
					$url = empty($urls[1]) ? $urls[0] : $site['URLR'] != 'on' ? $urls[0] : $urls[1];
					unset($urls);
					$navn = '&nbsp;&nbsp;<a href="'.$url.'">'.$imgNext.'</a>';
				}
			}
		}
		if ($navs != '') {
            if ($categ != '') $navs .= '
				</optgroup>';
            $navs .= '
			  </select>
			</form>';
        }
		$nav = '
		  <div class="marginAuto textCenter">'.$navp.$navs.$navn.'</div>';
	}
	return $nav;
}

$isdoc = count(SelectDBFields(TYP_ART, 'a', $pg)) == 1;
if ($isdoc) {
    ReadDoc($pg);
	$isdoc = isAuthorizedPublication($creadate);
	if ($isdoc) {
		$countit     = TRUE;
		$txtart1     = $lng == $lang[0] ? $fieldb1 : $fieldb2;
		$txtart2     = $lng == $lang[0] ? $fieldc1 : $fieldc2;
		$txtart3     = str_replace('|', '-', $lng == $lang[0] ? $fielda1 : $fielda2);
		$txtart4     = FormatDate($moddate);
		$txtart5     = FormatDate($creadate);
        $screadate   = $creadate;
        $smoddate    = $moddate;
		$img         = getNewUpdateDoc($creadate, $moddate, $serviz[136]);
		$txtart6     = $fieldd2;
		$txtart9     = $fieldweb;
		$txtart10    = explode('|', $fieldmail);
        $txtart10[1] = isset($txtart10[1]) ? $txtart10[1] : 0;
        $txtart10[2] = isset($txtart10[2]) ? $txtart10[2] : 'on';
		$groupeprive = $fieldmod;
		$mnuid       = import('mnuid', '', true, 0);
		$txtart8     = $mnuid > 0 ? 'MNU '.$mnuid : $fieldd1;
		$categ       = GetOptionCateg($txtart8, $pg);
		$txtart3     = $categ == '' ? $txtart3 : str_replace('|', '-', $categ);
		$boxes       = GetOptionBoxes($txtart8, $pg);
		$txtart9     = $boxes == '' ? $txtart9 : $boxes;
		$menus       = SelectDBFieldsByField(ReadDBFields(DBMENUBOX), 4, $mnuid);
		$txtart11    = $lng == $lang[0] ? (!isset($menus[0][2]) ? '' : $menus[0][2]) : (!isset($menus[0][3]) ? '' : $menus[0][3]);
        $txtart11    = mb_substr($txtart11, (mb_substr($txtart11, 0, 1) == '§' ? 1 : 0));
	}
}
if (!$isdoc) {
    $countit     = FALSE;
    $txtart1     = $web[35];
    $txtart2     = $web[36];
    $txtart3     = '';
    $txtart4     = $web[37];
    $txtart5     = $web[37];
    $screadate   = $web[37];
    $smoddate    = $web[37];
	$txtart6     = '';
    $txtart8     = '';
    $txtart9     = '';
    $txtart10    = array();
    $txtart11    = '';
    $groupeprive = '';
	$img         = '';
    if ($site[10] != '') {
        header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
        exit;
    }
    else header('HTTP/1.0 404 Not Found');
}
$topmess = $txtart1;

if (!empty($txtart6)) {
    $topmess = '<img src="'.CHEMIN.'img/'.$txtart6.'" class="f-right" alt="" />'.$topmess;
}

switch($txtart9) {
case 'W' :
	$userprefs3 = '';
	$widepage = 'on';
	break;
case 'L' :
	$userprefs3 = 'L';
	break;
case 'R' :
	$userprefs3 = 'R';
	break;
default : 
	$userprefs3 = '';
	break;
}

$tconfig = import('tconfig', '', true, 0);
$tconfig = !isset($templates[$tconfig]) ? 0 : $tconfig;
include 'inc/hpage.inc';
if ($userprefs[1] == '' && !isAccessGranted($members[1])) {
    if (function_exists('htable1'))
        htable1($topmess, 'ART'.$tconfig, '100%');
    else
        htable($topmess, '100%');
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
    btable();
}
else {
    if (!isAccessGranted($groupeprive)) {
        if (function_exists('htable1'))
            htable1($topmess, 'ART'.$tconfig, '100%');
        else
            htable($topmess, '100%');
        echo '
<p class="textCenter"><br><br>'.$web[444].'<br /><br /></p>';
    } else {
		$urltitre = $site['URLR'] == 'on'? $lng.'-'.$urlrw[20].'-102-'.$pg.'-'.$tconfig: 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;tconfig='.$tconfig;
        if (function_exists('htable1'))
            htable1($img.'<a href="'.$site[3].$urltitre.'" title="'.$web[511].'">'.$topmess.'</a>', 'ART'.$tconfig, '100%');
        else
            htable($img.'<a href="'.$site[3].$urltitre.'" title="'.$web[511].'">'.$topmess.'</a>', '100%');
        if ($prt != -1 && $prt != 1) {
			if ($serviz[60] == 'on' && TYP_SCREEN == 'WEB') {
				$rssartsurl = $site[3].($site['URLR'] == 'on'? DATAREP.$lng.'-'.$urlrw[19].'-28': sprintf(RSSART, $lng));
				if (empty($prt)) echo '
<span class="pop rssArt">
  <a href="'.$rssartsurl.'" target="'.TYP_BLANK.'">
    <img src="'.CHEMIN .$reptheme.'/rssguppy.png" class="valignBottom"  alt="rss" />
    <span><em></em>'.$web[406].' : <br /><b> '.$rssartsurl.'</b></span>
  </a>
</span><br />';
			}
        }
        if (!empty($txtart2)) {
            $max_height = $txtart10[1] > 0 && empty($prt) ? $txtart10[1] : 0;
			$txt3 = '
    <a id="art'.$pg.'"></a>
<style type="text/css">
.contentArt2 {
  height: '.($max_height > 0 ? $max_height.'px;' : 'auto;').'
  overflow: '.($max_height > 0 ? 'hidden;' : 'visible;').'
}
</style>
    <div id="texte30" class="contentArt">
      <div class="contentArt2">
        '.$txtart2.'
      </div><div class="c-both"></div>';
            if ($max_height > 0) $txt3 .= '
      <p class="textRight">
        <a href="javascript:ActiveMenu(\'texte3\',\'texte2\',0,1,0)" class="box" title="'.$web[296].'">
          '.$web[505].' <img src="'.$reptheme.'/plus.png" alt="'.$web[296].'" />
        </a>
      </p>';
            $txt3 .= '
    </div>' ;
            if ($max_height > 0) $txt3 .= '
    <div id="texte20" class="displayNone">'.$txtart2.'
      <p class="textRight clsCursor">
        <a href="#art'.$pg.'" title="'.$web[57].'" onclick="cache(\'texte20\');montre(\'texte30\')">
          '.$web[57].' <img src="'.$reptheme.'/minus.png" alt="'.$web[57].'" />
        </a>
      </p>
    </div><div class="c-both"></div>';
            echo $txt3;            
			if ($serviz[113] != 'on') {
				$keywords = GetKeywords($pg);
				if (trim($keywords) != '') {
					echo '
<fieldset>'.legend($web[641]).$keywords.'</fieldset>';
				}
			}
            echo '
<hr />
<div class="width100">';
			if ($prt == 0 && $serviz[105] == 'on') {
				include CONFIGREP.'sncode.inc';
				if (!empty($coders))
					echo '
  <div class="codersArt">'.$coders.'</div>';
			}
			$artcounter = $serviz[33] == 'on' ? UpdateDocCounter($pg) : 0;
			$svz = 0;
            if ($countit) {
				if ($serviz[64] == '' || $serviz[65] == '' || $serviz[66] == '' || $serviz[67] == '') {
					$svz++;
					echo '
  <div class="displayInlineBlock propArt'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">';
					if ($serviz[64] == '') {
						echo '
'.$web[95].' <b>'.$txtart5.'</b><br />';
					}
                    $datespub = explode('-', $screadate);
					if ($serviz[65] == '' && $smoddate > $datespub[0]) {
						echo '
'.$web[20].' <b>'.$txtart4.'</b><br />';
					}
					if ($serviz[66] == '') {
						echo '
'.$web[21].' <b>'.$txtart11.' - '.$txtart3.'</b><br />';
					}
					if ($serviz[67] == '' && $serviz[33] == 'on') {
						$txtcount = $artcounter < 2 ? $web[188] : $web[189];
						echo '
'.$web[190].' <b>'.$artcounter.' '.$txtcount.'</b><br />';
					}
					echo '
  </div>';
				}
				if ($prt == 0 && ($serviz[102] == '' || $serviz[68] == '')) {
					echo '
  <div class="displayInlineBlock f-right '.(TYP_SCREEN == 'WEB' ? ($svz == 0 ? 'width100' : 'width50') : 'width100').'">';
					if ($serviz[102] == '') {
						$svz++;
						$navbar = ArtNavbar($txtart8, $txtart3, $txtart1);
						if ($navbar != '') {
							echo '
    <div class="textCenter navbarArt">'.$navbar.'</div>';
						}
					}
					if ($serviz[68] == '' && TYP_SCREEN == 'WEB') {
						$svz++;
						echo '
	<div class="textCenter valignMiddle prtArt">
      <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[20].'-1001-'.$pg.'--1': 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=-1').'" target="_blank">
        <img src="'.$reptheme.'/look.png" class="img15x15" alt="'.$web[264].'" title="'.$web[264].'" />&nbsp;'.$web[264].'
      </a>
      &nbsp;
      <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[20].'-1001-'.$pg.'-1': 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=1').'" target="_blank">
        <img src="'.$reptheme.'/print.png" class="img15x15" alt="'.$web[22].'" title="'.$web[22].'" />&nbsp;'.$web[22].'
      </a>
    </div>';				
					}
				echo '
  </div>';
				}
			}
			echo '
  <div class="c-both"></div>
</div>';
			if ($countit && $svz > 0)
				echo'
<hr />';
            if (empty($prt)) echo displayQuickConfig(NULL, $pg, 'art&amp;form=2&amp;id='.$pg, 'art&amp;act=i&amp;id='.$pg, 'art&amp;del='.$pg, 15);
        }
        else {
            $countit = false;
        }
        if ($serviz[29] != '2' && $txtart10[2] == 'on' && $countit) {
            if ($prt == 0) {
				echo '<br />';
                include 'inc/boxreact.inc';
            }
        }
    }
}

btable();
include 'inc/bpage.inc';
?>
