<?php
/*******************************************************************************
 *   Blog
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.5 (June 07, 2014)        : corrected display of print buttons
 * v5.0.7 (August 21, 2014)      : add the selection of the position of the icon
 * v5.00.11 (March 2, 2015)      : modified quick admin icons
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.01 (September 02, 2015) : adding parameter to reverse column boxes
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : adding a custom error handling 404
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : correction url-rw link
 *                               : replace css properties by class rules
 * v5.01.04 (September 07, 2016) : adding a height limitation in pixels of the display ticket
 * v5.01.05 (September 27, 2016) : optimizing the limited height display
 * v5.01.07 (January 04, 2016)   : correction of end of documents
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : adding post modification by author or admin
 *                               : improvement of impressions
 *                               : removal of PGEditor
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.02 (December 18, 2017)  : secondary admin support
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[53] != 'on' && $indexblog == 0) {
    exit($web[143]);
}

$cat = import('cat');

if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) $userprefs3 = BOX_LEFT;
$widepage = $serviz[58];
$tconfig  = $menuico[13] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[13];
$tconfig  = $widepage == '' ? (in_array($serviz[131], array_keys($templates)) ? $serviz[131] : $tconfig) : $tconfig;

$dbw   = SelectDBFields(TYP_BLOG, 'a', $pg);
$isdoc = count($dbw) == 1;
if ($isdoc) {
    ReadDoc($pg);
	$isdoc = isAuthorizedPublication($creadate);
	if ($isdoc) {
		$countit = 1;
		if ($lng == $lang[0]) {
			$txtart1 = $fieldb1;
			$txtprt = strip_tags($fieldb1);
			$txtart2 = $fieldc1;
			$txtart3 = $fielda1;
		}
		else {
			$txtart1 = $fieldb2;
			$txtprt = strip_tags($fieldb2);
			$txtart2 = $fieldc2;
			$txtart3 = $fielda2;
		}
		$txtart4 = FormatDate($moddate);
		$txtart5 = FormatDate($creadate);
		$txtart6 = $author;
		if ($fieldd1 != 'on') {
			$txtart7 = $email;
		}
		$txtart8 = $fieldd2;
		if (!isAccessGranted($fieldmod)) {
			header('HTTP/1.0 403 Forbidden');
		}
	}
}
if (!$isdoc) {
    $prt = 0;
    $countit = 0;
    $txtart1 = $web[35];
    $txtart2 = $web[36];
    $txtart3 = $web[37];
    $txtart4 = $web[37];
    $txtart5 = $web[37];
    if ($site[10] != '') {
        header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
        exit;
    }
    else header('HTTP/1.0 404 Not Found');
}
$max_height2 = isset($site[36]) && $site[36] > 0 && empty($prt) ? $site[36] : 0;
$topmess = getLabel($nom[$lng == $lang[0] ? 42 : 43]);
if (!empty($txtprt)) $topmess .= ' - '.$txtart3;
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/blog.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}

include 'inc/hpage.inc';

if (function_exists('htable1'))
    htable1($topmess, 'BG'.$tconfig, '100%');
else
    htable($topmess, '100%');
if ($widepage != '' && abs($prt) != 1) {
    include CHEMIN.'inc/topblog.inc';
}
if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $userprefs3 = BOX_LEFT;
}
echo '
<br />';
if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[15])) {
    echo '
<p class="textCenter">'.$web[342].'</p>
<br />';
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<br />
<p class="textCenter">
  <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">['.$web[160].']</a>
</p>';
}
else {
    echo '
<div id="MainBlog">';
    if ($widepage == 'on' || $userprefs3 != ($serviz[168] == 'on' ? BOX_RIGHT : BOX_LEFT)) {
        echo '
    <div id="BlogLeftBoxes">';
        if ($widepage == "on") {
            echo fbox_blogcat()
                .fbox_bloglast()
                .fbox_blogcom();
        } else {
            echo fbox_blogcat()
                .fbox_bloglast()
                .fbox_blogcom()
				.fbox_blogarch('archive')
                .fbox_blogcal()
                .fbox_blogrss();
        }
        echo '
    </div>';
    }
    echo '
    <div id="BlogCenterBoxes">';
    if ($members[0] == "on" && $userprefs[1] == "" && !isAccessGranted($members[16])) {
        echo '
      <p class="textCenter">'.$web[342].'</p>
      <br />';
	    if ($members[19] != '0' && $members[19] != '3') 
			echo '
      <p class="textCenter">
        <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">['.$web[160].']</a>
      </p>
      <br />';
    } else {
		echo '
	  <div class="textCenter headCenterBlog">';
		if ($serviz[54] == 'on' && TYP_SCREEN == 'WEB') {
			$rssblogurl = $site[3].sprintf(RSSBLOG, $lng);
			echo '
	    <span class="pop popRss">
		  <a href="'.$rssblogurl.'" target="_blank">
		    <img src="'.$reptheme.'/rssguppy.png" alt="" /> 
		    <span><em></em>'.$web[398].':<br /><b> '.$rssblogurl.'</b></span>
		  </a>
	    </span><span class="c-left">';
        }
            if ($site[30] != '2' && abs($prt) != 1) {
                echo '
        <form name="comment" action="'.($site['URLR'] == 'on'? $site[3].$lng.'-'.$urlrw[14].'-'.TYP_BLOG.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_BLOG.$z2).'" method="post">
          <p class="textCenter">'.SubmitButton($web[386]).'</p>
        </form>';
            } else
				echo '<div class="divnewline"></div>';
        echo '
      </div>';
        if (!empty($txtart1)) {
            echo '
      <a id="hautbillet"></a>
      <div class="titrebox titreBlog">'.$txtart3.'</div>';
            if (!empty($txtart8)) {
                $txtart1 = '<img src="'.CHEMIN.'img/'.$txtart8.'" class="'.($serviz[153] == 'on' ? 'f-left' : 'f-right').'" alt=""/>'.$txtart1;
            }
            echo '
      <p class="'.($serviz[153] != 'on' ? 'textLeft' : 'textRight').'"><b>'.$txtart1.'</b> &nbsp;';
			if ($serviz[114] != 'on') {
				if (!empty($txtart6) && !empty($txtart7)) {
					echo '- &nbsp;'.$web[6].displayWriteEmail('blog', $txtart6, $txtart7);
				} elseif (!empty($txtart6)) {
					echo '- &nbsp;'.$web[6].'
        <b>'.$txtart6.'</b>';
				}
			}
            echo '
      </p>
      <div class="bord bordBillet">
        <div class="rep textLeft billetBlog">';
            $txt3 = '
		  <div id="blog31" class="rep blog3Blog">
<style type="text/css">
.text2Blog {
  height: '.($max_height2 > 0 ? $max_height2.'px' : 'auto').';
  '.($max_height2 > 0 ? ' overflow: hidden;' : '').'
  padding: 4px;
}
</style>';
			if (mb_strlen($txtart2, $charset) >= 0) {
                $txt3 .= '
            <div class="rep text2Blog">'.$txtart2.'</div><div class="c-both"></div>';
				if ($max_height2 > 0) $txt3 .= '
            <p class="textRight"> 
		      <a href="javascript:ActiveMenu(\'blog3\',\'blog2\',0,1,1)" class="box" title="'.$web[296].'">'.$web[505].' 
			    <img src="'.$reptheme.'/plus.png" alt="'.$web[296].'" />
		      </a>
            </p>';
            }
            else {
                $txt3 .= '
            <div class="rep txt2Blog">'.$txtart2.'</div><div class="c-both"></div>';
            }
            echo $txt3.'
		  </div>
	      <div id="blog21" class="rep displayNone blog2Blog">'.$txtart2.'
		    <p class="textRight clsCursor">
              <a href="#hautbillet" title="'.$web[57].'" onclick="cache(\'blog21\');montre(\'blog31\')">
	            '.$web[57].' <img src="'.$reptheme.'/minus.png" alt="'.$web[57].'" />
              </a>
	        </p>
		  </div><div class="c-both"></div>
        </div>';
			if ($prt == 0 && $serviz[104] = 'on') {
				include CONFIGREP.'sncode.inc';
				if (!empty($coders))
					echo '
	    <div class="textLeft codersBlog">'.$coders.'</div>';
			}
			echo '
        <div id="action" class="f-right textRight valignMiddle footerBillet">
          <b>'.$web[394].'</b> '.$txtart5.'&nbsp;&nbsp;';
            if ($serviz[33] == 'on' && $countit == 1) {
                $artcounter = UpdateDocCounter($pg);
                $txtcount = $artcounter <= 1 ? $web[188] : $web[189];
            }
            if ($countit == 1) {
                $dbw = array();
                $dbw = SelectDBFields(TYP_BLOG, 'a', '');
                @rsort($dbw);
                for ($i = 0; $i < count($dbw) ; $i++) {
                    if ($dbw[$i][1] == $pg){
                        $idb = floor(1+($i/$serviz[55]));
                        break;
                    }
                }
				echo '
          <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-'.$tconfig.$z2 : $site['BLS'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'">
            | <img src="'.$reptheme.'/ed_copy.png" alt="'.$web[383].'" title="'.$web[383].'" class="valignMiddle '.(TYP_SCREEN == 'MOB' ? 'commentBlogM' : 'commentBlogW').'" />
          </a>';
                $rank     = ReadDBFields(ADMINS);
                $modadmin = '';
                for ($y = 0; $y < count($rank); $y++) {
                    if ($rank[$y][0] == $userprefs[1] && $rank[$y][2] == 'on') {
                        $modadmin = 'yes';
                        break;
                    }
                }
                if (($txtart6 == $userprefs[1] || $modadmin == 'yes' || $serviz[31] == $userprefs[1] || $serviz[176] == $userprefs[1]) && $site[30] != 2) {
                    $urlb = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-11-'.TYP_BLOG.'-maj-'.$pg.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_BLOG.'&amp;mod=maj&amp;pg='.$pg.$z2;
                    echo '
          &nbsp;| <a href="'.$urlb.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>&nbsp;';
                }
				if ($prt == 0) {
                    if (empty($serviz[76]) && TYP_SCREEN == 'WEB') {
						echo '
          <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-41-'.$pg.'--1' : $site['BL'].'.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=-1').'" target="_blank">
            | <img src="'.$reptheme.'/look.png" alt="'.$web[264].'" title="'.$web[264].'" class="valignMiddle" />
          </a>&nbsp;
          <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-41-'.$pg.'-1' : $site['BL'].'.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=1').'" target="_blank">
            <img src="'.$reptheme.'/print.png" alt="'.$web[22].'" title="'.$web[22].'" class="valignMiddle" />
          </a>&nbsp;';
					}
				echo '
		  | <a href="#top"><img src="'.$reptheme.'/haut.png"   class="valignMiddle img11x11" alt="'.$web[136].'" title="'.$web[136].'" /></a>';
				}
			}
            echo '
        </div>
        <div class="c-both"></div>
      </div>';
            if (empty($prt) && $countit == 1) {
                echo displayQuickConfig(NULL, $pg, 'blog&amp;form=2&amp;id='.$pg, 'blog&amp;act=i&amp;id='.$pg, 'blog&amp;del='.$pg, 39);
            }
        } else {
            $countit = 0;
        }
    }
    if ($serviz[57] != '2' && $countit == 1 && 1 != abs($prt)) {
        echo '
        <input type="hidden" name="cat" value="'.$txtart3.'"/><br /><br />';
        include 'inc/boxreblog.inc';
    }
    echo '
    </div>';
    if ($widepage == 'on' || $userprefs3 == ($serviz[168] == 'on' ? BOX_RIGHT : BOX_LEFT)) {
        echo '
    <div id="BlogRightBoxes">';
        if ($widepage == "on") {
            echo fbox_blogarch('archive')
				.fbox_blogcal()
                .fbox_blogrss();
        } else {
            echo fbox_blogcat()
                .fbox_bloglast()
                .fbox_blogcom()
				.fbox_blogarch('archive')
                .fbox_blogcal()
                .fbox_blogrss();
        }
        echo '
    </div>';
    }
    echo '
</div>';
}
btable();
include 'inc/bpage.inc';
?>
