<?php
/*******************************************************************************
 *   Archived Blog
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : adding a custom error handling 404
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.01.07 (January 04, 2016)   : correction of end of documents
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : removal of PGEditor
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[53] != 'on' && $indexblog == 0) {
    exit($web[143]);
}

$cat = import('cat');

if (count(SelectDBFields(TYP_BLOG, 'a', $pg, DOCIDARCH)) == 1) {
    ReadDoc($pg, ARCHDBBASE);
    $countit = 1;
    if ($lng == $lang[0]) {
        $txtart1 = $fieldb1;
        $txtprt = strip_tags($fieldb1);
        $txtart2 = $fieldc1;
        $txtart3 = $fielda1;
    }
    else {
        $txtart1 = $fieldb2;
        $txtprt = strip_tags($fieldb2);
        $txtart2 = $fieldc2;
        $txtart3 = $fielda2;
    }
    $txtart4 = FormatDate($moddate);
    $txtart5 = FormatDate($creadate);
    $txtart6 = $author;
    if ($fieldd1 != 'on') {
        $txtart7 = $email;
    }
    $txtart8 = $fieldd2;
    if (!isAccessGranted($fieldmod)) {
		header('HTTP/1.0 403 Forbidden');
    }
}
else {
    $prt = 0;
    $countit = 0;
    $txtart1 = $web[35];
    $txtart2 = $web[36];
    $txtart3 = $web[37];
    $txtart4 = $web[37];
    $txtart5 = $web[37];
    if ($site[10] != '') {
        header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
        exit;
    }
    else header('HTTP/1.0 404 Not Found');
}
$topmess = $lng == getLabel($nom[$lang[0] ? 42 : 43]);
if (!empty($txtprt)) $topmess .= ' - '.$txtart3;
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/blog.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}

if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) $userprefs3 = BOX_LEFT;
$widepage = $serviz[58];
$tconfig  = $menuico[13] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[13];
$tconfig  = $widepage == '' ? (in_array($serviz[131], array_keys($templates)) ? $serviz[131] : $tconfig) : $tconfig;

include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'BGA', '100%');
else
    htable($topmess, '100%');
if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $userprefs3 = BOX_LEFT;
}
echo '
<br />';
if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[15])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
}
else {
    echo '
<div class="tbldiv width100">
  <div class="trtbldiv valignTop blogarch">';
    if ($widepage == 'on' || $userprefs3 != BOX_LEFT) {
        echo '
    <div id="BlogLeftBoxes" class="tdtbldiv valignTop">';
        if ($widepage == "on") {
            echo fbox_blogcat()
                .fbox_bloglast()
                .fbox_blogcom();
        } else {
            echo fbox_blogcat()
                .fbox_bloglast()
                .fbox_blogcom()
				.fbox_blogarch('actif')
                .fbox_blogcal()
                .fbox_blogrss();
        }
        echo '
    </div>';
    }
    echo '
    <div class="tdtbldiv valignTop blogarch">';
    if ($members[0] == "on" && $userprefs[1] == "" && !isAccessGranted($members[16])) {
        echo '
      <p class="textCenter">'.$web[342].'</p>
      <br />';
		if ($members[19] != '0' && $members[19] != '3') 
			echo '
      <p class="textCenter">
        <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>
      </p>
      <br />';
    } else {
        if (!empty($txtart1)) {
            echo '
      <div class="titrebox titleArchBlog">
        <a href="'.$site[3].($site['URLR'] =='on' ? $lng.'-'.$urlrw[1].'-42-'.$fileid.$z2 : 'blogarch.php?lng='.$lng.'&amp;pg='.$fileid.$z2).'" title="'.$web[511].'">'.$txtart3.'</a>
      </div>';
            if (!empty($txtart8)) {
                $txtart1 = '<img src="'.CHEMIN.'img/'.$txtart8.'" class="f-right" alt=""/>'.$txtart1;
            }
            echo '
      <p class="textLeft"><b>'.$txtart1.'</b> &nbsp;';
            if (!empty($txtart6)) {
                echo '- &nbsp;'.$web[6].'
        <b>'.$txtart6.'</b>';
            }
            echo '
      </p>
      <div class="bord bordTextArch">
        <div class="rep textLeft textArchBlog">
          '.$txtart2.'
        </div><div class="c-both"></div>
        <div class="f-left width50 textLeft valignMiddle pubArchBlog">
          <b>'.$web[394].'</b> '.$txtart5.'&nbsp;&nbsp;';
            if ($serviz[33] == 'on' && $countit == 1) {
                $artcounter = UpdateDocCounter($pg);
                $txtcount = $artcounter <= 1 ? $web[188] : $web[189];
            }
            echo '
        </div>
        <div id="action" class="width40 f-right textRight valignMiddle actionArchBlog">';
            if ($countit == 1) {
                $dbw = array();
                $dbw = SelectDBFields(TYP_BLOG, 'a', '', DOCIDARCH);
                @rsort($dbw);
                for ($i = 0; $i < count($dbw) ; $i++) {
                    if ($dbw[$i][1] == $pg){
                        $idb = floor(1+($i/$serviz[55]));
                        break;
                    }
                }
				if ($prt == 0) {
					echo '
          <a href="'.($site['URLR'] =='on' ? $lng.'-'.$urlrw[1].'-7'.$z2 : 'blogsarch.php?lng='.$lng.$z2).'">
            <img src="'.$reptheme.'/ed_copy.png" alt="'.$web[383].'" title="'.$web[383].'" class="valignMiddle" />
          </a>&nbsp;';
                    if (TYP_SCREEN == 'WEB') echo '
          <a href="'.($site['URLR'] =='on' ? $lng.'-'.$urlrw[1].'-43-'.$pg.'--1' : 'blogarch.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=-1').'" target="_blank">
            <img src="'.$reptheme.'/look.png" alt="'.$web[264].'" title="'.$web[264].'" class="valignMiddle" />
          </a>&nbsp;
          <a href="'.($site['URLR'] =='on' ? $lng.'-'.$urlrw[1].'-43-'.$pg.'-1' : 'blogarch.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=1').'" target="_blank">
            <img src="'.$reptheme.'/print.png" alt="'.$web[22].'" title="'.$web[22].'" class="valignMiddle" />
          </a>&nbsp;';
				}
			}
            echo '
        </div>
        <div class="c-both"></div>
      </div>';
        } else {
            $countit = 0;
        }
    }
    if ($serviz[57] != "" && $countit == 1 && 1 != abs($prt)) {
        echo '
        <input type="hidden" name="cat" value="'.$txtart3.'"/><br /><br />';
        include 'inc/boxreblogarch.inc';
    }
    echo '
    </div>';
    if ($widepage == 'on' || $userprefs3 == BOX_LEFT) {
        echo '
    <div id="BlogRightBoxes"  class="tdtbldiv valignTop blogarch">';
        if ($widepage == "on") {
            echo fbox_blogarch('actif')
				.fbox_blogcal()
                .fbox_blogrss();
        } else {
            echo fbox_blogcat()
                .fbox_bloglast()
                .fbox_blogcom()
				.fbox_blogarch('actif')
                .fbox_blogcal()
                .fbox_blogrss();
        }
        echo '
    </td>';
    }
    echo '
  </div>
</div>';
}
btable();
include 'inc/bpage.inc';
?>
