<?php
/*******************************************************************************
 *   Blog
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.01.05 (September 27, 2016) : optimizing the limited height display
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : adding page number in rss link
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[27] != 'on') {
    exit($web[143]);
}

$max_height = (isset($serviz[133]) && $serviz[133] > 0) ? $serviz[133] : 0;
if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) $userprefs3 = BOX_LEFT;
$widepage = $serviz[58];
$topmess  = getLabel($nom[$lng == $lang[0]? 42: 43]);
$topmess .= ' - '.$web[402];

ReadDoc($id);
if ($lng == $lang[0]) {
    $rssurl = $fieldb1;
    $rsstxt = $fielda1;
}
else {
    $rssurl = $fieldb2;
    $rsstxt = $fielda2;
}
$tconfig = $fieldweb == 'ALL' ? import('tconfig', '', true, 0) : $fieldweb;

if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/blog.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}

include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'BSS'.$tconfig, '100%');
else
    htable($topmess,'100%');

if ($widepage == "on") {
    include CHEMIN.'inc/topblog.inc';
}

echo '
<div class="tbldiv width100">
  <div class="trtbldiv">';
if ($widepage == 'on' || $userprefs3 != BOX_LEFT) {
    echo '
    <div id="BlogLeftBoxes" class="tdtbldiv valignTop leftRssBlog">';
    if ($widepage == "on") {
        echo fbox_blogcat()
            .fbox_bloglast()
            .fbox_blogcom();
    } else {
        echo fbox_blogcat()
            .fbox_bloglast()
            .fbox_blogcom()
            .fbox_blogcal()
            .fbox_blogrss();
    }
    echo '
    </div>';
}
echo '
    <div class="tdtbldiv width100 valignTop itemRssBlog">';

// affichage blog rss ---------------------------------
include_once 'inc/lastRSS.inc';
$rss = new lastRSS;
$rss->cache_dir = substr(CACHEREP,0,strlen(CACHEREP)-1);
$rss->cache_time = $serviz[39];
$rs = $rss->Get($rssurl);
if (FALSE !== $rs) {
    $cpin  = strtoupper($rs['encoding']);
    $cpout = strtoupper($charset);
    if ($cpin == $cpout) {
        function MyIConv($txt) { return $txt; }
    } else {
        function MyIConv($txt) {
            global $cpin, $cpout;
            return iconv($cpin, $cpout, $txt);
        }
    }
	
    if (isset($rs['image_url']) && $rs['image_url'] != '') {
        echo '
      <div class="textCenter"><img src="'.$rs['image_url'].'" alt="" title="" /></div>';
    }
    echo '
      <p class="forum">
        <a href="'.$rs['link'].'" target="'.TYP_BLANK.'"><b>'.MyIConv($rs['title']).'</b></a>
      </p>
      <br />
      <p><b>'.html_entity_decode(MyIConv($rs['description']), ENT_QUOTES, $charset).'</b></p>
      <hr class="width12" />';
    foreach($rs['items'] as $item) {
        if ($item['title'] == '' && $item['link'] == '') {
            $txt = '';
        }
        elseif ($item['title'] == '') {
            $txt = '
      <a href="'.$item['link'].'" target="'.TYP_BLANK.'" title="">'.$item['link'].'</a>
      <br /><br />';
        }
        elseif ($item['link'] == "") {
            $txt = '
      <u>'.MyIConv($item['title']).'</u>
      <br /><br />';
        }
        else {
            $txt = '
      <a href="'.$item['link'].'" target="'.TYP_BLANK.'" title="'.$web[296].'">'.MyIConv($item['title']).'"</a>
      <br /><br />';
        }
        $desc = html_entity_decode(MyIConv($item['description']), ENT_QUOTES, $charset);
        $txt1 = '
      <b>
'.$txt.'
      </b>'.$desc;
        if (!empty($desc)) {
            echo '
<style type="text/css">
.text1RssBlog {
  height: '.($max_height > 0 ? $max_height.'px;' : 'auto;').'
  overflow: '.($max_height > 0 ? 'hidden;' : 'visible;').'
}
</style>
      <div id="texte2'.$i.'" class="rep text2RssBlog">
        <div class="rep text1RssBlog">
          '.$txt1.'
        </div>';
            if ($max_height > 0) echo '
        <p class="textRight">
          <a href="javascript:cache(\'texte2'.$i.'\');montre(\'texte1'.$i.'\');" class="box" title="'.$web[296].'">
            '.$web[505].' <img src="'.$reptheme.'/plus.png" alt="'.$web[296].'" title="'.$web[296].'" />
          </a>
        </p>';
            echo '
      </div>';
            if ($max_height > 0) echo '
      <div id="texte1'.$i.'" class="bord displayNone textRssBlog textLeft">'.$txt1.'
        <p class="textRight clsCursor">
          <a href="#billet'.$pos.$i.'" title="'.$web[57].'" onclick="cache(\'texte1'.$i.'\');montre(\'texte2'.$i.'\')">
	        '.$web[57].' <img src="'.$reptheme.'/minus.png" alt="'.$web[57].'" />
          </a>
        </p>
      </div>';
        }

        if ($item['pubDate'] != '') {
            echo '
      <span class="pubdateRss">('.FormatDate($item['pubDate']).')</span>';
        }
        echo '
      <hr />';
        $i++;
    }
    $modfl = @filemtime(CACHEREP.'rsscache_'.md5($rssurl));
    if ($modfl == false) {
        $txt = $web[261];
    }
    else {
        $txt = $web[263].' <b>'.FormatDateStamp($modfl).'</b>';
    }
    echo '
      <p>'.$txt.'</p>';
}
else {
    echo '
      <p>'.$web[262].' '.$rssurl.'</p>';
}
// fin rss ----------------------------------------
echo '
    </div>';
if ($widepage == 'on' || $userprefs3 == BOX_LEFT) {
    echo '
    <div id="BlogRightBoxes" class="tdtbldiv valignTop rightRssBlog">';
    if ($widepage == "on") {
        echo fbox_blogcal()
            .fbox_blogrss();
    } else {
        echo fbox_blogcat()
            .fbox_bloglast()
            .fbox_blogcom()
            .fbox_blogcal()
            .fbox_blogrss();
    }
    echo '
    </div>';
}
echo '
  </div>
</div>';
btable();
include CHEMIN.'inc/bpage.inc';
?>
