<?php
/*******************************************************************************
 *   Account
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.5 (June 07, 2014)        : replaced ImgSubmitButton by SubmitButton
 * v5.0.6 (July 02, 2014)        : improvement of management members
 * v5.0.7 (August 21, 2014)      : improvement of management members
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : adding the prohibition of changing the position of the boxes
 *                               : replace css properties by class rules
 * v5.01.04 (September 07, 2016) : suppress editor test
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[28] != 'on') {
    exit($web[143]);
}

$usermess = import('usermess');
$action   = import('action', 'POST');
$tconfig  = $serviz[172] == 'ALL' ? import('tconfig', '', true, 0) : $serviz[172];

if ($action == 1) {
	$list = ReadDBFields(NEWSLET_LIST);
	for ($i = 0; $i < count($list); $i++) {
		if ($list[$i][0] == $userprefs[1]) {
			$list[$i][1] = $userprefs[2];
			break;
		}
	}
	WriteDBFields(NEWSLET_LIST, $list);
}

$topmess = $web[317].' - '.$userprefs[1];
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'CMPT'.$tconfig, '100%');
else
    htable($topmess, '100%');
echo '
<br />';

if (!empty($usermess)) {
    echo '
<p class="textCenter"><b>'.$usermess.'</b></p>
<br />';
}
echo '
<div class="bord tbldiv textCenter width98 marginAuto">
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[49].'</div>
    <div class="rep tdtbldiv cmptlbl"><b>'.$userprefs[1].'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[50].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$userprefs[2].'</b>';
$list = ReadDBFields(NEWSLET_LIST);
for ($i = 0; $i < count($list); $i++) {
	if ($list[$i][0] == $userprefs[1] && $list[$i][1] != $userprefs[2]) {
		echo '
	  <div class="pop f-right popsyncmail">
		<a><img src="'.$reptheme.'/say.png" alt="" title="" />
		<span><em> </em>'.$help[9].'</span></a>
	  </div>
	  <div class="f-right cmptsyncmail">
		<form name="syncmail" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-14-'.$tconfig.$z2 : 'compte.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" method="post">
		  <input type="hidden" name="action" value="1" />
		  '.SubmitButton($web[631]).'
	    </form>
      </div>
      <div class="c-both"></div>';
		break;
	}
}
echo '
    </div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[51].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.($userprefs[9] == '' ? $web[316] : $userprefs[9]).'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[219].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.($userprefs[6] != '' ? stripslashes($userprefs[6]) : $web[309]).'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[155].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$userprefs[0].'</b></div>
  </div>';
if ($userprefs[27] != 'on') {
	echo '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[310].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.($userprefs[10] != '' ? $userprefs[10] : $web[315]).'</b></div>
  </div>';
}
if ($userprefs[28] != 'on' && $serviz[174] != 'on') {
	$textpos = '';
	if ($userprefs[3] == BOX_LEFT) {
		$textpos = $web[166];
	}
	if ($userprefs[3] == BOX_RIGHT) {
		$textpos= $web[232];
	}
	if ($userprefs[3] == BOX_LEFT.BOX_RIGHT) {
		$textpos= $web[165];
	}
	foreach ($templates as $keyconf=>$valueconf) {
		if (array_reduce($xposbox[$keyconf][BOX_LEFT],  'EstNonVide', TRUE))
			$textpos .= ' ('.BOX_RIGHT.' '.$valueconf.')';
		if (array_reduce($xposbox[$keyconf][BOX_RIGHT], 'EstNonVide', TRUE) )
			$textpos .= ' ('.BOX_LEFT.' '.$valueconf.')';
	}
	echo '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[164].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$textpos.'</b></div>
  </div>';
}
if ($page[23] != 'none') {
		echo '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 valignMiddle cmptlbl">'.$web[311].'</div>
    <div class="rep tdtbldiv valignMiddle cmptlbl">';
	if (!empty($userprefs[15]) || $userprefs[8] != 'unknow.png') {
        $src  = $userprefs[8] == 'unknow.png' && !empty($userprefs[15]) ? $userprefs[15] : CHEMIN.'inc/img/avatars/'.$page[23].'/'.$userprefs[8];
		echo '
      <img src="'.$src.'" alt="'.$userprefs[1].'" title="'.$userprefs[1].'" />';
	}
	elseif ($userprefs[8] == 'unknow.png') {
		echo '
	  <img src="'.CHEMIN.'inc/img/avatars/unknow.png" alt="'.$web[305].'" title="'.$web[305].'" />';
	}
    echo '
	</div>
  </div>';
}
$frsigns = ReadFrSigns();
$imgsign = '';
foreach ($frsigns as $code => $frsign) {
	if ('fr_'.$userprefs[1] == $code && 'a' == $frsign['status'] && 'e' ==  $frsign['origine']) {
		$imgsign = $frsign['image'];
		break;
	}
}
if ($imgsign != '') {
    echo '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv cmptlbl">'.$web[623].' :</div>
	<div class="rep tdtbldiv cmptlbl"><img src="'.$imgsign.'" alt="" title="'.$imgsign.'" /></div>
  </div>';
}
echo '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv cmptlbl">'.$web[312].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[5] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[654].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[23] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[655].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[24] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[656].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[25] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[657].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[26] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[475].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[29] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv cmptlbl">'.$web[625].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.(isset($userprefs[13]) ? FormatDate($userprefs[13]) : '???').'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv cmptlbl">'.$web[626].'</div>
    <div class="rep tdtbldiv cmptlbl"><b>'.(isset($userprefs[14]) ? FormatDate($userprefs[14]) : '???').'</b></div>
  </div>
</div>
<div class="textCenter">
  <form name="userpref2" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-6-1-old-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;modif=1&amp;uuser=old&amp;tconfig='.$tconfig.$z2).'" method="post">
    '.SubmitButton($web[308]).'
  </form>
  <hr />
  <form name="userbye" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-7-1-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;unreg=1&amp;tconfig='.$tconfig.$z2).'" method="post">
    '.SubmitButton($web[162]).'
  </form>
</div>';
btable();
include 'inc/bpage.inc';
?>
