<?php
/*******************************************************************************
 *   Connect User 
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.5 (June 07, 2014)        : corrected recipients mails
 *                               : protection against copying in certain fields
 *                               : added link to forgotten password
 *                               : add log out form
 *                               : removed all headers()
 * v5.0.6 (July 02, 2014)        : add parameter for site of control of IP
 *                               : improvement of management members
 * v5.0.7 (August 21, 2014)      : improvement of management members
 *                               : add visits of the day management
 * v5.0.8 (October 02, 2014)     : correction visits of the day
 * v5.0.9 (November 28, 2014)    : adding control registration validation
 * v5.00.10 (December 29, 2014)  : add suppression of cookies against vulnerabilities
 * v5.00.11 (March 02, 2015)     : changing the input of the pseudo
 *                               : add hyphen in the nickname
 * v5.01.00 (June 12, 2015)      : add ckeckbox for hostings behind a cache (thanks jcp)
 *                               : improvement for a mobile-friendly structure
 * v5.01.01 (September 02, 2015) : changing the expiration time of the connection
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : corrected url-rw rule for connect link
 *                               : improvement of IP address reading
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.02 (December 18, 2017)  : secondary admin support
 *                               : improved password control
 * v5.02.03 (February 01, 2018)  : improvement of password input
 *                               : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[28] != 'on') {
    exit($web[143]);
}

$crypt   = isset($_POST['crypt']) ? strip_tags($_POST['crypt']) : NULL;
$cryptok = (!$crypt) ? false : chk_crypt($crypt);

$connect = import('connect');
$pseudo  = import('pseudo');
$pseudo  = 1 == preg_match('/^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/', $pseudo) ? $pseudo : '';
$uid     = import('uid');
$uuser   = import('uuser');
$tconfig = $serviz[172] == 'ALL' ? import('tconfig', '', true, 0) : $serviz[172];

$err_pseudo = empty($pseudo) && $connect == 'on' && $uuser == 'old' ? true: false;
$err_uid    = (empty($uid) || !ctrlPasswordOK($uid)) && $connect == 'on' && $uuser == 'old' ? true: false;
$err_crypt  = $serviz[100] != '0' && ($userprefs[1] == '' || $serviz[98] == '') && !$cryptok && $connect == 'on' && $uuser == 'old' ? true: false;

$erreur  = '';
$erreur .= $err_pseudo ? '<li>'.$web[266].'</li>': '';
$erreur .= $err_uid ? '<li>'.$web[302].'</li>': '';
$erreur .= $err_crypt ? '<li>'.$web[529].'</li>': '';

if (is_file(MSGREP.'.dtb')) @unlink(MSGREP.'.dtb');

switch ($connect) {
case 'on':
	if ($members[19] == '0' && !FileDBExist(MSGREP.$pseudo.DBEXT)) {
		echo BeginJavascript().'
alert("'.addslashes($web[512]).'");
history.back();
'.EndJavascript();
		include 'inc/hpage.inc';
        if (function_exists('htable1'))
            htable1($topmess, 'CNCT'.$tconfig, '100%');
        else
            htable($topmess, '100%');
		echo '<br /><p class="textCenter"><strong>'.$web[512].'</strong></p>';
		btable();
		include 'inc/bpage.inc';
		exit();
	}
	if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) {
		$dbw = ReadDBFields(TEMPREP.'cnt-'.$pseudo.DBEXT);
		$dt  = GetCurrentDateTime() - $dbw[0][2];
		if ($dt >= 10) {
			unlink(TEMPREP.'cnt-'.$pseudo.DBEXT);
		} else {
			$ntc = $site['NTC'];
			$nt  = $dbw[0][0];
			if ($nt == $ntc) {
				$location = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-16-'.$tconfig.$z2 : 'lostpass.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2);
				echo BeginJavascript().'
alert("'.sprintf($web[614].$web[615], $pseudo).'");
window.location="'.$location.'";
'.EndJavascript();
				exit('<br /><p class="textCenter"><strong>'.sprintf($web[614], $pseudo, $site['NTC']).'</strong>');
			}
		}
	}
	$topmess = $web[630];
	if (is_file(TEMPREP.$pseudo.DBEXT)) {
		include 'inc/hpage.inc';
        if (function_exists('htable1'))
            htable1($topmess, 'CNCT'.$tconfig, '100%');
        else
            htable($topmess, '100%');
		switch($members[19]) {
		case 1 :
			echo '
<br />
<p class="textCenter"><strong>'.$web[513].'</strong></p>';
			break;
		case 2 :
			echo '
<br />
<p class="textCenter"><strong>'.$web[514].'</strong></p>';
			break;
		}
		btable();
		include 'inc/bpage.inc';
		exit();
	} else {
		if (($serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) && !$cryptok && $uuser != 'new') {
			echo BeginJavascript().'
alert("'.addslashes($web[529]).'");
history.back();
'.EndJavascript();
			exit('<p class="textCenter"><br />'.$web[529].'</p>');
		}
		if (!empty($pseudo) && FileDBExist(MSGREP.$pseudo.DBEXT) && $uuser != 'new') {
			$userdb = ReadDBFields(MSGREP.$pseudo.DBEXT);
            if (isset($userdb[1][31]) && 'ok' != $userdb[1][31] && $pseudo != '') {
				echo BeginJavascript().'
alert("'.addslashes($web[679]).'");
history.back();
'.EndJavascript();
				exit('<p class="textCenter"><br />'.$web[679].'</p>');
            } elseif (isset($userdb[1][13]) && 'off' == $userdb[1][13] && $pseudo != '') {
				echo BeginJavascript().'
alert("'.addslashes($web[620]).'");
history.back();
'.EndJavascript();
				exit('<p class="textCenter"><br />'.$web[620].'</p>');
			} elseif (empty($userdb[1][3])) {
				$location = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-3-'.$pseudo.'-'.$uuser.'-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&upseudo='.$pseudo.'&uuser='.$uuser.'&amp;tconfig='.$tconfig.$z2);
				echo BeginJavascript().'
alert("'.addslashes($pseudo.stripslashes($web[374])).'");
window.location="'.$location.'"'.EndJavascript();
				exit('<p class="textCenter"><br /><strong>'.$pseudo.stripslashes($web[374]).'</strong></p>');
			}
			elseif (isset($userdb[1][8]) && md5($uid) == $userdb[1][8] && $pseudo != '') {
				$userprefs[0]  = $userdb[1][1];
				$userprefs[1]  = $userdb[1][2];
				$userprefs[2]  = $userdb[1][3];
				$userprefs[3]  = $userdb[1][4];
				$userprefs[4]  = $userdb[1][5];
				$userprefs[5]  = $userdb[1][6];
				$userprefs[6]  = $userdb[1][7];
				$userprefs[7]  = $userdb[1][8];
				$userprefs[8]  = $userdb[1][9];
				$userprefs[9]  = $userdb[1][10];
				$userprefs[10] = $serviz[146] == 'on' ? '' : $userdb[1][11];
				$userprefs[11] = $userdb[1][12];
				$userprefs[12] = $userdb[1][13];
				$userprefs[13] = $userdb[1][14];
				$userprefs[14] = GetCurrentDateTime();
				$userprefs[15] = $userdb[1][16];
				$userprefs[16] = $userdb[1][17];
				$userprefs[17] = $userdb[1][18];
				$userprefs[18] = $userdb[1][19];
				$userprefs[19] = $userdb[1][20];
				$userprefs[20] = $userdb[1][21];
				$userprefs[21] = $userdb[1][22];
				$userprefs[22] = $userdb[1][23];
				$userprefs[23] = $userdb[1][24];
				$userprefs[24] = $userdb[1][25];
				$userprefs[25] = $userdb[1][26];
				$userprefs[26] = $userdb[1][27];
				$userprefs[27] = $userdb[1][28];
				$userprefs[28] = $userdb[1][29];
				$userprefs[29] = $userdb[1][30];
				$userprefs[30] = $userdb[1][31];

                $userdata = '';
                for ($i = 0; $i < count($userprefs); $i++) {
                    $stri      = sprintf("%02d", $i);
                    $strlen    = empty($userprefs[$i]) ? '03' : sprintf("%02d", strlen($userprefs[$i]));
                    $userdata .= $stri.$strlen.(empty($userprefs[$i]) ? 'off' : $userprefs[$i]);
                }
                
                if ($serviz[177] == '0') {
                    $_SESSION['SID']            = @session_id();
                    $_SESSION['connect_time']   = time();
                    $_SESSION['connect_pseudo'] = $userprefs[1];
                    $_SESSION['UserData']       = $userdata;
                } else {
                    $usertime = !empty($members[21]) ? intval($members[21]) : 157680000;
                    $expires  = (is_file(CHEMIN.'admin/'.REDACREP.$userprefs[1].INCEXT) || $userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176]) ? 157680000 : $usertime;
                    setcookie(USER_COOKIE, $userdata, time() + $expires, '/', $_DOMAIN, $_SECURE);
                    
                    $userconnect = time().CONNECTOR.$userprefs[1];
                    setcookie(PREF_COOKIE, $userconnect, time() + $expires, '/', $_DOMAIN, $_SECURE);
                }
                
				DejaVote(DBIPSTATS);
				$userdb[0][0]  = $userprefs[7];
				$userdb[1][15] = $userprefs[14];
				WriteDBFields(MSGREP.$userprefs[1].DBEXT, $userdb);
				
				if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) unlink(TEMPREP.'cnt-'.$pseudo.DBEXT);
				
				include 'inc/hpage.inc';
                if (function_exists('htable1'))
                    htable1($topmess, 'CNCT'.$tconfig, '100%');
                else
                    htable($topmess, '100%');
				echo '
<br />
<p class="textCenter"><b>'.sprintf($web[167], stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'...!', $userprefs[1]).'</b></p>';
				btable();
				include 'inc/bpage.inc';
				$location = CHEMIN.($userprefs[29] == 'on' ? ($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng) : ($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-14-'.$tconfig.$z2 : 'compte.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2));
				echo '
<br />'.BeginJavascript().'
window.setTimeout(\'window.location="'.$location.'"\', 2000);'.EndJavascript();
				exit();
			}
			elseif (md5($uid) == $userdb[0][0] && $pseudo != '' && $uuser == 'old') {
				$location = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-3-'.$pseudo.'-'.$uuser.'-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&upseudo='.$pseudo.'&uuser='.$uuser.'&amp;tconfig='.$tconfig.$z2);
				echo BeginJavascript().'
alert("'.$pseudo.addslashes(stripslashes($web[374])).'");
window.location="'.$location.'"'.EndJavascript();
				exit('<p class="textCenter"><br /><strong>'.$pseudo.stripslashes($web[374]).'</strong>');
			}
			elseif ($pseudo != '') {
				if ($supervision[12] == 'on') {
					$uuid  = strlen($uid) > 3 ? substr($uid, 0, strlen($uid) - 3).'***' : '***';
					$sujet = $web[606];
					$body  = $web[253].' '.$user[0].'<br /><br />'.sprintf($web[607], $pseudo, $uuid).'<br /><br />';
					$body .= $web[455].getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']).'<br /><br />';
					eMailHtmlTo($sujet, $body);
				}
				$ntc = $site['NTC'];
				if ($ntc > 0) { // contrôle du nombre de tentatives
					if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) {
						$dbw = ReadDBFields(TEMPREP.'cnt-'.$pseudo.DBEXT);
						$nt  = $dbw[0][0];
					} else {
						$dbw = array();
						$nt  = 0;
					}
					$nt++;
					$dbw[0][0] = $nt;
					$dbw[0][1] = getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']);
					$dbw[0][2] = GetCurrentDateTime();
					WriteDBFields(TEMPREP.'cnt-'.$pseudo.DBEXT, $dbw);
					if ($nt == $ntc - 1) {
						$location = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng;
						echo BeginJavascript().'
alert("'.sprintf($web[613], $pseudo, $ntc).'");
history.back();
'.EndJavascript();
						exit('<p class="textCenter"><br />'.sprintf($web[613], $pseudo, $ntc).'</p>');
					}
					if ($nt == $ntc) {
						$location = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-16-'.$tconfig.$z2 : 'lostpass.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2);
						echo BeginJavascript().'
alert("'.sprintf($web[614], $pseudo).'");
window.location="'.$location.'";
'.EndJavascript();
						exit('<p class="textCenter"><br />'.sprintf($web[614], $pseudo).'</p>');
					}
				}
				$location = ($site['URLR'] == 'on') ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng;
				echo BeginJavascript().'
alert("'.addslashes($web[231]).'");
history.back();
'.EndJavascript();
				exit('<p class="textCenter"><br />'.$web[231].'</p>');
			}
		}
		else {
			if ($members[19] == '3') 
				$userdest = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng;
			else {
				if ($pseudo != '' && $uid != '')
					$userdest = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-4-'.$pseudo.'-'.$uid.'-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&upseudo='.$pseudo.'&uuid='.$uid.'&uuser=new&amp;tconfig='.$tconfig.$z2;
				else
					$userdest = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&uuser=new&amp;tconfig='.$tconfig.$z2;
			}
			echo BeginJavascript().'
setTimeout(\'window.location="'.CHEMIN.$userdest.'"\', 3000);'
.EndJavascript();
		}
	}
	exit();
	break;

case 'off':
	$dbuser        = $userprefs[1];
	$userdb        = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
	$userdb[1][17] = GetCurrentDateTime();
	WriteDBFields(MSGREP.$userprefs[1].DBEXT, $userdb);
	$userprefs = array_fill(0, 31, '');
    session_unset();
    $_SESSION = array();
    session_destroy();
	setcookie('GuppYSite', '', time() - 3600, '/', $_DOMAIN, $_SECURE);
    unset($_COOKIE['GuppYSite']);
    setcookie(USER_COOKIE, '', time() - 3600, '/', $_DOMAIN, $_SECURE);
    unset($_COOKIE[USER_COOKIE]);
    setcookie(PREF_COOKIE, '', time() - 3600, '/', $_DOMAIN, $_SECURE);
    unset($_COOKIE[PREF_COOKIE]);
	DejaVote(DBIPSTATS);
	
	$topmess = getLabel($nom[$lng == $lang[0] ? 34 : 35]);
	$topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;
	include 'inc/hpage.inc';
    if (function_exists('htable1'))
        htable1($topmess, 'CNCT'.$tconfig, '100%');
    else
        htable($topmess, '100%');
	echo '
<br />
<p class="textCenter"><b>'.$web[376].$dbuser.'...!</b></p>
<br />';
	btable();
	include 'inc/bpage.inc';
	$location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng);
	echo BeginJavascript().'
setTimeout(\'window.location="'.$location.'"\', 3000);'
.EndJavascript();
	exit();
	break;
	
case 'no' ;
    if (!empty($userprefs[1])) {
		$topmess = $web[653];
		include 'inc/hpage.inc';
        if (function_exists('htable1'))
            htable1($topmess, 'CNCT'.$tconfig, '100%');
        else
            htable($topmess, '100%');
        echo '
<div class="textCenter marginAuto mainConnect">
  <fieldset>'.
    fbox_user().'
  </fieldset>
</div>';
		btable();
		include 'inc/bpage.inc';
		exit();
		break;
    }
	else {
		$location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng);
		echo BeginJavascript().'
setTimeout(\'window.location="'.$location.'"\', 3000);'
.EndJavascript();
		exit();
		break;
	}
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var messok = "";
    var erreur = false;
    var largeur = 300;
    var progbar = "'.$site[28].'";
	var uid = document.userin.uid.value;

    regexp = /^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/;
    if (!regexp.test(document.userin.pseudo.value)) {
        sto += "  - '.addslashes($web[266]).'\n";
		document.userin.pseudo.className = "errorInputText";
        erreur = true;
    }
	/*regexp = /^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*\W).{8,40}$/;*/
    regexp = /^\S{5,40}$/;
	if (!regexp.test(uid)) {
		sto += \'  - '.addslashes($web[302]).'\n\';
		document.userin.uid.className = "errorInputText";
		erreur = true;
	}
	';
if ($serviz[100] != '0' && $serviz[88] == 'on' && ($serviz[98] == '' || $userprefs[1] == '')) {
	$headinc .= '
    regexp = /^[a-zA-Z0-9_]{2,20}$/;
    if (!regexp.test(document.userin.crypt.value)) {
        sto += "  - '.addslashes($web[529]).'\n";
		document.userin.crypt.className = "errorInputText";
        erreur = true;
    }';
}
$headinc .= '
    if (erreur == true) {
        sto = "'.addslashes($web[638]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$topmess = $web[630];
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'CNCT'.$tconfig, '100%');
else
    htable($topmess, '100%');

if (!empty($erreur))
	echo displayErrorMsg($web[638], $erreur);
if ($members[19] != "0" && $members[19] != "3") {
	echo '
<div class="textCenter">
  <form name="usernew" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$tconfig.$z2 : 'connect.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" method="post">
    <input type="hidden" name="connect" value="on"/>
    <input type="hidden" name="uuser" value="new"/>
    '.SubmitButton($web[160]).'
  </form>
</div>
<hr />';
}
echo '
<style type="text/css">
.cnt-password {
	font-size: 9px;
	text-transform: uppercase;
	position: absolute;
	cursor: pointer;
	margin: 6px 0 0 -20px;
}
</style>
<script text="javascript">
  $(document).ready(function(){
    $(".cnt-password").click(function() {
        if($(this).prev("input").prop("type") == "password") {
            $(this).prev("input").prop("type","text");
            $(this).children("img").prop("title","'.$web[474].'");
        } else {
            $(this).prev("input").prop("type","password");
            $(this).children("img").prop("title","'.$web[473].'");
        }
    });
  });
</script>
<form name="userin" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$tconfig.$z2 : 'connect.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" method="post" onsubmit="return VerifyForm(); return false;">
  <input type="hidden"  name="connect" value="on" />
  <input type="hidden" name="uuser" value="old"/>
  <div class="tbldiv marginAuto width98">
    <div class="trtbldiv">
      <div class="tdtbldiv textCenter">
        '.$web[49].'<br /><input class="'.($err_pseudo ? 'errorInputText' : 'texte').'" type="text" name="pseudo" size="32" value="'.$pseudo.'" />
      </div>
    </div>
    <div class="trtbldiv">
      <div class="tdtbldiv textCenter">
        '.$web[300].'<br /><input class="'.($err_uid ? 'errorInputText' : 'texte').'" type="password" name="uid" size="32" value="'.$uid.'" />
        <span class="cnt-password"><img src="inc/img/look.png" alt="<O>" title="'.$web[473].'" /></span>
      </div>
    </div>';
if ($serviz[100] != '0' && $serviz[88] == 'on') {
	$lbl = $serviz[100] == '3' ? $web[642] : '';
	echo '
    <div class="trtbldiv">
      <div class="tdtbldiv textCenter">
        '.dsp_crypt(0, 1, 3, 2, $lbl, $serviz[115] == 'on' ? $web[643] : '').'
      </div>
    </div>
	<div class="trtbldiv">
      <div class="tdtbldiv textCenter">
        '.($serviz[100] == '3' ? '' : $web[530]).'<input class="'.($err_crypt ? 'errorInputText' : 'texte').'" type="text" name="crypt" size="6" onpaste="return false;" />
      </div>
    </div>';
}
echo '
    <div class="trtbldiv"><div class="tdtbldiv textCenter">'.SubmitButton($web[52]).'</div></div>
  </div>
</form>
<div class="textCenter">
  <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-16-'.$tconfig.$z2 : 'lostpass.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" class="lostconnect">'.sprintf($web[592], $reptheme).'</a>
</div>';

btable();
include 'inc/bpage.inc';
?>