<?php
/*******************************************************************************
 *   Form Advanced contact
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.1 (March 8, 2014)        : corrected the captcha control
 * v5.0.2 (March 25, 2014)       : corrected field's user initialization
 *                               : added processing against vulnerabilities
 *                               : added processing for minimum time to response
 * v5.0.3 (April 15, 2014)       : add display in secondary page
 * v5.0.5 (June 07, 2014)        : protection against copying in certain fields
 * v5.0.7 (August 21, 2014)      : include blacklisting function
 * v5.0.8 (October 02, 2014)     : modified the name input
 * v5.0.9 (November 28, 2014)    : add choice of email type
 * v5.00.10 (December 29, 2014)  : improve mail sending
 *                               : corrected title display #38
 *                               : corrected processing against vulnerabilities
 * v5.00.11 (March 2, 2015)      : changing the input of the pseudo
 * v5.01.00 (June 12, 2015)      : add ckeckbox for hostings behind a cache (thanks jcp)
 *                               : replacement of security messages
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : list of email for Copy for
 *                               : adding phpmailer as mail type
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : option Phone and/or Postal contact below e-Mail contact (thanks JeanDenis)
 *                               : correction From adress
 *                               : replace css properties by class rules
 *                               : improvement of IP address reading
 * v5.01.04 (September 07, 2016) : suppress editor test
 * v5.01.06 (December 06, 2016)  : correction cookie name
 * v5.01.07 (January 04, 2016)   : corrections for phpmailer 5.2.21
 * v5.02.00 (May 09, 2017)       : improve cookies management for firewall use
 *                               : replacement of pgeditor by a secure ckeditor
 * v5.02.01 (August 28, 2017)    : control active form
 *                               : improve user email validation
 *                               : improve editor configuration
 *                               : suppress session cookie parameters for Edge and mobiles
 *                               : independence of the admin part
 * v5.02.03 (February 01, 2018)  : improvement of email link
 *                               : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

$crypt   = isset($_POST['crypt']) ? strip_tags($_POST['crypt']) : NULL;
$cryptok = (!$crypt) ? false : chk_crypt($crypt);

$lng      = import('lng');
$ctconfig = import('ctconfig');
$ctconfig = empty($ctconfig) ? 'ctconfig' : $ctconfig;
$dbct     = SelectDBFieldsByField(ReadDBFields(CONFIGREP.'ctconfigs.dtb'), 1, $ctconfig);
$okct     = !empty($dbct) && $dbct[0][1] == $ctconfig && $dbct[0][2] == 'a' ? true : false;
if ($okct && is_file(CONFIGREP.$ctconfig.'.inc')) {
    include CONFIGREP.$ctconfig.'.inc';
} else {
    echo BeginJavascript().'
alert("STOP ! Config file not found !");
window.history.back();'.EndJavascript();
    die();
}

function FindIndexDBFields($fic, $submit0, $submit1, $submit2) {
    if (FileDBExist($fic)) {
        $DataDB = ReadDBFields($fic);
        for ($i = 0; $i < count($DataDB); $i++) {
            if (@stristr($DataDB[$i][0],$submit0)
            &&  @stristr($DataDB[$i][1],$submit1)
            &&  @stristr($DataDB[$i][2],$submit2)) {
                return $i;
            }
        }
    }
    return FALSE;
}

$t = ($lng == $lang[0]) ? 0 : 10 ;
$n = ($lng == $lang[0]) ? 3 : 4 ;

if (import('act', 'GET') != NULL) die('STOP ! Variable $act : illegal origine !');
$act       = import('act', 'POST');
$antispam  = import('antispam');
$ctrl_spam = import('code_pseudo', 'POST');
$tconfig   = $menuico[21] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[21];

$REMOTE_ADDR = getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']);
switch ($act) {
case NULL :
	$token = uniqid(rand(), true);
	$_SESSION['ct_token'] = $token;
	$_SESSION['ct_token_time'] = time();
    break;
case 'send' :
    $token = !isset($_SESSION['ct_token']) ? NULL : $_SESSION['ct_token'];
    $token_time = time() - (15 * 60);
	if ($_SESSION['ct_token'] != $token || $_SESSION['ct_token_time'] < $token_time) {
        echo BeginJavascript().'
var sto = "'.str_replace('<br />', '\n', stripslashes($web[681])).'";
alert(sto);
'.EndJavascript();
        $act   = NULL;
        $token = uniqid(rand(), true);
        $_SESSION['ct_token'] = $token;
        $_SESSION['ct_token_time'] = time();
    }
	elseif ($_SESSION['ct_token_time'] + 2 > time()) {
        echo BeginJavascript().'
var sto = "'.str_replace('<br />', '\n', stripslashes($web[682])).'";
alert(sto);
'.EndJavascript();
        $act   = NULL;
        $token = uniqid(rand(), true);
        $_SESSION['ct_token'] = $token;
        $_SESSION['ct_token_time'] = time();
    }
    break;
}

$form0 = import('form0');
$form1 = import('form1');
$form2 = checkEmail(import('form2'));
$text1 = import('text1');
$text2 = import('text2');
$text3 = import('text3');
$text4 = import('text4');
$text5 = import('text5');
$text6 = import('text6');
$sel0  = import('sel0');
$rad0  = import('rad0');
$chk1  = import('chk1');
$chk2  = import('chk2');
$chk3  = import('chk3');
$chk4  = import('chk4');
$chkar = import('chkar');

require CHEMIN.'inc/ckeditor_config/editors_functions.php';
require_once CHEMIN.'inc/htmlpurifier/library/HTMLPurifier.auto.php';
$configpg = HTMLPurifier_Config::createDefault();
$configpg->set('HTML.Allowed', '
  p[class|id|style],div[class|id|style],strong,em,u,b,sub,sup,span[class|style],pre[class],blockquote[class|style],
  a[href|target|title|style],img[src|alt|style],ul[style],ol[start|style],li');
$configpg->set('Attr.AllowedFrameTargets', array('_blank', '_self'));
$purifier = new HTMLPurifier($configpg);
$ptxt     = $purifier->purify(getPGTXT(import('ptxt', 'POST', FALSE)));

if (empty($ptxt) || !empty($ctrl_spam)) $act = null;

$topmess = $lng == $lang[0] ? $ctlbl0 : $ctlbl1;
$okmail  = false;
$typ     = TYP_MAIL;

$err_form1  = empty($form1) && $act == 'send';
$err_form11 = !$err_form1 && 1 != preg_match('/^.{2,40}$/', $form1) && $act == 'send';
$err_form2  = empty($form2) && $act == 'send';
$err_txt1   = $chtxt[1] == 'fix' && empty($text1) && $act == 'send';
$err_txt2   = $chtxt[2] == 'fix' && empty($text2) && $act == 'send';
$err_txt3   = $chtxt[3] == 'fix' && empty($text3) && $act == 'send';
$err_txt4   = $chtxt[4] == 'fix' && empty($text4) && $act == 'send';
$err_txt5   = $chtxt[5] == 'fix' && empty($text5) && $act == 'send';
$err_txt6   = $chtxt[6] == 'fix' && empty($text6) && $act == 'send';
$err_crypt  = $serviz[100] != '0' && $serviz[95] == 'on' && ($userprefs[1] == '' || $serviz[98] == '') && !$cryptok && $act == 'send' ? true : false;
$err_ptxt   = empty($ptxt) && ($add == 1 || $add == -1) && !in_array($mod, array('lock', 'up', 'raz', 'top')) ? true : false;

$erreur  = '';
$erreur .= $err_form1 ? '<li>'.$web[40].'</li>': '';
$erreur .= $err_form11 ? '<li>'.$web[266].'</li>': '';
$erreur .= $err_form2 ? '<li>'.$web[42].'</li>': '';
$erreur .= $err_txt1 ? '<li>'.$web[545].$ftxt[1 + $t].$web[546].'</li>': '';
$erreur .= $err_txt2 ? '<li>'.$web[545].$ftxt[2 + $t].$web[546].'</li>': '';
$erreur .= $err_txt3 ? '<li>'.$web[545].$ftxt[3 + $t].$web[546].'</li>': '';
$erreur .= $err_txt4 ? '<li>'.$web[545].$ftxt[4 + $t].$web[546].'</li>': '';
$erreur .= $err_txt5 ? '<li>'.$web[545].$ftxt[5 + $t].$web[546].'</li>': '';
$erreur .= $err_txt6 ? '<li>'.$web[545].$ftxt[6 + $t].$web[546].'</li>': '';
$erreur .= $err_ptxt ? '<li>'.$web[43].'</li>': '';
$erreur .= $err_crypt ? '<li>'.$web[529].'</li>': '';

if ($act == 'send' && empty($erreur)) { // envoi du mail

    ExecuteBlackList();
    
    include CONFIG;

    $okmail = true;
    $eFiles = array();
    for ($f = 0; $f < $chfic[0]; $f++) {
        $filename = $_FILES['fil_in'.$f]['name'];
        $tmpname  = $_FILES['fil_in'.$f]['tmp_name'];
        if ($filename != '') {
            if (!is_uploaded_file($tmpname)) {
                $erreur .= '- '.basename($filename)." : ".$web[547].'\n';
                $okmail = false;
            } else {
                $eFiles[] = array($tmpname, $filename);
            }
        }
    }
	$index = FindIndexDBFields(DBANTISPAM, $antispam, getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']), $typ);
	if ($index === false) {
		if (is_file('inc/postguest_antispam.inc')) include 'inc/postguest_antispam.inc';
		die('STOP ! Anti-SPAM !');
	} else {
		$fmail0 = $fdest[1];
		for ($d = 2; $d < count($fdest); $d++)
			if ($form0 == ($lang[0] == $lng ? $fname[$d] : $f2name[$d])) {
				$fmail0 = $fdest[$d];
				break;
			}
		$corps  = '<table style="width:100%;">';
		$corps .= '<tr><td style="width:30%;"><u>'.$web[330].'</u> : </td><td style="width:70%;">'.$form1.'</td></tr>'."\n";
		$corps .= '<tr><td><u> '.$web[101].'<br />'.$web[476].'</u>&nbsp;</td><td><a href="mailto:'.$form2.'?bcc='.$user[1].'&subject=Re: '.$web[330].stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'">'.stripslashes($form2).'</a></td></tr>'."\n";
		$corps .= '<tr><td colspan="2"><hr /></td></tr>'."\n";
    // zones texte 1 à 3
		if ($text1) $corps .= '<tr><td><u> '.$ftxt[1 + $t].'</u> : </td><td>'.stripslashes($text1).'</td></tr>'."\n";
		if ($text2) $corps .= '<tr><td><u> '.$ftxt[2 + $t].'</u> : </td><td>'.stripslashes($text2).'</td></tr>'."\n";
		if ($text3) $corps .= '<tr><td><u> '.$ftxt[3 + $t].'</u> : </td><td>'.stripslashes($text3).'</td></tr>'."\n";
    //zone select
        if ($sel0 != '') $corps .= '<tr><td><u> '.$fsel[0 + $t].'</u> : </td><td>'.stripslashes($sel0).'</td></tr>'."\n";
    //zone boutons radio
		if ($rad0) $corps .= '<tr><td><u> '.$frad[0 + $t].'</u> : </td><td>'.stripslashes($rad0).'</td></tr>'."\n";
    // zone cases à cocher
		if ($chchk[0] != '' && $chk1 || $chk2 || $chk3 || $chk4) {
			$corps .= '<tr><td style="vertical-align:top"><u> '.$fchk[0 + $t].'</u> : </td><td>'."\n";
			if ($chk1) $corps .= '<span style="text-align:right;">- '.$fchk[1 + $t].'</span><br />'."\n";
			if ($chk2) $corps .= '<span style="text-align:right;">- '.$fchk[2 + $t].'</span><br />'."\n";
			if ($chk3) $corps .= '<span style="text-align:right;">- '.$fchk[3 + $t].'</span><br />'."\n";
			if ($chk4) $corps .= '<span style="text-align:right;">- '.$fchk[4 + $t].'</span><br />'."\n";
			$corps .= '</td></tr>'."\n";
		}
    // zones texte 4 à 6
		if ($text4) $corps .= '<tr><td><u> '.$ftxt[4 + $t].'</u> : </td><td>'.stripslashes($text4).'</td></tr>'."\n";
		if ($text5) $corps .= '<tr><td><u> '.$ftxt[5 + $t].'</u> : </td><td>'.stripslashes($text5).'</td></tr>'."\n";
		if ($text6) $corps .= '<tr><td><u> '.$ftxt[6 + $t].'</u> : </td><td>'.stripslashes($text6).'</td></tr>'."\n";
    // zone message
        $corps .= '<tr><td colspan="2"><hr /><u> '.$web[552].'</u> :<br />'.$ptxt.'</td></tr></table>'."\n";        
    // confection de l'email
		$delimiteur = $serviz[155] == 'standard' ? '==S=E=P=A=R=A=T=O=R==' : '-----='.md5(uniqid(rand()));
        $eol   = $serviz[155] == 'standard' ? "\r\n" : "\n";
		$msg1  = "Ceci est un message au format MIME 1.0 multipart/mixed.".$eol;
		$msg1 .= "--$delimiteur".$eol;
		$msg1 .= "Content-Type: text/html; charset=utf-8".$eol;
		$msg1 .= "Content-Transfer-Encoding:8bit".$eol;
		$msg1 .= $eol;
        
		$msg2 = '';
        $nbf  = 0;
        for ($f = 0; $f < $chfic[0]; $f++) {
            $filename = $_FILES['fil_in'.$f]['name'];
            $tmpname  = $_FILES['fil_in'.$f]['tmp_name'];
            if ($filename != '') {
                if ($serviz[155] != 'phpmailer') {
                    $fichier = basename($filename);
                    $fp = fopen($tmpname, 'rb');
                    $fichierjoint = fread($fp, filesize($tmpname));
                    fclose($fp);
                    $fichierjoint = chunk_split(base64_encode($fichierjoint));
                    $msg2 .= "--$delimiteur".$eol;
                    $msg2 .= "Content-Type: application/octet-stream; name=\"$fichier\"".$eol;
                    $msg2 .= "Content-Transfer-Encoding: base64".$eol;
                    $msg2 .= "Content-ID: <image1>".$eol;
                    $msg2 .= $eol;
                    $msg2 .= $fichierjoint.$eol;
                    $msg2 .= $eol;
                }
                $nbf++;
            }
        }
    // confection partie texte
        $texte1  = strip_tags(preg_replace("!<br />|<br />|</p>!i", "\n", preg_replace("!<hr>|<hr />!i", "\n \n", $corps)));
        $msg3    = "Content-Type: text/plain; charset=".$charset.$eol;
        $msg3   .= "Content-Transfer-Encoding: 8bit".$eol;
        $corps1  = "--".$delimiteur.$eol.$msg3.$eol.$texte1.$eol;
        $corps1 .= "--".$delimiteur.$eol.$msg1.$eol.$corps.$eol;
        $corps1 .= "--".$delimiteur."--".$eol;
    // entête du mail
		$entete  = "MIME-Version: 1.0\n";
		$entete .= "Content-Type: ".($nbf > 0 ? "multipart/mixed" : "multipart/alternative")."; boundary=\"".$delimiteur."\"\n";
    // envoi de l'email
		$msobj = $web[330].stripslashes($site[($lang[0] == $lng ? 0 : 11)]);
		$msge  = $nbf > 0 ? $msg1.$corps.$msg2 : $corps1;
        if ($serviz[155] == 'phpmailer') {
            $eFrom    = $form2;
            $FromTo   = $form1;
            $eTo      = $fmail0;
            $allCC    = explode(' ', trim($fdest[0]));
            $eSubject = $msobj;
            $eMsgHtml = $corps;
            $eMsgText = strip_tags(preg_replace("!<br />|<br />|</p>!i", "\n", preg_replace("!<hr>|<hr />!i", "\n \n", $eMsgHtml)));
            $eAR      = $chkar != '' ? $form2 : '';
            include CHEMIN.INCREP.'mail/phpmailer'.INCEXT;
        } else {
            $frm2 = $user[1];
            if ($fdest[0] != '') $frm2 .= $eol."Cc: ".str_replace(' ', ',', trim($fdest[0]));
            if ($chkar != '') $frm2 = $frm2.$eol."Disposition-Notification-To: ".$form2;
            $msobj = strtr($msobj, array('à'=>'a', 'é'=>'e', 'è'=>'e', 'ê'=>'e', 'ë'=>'e', 'î'=>'i', 'ï'=>'i', 'ô'=>'o', 'û'=>'u', 'û'=>'u'));
            $msobj = preg_replace('![^-a-zA-Z0-9_ ]!i', '.', $msobj);
            if ($serviz[155] == 'standard')
                $okmail = @mail($fmail0, $msobj, $msge, "From: ".$frm2.$eol.$entete);
            else
                $okmail = @mail($fmail0, $msobj, $msge, "From: ".$frm2.$eol.$entete, '-f'.$user[1]);
            if (!okmail) {
                echo 
BeginJavascript().'
alert("'.addslashes($web[551]).'");
'.EndJavascript();
            }
        }
	}
}
else {
    $antispam = md5(uniqid(rand()));
    $antispams = ReadDBFields(DBANTISPAM);
    $timestamp = microtime(TRUE);
    array_push($antispams, array($antispam, getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']), TYP_MAIL, $timestamp));
    $timestamp -= $serviz[52] * 60;
    while($antispams[0][3] < $timestamp) {
        array_shift($antispams);
    }
    if (count($antispams) > $serviz[51]) {
        array_shift($antispams);
    }
    WriteDBFields(DBANTISPAM, $antispams);
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var messok = "";
    var erreur = false;

    if (document.rapporter.form1.value == "") {
        sto += "  - '.addslashes($web[40]).'\n";
		document.rapporter.form1.className = "errorInputText";
        erreur = true;
    } else {
        regexp = /^.{2,'.max($serviz[148], 40).'}$/;
        if (!regexp.test(document.rapporter.form1.value)) {
            sto += "  - '.addslashes($web[266]).'\n";
			document.rapporter.form1.className = "errorInputText";
            erreur = true;
        }
    }
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.rapporter.form2.value)) {
        sto += "  - '.addslashes($web[42]).'\n";
		document.rapporter.form2.className = "errorInputText";
        erreur = true;
    }';
for ($i = 1; $i <= 6; $i++) {
    if ($chtxt[$i] == 'fix') {
        $headinc .= '
    if (document.rapporter.text'.$i.'.value == "") {
        sto += "  - '.addslashes($web[545].$ftxt[$i + $t].$web[546]).'\n";
		document.rapporter.text'.$i.'.className = "errorInputText";
        erreur = true;
    }';
    }
}
if ($chsel[0] == 'fix') 
    $headinc .= '
    if (document.rapporter.sel0.value == "???") {
        sto += "  - '.addslashes($web[545].$fsel[0 + $t].$web[549]).'\n";
		document.rapporter.sel0.className = "errorInputText";
        erreur = true;
    }';
if ($chrad[0] == 'fix') 
    $headinc .= '
    if (document.rapporter.rad0.value == "") {
        sto += "  - '.addslashes($web[545].$frad[0 + $t].$web[549]).'\n";
        erreur = true;
    }';
if ($chchk[0] == 'fix') {
    $chk = '';
    for ($i = 1; $i <= 4; $i++) {
        if ($fchk[$i + $t] != '') $chk .= '!document.rapporter.chk'.$i.'.checked && ';
    }
    $chk = substr($chk, 0, -3);
    $headinc .= '
    if ('.$chk.') {
        sto += "  - '.addslashes($web[545].$fchk[0 + $t].$web[550]).'\n";
        erreur = true;
    }';
}
if ($serviz[100] != '0' && ($serviz[98] == '' || $userprefs[1] == '')) {
	$headinc .= '
	regexp = /^[a-zA-Z0-9_]{2,20}$/;
	if (!regexp.test(document.rapporter.crypt.value)) {
		sto += "  - '.addslashes($web[529]).'\n";
		document.rapporter.crypt.className = "errorInputText";
		erreur = true;
	}';
}
$headinc .= '
    if (erreur) {
        sto = "'.addslashes($web[44]).'\n\n" + sto;
        alert(sto);
    return false;
    }
}'.EndJavascript();

include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'CNT'.$tconfig, '100%');
else
    htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[20])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
} else {
    if ($okmail) {
        if ($chfic[0] != 0) $corps .= '<hr />';
        for ($f = 0; $f < $chfic[0]; $f++) {
            $filename = $_FILES['fil_in'.$f]['name'];
            if ($filename != '') {
                $corps .= '<u>PJ:</u> '.$_FILES['fil_in'.$f]['name'].'<br />';
                @unlink(TEMPREP.$filename);
            }
        }
        echo '
    <div class="textLeft dispMail">
      <p>'.$web[539].'</p>
      <div class="rep bord textCenter dispMailBody">'.stripslashes($corps).'</div>
      <p class="textLeft">'.$web[540].'</p>
    </div>';
    } else {
        function msgtext($check, $name, $texte, $ftexte, $err_txt) {
			global $fix, $charset, $we;
            if ($check == 'fix') $ftexte .= $fix;
            echo '
          <div class="trtbldiv">
            <div class="tdtbldiv">
              <div class="tbldiv width100">
                <div class="trtbldiv">
                  <div class="tdtbldiv width45 textLeft">'.$ftexte.' : </div>
                  <div class="tdtbldiv width55 textLeft">
                    <input class="'.($err_txt ? 'errorInputText' : 'texte').'" type="text" name="'.$name.'" value="'.htmlentities(stripslashes($texte), ENT_QUOTES, $charset).'" style="width:'.$we.'px;" /><br />
                  </div>
                </div>
              </div>
            </div>
          </div>';
        }

		if (!empty($erreur))
			echo displayErrorMsg($web[542], $erreur);
        
        $we = min(224, $navWidth - 64).'px';
        $wt = min(560, $navWidth - 32).'px';
        echo '
    <div class="textCenter">';
	// Position Contact téléphonique  $ftelbelow[0] == '' => en haut
	if ($ftelbelow[0] == '') {
	// contact téléphonique
        if ($ftel[0] == 'on') {
            echo '  
    <div class="width100 textLeft">'.ForceToAbsolute(stripslashes($ftel[1 + $t])).'</div>';
        }
	}
	// Position Contact postal  $fletbelow[0] == '' => en haut
	if ($fletbelow[0] == '') {
    // contact par courrier
        if ($flet[0] == 'on') {
            echo '
    <div class="width100 textLeft">'.ForceToAbsolute(stripslashes($flet[1 + $t])).'</div>';
        }
	}	
    // contact par mail
        echo '
    <div class="textCenter">
      <form name="rapporter" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[2].'-'.$tconfig.$z2 : $site['CT'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" enctype="multipart/form-data" method="post" onsubmit="return VerifyForm(); return false;">
      <fieldset class="messContact'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'">
        <legend class="headContact'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'">&bull; '.$web[541].'</legend>
        <input type="hidden" name="antispam" value="'.$antispam.'" />
        <input type="hidden" name="act" value="send" />
        <input type="hidden" name="ctconfig" value="'.$ctconfig.'" />
        <div class="tbldiv marginAuto textLeft" style="width:'.$wt.';">
          <div class="trtbldiv">
            <div class="tdtbldiv textCenter">
              <p>'.$web[45].'</p><span class="displayNone"><input type="text" name="code_pseudo" value="" /></span>
            </div>
          </div>
          <div class="trtbldiv"><div class="tdtbldiv"><span class="textLeft">(*) '.$web[543].'</span></div></div>';
        $fix = ' <span> (*)</span>';
    // choix destinataire
        if (!isset($fdest[2])) { // si 1 seul destinataire pas de select
            echo '
          <div class="trtbldiv"><div class="tdtbldiv"><input type="hidden" name="form0" value="'.htmlentities($lang[0] == $lng ? $fname[1] : $f2name[1], ENT_QUOTES, $charset).'" /></div></div>';
        } else {
            echo '
          <div class="trtbldiv">
            <div class="tdtbldiv">
              <div class="tbldiv width100">
                <div class="trtbldiv">
                  <div class="tdtbldiv textLeft width45">'.htmlentities($lang[0] == $lng ? $fname[0] : $f2name[0], ENT_QUOTES, $charset).' : </div>
                  <div class="tdtbldiv textLeft width55">
                    <select name="form0" style="width:'.$we.';">';
			for ($d = 1; $d < count($fdest); $d++) {
                echo '
                      <option value="'.htmlentities($lang[0] == $lng ? $fname[$d] : $f2name[$d], ENT_QUOTES, $charset).'"'.Selected($form0 == ($lang[0] == $lng ? $fname[$d] : $f2name[$d])).'>'.($lang[0] == $lng ? $fname[$d] : $f2name[$d]).'</option>';
			}
            echo '
			        </select>
                  </div>
                </div>
              </div>
            </div>
          </div>';
        }
    // expéditeur
        $form1 = (empty($form1) && $userprefs[1] != '') ? $userprefs[1] : $form1;
        $form2 = (empty($form2) && $userprefs[2] != '') ? $userprefs[2] : $form2;
        echo '
          <div class="trtbldiv">
            <div class="tdtbldiv">
              <div class="tbldiv">
                <div class="trtbldiv">
                  <div class="tdtbldiv textLeft width45 nameContactL">'.$fmail[1 + $t].$fix.' :</div>
                  <div class="tdtbldiv textLeft width55 nameContactR">
                    <input class="'.($err_form1 || $err_form11 ? 'errorInputText' : 'texte').'" type="text" name="form1" value="'.htmlentities(stripslashes($form1), ENT_QUOTES, $charset).'" style="width:'.$we.';" />
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="trtbldiv">
            <div class="tdtbldiv">
              <div class="tbldiv">
                <div class="trtbldiv">
                  <div class="tdtbldiv textLeft width45 mailContactL">'.$fmail[2 + $t].$fix.' :</div>
                  <div class="tdtbldiv textLeft width55 mailContactR">
                    <input class="'.($err_form2 ? 'errorInputText' : 'texte').'" type="text" name="form2" value="'.stripslashes($form2).'" style="width:'.$we.';" />
                  </div>
                </div>
              </div>
            </div>
          </div>';
    // zones texte 1 à 3
        if ($chtxt[1] != '') msgtext ($chtxt[1], 'text1', $text1, $ftxt[1 + $t], $err_txt1);
        if ($chtxt[2] != '') msgtext ($chtxt[2], 'text2', $text2, $ftxt[2 + $t], $err_txt2);
        if ($chtxt[3] != '') msgtext ($chtxt[3], 'text3', $text3, $ftxt[3 + $t], $err_txt3);
    // zone select
        if ($chsel[0] != '') {
            if ($chsel[0] == 'fix') $fsel[0 + $t] .= $fix;
            echo '
          <div class="trtbldiv">
            <div class="tdtbldiv">
              <div class="tbldiv">
                <div class="trtbldiv">
                  <div class="tdtbldiv textLeft width45">'.$fsel[0 + $t].' : </div>
                  <div class="tdtbldiv textLeft width55 selContactR">
                    <select name="sel0" style="width:'.$we.';">
                      <option value="???">???</option>';
            if ($fsel[1]) {
                echo '
                      <option value="'.$fsel[1 + $t].'"'.Selected($sel0 == $fsel[1 + $t]).'>'.$fsel[1 + $t].'</option>';
            }
            if ($fsel[2]) {
                echo '
                      <option value="'.$fsel[2 + $t].'"'.Selected($sel0 == $fsel[2 + $t]).'>'.$fsel[2 + $t].'</option>';
            }
            if ($fsel[3]) {
                echo '
                      <option value="'.$fsel[3 + $t].'"'.Selected($sel0 == $fsel[3 + $t]).'>'.$fsel[3 + $t].'</option>';
            }
            if ($fsel[4]) {
                echo '
                      <option value="'.$fsel[4 + $t].'"'.Selected($sel0 == $fsel[4 + $t]).'>'.$fsel[4 + $t].'</option>';
            }
            echo '
                    </select>
                  </div>
                </div>
              </div>
            </div>
          </div>';
        }
    // zone boutons radio
        if ($chrad[0] != '') {
            echo '
          <div class="trtbldiv"><div class="tdtbldiv">&nbsp;</div></div>';
            if ($chrad[0] == 'fix') $frad[0 + $t] .= $fix;
            echo '
          <div class="trtbldiv">
            <div class="tdtbldiv">
              <div class="tbldiv width100">
                <div class="trtbldiv">
                  <div class="tdtbldiv textLeft width45 valignTop">'.$frad[0 + $t].' : </div>
                  <div class="tdtbldiv textLeft width55">';
            if ($frad[1]) {
                echo '
                    <input type="radio" name="rad0" value="'.$frad[1 + $t].'"'.checked($rad0 == $frad[1 + $t]).' /> '.$frad[1 + $t].'<br />';
            }
            if ($frad[2]) {
                echo '
                    <input type="radio" name="rad0" value="'.$frad[2 + $t].'"'.checked($rad0 == $frad[2 + $t]).' /> '.$frad[2 + $t].'<br />';
            }
            if ($frad[3]) {
                echo '
                    <input type="radio" name="rad0" value="'.$frad[3 + $t].'"'.checked($rad0 == $frad[3 + $t]).' /> '.$frad[3 + $t].'<br />';
            }
            if ($frad[4]) {
                echo '
                    <input type="radio" name="rad0" value="'.$frad[4 + $t].'"'.checked($rad0 == $frad[4 + $t]).' /> '.$frad[4 + $t].'<br />';
            }
            echo '
                  </div>
                </div>
              </div>
            </div>
          </div>';
        }
    // zone à cocher
        if ($chchk[0] != '') {
            echo '
          <div class="trtbldiv"><div class="tdtbldiv">&nbsp;</div></div>';
            if ($chchk[0] == 'fix') $fchk[0 + $t] .= $fix;
            echo '
          <div class="trtbldiv">
            <div class="tdtbldiv">
              <div class="tbldiv width100">
                <div class="trtbldiv">
                  <div class="tdtbldiv textLeft width45 valignTop">'.$fchk[0 + $t].' : </div>
                  <div class="tdtbldiv textLeft width55">';
            if ($fchk[1]) {
                echo '
                    <input type="checkbox" name="chk1"'.checked($chk1).' /> '.$fchk[1 + $t].'<br />';
            }
            if ($fchk[2]) {
                echo '
                    <input type="checkbox" name="chk2"'.checked($chk2).' /> '.$fchk[2 + $t].'<br />';
            }
            if ($fchk[3]) {
                echo '
                    <input type="checkbox" name="chk3"'.checked($chk3).' /> '.$fchk[3 + $t].'<br />';
            }
            if ($fchk[4]) {
                echo '
                    <input type="checkbox" name="chk4"'.checked($chk4).' /> '.$fchk[4 + $t].'<br />';
            }
            echo '
                  </div>
                </div>
              </div>
            </div>
          </div>';
        }
    //zones texte 4 à 6
        echo '
          <div class="trtbldiv"><div class="tdtbldiv">&nbsp;</div></div>';
        if ($chtxt[4] != '') msgtext ($chtxt[4], 'text4', $text4, $ftxt[4 + $t], $err_txt4);
        if ($chtxt[5] != '') msgtext ($chtxt[5], 'text5', $text5, $ftxt[5 + $t], $err_txt5);
        if ($chtxt[6] != '') msgtext ($chtxt[6], 'text6', $text6, $ftxt[6 + $t], $err_txt6);
        echo '
        </div>
        <div class="tbldiv marginAuto" style="width:'.$wt.';">
          <div class="trtbldiv">
            <div class="tdtbldiv textCenter">';
    // zone du message
        $ptxt = addslashes($ptxt);
        echo '
<style type="text/css">
#cke_ptxt {
  margin: auto;
  max-width: '.($navWidth - 32).'px;
}
</style>
';
        echo '
              <p class="textCenter"><br />'.$fmes[1 + $t].$fix.' :<br /></p>';
        echo display_editor('ptxt', $wt, 280, $ptxt, true, array('toolbarName'=>'Guppy_out_min')).'<br />';
    // pièces jointes
        if ($chfic[0] != '0' && TYP_SCREEN == 'WEB') {
            echo '
                <input type="hidden" name="MAX_FILE_SIZE" value="2000000" />'.$web[548].' :<br />';
            for ($f = 0; $f < $chfic[0]; $f++) {
                echo '
                <input class="texte" type="file" name="fil_in'.$f.'" size="40" value="" /><br />';
            }
        }
        if ($far != '') { // accusé de réception
            echo '<br />'.$web[544].' <input type="checkbox" name="chkar" />';
        }
		echo '
		    </div>
		  </div>';
        if ($serviz[100] != '0' && $serviz[95] == 'on' && ($serviz[98] == '' || $userprefs[1] == '')) {
			$lbl = $serviz[100] == '3' ? $web[642] : '';
            echo '
          <div class="trtbldiv"><div class="tdtbldiv textCenter">'.dsp_crypt(0, 1, 3, 2, $lbl, $serviz[115] == 'on' ? $web[643] : '').'</div></div>
          <div class="trtbldiv">
            <div class="tdtbldiv textCenter">
              '.($serviz[100] == '3' ? '' : $web[530]).$fix.'&nbsp;<input class="'.($err_crypt ? 'errorInputText' : 'texte').'" type="text" name="crypt" size="6" onpaste="return false;" />
            </div>
          </div>';
        }
        echo '
          <div class="trtbldiv"><div class="tdtbldiv textCenter"><br />'.SubmitButton($web[52]).'</div></div>
        </div>
      </fieldset>
      </form>
    </div>
    </div>'.displayQuickConfig(NULL, false, 'contact&act=2&ctconfig='.$ctconfig, '', '', 13);;
	// Position Contact téléphonique  $ftelbelow[0] == 'on' => en bas
	if ($ftelbelow[0] == 'on') {
	// contact téléphonique
        if ($ftel[0] == 'on') {
            echo '  
    <div class="width100 textLeft">'.ForceToAbsolute(stripslashes($ftel[1 + $t])).'</div>';
        }
	}
	// Position Contact postal  $fletbelow[0] == 'on' => en bas
	if ($fletbelow[0] == 'on') {
    // contact par courrier
        if ($flet[0] == 'on') {
            echo '
    <div class="width100 textLeft">'.ForceToAbsolute(stripslashes($flet[1 + $t])).'</div>';
        }
	}			
    }
}
btable();
include 'inc/bpage.inc';
?>
