<?php
/*******************************************************************************
 *   Download
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.4 (April 30, 2014)       : add a directory
 * v5.0.5 (June 07, 2014)        : corrected categories display
 * v5.0.7 (August 21, 2014)      : corrected categories links
 * v5.0.8 (October 02, 2014)     : corrected navigation
 * v5.0.9 (November 28, 2014)    : improved display directory
 *                               : suppressed checksum file
 *                               : corrected redirection in urlrw mode
 * v5.00.10 (December 29, 2014)  : modify styles of directory
 * v5.00.11 (March 2, 2015)      : modified quick admin icons
 * v5.01.00 (June 12, 2015)      : corrected count by category
 *                               : improvement for a mobile-friendly structure
 * v5.01.01 (September 2, 2015)  : corrected link display for mobile
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : adding a custom error handling 404
 *                               : display delay brought to 8 seconds
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : control the display of the latest and most downloaded
 *                               : replace css properties by class rules
 * v5.01.06 (December 06, 2016)  : correction of filename display in second language
 * v5.01.07 (January 04, 2016)   : correction of end of documents
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : mofify end of document
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[10] != 'on') {
    exit($web[143]);
}

$pg      = import('pg');
$id      = import('id');
$tconfig = $menuico[15] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[15];
$dirdnl  = import('dirdnl');
$k       = ($lng == $lang[0])? 0 : 1;
$categ   = '';
$dbwork  = array();
$dbwan   = array();
$dbw50   = array();
if (!empty($pg)) {
    $dbwork = SelectDbFieldsByField(ReadDBFields(DBDNLOAD), 4, $pg);
	$isdoc  = (count($dbwork) != 0);
	if ($isdoc) {
		$isdoc = isAuthorizedPublication($dbwork[0][5]);
        if (!isAccessGranted($dbwork[0][6])) {
			header('HTTP/1.0 403 Forbidden');
        }
    }
    if (!$isdoc) {
        $dbwork = array();
        if ($site[10] != '') {
            header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
            exit;
        }
        else header('HTTP/1.0 404 Not Found');
        $web[38] = '';
    }
} else {
    $dbwork2 = ReadDBFields(DBDNLOAD);
    $dbwork1 = array_filter($dbwork2, 'IsNotEmptyTitle');
    unset($dbwork2);
	$dbworkR = array_slice($dbwork1, -intval($serviz[150]));
	$categR  = sprintf($web[651], min(count($dbworkR), $serviz[150]));
	sort($dbworkR);
	$dbwork2 = array();
	$dbwork3 = array();
	$nbdwnld = 0;
	foreach ($dbwork1 as $dbw) {
		$dbwork3[] = array(ReadCounter(DBCOUNT.TestFileID($dbw[4]).DBEXT), $dbw);
	}
	sort($dbwork3);
	$dbwork2 = array_slice($dbwork3, -intval($serviz[151]));
	rsort($dbwork2);
	$dbworkT = array();
	foreach ($dbwork2 as $db) $dbworkT[] = $db[1];
	unset($dbwork2, $dbwork3);
	$categT = sprintf($web[652], min(count($dbworkT), $serviz[151]));
	if (empty($dirdnl) || $dirdnl == 'no') {
		foreach ($dbwork1 as $db) {
			if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
				$cats  = explode('|', $db[0 + $k]);
				$catan = count($cats) > 1 ? $cats[0] : $web[649];
				if (array_search($catan, $dbwan) === false) {
					$dbwan[] = $catan;
				}
			}
		}
		if (count($dbwan) == 1 && $dbwan[0] == $web[649]) {
			$dirdnl = 'no';
			foreach ($dbwork1 as $db) {
				if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
					$dbwork[] = $db;
				}
			}
		}
		sort($dbwan);
		$dbcnt = array();
		foreach ($dbwan as $db) {
			$nb = 0;
			foreach ($dbwork1 as $dbw) {
				if (isAccessGranted($dbw[6]) && isAuthorizedPublication($dbw[5])) {
                    $cats  = explode('|', $dbw[0 + $k]);
                    $catan =  count($cats) > 1 ? $cats[0] : $web[649];
                    if ($db == $catan) $nb++;
                }
			}
			$pos = mb_strpos($db, '-->');
			$cat = $pos !== false ? mb_substr($db, $pos + 3) : $db;
			$dbcnt[KeepGoodChars($cat)] = $nb;
		}
		sort($dbwork);
	}
	else {
		$dbwan   = array();
		if ($dirdnl == 'R') {
			$dbwork = $dbworkR;
			$categ  = $categR;
		}
		elseif ($dirdnl == 'T') {
			$dbwork = $dbworkT;
			$categ  = $categT;
		}
		else {
			foreach ($dbwork1 as $db) {
				if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
					$cats  = explode('|', $db[0 + $k]);
					$cat0  = count($cats) > 1 ? $cats[0] : $web[649];
					$pos   = mb_strpos($cat0, '-->');
					$cat0  = $pos !== false ? mb_substr($cat0, $pos + 3) : $cat0;
					$catan = KeepGoodChars(count($cats) > 1 ? $cat0 : $web[649]);
					if ($dirdnl == $catan) {
						$dbwork[] = $db;
						$categ    = $cat0;
					}
				}
			}
			$categ = $dirlnk == KeepGoodChars($web[649]) ? $web[649] : $categ;
			sort($dbwork);
		}
	}
    unset($dbwork1);
}

$topmess = strip_tags(getLabel($nom[$lng == $lang[0] ? 1 : 11]));
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/download.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'DWNL'.$tconfig, '100%');
else
    htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[7])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
} else {
    echo '
<div><p class="textCenter">'.$web[38].'</p></div>';
	if (empty($dirdnl) && empty($pg)) {
        if (!empty($dbwan)) {
			if (!empty($serviz[150])) echo '
<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[11].'-8-R-'.$tconfig.$z2 : $site['DN'].'.php?lng='.$lng.'&amp;dirdnl=R&amp;tconfig='.$tconfig.$z2).'">
  <div class="dncatdwnl">
	<img src="'.$reptheme.'/catdwnld.png" title='.$an.' alt="catdwnld.png" />
	  '.$categR.'
  </div>
</a>';
			if (!empty($serviz[151])) echo '
<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[11].'-8-T-'.$tconfig.$z2 : $site['DN'].'.php?lng='.$lng.'&amp;dirdnl=T&amp;tconfig='.$tconfig.$z2).'">
  <div class="dncatdwnl">
	<img src="'.$reptheme.'/catdwnld.png" title='.$an.' alt="catdwnld.png" />
	  '.$categT.'
  </div>
</a>';
            if (!empty($serviz[150]) || !empty($serviz[151])) echo '<br />';
            foreach ($dbwan as $an) {
				$pos = mb_strpos($an, '-->');
				$an  = $pos !== false ? mb_substr($an, $pos + 3) : $an;
                echo '
<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[11].'-8-'.KeepGoodChars($an).'-'.$tconfig.$z2 : $site['DN'].'.php?lng='.$lng.'&amp;dirdnl='.KeepGoodChars($an).'&amp;tconfig='.$tconfig.$z2).'">
  <div class="dncatdwnl">
    <img src="'.$reptheme.'/catdwnld.png" title='.$an.' alt="catdwnld.png" />
	'.$an.' ('.$dbcnt[KeepGoodChars($an)].')
  </div>
</a>';
            }
        }
    } else {
		if (empty($id)) {
			$id = 1;
		}
		if (empty($pg) && $dirdnl != 'no') {
			if (!empty($categ)) echo '
<div class="dntitlecat">'.$categ.'</div>';
			echo '
<div class="textCenter">
  <form name="retandnl" method="post" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[11].'-'.$tconfig.$z2 : $site['DN'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'">
    '.SubmitButton($web[650]).'
  </form>
</div>';
		}
		if (!empty($dbwork)) {
			$typeRubrique = TYP_DNLOAD;
			$imgOpen = 'dl.png';
			$imgClose = 'dl1.png';
			$subImgOpen = 'puce1.png';
			$subImgClose = 'puce2.png';
			$mawmenu = (count($dbwork)-($serviz[4]*($id-1))>$serviz[4])? $serviz[4] : count($dbwork)-($serviz[4]*($id-1)) ;
			echo BeginJavascript().'
var maxsub = '.$mawmenu.';'.EndJavascript();
			$rubr = '';
			$l = 0;
			if (3 == abs($prt)) {
				$id = 1;
				$serviz[4] = 99999;
			}
			$isNew = false;
			for ($i = $serviz[4]*($id-1); $i < Min($serviz[4]*$id, count($dbwork)); $i++) {
				ReadDoc($dbwork[$i][4]);
				$img = getNewUpdateDoc($creadate, $moddate, $serviz[143]);
				if ($img != '') $isNew = true;
				if ($lng == $lang[0]) {
					$txt1    = $img.$fieldb1;
					$txt2    = $fieldc1;
					$txt3    = $fielda1;
                    $fc      = explode(CONNECTOR, $fieldd1);
                    $file    = $fc[0];
                    $fieldd1 = $file;
				} else {
					$txt1    = $img.$fieldb2;
					$txt2    = $fieldc2;
					$txt3    = $fielda2;
					$fc      = explode(CONNECTOR, $fieldd2);
					$file    = $fc[0];
					$fieldd2 = $file;
				}
				$txt5 = '';
				$accessDenied = !isAccessGranted($fieldmod) || !isAuthorizedPublication($creadate);
				$licence = '';
				if ($fieldweb != '') {
					$licence = $fieldweb;
				}
				elseif (!preg_match('![/.]!', $file)) {
					$licence = $fieldd2;
				}
				if ($licence != '') {
					$txt5 = $licence;
				}
				$txtcount = '';
				if ($serviz[35] == 'on') {
					$downcounter  = max(0, ReadDocCounter($dbwork[$i][4]));
					$txtcount = $web[191].'&nbsp;'.$downcounter.'&nbsp;'.($downcounter <= 1 ? $web[188] : $web[189]);
				}
				if (preg_match('!^(http|ftp)!i',$file)) {
					$size = @filesize($file);
					if ($size === false) {
						$txt4 = '???';
					} else {
						$txt4 = (($lng == 'fr')? number_format($size/1000, 2, ',', ' ') : number_format($size/1000, 2, '.', ' '));
					}
				} else {
					$txt4 = (($lng == 'fr')? number_format(@filesize(CHEMIN.$file)/1000, 2, ',', ' ') : number_format(@filesize(CHEMIN.$file)/1000, 2, '.', ' '));
				}
				if ($accessDenied){
					$txt4 = '';
					$txt2 = '
<p class="textCenter"><br><br>'.$web[445].'<br /><br /></p>';
				}
				if ($rubr != $txt3) {
					$rubr  = $txt3;
					$rubrs = explode('|', $rubr);
					$srubr = count($rubrs) > 1 ? $rubrs[1] : $rubrs[0];
					if ($l > 0) {
						echo '
</div>';
					}
					if (trim($rubr) != "" && $dirdnl != 'T') {
						$l++;
						echo '
<div id="titreRubr'.$typeRubrique.$i.'" class="dnrubr" onclick="MontreCacheItems(\'imgOpen'.$typeRubrique.$i.'\',\'imgClose'.$typeRubrique.$i.'\',\'itemsRubr'.$typeRubrique.$i.'\',\'itemsRubrSelect\');">
  <img id="imgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" class="displayNone" />
  <img id="imgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgClose.'" alt="'.$web[57].'" title="'.$web[57].'" class="displayInline" />
  &nbsp;'.$srubr.'
</div>';
						if (count($dbwork) == 1) {
							echo '
<div id="itemsRubrSelect" class="displayBlock">';
						} else {
							echo '
<div id="itemsRubr'.$typeRubrique.$i.'" class="displayBlock">';
						}
					}
				}
				$n = (count($dbwork)>$serviz[4])? $i-$serviz[4]*$id+$serviz[4] : $i ;
				if (!$accessDenied) {
					echo '
  <div id="titreSubRubr'.$typeRubrique.$i.'" class="dnrubr2" onclick="MontreCacheItems(\'subImgOpen'.$typeRubrique.$i.'\',\'subImgClose'.$typeRubrique.$i.'\',\'itemSubRubr'.$typeRubrique.$i.'\',\'itemSubRubrSelect\');">'."\n".'
	<div class="f-left textRight dnrubr3">
	  <img id="subImgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" class="displayNone" /> 
	  <img id="subImgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgClose.'" alt="'.$web[57].'" title="'.$web[57].'" class="displayInline" /> 
    </div>'."\n".'
	<div class="dnsubrubr"><a id="subRubr'.$typeRubrique.$i.'">'.$txt1.'</a></div>'."\n".'
  	</div>'."\n";
					echo '<div class="c-both"></div>';
					if (count($dbwork) == 1) {
						echo '
  <div id="itemSubRubrSelect" class="bord2 displayBlock">';
					} else {
					   echo '
  <div id="itemSubRubr'.$typeRubrique.$i.'" class="bord2 displayBlock">';
					}
					echo '
  <div class="rep dncontent">'.$txt2.'<div class="c-both"></div><hr />';
					echo '
    <p class="dninfos">'.basename($file).'<span>('.$txt4.' '.$web[28].')</span> '.$txtcount;
					if ($prt == 0) {
                        if (in_array(strrchr($file, '.'), array('.php', '.inc', '.css', '.htm', '.html', '', '.pdf', '.txt'))) {
                            echo '
      <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[11].($txt5 == ''? '-2': '-3').'-0-'.$dbwork[$i][4].($txt5 != '' ? '-'.$txt5: ''): 'dwnld.php?lng='.$lng.'&amp;delay=0&amp;pg='.$dbwork[$i][4].($txt5 != ''? '&amp;li='.$txt5: '')).'"
        onclick="PopupWindow(\''.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].($txt5 == ''? '-2': '-3').'-0-'.$dbwork[$i][4].($txt5 != ''? '-'.$txt5: ''): 'dwnld.php?lng='.$lng.'&amp;delay=0&amp;pg='.$dbwork[$i][4].($txt5 != ''? '&amp;li='.$txt5: '')).'\',\'dnload\',800,600,\'yes\',\'yes\');return false;"
        title="'.$web[362].'" class="dnlink" target="'.TYP_BLANK.'">';
                        } else {
                            echo '
      <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[11].($txt5 == '' ? '-2': '-3').'-8-'.$dbwork[$i][4].($txt5 != '' ? '-'.$txt5: ''): 'dwnld.php?lng='.$lng.'&amp;delay=8&amp;pg='.$dbwork[$i][4].($txt5 != ''? '&amp;li='.$txt5: '')).'"
        onclick="PopupWindow(\''.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].($txt5 == ''? '-2': '-3').'-8-'.$dbwork[$i][4].($txt5 != '' ? '-'.$txt5: ''): 'dwnld.php?lng='.$lng.'&amp;delay=8&amp;pg='.$dbwork[$i][4].($txt5 != ''? '&amp;li='.$txt5: '')).'\',\'dnload\',540,340,\'no\',\'no\');return false;"
        title="'.$web[362].'" class="dnlink" target="'.TYP_BLANK.'">';
                            }
                        echo '
        <img class="img_dwnld valignMiddle" src="'.$reptheme.'/download.png" alt="'.$web[362].'" title="'.$web[362].'" />
      </a>';
						echo '
      <span class="f-right">';
                        if (TYP_SCREEN == 'WEB') {
                            echo '
        <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[11].'-4-'.$dbwork[$i][4].'-'.$tconfig.$z2 : $site['DN'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;tconfig='.$tconfig.$z2).'">
          <img src="'.$reptheme.'/hyperlink.png" alt="'.$web[527].'" title="'.$web[527].'"  class="valignMiddle" />
        </a>&nbsp;';
                        }
						if (empty($serviz[77]) && TYP_SCREEN == 'WEB') {
							echo '
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].'-5-'.$dbwork[$i][4].'--1': $site['DN'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;prt=-1').'" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/look.png" alt="'.$web[264].'" title="'.$web[264].'"  class="valignMiddle" /></a>&nbsp;
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].'-5-'.$dbwork[$i][4].'-1': $site['DN'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;prt=1').'" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/print.png" alt="'.$web[22].'" title="'.$web[22].'"  class="valignMiddle" /></a>&nbsp;';
						}
						echo '
      </span>';
                        if (empty($prt)) echo 
      displayQuickConfig(NULL, $dbwork[$i][4], 'dnload&amp;form=2&amp;id='.$dbwork[$i][4], 'dnload&amp;act=i&amp;id='.$dbwork[$i][4], 'dnload&amp;del='.$dbwork[$i][4], 19);
					}
					echo '
    </p>
  </div><div class="c-both"></div>';
					echo '
</div>';
				}
			}
			if ($l > 0) {
				echo '
</div>';
			}
			if (0 == $prt && 'on' != $serviz[78] && !$isNew) {
				echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemsRubr"+ typeRubr + i) != null) || (document.all && document.all["itemsRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemsRubr"+ typeRubr + i] != undefined) ) {
		cache("itemsRubr"+ typeRubr + i);
		montre("imgOpen"+ typeRubr + i,"inline");
		cache("imgClose"+ typeRubr + i);
	}
}'.EndJavascript();
			}
			if (0 == $prt && 'on' != $serviz[78]) {
				echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemSubRubr"+ typeRubr + i) != null) || (document.all && document.all["itemSubRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemSubRubr"+ typeRubr + i] != undefined) ) {
		cache("itemSubRubr"+ typeRubr + i);
		montre("subImgOpen"+ typeRubr + i,"inline");
		cache("subImgClose"+ typeRubr + i);
	}
}'.EndJavascript();
			}
		} elseif (!empty($pg)) {
			echo '
<p>'.$web[36].'</p>';
		}
		echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[11].'-7-'.$dirdnl.'-'.$tconfig.'-' : $site['DN'].'.php?lng='.$lng.'&amp;dirdnl='.$dirdnl.'&amp;tconfig='.$tconfig.'&amp;id='), count($dbwork), $id, $serviz[4], $z2);
		if (empty($pg) && $dirdnl != 'no')
			echo '
<div class="textCenter">
  <form name="retanlnk" method="post" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[11].'-'.$tconfig.$z2 : $site['DN'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'">
    '.SubmitButton($web[650]).'
  </form>
</div>';
	}
}
btable();
include 'inc/bpage.inc';
?>
