<?php
/*******************************************************************************
 *   Download (popup)
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.7 (August 21, 2014)      : suppress meta tags for W3C conformity
 * v5.0.9 (November 28, 2014)    : suppress checksum file
 *                               : adding "dwnld" class for body
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.01 (September 02, 2015) : adding of styleplus.css loading
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[10] != 'on') {
    exit($web[143]);
}

function CalcDownloadTime($file_size, $modem_speed) {
    global $web;
    if ($file_size == $web[37]) {
        $calctime = $web[37];
    }
    else {
        $secondes = round($file_size/$modem_speed/10);
        $minutes = intval($secondes/60);
        $secondes = $secondes - 60*$minutes;
        $calctime = $minutes.' '.$web[202].' '.$secondes.' '.$web[203];
    }
    return $calctime;
}

$delay = import('delay');
$pg    = import('pg');
$li    = import('li');
$li    = htmlentities($li, ENT_QUOTES, $charset);

if (($dn = import('dn', 'GET')) != NULL) {
    die('STOP ! Variable $dn: illegal origine');
}
if (isset($dn) && $dn != 'yes') unset($dn);

if (!empty($pg)) {
    ReadDoc($pg);
	if ($type != "dn") {
		die('STOP ! Variable $pg : illegal value ('.$pg.')');
	}
    if (!isAccessGranted($fieldmod)){
        die('STOP ! '.$web[445]);
    }
    if ($lng == $lang[0]) {
        $nomdw = $fieldb1;
        $urls  = explode(CONNECTOR, $fieldd1);
		$urldw = $urls[0];
    }
    else {
        $nomdw = $fieldb2;
        $urls  = explode(CONNECTOR, $fieldd2);
		$urldw = $urls[0];
    }
    $licence     = $li;
    $nomfl       = basename($urldw);
    $sizefl      = FileSizeInKb($urldw);
    $sizefl      = $sizefl === FALSE ? $web[37] : $sizefl.' '.$web[28];
    $modfl       = @filemtime($urldw);
    $modfl       = $modfl === FALSE? $web[37] : FormatDateStamp($modfl);
    $dnldfl      = @filemtime(DBCOUNT.TestFileId($pg).DBEXT);
    $dnldfl      = $dnldfl === FALSE ? $web[37] : FormatDateStamp($dnldfl);
    $dnldcounter = UpdateDocCounter($pg);
    $txtcount    = $dnldcounter <= 1 ? $dnldcounter.' '.$web[188] : $dnldcounter.' '.$web[189];

    echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>'.$web[192].'</title>

<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />';
    if (isset($dn) || $licence == "") {
        if ($licence == '') $delay = 0;
        echo'
<meta http-equiv="refresh" content="'.$delay.'; URL='.$urldw.'" />';
    }
	if (file_exists($meskin."style.css")) {
		echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css">
<link type="text/css" rel="stylesheet" href="'.$meskin.'styleplus.css">';
	}
	else {
		echo '
<link type="text/css" rel="stylesheet" href="no_skin/style.css">
<link type="text/css" rel="stylesheet" href="no_skin/styleplus.css">';
	}
    echo '
</head>';
    if (!isset($dn) && $licence != '') {
        $url = IndexDbFieldsByField(ReadDbFields(LICENCES), 0);
        echo '
<body class="tbl dwnld1Body">
<br />
<div class="bord2 rep maindwnld">
  <fieldset class="dwnld"><legend>'.$web[480].'</legend>
    <div class="divdwnld">'.sprintf($web[481], $licence).'</div>
    <div class="divdwnld">'.$web[482].'</div>';
	if (!empty($url[$licence][2]))
		echo '
    <div class="divdwnld fontBold textCenter"> &bull; <a title="'.$web[483].'" target="_blank" href="'.sprintf($url[$licence][2], $lng).'"><u>'.$web[483].'</u></a> &bull;</div>';
	echo '
    <div class="divdwnld textLeft"><br />'.$web[484].'</div>
    <form name="choice" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[11].'-6-'.$pg: 'dwnld.php?lng='.$lng.'&amp;pg='.$pg).'" method="post">
      <input type="hidden" name="dn" value="yes" />
      <div class="div1dwnld textRight">
'.SubmitButton($web[414], 'javascript:window.close();').' &nbsp; '.SubmitButton($web[415]).'
      </div>
    </form>
  </fieldset>
</div>
';
    }
    else {
        echo '
<body class="tbl dwnld1Body" onload="setTimeout(\'self.close();\',10000)">
  <fieldset class="rep dwnld">
    <div class="textCenter marginAuto;"><b>'.$web[193].'</b></div><hr />
    <div class="tbldiv textCenter divdwnld">
      <div class="trtbldiv">
        <div class="tdtbldiv textRight">'.$web[218].'&nbsp;</div>
        <div class="tdtbldiv textLeft"><b>'.$nomdw.'</b></div>
      </div>
      <div class="trtbldiv">
        <div class="tdtbldiv textRight valignTop">'.$web[194].'</div>
        <div class="tdtbldiv textLeft valignTop"><b><a href="'.$urldw.'" target="mainFrame">'.$nomfl.'</a></b></div>
      </div>
      <div class="trtbldiv">
        <div class="tdtbldiv textRight">'.$web[263].'&nbsp;</div>
        <div class="tdtbldiv textLeft">'.$modfl.'</div>
      </div>
      <div class="trtbldiv">
        <div class="tdtbldiv textRight">'.$web[199].'&nbsp;</div>
        <div class="tdtbldiv textLeft">'.$txtcount.'</div>
      </div>
      <div class="trtbldiv">
        <div class="tdtbldiv textRight">'.$web[197].'&nbsp;</div>
        <div class="tdtbldiv textLeft">'.$dnldfl.'</div>
      </div>
      <div class="trtbldiv">
        <div class="tdtbldiv textRight">'.$web[195].'&nbsp;</div>
        <div class="tdtbldiv textLeft">'.$sizefl.'</div>
      </div>
      <div class="trtbldiv">
        <div class="tdtbldiv textRight">'.$web[198].'&nbsp;</div>
        <div class="tdtbldiv textLeft">'.CalcDownloadTime($sizefl,512).'</div>
      </div>
      <div class="trtbldiv">
        <div class="tdtbldiv textRight">'.$web[200].'&nbsp;</div>
        <div class="tdtbldiv textLeft">'.CalcDownloadTime($sizefl,56).'</div>
      </div>
      <div class="trtbldiv">
        <div class="tdtbldiv textRight">'.$web[201].'&nbsp;</div>
        <div class="tdtbldiv textLeft">'.CalcDownloadTime($sizefl,33.6).'</div>
      </div>
    </div>
  </fieldset>';
    }
    echo '
</body>
</html>';
}
else die($pg.' not found !');
?>
