<?php
/*******************************************************************************
 *   FAQ
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.4 (April 30, 2014)       : display in secondary pages
 * v5.0.7 (August 21, 2014)      : create a directory faq
 * v5.0.8 (October 02, 2014)     : corrected navigation
 * v5.0.9 (November 28, 2014)    : improved display directory
 * v5.00.10 (December 29, 2014)  : modify styles of directory
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : adding a custom error handling 404
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2015)      : corrected display of the Back to directory button
 *                               : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : mofify end of document
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[14] != 'on') {
    exit($web[143]);
}

$tconfig = $menuico[17] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[17];
$pg      = import('pg');
$id      = import('id');
$dirfaq  = import('dirfaq');
$dbwork  = array();
if (!empty($pg)) {
    $dbwork = SelectDbFieldsByField(ReadDBFields(DBFAQ), 4, $pg);
	$isdoc  = (count($dbwork) != 0);
	$dbwan  = array();
	if ($isdoc) {
		$isdoc = isAuthorizedPublication($dbwork[0][5]);
        if (!isAccessGranted($dbwork[0][6])) {
			header('HTTP/1.0 403 Forbidden');
        }
    }
    if (!$isdoc) {
        $dbwork = array();
        if ($site[10] != '') {
            header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
            exit;
        }
        else header('HTTP/1.0 404 Not Found');
    }
} else {
    $dbwork2 = ReadDBFields(DBFAQ);
    $dbwork1 = array_filter($dbwork2, 'IsNotEmptyTitle');
    unset($dbwork2);
	$dbwan = array();
	if (empty($dirfaq) || $dirfaq == 'no') {
		foreach ($dbwork1 as $db) {
			if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
				$cats  = explode('|', $db[0 + $k]);
				$catan =  count($cats) > 1 ? $cats[0] : $web[649];
				if (array_search($catan, $dbwan) === false) {
					$dbwan[] = $catan;
				}
			}
		}
		if (count($dbwan) == 1 && $dbwan[0] == $web[649]) {
			$dirfaq = 'no';
			foreach ($dbwork1 as $db) {
				if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
					$dbwork[] = $db;
				}
			}
		}
		sort($dbwan);
	}
	else {
		$dbwan = array();
		foreach ($dbwork1 as $db) {
			if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
				$cats  = explode('|', $db[0 + $k]);
				$cat0  = count($cats) > 1 ? $cats[0] : $web[649];
				$pos   = mb_strpos($cat0, '-->');
				$cat0  = $pos !== false ? mb_substr($cat0, $pos + 3) : $cat0;
				$catan = KeepGoodChars(count($cats) > 1 ? $cat0 : $web[649]);
				if ($dirfaq == $catan) {
					$dbwork[] = $db;
					$categ    = $cat0;
				}
			}
		}
		$categ = $dirfaq == KeepGoodChars($web[649]) ? $web[649] : $categ;
	}
    unset($dbwork1);
}
sort($dbwork);

$topmess = strip_tags(getLabel($nom[$lng == $lang[0] ? 24 : 25]));
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/faq.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'FAQ'.$tconfig, '100%');
else
    htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[4])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
} else {
	if (empty($dirfaq) && empty($pg)) {
        if (!empty($dbwan)) {
            foreach ($dbwan as $an) {
				$pos = mb_strpos($an, '-->');
				$an  = $pos !== false ? mb_substr($an, $pos + 3) : $an;
                echo '
<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[4].'-8-'.KeepGoodChars($an).'-'.$tconfig.$z2 : 'faq.php?lng='.$lng.'&amp;dirfaq='.KeepGoodChars($an).'&amp;tconfig='.$tconfig.$z2).'">
  <div class="facatlink">
    <img src="'.$reptheme.'/catfaq.png" title='.$an.' alt="catfaq.png" />'.$an.'
  </div>
</a>';
            }
        }
    } else {
		if (empty($id)) {
			$id = 1;
		}
		if (empty($pg) && $dirfaq != 'no') {
			if (!empty($categ)) echo '
<div class="fatitlecat">'.$categ.'</div>';
			echo '
<div class="textCenter">
  <form name="retanfaq" method="post" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[4].'-9-'.$tconfig.$z2 : 'faq.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'">
    '.SubmitButton($web[650]).'
  </form>
</div>';
		}
		if (!empty($dbwork)) {
			$typeRubrique = TYP_FAQ;
			$imgOpen = 'fa.png';
			$imgClose = 'fa1.png';
			$subImgOpen = 'puce1.png';
			$subImgClose = 'puce2.png';
			$nfaqpg = (count($dbwork)-($serviz[6]*($id-1))>$serviz[6])? $serviz[6] : count($dbwork)-($serviz[6]*($id-1)) ;
			echo BeginJavascript().'
var maxsub = '.$nfaqpg.';'.EndJavascript();
			$rubr = '';
			$l = 0;
			if (3 == abs($prt)) {
				$id = 1;
				$serviz[6] = 999999;
			}
			$isNew = false;
			for ($i = $serviz[6]*($id-1); $i < Min($serviz[6]*$id, count($dbwork)); $i++) {
				ReadDoc($dbwork[$i][4]);
				$img = getNewUpdateDoc($creadate, $moddate, $serviz[140]);
				if ($img != '') $isNew = true;
				if ($lng == $lang[0]) {
					$txt1 = $img.$fieldb1;
					$txt2 = $fieldc1;
					$txt3 = $fielda1;
				} else {
					$txt1 = $img.$fieldb2;
					$txt2 = $fieldc2;
					$txt3 = $fielda2;
				}
				$txt4 = FormatDate($moddate);
				$txt5 = FormatDate($creadate);
				if ($rubr <> $txt3 || $txt3 == '') {
					$rubr  = $txt3;
					$rubrs = explode('|', $rubr);
					$srubr = count($rubrs) > 1 ? $rubrs[1] : $rubrs[0];
					if ($l > 0) {
						echo '
</div>';
					}
					if (trim($rubr) != '') {
						$l ++;
						echo '
<div id="titreRubr'.$typeRubrique.$i.'" class="farubr" onclick="MontreCacheItems(\'imgOpen'.$typeRubrique.$i.'\',\'imgClose'.$typeRubrique.$i.'\',\'itemsRubr'.$typeRubrique.$i.'\',\'itemsRubrSelect\');">
  <img id="imgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" class="displayNone" />
  <img id="imgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgClose.'" alt="'.$web[57].'" title="'.$web[57].'" class="displayInline" />
  &nbsp;'.$srubr.'
</div>';
						if (count($dbwork) == 1) {
							echo '
<div id="itemsRubrSelect" class="displayBlock">';
						} else {
							echo '
<div id="itemsRubr'.$typeRubrique.$i.'" class="displayBlock">';
						}
					}
				}
				$n = (count($dbwork) > $serviz[6])? $i-$serviz[6]*$id+$serviz[6] : $i ;
				echo '
  <div id="titreSubRubr'.$typeRubrique.$i.'" class="farubr2" onclick="MontreCacheItems(\'subImgOpen'.$typeRubrique.$i.'\',\'subImgClose'.$typeRubrique.$i.'\',\'itemSubRubr'.$typeRubrique.$i.'\',\'itemSubRubrSelect\');">'."\n".'
	<div class="f-left textRight farubr3">
	  <img id="subImgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" class="displayNone" /> 
	  <img id="subImgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgClose.'" alt="'.$web[57].'" title="'.$web[57].'" class="displayInline" /> 
	</div>'."\n".'
	<div class="fasubrubr"><a id="subRubr'.$typeRubrique.$i.'">'.$txt1.'</a></div>'."\n".'
  </div>'."\n";
				if (count($dbwork) == 1) {
					echo '
  <div class="bord2 displayBlock" id="itemSubRubrSelect">';
				} else {
					echo '
  <div class="bord2 displayBlock" id="itemSubRubr'.$typeRubrique.$i.'">';
				}
				echo '
    <div class="rep facontent">'.$txt2.'<div class="c-both"></div>';

				if ($serviz[69] == '' || $serviz[70] == '' || $serviz[71] == '') {
					echo '
      <hr />
      <p class="fainfos">';
					if ($serviz[69] == '') {
						echo '
        '.$web[95].'<strong>'.$txt5.'</strong>';
					}
					if ($serviz[70] == '') {
						echo '
        '.$web[20].'<strong>'.$txt4.'</strong>';
					}
					if ($prt == 0 && TYP_SCREEN == 'WEB') {
						echo '
        <span class="f-right">';
						echo '
		  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[4].'-3-'.$dbwork[$i][4] : 'faq.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4]).'"><img src="'.$reptheme.'/hyperlink.png" class="valignMiddle" alt="'.$web[527].'" title="'.$web[527].'" /></a>&nbsp;';
						if ($serviz[71] == '') {
							echo '
		  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[4].'-4-'.$dbwork[$i][4].'--1': 'faq.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;prt=-1').'" target="_blank"><img src="'.$reptheme.'/look.png" class="valignMiddle" alt="'.$web[264].'" title="'.$web[264].'" /></a>&nbsp;
		  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[4].'-4-'.$dbwork[$i][4].'-1': 'faq.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'&amp;prt=1').'" target="_blank"><img src="'.$reptheme.'/print.png" class="valignMiddle" alt="'.$web[22].'" title="'.$web[22].'" /></a>&nbsp;';
						}
						echo '
        </span>';
					}
					if (empty($prt)) echo 
        displayQuickConfig(NULL, $dbwork[$i][4], 'faq&amp;form=2&amp;id='.$dbwork[$i][4], 'faq&amp;act=i&amp;id='.$dbwork[$i][4], 'faq&amp;del='.$dbwork[$i][4], 21).'
      </p>';
				}
				echo '
    </div>
  </div>';
			}
			if ($l > 0) {
				echo '
</div>';
			}
			if (0 == $prt && 'on' != $serviz[79] && !$isNew) {
				echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemsRubr"+ typeRubr + i) != null) || (document.all && document.all["itemsRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemsRubr"+ typeRubr + i] != undefined) ) {
		cache("itemsRubr"+ typeRubr + i);
		montre("imgOpen"+ typeRubr + i,"inline");
		cache("imgClose"+ typeRubr + i);
	}
}'.EndJavascript();
			}
			if (0 == $prt && 'on' != $serviz[79]) {
				echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemSubRubr"+ typeRubr + i) != null) || (document.all && document.all["itemSubRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemSubRubr"+ typeRubr + i] != undefined) ) {
		cache("itemSubRubr"+ typeRubr + i);
		montre("subImgOpen"+ typeRubr + i,"inline");
		cache("subImgClose"+ typeRubr + i);
	}
}'.EndJavascript();
			}
		} elseif (!empty($pg)) {
			echo '
<p>'.$web[36].'</p>';
		}
		echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[4].'-7-'.$dirfaq.'-' : 'faq.php?lng='.$lng.'&amp;dirfaq='.$dirfaq.'&amp;id='), count($dbwork), $id, $serviz[6], $z2);
		if (empty($pg) && $dirfaq != 'no')
			echo '
<div class="textCenter">
  <form name="retanfaq" method="post" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[4].'-9-'.$tconfig.$z2 : 'faq.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'">
    '.SubmitButton($web[650]).'
  </form>
</div>';
	}
}
btable();
include 'inc/bpage.inc';
?>
