<?php
/*******************************************************************************
 *   Forum My Publications
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.7 (August 21, 2014)      : suppress meta tags for W3C conformity
 * v5.01.00 (June 12, 2015)      : corrected page title
 *                               : improvement for a mobile-friendly structure
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : removal of PGEditor
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[13] != 'on' || $serviz[18] != 'on') {
    exit($web[143]);
}

$id = import('id');

$dbw    = ReadDBFields(DBTHREAD);
$dbwork = array();
for ($i = 0; $i < count($dbw); $i++) {
    if ($dbw[$i][4] == $userprefs[1]) {
		$cat = strtoupper(substr($dbw[$i][8], 0, 2)) == 'PR' ? substr($dbw[$i][8], 2) : $dbw[$i][8];
		$dbw[$i][6] = getThreadName($dbw[$i][1]);
		$dbw[$i][7] = getForumCatName($cat);
        $dbwork[] = $dbw[$i];
    }
}
sort($dbwork);
$topmess = $web[616];
if ($page[9] != "") {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
echo '<!DOCTYPE html>
<html>
<head>
<title>'.$web[616].'</title>
<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'">';
if(file_exists($meskin."style.css")) {
    echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css">';
}
else {
    echo '
<link type="text/css" rel="stylesheet" href="no_skin/style.css">';
}
if(file_exists($meskin."styleplus.css")) {
    echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'styleplus.css">';
}
else {
    echo '
<link type="text/css" rel="stylesheet" href="no_skin/styleplus.css">';
}
if (is_file(DBRULES)) {
    include DBRULES;
}
echo '
</head>
<body class="bodyfrposts tblbox">
<br />
<div class="bord textLeft mainfrposts">';

htable($topmess, "100%");
if (empty($id)) {
    $id = 1;
}
if (!empty($dbwork)) {
    for ($i = $serviz[20] * ($id - 1); $i < Min($serviz[20] * $id, count($dbwork)); $i++) {
        ReadDoc($dbwork[$i][3]);
        echo '
<div class="tbldiv width100">
  <div class="trtbldiv">
    <div class="quest tdtbldiv">
      <b>'.$dbwork[$i][7].'</b><br />'.$dbwork[$i][6].($forum[3] == 'on' ? ' - ' : '<br />').$web[68].$fielda2;
    echo '
    '.$web[7].' '.FormatDate($creadate).'
    </div>
  </div>
  <div class="trtbldiv">
    <div class="rep tdtbldiv">'.$fieldc1.'</div>
  </div>
</div>';
    }
}
if (count($dbwork) > $serviz[20]) {
    echo '
<hr />'.GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-8-': 'formyposts.php?lng='.$lng.'&amp;id='), count($dbwork), $id, $serviz[20]);
}
echo '
<p class="textRight closefrpopup"><a class="box" href="javascript:window.close();">'.$web[57].'</a></p>';
btable();
echo '
</div>
</body>
</html>';
?>
