<?php
/*******************************************************************************
 *   Forum Topics
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.9 (November 28, 2014)    : improve catégories management
 * v5.00.11 (March 2, 2015)      : corrected email display
 *                               : modified quick admin icons
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : display of the right column if the forum is not in full screen
 *                               : replace css properties by class rules
 * v5.01.04 (September 07, 2016) : correction of the counters display
 *                               : correction of access to email addresses
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.02 (December 18, 2017)  : secondary admin support
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[13] != 'on' || $serviz[18] != 'on') {
    exit($web[143]);
}

$dbw    = ReadDBFields(DBFORUMCAT);
$dbwork = array();
foreach ($dbw as $db) {
    if (isForumAccessGranted($db[0]) && 'on' == $db[5]) $dbwork[] = $db;
}
$dbworkcat = ReadDBFields(DBFORUM);
for ($i = 0; $i < count($dbwork); $i++) {
	$prcat = explode(',', $dbwork[$i][0]);
	$dbwork[$i][0] = $prcat[0];
	$dbcat0 = $dbwork[$i][3];
	$dbcat1 = $dbwork[$i][4];
	$dbwork[$i][3] = 0;
	$dbwork[$i][4] = 0;
	$dbwork[$i] = array_pad($dbwork[$i] , 15, '');
	$dbwork[$i][14] = $dbcat0;
	$dbwork[$i][15] = $dbcat1;
	for ($j = 0; $j < count($dbworkcat); $j++) {
        $frcat = explode(',', $dbworkcat[$j][12]);
        $cat   = $frcat[0];
        $grp   = isset($frcat[1]) ? $frcat[1] : '';
		if ($cat == $dbwork[$i][0] && isForumAccessGranted($cat)) {
			$dbwork[$i][3]++;
			$dbwork[$i][4] = $dbwork[$i][4] + $dbworkcat[$j][7] + 1;
			if (empty($dbwork[$i][6])) { 
				if (!empty($dbworkcat[$j][8])) {
					$dbwork[$i][6] = $dbworkcat[$j][8]; 
					if ($dbworkcat[$j][11] != 'on') {
						$dbwork[$i][7] = $dbworkcat[$j][9]; 
					}
					else {
						$dbwork[$i][7] = ''; 
					}
					$dbwork[$i][8] = $dbworkcat[$j][0]; 
				} else {
					$dbwork[$i][6] = $dbworkcat[$j][3]; 
					if ($dbworkcat[$j][10] != 'on') {
						$dbwork[$i][7] = $dbworkcat[$j][4]; 
					} else {
						$dbwork[$i][7] = ''; 
					}
					$dbwork[$i][8] = $dbworkcat[$j][0]; 
				}
				$dbwork[$i][9]  = $dbworkcat[$j][1]; 
				$dbwork[$i][10] = $dbworkcat[$j][7]; 
				$dbwork[$i][11] = ceil($dbworkcat[$j][7] / $serviz[20]); 
				$dbwork[$i][12] = $dbworkcat[$j][2]; 
				$dbwork[$i][13] = $dbworkcat[$j][12];
			}
		}
	}
}
unset($dbworkcat);
$dbwork  = array_values($dbwork);
$k       = $lng == $lang[0] ? 0 : 1;
$nom_fr  = getLabel($nom[$k+22]);
$topmess = strip_tags($nom_fr);
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $left_empty = array_reduce($xposbox[$tconfig][BOX_LEFT], 'EstNonVide', true);
    $userprefs3 = $left_empty ? BOX_RIGHT : BOX_LEFT;
}
$widepage  = $forum[3];
$forumname = $nom_fr;
$tconfig   = $menuico[19] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[19];
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'FRT'.$tconfig, '100%');
else
    htable($topmess, '100%');
if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[5])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
} else {
    $archdate = ReadCounter(DBFORUMARCHDATE);
    if ($archdate > 0) {
        echo '
<p class="textCenter frtlnkarch">'.$web[228].' '.FormatDate($archdate).'
  <br />'.$web[227].' <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-6'.$z2 : 'fortopicarch.php?lng='.$lng.$z2).'">'.$web[226].'
  <img src="'.$reptheme.'/ed_copy.png" alt="" /></a>
  <br />
</p>';
    }
    if (empty($prt)) include 'inc/topforum.inc';
    if ($forum[9] == 'on' && $forum[10] == 'on') {
        echo '
<div class="fontBold textLeft frtlnkrules">
  <a href="javascript:PopupWindow(\'rules.php?lng='.$lng.'\',\'rules\',800,500,\'yes\',\'yes\');" title="'.$web[409].'">
    <img src="'.$reptheme.'/charte.png" alt="'.$web[409].'" /> - '.$web[409].'
  </a>
</div>';
    }
    if (!empty($dbwork)) {
        echo '
<div class="textCenter marginAuto width98 titrefr">
  <br />
  <div class="bord tbldiv width100">
    <div class="trhtblfr">
      <div class="thtbldiv"></div>
      <div class="thtbldiv '.(TYP_SCREEN == 'WEB' ? 'width40' : 'width50').'">'.$web[130].'</div>';
        if (TYP_SCREEN == 'WEB') echo '
      <div class="thtbldiv width13">'.$web[131].'</div>
      <div class="thtbldiv width13">'.$web[132].'</div>';
        echo '
      <div class="thtbldiv '.(TYP_SCREEN == 'WEB' ? 'width30' : 'width40').'">'.$web[133].'</div>
    </div>';
        for ($i = 0; $i < count($dbwork); $i++) {
            echo '
    <div class="'.($i %2 == 0 ? 'rep' : 'quest').' trtbldiv">
      <div class="tdtblfr textCenter">
        <img src="'.$reptheme.'/msg_a.png" class="valignMiddle" alt="'.$web[367].'" title="'.$web[367].'" />
      </div>
      <div class="tdtblfr '.(TYP_SCREEN == 'WEB' ? 'width40' : 'width50').'">
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-2-'.getForumCatId($dbwork[$i][0]).$z2 : $site['FR'].'.php?lng='.$lng.GetOptionnalArg('cat', getForumCatId($dbwork[$i][0])).$z2).'" title="'.$dbwork[$i][1].'"><b>'.$dbwork[$i][1+$k].'</b></a>
        <br /><i>'.($lng == $lang[0] ? $dbwork[$i][14] : $dbwork[$i][15]).'</i>
      </div>';
            if (TYP_SCREEN == 'WEB') echo '
      <div class="tdtblfr textCenter width13">'.$dbwork[$i][3].'</div>
      <div class="tdtblfr textCenter width13">'.$dbwork[$i][4].'</div>';
            echo '
      <div class="tdtblfr '.(TYP_SCREEN == 'WEB' ? 'width30' : 'width40').'">';
            $url1 = $site['URLR'] == 'on'? 
                $lng.'-'.$urlrw[5].'-5-'.$dbwork[$i][12].'-'.getForumCatId($dbwork[$i][13]).'-'.$dbwork[$i][10].'#R'.$dbwork[$i][10] : 
                $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][12].GetOptionnalArg('cat', getForumCatId($dbwork[$i][13])).GetOptionnalArg('id'.$dbwork[$i][11]).'#R'.$dbwork[$i][10];
            if ($dbwork[$i][7] == "on") {
                $em = BreakEMail($dbwork[$i][7]);
                echo '
        '.$web[6].' '.displayWriteEmail('fortopic'.$i, $dbwork[$i][6], $dbwork[$i][7]).'
        <a href="'.$url1.'" title ="'.$web[297].'">&nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>';
            } elseif ($dbwork[$i][6] != "") {
                echo '
        '.$web[6].' <b>'.$dbwork[$i][6].'</b>
        <a href="'.$url1.'" title ="'.$web[297].'">&nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>';
            }
            if ($dbwork[$i][8] != "") {
                $top = "";
                $dbth = array();
                $dbth = ReadDBFields(DBTHREAD);
                for ($l = 0; $l < count($dbth); $l++) {
                    if ($dbth[$l][1] == $dbwork[$i][9] && $dbth[$l][2] == $dbwork[$i][10]) {
                        $idth = $dbth[$l][3];
                        break;
                    }
                }
                ReadDoc($idth);
                $lastdate = $creadate;
                echo '
        <br />'.$web[7].' '.FormatDate($lastdate);
            }
            echo '
      </div>
    </div>';
        }
        echo'
  </div>
  <div class="bord bottomfrt width100">';
		if ($forum[9] == 'on' && $forum[10] == '') {
            echo '
    <br />
    <p class="titre textCenter textUpper"><u>'.$web[409].'</u></p>
    <br />
    <div class="frtrules">';
            include DBRULES;
            echo '
      '.($lng == $lang[0] ? $rule1 : $rule2).'
      <hr />
    </div>';
            if (empty($prt)) echo displayQuickConfig(NULL, false, 'rules', '', '', 24);
        }
        echo '
    <div class="infosfrt">
      <p class="titre textCenter textUnderline">'.$web[410].'</p>
      <p>
        <b>'.$web[411].'</b>
        <br />
        <img src="'.$reptheme.'/msg_a.png" class="valign-4" alt= "'.$web[367].'" /> '.$web[366].$web[367].' &nbsp;
        <img src="'.$reptheme.'/msg_c.png" class="valign-4" alt= "'.$web[368].'" /> '.$web[366].$web[368].' &nbsp;
        <img src="'.$reptheme.'/msg_t.gif" class="valign-4" alt= "'.$web[370].'" /> '.$web[370].' &nbsp;
        <img src="'.$reptheme.'/msg_n.png" class="valign-4" alt= "'.$web[371].'" /> '.$web[371].$web[334].'
        <br />
        <br />
        '.$web[412].'
        <br />
        <img src="'.$reptheme.'/edit.png" class="valign-1" alt= "'.$web[369].'" /> '.$web[369].' '.$web[334].' &nbsp;
        <img src="'.$reptheme.'/lock.png" class="valign-1" alt= "'.$web[363].'" /> '.$web[363].$web[366].' &nbsp;
        <img src="'.$reptheme.'/lockup.png" class="valign-1" alt= "'.$web[364].'" /> '.$web[364].$web[366].' &nbsp;'
        .($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176] ? '
	    <img src="'.$reptheme.'/unlock.png" class="valign-1" alt="'.$web[621].'" /> '.$web[621].$web[366].' &nbsp;
		<img src="'.$reptheme.'/moveto.png" class="valign-1" alt="'.$web[632].'" /> '.$web[632].$web[366]
		: '').'
        <br />
      </p>
    </div>
  </div>
</div>';
    }
}
btable();
include 'inc/bpage.inc';
?>
