<?php
/*******************************************************************************
 *   Forum Topics Archive
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.9 (November 28, 2014)    : improve catégories management
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : display of the right column if the forum is not in full screen
 *                               : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';
include CHEMIN.'inc/funcarch.php';

if ($serviz[13] != 'on' || $serviz[18] != 'on') {
    exit($web[143]);
}

$dbw = ReadDBFields(DBFORUMCAT);
$dbwork = array();
foreach ($dbw as $db) {
    if (isForumAccessGranted($db[0])) $dbwork[] = $db;
}
$dbworkcat = ReadDBFields(DBFORUMARCH);
for ($i = 0; $i < count($dbwork); $i++) {
	$prcat = explode(',', $dbwork[$i][0]);
	$dbwork[$i][0] = $prcat[0];
	$dbwork[$i][3] = 0;
	$dbwork[$i][4] = 0;
	for ($j = 0; $j < count($dbworkcat); $j++) {
		if ($dbworkcat[$j][12] == $dbwork[$i][0]) {
			$dbwork[$i][3]++;
			$dbwork[$i][4] = $dbwork[$i][4] + $dbworkcat[$j][7] + 1;
			if (empty($dbwork[$i][6])) {
				if (!empty($dbworkcat[$j][8])) {
					$dbwork[$i][6] = $dbworkcat[$j][8];
					if ($dbworkcat[$j][11] != 'on') {
						$dbwork[$i][7] = $dbworkcat[$j][9];
					}
					else {
						$dbwork[$i][7] = '';
					}
					$dbwork[$i][8] = $dbworkcat[$j][0];
				}
				else {
					$dbwork[$i][6] = $dbworkcat[$j][3];
					if ($dbworkcat[$j][10] != 'on') {
						$dbwork[$i][7] = $dbworkcat[$j][4];
					}
					else {
						$dbwork[$i][7] = '';
					}
					$dbwork[$i][8] = $dbworkcat[$j][0];
				}
			}
		}
	}
}
unset($dbworkcat);
$dbwork = array_values($dbwork);
$k = $lng == $lang[0] ? 0 : 1;
if ($userprefs[3] =='' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $left_empty = array_reduce($xposbox[$tconfig][BOX_LEFT], 'EstNonVide', true);
    $userprefs3 = $left_empty ? BOX_RIGHT : BOX_LEFT;
}
$widepage = $forum[3];
$topmess  = $web[226];
$tconfig  = $menuico[19] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[19];
if ($page[9] != "") {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}

include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'FRTA', '100%');
else
    htable($topmess, '100%');
$archdate = ReadCounter(DBFORUMARCHDATE);
if ($archdate > 0 && empty($prt)) {
    echo '
<p class="textCenter">'.$web[225].' '.FormatDate($archdate).'<br />
'.$web[224].' <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$z2 : $site['FRT'].'.php?lng='.$lng.$z2).'">'.$web[223].
'&nbsp;<img src="'.$reptheme.'/ed_copy.png" class="valign-4" alt="" /></a>.<br /><br /></p>';
}
if (!empty($dbwork)) {
    echo '
<div class="bord tbldiv marginAuto width98">
  <div class="trhtblfr textCenter;">
    <div class="thtbldiv">'.$web[130].'</div>
    <div class="thtbldiv">'.$web[131].'</div>
    <div class="thtbldiv">'.$web[132].'</div>
    <div class="thtbldiv">'.$web[133].'</div>
  </div>';
    for ($i = 0; $i < count($dbwork); $i++) {
		if ($dbwork[$i][3] > 0) {
            $acces = 'ok';
            $prcat = explode(',', $dbwork[$i][0]);
            if (isset($prcat[1])) {
                $acces = 'no';
                include_once CHEMIN.'inc/func_groups.php';
                if (CheckGroup($prcat[1], $userprefs[1])) $acces = 'ok';
            }
            if ($acces == 'ok') {
                echo '
  <div class="trtbldiv textCenter">
    <div class="quest tdtblfr"><a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-33-'.getForumCatId($dbwork[$i][0]).$z2 : 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', getForumCatId($dbwork[$i][0])).$z2).'"><b>'.$dbwork[$i][1+$k].'</b></a></div>
    <div class="quest tdtblfr">'.$dbwork[$i][3].'</div>
    <div class="quest tdtblfr">'.$dbwork[$i][4].'</div>
    <div class="quest tdtblfr">';
                if (isset($dbwork[$i][7]) && $dbwork[$i][7] != "") {
                    echo $web[6].' '.displayWriteEmail('fortopicarch'.$i, $dbwork[$i][6], $dbwork[$i][7]);
                }
                elseif (isset($dbwork[$i][6]) && $dbwork[$i][6] != '') {
                    echo $web[6].' <b>'.$dbwork[$i][6].'</b>';
                }
                if (isset($dbwork[$i][8]) && $dbwork[$i][8] != '') {
                    echo '<br />'.$web[7].' '.FormatDate($dbwork[$i][8]);
                }
                echo '
    </div>
  </div>';
            }
        }
	}
    echo '
</div>';
}
btable();
include 'inc/bpage.inc';
?>
