<?php
/*******************************************************************************
 *   Forum
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.2 (March 25, 2014)       : correction access to private forum
 * v5.0.5 (June 07, 2014)        : replaced ImgSubmitButton by SubmitButton
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : corected url-rw adress
 *                               : adding members access with private groups
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : correction of link to the forum archives
 *                               : display of the right column if the forum is not in full screen
 *                               : replace css properties by class rules
 * v5.01.04 (September 07, 2016) : correction of forum display without categories
 *                               : security control inactive categories
 * v5.01.05 (September 27, 2016) : correction of forum display with empty categories
 * v5.01.06 (December 06, 2016)  : correction of forum display with private categories
 *                               : correction of access to email addresses
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[13] != 'on') {
    exit($web[143]);
}

$pg   = import('pg');
$cat  = import('cat');

$cats = explode(',', $cat);
$cat  = $cats[0];
$l    = $lng == $lang[0] ? 0 : 1;

$dbwork1 = array();
if (!empty($pg)) {
    $dbwork1 = SelectDBForumByID(ReadDBFields(DBFORUM),$pg);
}
elseif (!empty($cat)) {
    $dbwork1 = SelectDBForumByCat(ReadDBFields(DBFORUM),$cat);
}
else {
    $dbwork1 = ReadDBFields(DBFORUM);
}
$dbworkcat = array();
if ($serviz[18] == 'on') {
    $dbwork = ReadDBFields(DBFORUMCAT);
    foreach ($dbwork as $dbcat)
        if ($dbcat[5] != '') $dbworkcat[] = $dbcat;
}
$dbwork = array();
if ('' == $serviz[18]) {
    foreach ($dbwork1 as $db) {
        if (empty($db[12])) {
            $dbwork[] = $db;
        }
    }
} else {
    foreach ($dbwork1 as $db) {
        if (isForumAccessGranted(getForumCatFull($db[12]))) {
            $dbwork[] = $db;
        }
    }
}
unset($dbwork1);

if ('on' == $serviz[18] && !isForumAccessGranted(getForumCatFull($cat))) {
	header("location:index.php?lng=".$lng);
    die();
}

$nom_fr = getLabel($nom[$l + 22]);
$catxt  = '';
if ($serviz[18] != 'on') {
    $topmess = strip_tags($nom_fr);
}
else {
    if (!empty($cat)) {
        $catxt   = getForumCatName($cat);
        $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$z2 : $site['FRT'].'.php?lng='.$lng.$z2).'">'.$nom_fr.'</a> - '.$catxt;
    }
    else {
        $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$z2 : $site['FRT'].'.php?lng='.$lng.$z2).'">'.$nom_fr.'</a>';
    }
}
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}

if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $left_empty = array_reduce($xposbox[$tconfig][BOX_LEFT], 'EstNonVide', true);
    $userprefs3 = $left_empty ? BOX_RIGHT : BOX_LEFT;
}
$widepage  = $forum[3];
$forumname = strip_tags($nom_fr);
$tconfig   = $menuico[19] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[19];
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'FR'.$tconfig, '100%');
else
    htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[5])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
}
else {
    $archdate = ReadCounter(DBFORUMARCHDATE);
    if ($archdate > 0) {
        echo '
<p class="textCenter frtlnkarch">'.$web[228].' '.FormatDate($archdate).'
  <br />'.$web[227].' <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-6'.$z2 : 'fortopicarch.php?lng='.$lng.$z2).'">'.$web[226].'
  <img src="'.$reptheme.'/ed_copy.png" alt="" /></a>
  <br />
</p>';
    }
    if (empty($prt)) include 'inc/topforum.inc';

    echo '
<div class="tbldiv textCenter width100">
  <div class="trtbldiv">
    <div class="tdtblfr textLeft width50">';
	if ($forum[9] == 'on') {
		echo '
      <div class="fontBold frtlnkrules">
		<a href="javascript:PopupWindow(\'rules.php?lng='.$lng.'\',\'rules\',800,500,\'yes\',\'yes\');" title="'.$web[409].'">
          <img src="'.$reptheme.'/charte.png" class="valignMiddle" alt="'.$web[409].'" /> - '.$web[409].'
        </a>
      </div>
      <br />';
	}
    if ($catxt != '')
        echo '
      <div class="fontBold frlnkforum'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-'.$tconfig.$z2 : $site['FRT'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" title="'.$forumname.'">
          <img src="'.$reptheme.'/dir.png" class="valignMiddle" alt="'.$forumname.'" /> - '.$forumname.'
        </a>
      </div>
      <div class="fontBold frlnkcateg'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
        <img src="'.$reptheme.'/dir1.png" class="valignMiddle" alt="'.$catxt.'" title="'.$catxt.'" /> -
        <a href="'.$site[3].($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-2-'.$cat.$z2 : $site['FR'].'.php?lng='.$lng.'&amp;cat='.$cat.$z2).'" title="'.$catxt.'">'.$catxt.'</a>
      </div>
    </div>
    <div class="tdtblfr textRight width50">
      <form action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-3-'.TYP_FORUM.'-'.$cat.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_FORUM.GetOptionnalArg('cat', $cat).$z2).'" method="post">
        <p class="textRight">
          '.SubmitButton($web[19]).'
        </p>
      </form>
    </div>';
    else
		echo '
    </div>
    <div class="tdtblfr width50">
      <form action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-'.TYP_FORUM.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_FORUM.$z2).'" method="post">
        <p class="textRight">
          '.SubmitButton($web[19]).'
        </p>
      </form>
    </div>';
	echo '
  </div>
</div>';
    if (empty($id)) {
        $id = 1;
    }
    if (3 == abs($prt)) {
        $id = 1;
        $serviz[17] = 99999;
    }
    $navbar = GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-22-'.$cat.'-' : $site['FR'].'.php?lng='.$lng.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbwork), $id, $serviz[17], $z2);
	echo $navbar;

    echo '
<div class="textCenter marginAuto">
  <div class="bord tbldiv width98">
    <div class="trhtblfr">
      <div class="thtbldiv width30">'.$web[298].'</div>
      <div class="thtbldiv width10">'.$web[63].'</div>
      <div class="thtbldiv width20">'.$web[299].'</div>';
    if ($serviz[34] == 'on' && TYP_SCREEN == 'WEB')
        echo '
      <div class="thtbldiv width10">'.$web[217].'</div>';
    if (TYP_SCREEN == 'WEB')
        echo '
      <div class="thtbldiv width10">'.$web[67].'</div>';
    echo '
      <div class="thtbldiv width20">'.$web[66].'</div>
    </div>';
    if (!empty($dbwork)) {
        $newdate = date('YmdHi', time()-(86400*$forum[8]));
        for ($i = $serviz[17]*($id-1); $i < Min($serviz[17]*$id, count($dbwork)); $i++) {
            $color = $i %2 == 0 ? 'rep' : 'quest';
            if ($serviz[34] == 'on') {
                $threadcounter = ReadDocCounter($dbwork[$i][2]);
            }
            ReadDoc($dbwork[$i][2]);
			$img = getNewUpdateDoc($creadate, $moddate, $serviz[139]);
            $st  = explode('#',$fieldmod);
            if ($st[0] == 'c') {
                $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
				$img_msg = 'msg_'.$st[0].'.png';
            } elseif ($st[0] == 's') {
                $st[0] = 'c';
                $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
				$img_msg = 'msg_'.$st[0].'.png';
            } elseif ($st[0] == 't' && $moddate > date('YmdHi')) {
                $etat = 'Top '.$web[6].' '.$st[1];
				$img_msg = 'msg_'.$st[0].'.gif';
            } elseif ($st[0] == 'u' && $moddate > date('YmdHi')) {
                $st[0] = 't';
                $etat = 'Up '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
				$img_msg = 'msg_'.$st[0].'.gif';
            } elseif ($newdate < $creadate) {
                $st[0] = 'n';
                $etat = $web[371];
				$img_msg = 'msg_'.$st[0].'.png';
            } else {
                $st[0] = 'a';
                $etat = $web[367];
				$img_msg = 'msg_'.$st[0].'.png';
            }
			$urw = empty($cat) ? '-411-'.$dbwork[$i][2] : '-5-'.$dbwork[$i][2].'-'.$cat;
            echo '
    <div class="'.$color.' trtbldiv">
      <div class="tdtblfr width30">
        <img src="'.$reptheme.'/'.$img_msg.'" class="valignMiddle" alt="'.$etat.'" title="'.$etat.'" />
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$urw.'-'.$id.$z2 : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $cat).GetOptionnalArg('fid', $id).$z2).'"  title="'.$dbwork[$i][5].'">'.$img.'<b>'.$dbwork[$i][5].'</b></a>
      </div>
      <div class="tdtblfr textCenter width10">
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$urw.'-'.$id.$z2 : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $cat).GetOptionnalArg('fid', $id).$z2).'"><b>'.$dbwork[$i][1].'</b></a>
      </div>
      <div class="tdtblfr width20">';
            if ($dbwork[$i][10] == "on") {
                echo displayWriteEmail('forum1'.$i, $dbwork[$i][3], $dbwork[$i][4]);
            } else {
                echo '
        <b>'.$dbwork[$i][3].'</b>';
            }
            ReadDoc($dbwork[$i][2]);
            echo '
        <br />'.FormatDate($creadate).'
      </div>';
            if ($serviz[34] == 'on' && TYP_SCREEN == 'WEB') {
                $txtcount = $threadcounter <= 1 ? $web[188] : $web[189];
                echo '
      <div class="tdtblfr textCenter width10">'.$threadcounter.' '.$txtcount.'</div>';
            }
            if (TYP_SCREEN == 'WEB')
                echo '
      <div class="tdtblfr textCenter width10">'.$dbwork[$i][7].'</div>';
            echo '
      <div class="tdtblfr width20">';
            if ($dbwork[$i][7] != 0) {
                $idder=(ceil($dbwork[$i][7]/ $serviz[20]));
				$urw = empty($cat) ? '-411-'.$fileid : '-5-'.$fileid.'-'.$cat;
                if ($dbwork[$i][11] == "on") {
                    echo displayWriteEmail('forum2'.$i, $dbwork[$i][8], $dbwork[$i][9]).' 
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$urw.'-'.$idder.'#R'.$dbwork[$i][7] : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$fileid.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $idder).'#R'.$dbwork[$i][7]).'" title ="'.$web[297].'"> &nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>
        <br />';
                }
                else {
                    echo '
        <b>'.$dbwork[$i][8].'</b>
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$urw.'-'.$idder.'#R'.$dbwork[$i][7] : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$fileid.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $idder).'#R'.$dbwork[$i][7]).'" title ="'.$web[297].'"> &nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>
        <br />';
                }
                $dbth = array();
                $dbth = ReadDBFields(DBTHREAD);
                for ($j = 0; $j < count($dbth); $j++) {
                    if ($dbth[$j][1] == $dbwork[$i][1] && $dbth[$j][2] == $dbwork[$i][7]) {
                        $th_id = $dbth[$j][3];
                        break;
                    }
                }
				if (isset($th_id)) {
					ReadDoc($th_id);
					echo FormatDate($creadate);
				}
            }
            else {
                echo '&nbsp;';
            }
            echo '
      </div>
    </div>';
        }
    }
    echo '
  </div>';

	echo $navbar;

    if ($serviz[18] == 'on') {
        echo '
  <div class="width100 frbottom">
    <div class="textLeft valignMiddle f-left frimgsbottom">
      <img src="'.$reptheme.'/msg_a.png" alt= "'.$web[367].'" class="valignMiddle" /> '.$web[366].$web[367].' &nbsp;&nbsp;
      <img src="'.$reptheme.'/msg_c.png" alt= "'.$web[368].'" class="valignMiddle" /> '.$web[366].$web[368].' &nbsp;&nbsp;
      <img src="'.$reptheme.'/msg_t.gif" alt= "'.$web[370].'" class="valignMiddle" /> '.$web[370].' &nbsp;&nbsp;
      <img src="'.$reptheme.'/msg_n.png" alt= "'.$web[371].'" class="valignMiddle" /> '.$web[371].$web[334].'
    </div>
    <div class="textRight f-right frretfrt">
      <form action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-'.$tconfig.$z2 : $site['FRT'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" method="post">
        '.SubmitButton($web[134]).'
      </form>
    </div>
  </div>
</div>
<br />';
    } 
    else echo '
</div>';
}
btable();
include 'inc/bpage.inc';
?>
