<?php
/*******************************************************************************
 *   Forum Archive
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.2 (March 25, 2014)       : correction access to private forum
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.01 (September 02, 2015) : correction forum archive access
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : display of the right column if the forum is not in full screen
 *                               : replace css properties by class rules
 * v5.01.04 (September 07, 2016) : security control inactive categories
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';
include CHEMIN.'inc/funcarch.php';

if ($serviz[13] != 'on') {
    exit($web[143]);
}

$cat     = import('cat');
$pg      = import('pg');
$id      = import('id');
$tconfig = $menuico[19] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[19];
$l    = $lng == $lang[0] ? 0 : 1;

$dbwork1 = array();
if (!empty($pg)) {
    $dbwork1 = SelectDBForumByID(ReadDBFields(DBFORUMARCH),$pg);
}
elseif (!empty($cat)) {
    $dbwork1 = SelectDBForumByCat(ReadDBFields(DBFORUMARCH),$cat);
}
else {
    $dbwork1 = ReadDBFields(DBFORUMARCH);
}
$dbworkcat = array();
if ($serviz[18] == 'on') {
    $dbwork = ReadDBFields(DBFORUMCAT);
    foreach ($dbwork as $dbcat)
        if ($dbcat[5] != '') $dbworkcat[] = $dbcat;
}
$dbwork = array();
if ('' == $serviz[18]) {
    foreach ($dbwork1 as $db) {
        if (empty($db[12])) {
            $dbwork[] = $db;
        }
    }
} else {
    foreach ($dbwork1 as $db) {
        $dbcat = array();
        if ($db[12] != '') $dbcat = SelectDBFieldsByField($dbworkcat, 0, $db[12]);
        if (isForumAccessGranted($db[12]) && !empty($dbcat)) {
            $dbwork[] = $db;
        }
    }
}
unset($dbwork1);

if (empty($dbwork) || ('on' == $serviz[18] && !isForumAccessGranted(getForumCatFull($cat)))) {
	header("location:index.php?lng='.$lng.'");
}

if ($serviz[18] != 'on') {
    $topmess = $web[226];
}
else {
    if (!empty($cat)) {
        $catxt = '';
        for ($k = 0; $k < count($dbworkcat); $k++) {
            if ($dbworkcat[$k][0] == $cat) {
                $catxt = $dbworkcat[$k][1 + $l];
                break;
            }
        }
        $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-6'.$z2 : 'fortopicarch.php?lng='.$lng.$z2).'">'.$web[226].'</a> - '.$catxt;
    }
    else {
        $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-6'.$z2 : 'fortopicarch.php?lng='.$lng.$z2).'">'.$web[226].'</a>';
    }
}
if ($page[9] != '') {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
if ($userprefs[3] =='' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $left_empty = array_reduce($xposbox[$tconfig][BOX_LEFT], 'EstNonVide', true);
    $userprefs3 = $left_empty ? BOX_RIGHT : BOX_LEFT;
}
$widepage = $forum[3];
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'FRA'.$tconfig, '100%');
else
    htable($topmess, '100%');

include_once CHEMIN.'inc/func_groups.php';
$acces = 'ok';
if (!IsValidForumCat($cat)) {
	$acces = 'no'; 
}
if (IsPrivateForumCat($cat)) {
    $acces = 'no';
    if ($userprefs[1] != '') {    
        if (CheckGroup($cat, $userprefs[1])) $acces = 'ok';
    }
}
if ($acces != 'ok') {
    echo '
<p class="textCenter fontBold frnoaccess"><br />'.$web[443].'</strong><br /></p>';
} else {
	if ($serviz[18] != 'on' && empty($prt)) {
		$archdate = ReadCounter(DBFORUMARCHDATE);
		if ($archdate > 0) {
			echo '
<p class="textCenter">
  '.$web[225].' '.FormatDate($archdate).'.<br />
  '.$web[224].'<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-31'.$z2 : $site['FR'].'.php?lng='.$lng.$z2).'">'.$web[223].'</a>.<br />
  <hr />
</p>';
		}
	}
	if (empty($id)) {
		$id = 1;
	}
	if (!empty($dbwork)) {
		for ($i = $serviz[17]*($id-1); $i < Min($serviz[17]*$id, count($dbwork)); $i++) {
			if ($serviz[34] == 'on') {
				$threadcounter = ReadDocCounter($dbwork[$i][2], ARCHDBBASE);
			}
			echo '
<div class="tbldiv">
  <div class="trhtblfr">
	<div class="thtbldiv frarchsubject";>
	  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-51-'.$dbwork[$i][2].'-'.$cat.'-'.$id.$z2 : 'threadarch.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $cat).GetOptionnalArg('fid', $id).$z2).'">'.$web[63].$dbwork[$i][1].'</a>
	</div>
	<div class="quest thtbldiv width100 frarchbody">
	  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-51-'.$dbwork[$i][2].'-'.$cat.'-'.$id.$z2: 'threadarch.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $cat).GetOptionnalArg('fid', $id).$z2).'"><b>'.$dbwork[$i][5].'</b></a>
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[6].' ';
			if ($dbwork[$i][10] != 'on') {
				echo displayWriteEmail('forumarch1'.$i, $dbwork[$i][3], $dbwork[$i][4]);
			}
			else {
				echo '
	  <b>'.$dbwork[$i][3].'</b>';
			}
			echo ' '.$web[7].' '.FormatDate($dbwork[$i][6]);
			if ($dbwork[$i][7] != 0) {
				if ($dbwork[$i][11] != 'on') {
					$formail = displayWriteEmail('forumarch2'.$i, $dbwork[$i][8], $dbwork[$i][9]);
				}
				else {
					$formail = '
	  <b>'.$dbwork[$i][8].'</b>';
				}
				if ($dbwork[$i][7] == 1) {
					echo '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[93].' '.$formail.' '.$web[94].' '.FormatDate($dbwork[$i][0]).')';
				}
				else {
					echo '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$dbwork[$i][7].' '.$web[66]." ".$formail.' '.$web[94].' '.FormatDate($dbwork[$i][0]).')';
				}
			}
			else {
				echo '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[67];
			}
			if ($serviz[34] == 'on') {
				$txtcount = $threadcounter <= 1 ? $web[188] : $web[189];
				echo '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[217].' '.$threadcounter.' '.$txtcount; 
			}
			echo '
	  <br />
	</div>
  </div>
</div>';
			if ($i < Min($serviz[17]*$id, count($dbwork))-1) {
				echo '
<hr />';
			}
		}
	}
	if (count($dbwork)>$serviz[17]) {
		echo '
<hr />'.GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-35-'.$cat.'-': 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbwork), $id, $serviz[17], $z2);
	}
	if ($serviz[18] == 'on') {
		if (count($dbwork)<=$serviz[17]) {
			echo '
<hr />';
		}
		echo '
<p class="textCenter">
  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-6'.$z2 : 'fortopicarch.php?lng='.$lng.$z2).'">'.$web[134].'</a>
</p>';
	}
}
btable();
include 'inc/bpage.inc';
?>
