<?php
/*******************************************************************************
 *   Guestbook
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.5 (June 07, 2014)        : corrected display of visitor email (thanks Jean-Denis)
 * v5.00.11 (March 2, 2015)      : modified quick admin icons
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : adding a custom error handling 404
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[12] != 'on') {
    exit($web[143]);
}

if (!empty($pg)) {
    if (count(SelectDBFields(TYP_GUESTBK, 'a', $pg)) != 0) {
        $dbwork = SelectDBFields(TYP_GUESTBK, 'a', $pg);
    } else {
        $dbwork = array();
        if ($site[10] != '') {
            header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
            exit;
        }
        else header('HTTP/1.0 404 Not Found');
    }
} else {
    $dbwork = SelectDBFields(TYP_GUESTBK, 'a', '');
}
@rsort($dbwork);

$i = $lng == $lang[0] ? 0 : 10;
$topmess = strip_tags(getLabel($nom[$i+9]));
if ($page[9] != '') {
    $topmess = '<img class="f-right img32x32 valignMiddle" src="inc/img/icons/'.$page[9].'/guestbook.gif" alt="" />'.$topmess;
}
$tconfig  = $menuico[18] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[18];
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'GBK'.$tconfig, '100%');
else
    htable($topmess, '100%');
echo '
<br />';
if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[12])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
} else {
    if (empty($prt)) echo '
<form action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-'.TYP_GUESTBK.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_GUESTBK.$z2).'" method="post">
  <p class="textCenter">'.SubmitButton($web[41]).'</p>
</form>
<hr />';
    if (empty($id)) {
        $id = 1;
    }
    if (!empty($dbwork)) {
        if (3 == abs($prt)) {
            $id = 1;
            $serviz[7] = 99999;
        }
        for ($i = $serviz[7]*($id-1); $i < Min($serviz[7]*$id, count($dbwork)); $i++) {
            ReadDoc($dbwork[$i][1]);
			$img = getNewUpdateDoc($creadate, $moddate, $serviz[141]);
            echo '
<div class="bord textCenter width98">
  <div class="tbldiv textCenter width100">
    <div class="trtbldiv">
      <div class="forum tdtbldiv width12">'.$web[39].$fielda1.'</div>
      <div class="quest tdtbldiv">'.$web[6].' ';
            if ($fieldd1 == 'on') {
                echo displayWriteEmail('guest'.$i, $author, $email);
            } else {
            echo '
        <b>'.$author.'</b>';
            }
            echo '
        '.$web[7].' '.FormatDate($creadate).'
        <div class="gbkb1'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">';
            if ($fieldb1 != '') {
                echo '
          <a href="'.$fieldb1.'" target="'.TYP_BLANK.'">
            <img class="width17 valignMiddle" src="'.$reptheme.'/gbkurl.png" alt="" />&nbsp;&nbsp;'.$fieldb1.'
          </a>&nbsp;';
            }
            echo $img.'
        </div>
      </div>
    </div>
  </div>
  <div class="rep width98 marginAuto gbkc1">'.$fieldc1;
        if (empty($prt)) echo 
  displayQuickConfig(NULL, $dbwork[$i][1], 'guestbk&amp;form=2&amp;id='.$dbwork[$i][1], 'guestbk&amp;act=i&amp;id='.$dbwork[$i][1], 'guestbk&amp;del='.$dbwork[$i][1], 22);
        echo '
  </div>
</div>';
            if ($i < min($serviz[7]*$id, count($dbwork))-1) {
                echo '
<hr />';
            }
        }
    } else if (!empty($pg)) {
        echo '
<p>'.$web[36].'</p>';
    }
    echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[7].'-2'.'-': $site['GB'].'.php?lng='.$lng.'&amp;id='), count($dbwork), $id, $serviz[7], $z2);
}
btable();
include 'inc/bpage.inc';
?>
