<?php
/*******************************************************************************
 *   Construction du captcha texte
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if(session_id() == "") {
    @session_name('GuppYSite');
    @session_start();
}

error_reporting(E_ALL ^ E_NOTICE);
srand((double)microtime()*1000000);

$_SESSION['configfile'] = "cryptoseltexte.cfg.php";
include $_SESSION['configfile'];

$word   = '';
$pair   = rand(0,1);
$charnb = rand($charnbmin, $charnbmax);
for ($i = 1; $i <= $charnb; $i++) {
    if ($crypteasy) $tword = (!$pair) ? $charelc{rand(0, strlen($charelc)-1)} : $charelv{rand(0, strlen($charelv)-1)};
    else $tword = $charel{rand(0, strlen($charel)-1)};

    $pair = !$pair;
    $word .= $tword;
}

// Conversion du cryptogramme en Majuscule si insensibilité à la casse
$word = ($difuplow ? $word : strtoupper($word));

// Retourne 4 informations dans la session:
// - Le code du cryptogramme à afficher
// - Le nombre de digits à saisir
// - Les positions des digits à saisir
// - Le code du cryptogramme (crypté ou pas)
$_SESSION['cryptword'] = $word;
$_SESSION['cryptnb'] = rand(4, 5);
$pos = '';
for ($i = 0; $i < $_SESSION['cryptnb']; $i++) $pos .= rand(1, strlen($word)).'-';
$_SESSION['cryptpos'] = substr($pos, 0, -1);
$tpos = explode('-', $_SESSION['cryptpos']);
$tword = '';
foreach ($tpos as $p) $tword .= substr($word, $p - 1, 1);
switch (strtoupper($cryptsecure)) {
    case "MD5"  : $_SESSION['cryptcode'] = md5($tword);  break;
    case "SHA1" : $_SESSION['cryptcode'] = sha1($tword); break;
    default     : $_SESSION['cryptcode'] = $tword; break;
}

unset($word, $tword);
?>
