<?php
/*******************************************************************************
 *   Configuration du captcha texte
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/
include CONFIG;

$cryptwidth  = 80;         	// Largeur du cryptogramme (en pixels)
$cryptheight = 20;          // Hauteur du cryptogramme (en pixels)
$bgC         = '#FFFFFF';   // Couleur du fond au format héxadécimal
$bdC         = '#000000';   // Couleur du cadre au format héxadécimal
$etC         = 2;			// Epaisseur du trait du cadre
$corners     = 4;			// Rayon des coins arrondis

// ----------------------------
// Configuration des caractères
// ----------------------------

// Polices de caractères

$tfont = 'Arial';   

// Caracteres autorisés
// Attention, certaines polices ne distinguent pas (ou difficilement) les majuscules 
// et les minuscules. Certains caractères sont faciles à confondre, il est donc
// conseillé de bien choisir les caractères utilisés.

$charel = 'ABCDEFGHKLMNPRTWXYZ234569abcdefghkmnprtwxyz';       // Caractères autorisés

$crypteasy = false;       // Création de cryptogrammes "faciles à lire" (true/false)
                          // composés alternativement de consonnes et de voyelles.

$charelc = 'BCDFGHKLMNPRTVWXZbcdefghkmnprtvwxz';   // Consonnes utilisées si $crypteasy = true
$charelv = 'AEOUYaeiouy';                          // Voyelles utilisées si $crypteasy = true

$difuplow = $serviz[115] == 'on' ? true : false;   // Différencie les Maj/Min lors de la saisie du code (true, false)

$charnbmin = 4;         // Nb minimum de caracteres dans le cryptogramme
$charnbmax = 6;         // Nb maximum de caracteres dans le cryptogramme

$charsize  = 16;        // Taille des caractères

// --------------------------------
// Configuration système & sécurité
// --------------------------------

$cryptsecure = "";    // Méthode de crytpage utilisée: "md5", "sha1" ou "" (aucune)
                         // "sha1" seulement si PHP>=4.2.0
                         // Si aucune méthode n'est indiquée, le code du cyptogramme est stocké 
                         // en clair dans la session.
                   
$cryptoneuse = false;  // Si vous souhaitez que la page de verification ne valide qu'une seule 
                       // fois la saisie en cas de rechargement de la page indiquer "true".
                       // Sinon, le rechargement de la page confirmera toujours la saisie. 
?>
