<?php
/*******************************************************************************
 *   Load Includes
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.7 (August 21, 2014)      : improvement of management members
 * v5.00.11 (March 02, 2015)     : add number of characters pseudo
 *                               : add hyphen in the nickname
 * v5.01.00 (June 12, 2015)      : corrected user preferences
 *                               : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : WEB display for tablets with screen >= 1024
 *                               : adding $tconfig in return address
 * v5.01.04 (September 07, 2016) : minimum php version is 5.3.0+
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : removal of SCREEN_COOKIE settings
 *                               : initializes the value of $_SERVER['HTTPS']
 *                               : razionalisation of language files
 *                               : independence of the admin part
 * v5.02.02 (December 18, 2017)  : secondary admin support
 *                               : deleting the GuppYUser5 cookie
 * v5.02.03 (February 01, 2018)  : skins rotator by dates
 *                               : changing the connection expiration timeout period
 ******************************************************************************/

if (version_compare(phpversion(), '5.4.0', '<')) {
    die(sprintf('Insufficient version of PHP (%s) : 5.4.0 or higher necessary', phpversion()));
}

if (@preg_match("!//|/\*|#|:/|\.\./|%2E\./|\.%2E/|%2E%2E/|document.cookie|/script!i", $_SERVER["QUERY_STRING"])) {
    die("Requête non autorisée - Request not allowed");
}

if (stristr($_SERVER['SCRIPT_NAME'], 'includes.inc')) {
    header('location:../index.php');
    die();
}

error_reporting( E_ALL ^ E_NOTICE );

$endurl = strip_tags($_SERVER['REQUEST_URI']);
$lang   = array('','');

include CHEMIN.'inc/functions.php';
include CONFIG;
$tconfig = 0;

@ini_set('session.use_only_cookies', true);
@ini_set('session.cookie_lifetime', 0);
@ini_set('session.cookie_path', '/');
@ini_set('session.cookie_domain', $_DOMAIN);
@ini_set('session.cookie_secure', $_SECURE);
@ini_set('session.cookie_httponly', false);
@ini_set('session.use_strict_mode', true);
@ini_set('session.gc_probability', 0);
@ini_set('session.gc_maxlifetime', (!empty($members[21]) ? intval($members[21]) : 157680000));
@session_cache_limiter('nocache');
@session_cache_expire(4320);
@session_name('GuppYSite');
@session_start();

require_once 'mobile_detect.php';
$detect = new Mobile_Detect;
define('TYP_SCREEN', $detect->isMobile() ? 'MOB' : 'WEB');
define('TYP_BLANK',  $detect->isMobile() ? '_self' : '_blank');

$cryptos = array(1=>'cryptographp', 2=>'cryptotexte', 3=>'cryptoseltexte');
$cryptinstall = CRYPTREP.$cryptos[$serviz[100]].'.fct.php';
if ($serviz[100] > 0) include $cryptinstall;

if (substr($serviz[101], -2) != 'px') $serviz[101] = '800px';

include CHEMIN.'inc/func_groups.php';
include CHEMIN.'inc/func_groupscol.php';
include CHEMIN.'inc/func_groupsnwl.php';
include CHEMIN.'inc/func_boxes.php';
include CHEMIN.'inc/func_blogboxes.php';

$prt = import('prt');
if (!in_array($prt, array(-3, -2, -1, 0, 1, 2, 3))) $prt = 0;
date_default_timezone_set($site['TZ']);

function TestInteger($name) {
    $GLOBALS[$name] = import($name);
    if (isset($GLOBALS[$name])) {
        $n = preg_match('!^([0-9]+)!', $GLOBALS[$name], $res);
        if ($n == 0 || $res[1] == '')
            $GLOBALS[$name] = NULL;
        else
            $GLOBALS[$name] = $res[1];
    }
}

if (strpos($endurl, '/admin/') === false) {
    TestInteger('pg');
} else {
    $pg = import('pg');
}
TestInteger('id');
TestInteger('num');

$userprefs  = array_pad(array(), 31, '');
$lng        = import('lng');

$userprefs  = array_pad(array(), 31, '');
$usercookie = $serviz[177] == '0' ? $_SESSION['UserData'] : $_COOKIE[USER_COOKIE];
if (!empty($usercookie)) {
    $positem = 0;
    for ($i = 0; $i < 31; $i++) {
        $poslen        = $positem + 2;
        $posdata       = $positem + 4;
        $lendata       = intval(substr($usercookie, $poslen, 2));
        $userprefs[$i] = substr($usercookie, $posdata, $lendata);
        $userprefs[$i] = $userprefs[$i] == 'off' ? '' : $userprefs[$i];
        $positem       = $posdata + $lendata;
    }
    if (($userprefs[0] == $lang[0] || $userprefs[0] == $lang[1]) && empty($lng)) {
        $lng = strip_tags($userprefs[0]);
    }
    $userprefs[0] = strip_tags($userprefs[0]);
    $userprefs[1] = preg_replace('![^-a-zA-Z0-9_]!i', '', substr(strip_tags($userprefs[1]), 0, $serviz[148]));
    $userprefs[2] = strip_tags($userprefs[2]);
    $userprefs[3] = strip_tags($userprefs[3]);
    $userprefs[4] = strip_tags($userprefs[4]);
    $userprefs[5] = strip_tags($userprefs[5]);
    $userprefs[6] = str_replace('\n', '<br />', strip_tags($userprefs[6]));
    $userprefs[7]  = strip_tags($userprefs[7]);
    $userprefs[8]  = strip_tags($userprefs[8]);
    $userprefs[9]  = strip_tags($userprefs[9]);
    $userprefs[10] = strip_tags($userprefs[10]);
    $userprefs[11] = strip_tags($userprefs[11]);
    $userprefs[12] = strip_tags($userprefs[12]);
    $userprefs[13] = strip_tags($userprefs[13]);
    $userprefs[14] = strip_tags($userprefs[14]);
    $userprefs[15] = strip_tags($userprefs[15]);
    $userprefs[16] = strip_tags($userprefs[16]);
    $userprefs[17] = strip_tags($userprefs[17]);
    $userprefs[18] = strip_tags($userprefs[18]);
    $userprefs[19] = strip_tags($userprefs[19]);
    $userprefs[20] = strip_tags($userprefs[20]);
    $userprefs[21] = strip_tags($userprefs[21]);
    $userprefs[22] = strip_tags($userprefs[22]);
    $userprefs[23] = strip_tags($userprefs[23]);
    $userprefs[24] = strip_tags($userprefs[24]);
    $userprefs[25] = strip_tags($userprefs[25]);
    $userprefs[26] = strip_tags($userprefs[26]);
    $userprefs[27] = strip_tags($userprefs[27]);
    $userprefs[28] = strip_tags($userprefs[28]);
    $userprefs[29] = strip_tags($userprefs[29]);
    $userprefs[30] = strip_tags($userprefs[30]);
}

if (!isset($selskin)) $selskin = import('selskin');
$selskin = preg_replace('`[^-a-z0-9_]`i', '', $selskin);
if (is_file(CHEMIN.'data/config/rotaskins.dtb')) {
    $now_time  = date('YmdHi');
    $skn       = $page[14];
    $rotaskins = @file(CHEMIN.'data/config/rotaskins.dtb');
    if (!empty($rotaskins)) {
        rsort($rotaskins);
        foreach ($rotaskins as $rotaskin) {
            $rota = explode(CONNECTOR, $rotaskin);
            if ($now_time >= $rota[0]) {
                $skn = $rota[1];
                $skn = $skn[strlen($skn)-1] == chr(10) ? substr($skn, 0, -1) : $skn;
                break;
            }
        }
        if (!empty($skn) && $skn != $page[14] && $selskin != $page[14] && $userprefs[10] == '') {
            $selskin  = $skn;
        }
    }
}
if (empty($page[14])) {
    $page[14] = 'no_skin';
}
if (!empty($userprefs[10])) {
    $page[14] = $userprefs[10];
}
if (!empty($selskin)) {
    $page[14] = $selskin;
}
if (empty($selskin)) {
    $selskin = $page[14];
}

$lng = empty($lng) ? $lang[0] : (!in_array($lng, $lang) ? $lang[0] : $lng);
include CHEMIN.INCREP.'lang/'.$lng.'-help'.INCEXT;
include(CHEMIN.INCREP."lang/".$lng."-web".INCEXT);

$pathconf = is_file(CHEMIN.'skins/'.$page[14].'/skin'.INCEXT) ? $page[14] : 'no_skin';
$fileconf = TYP_SCREEN == 'MOB' ? 'confmob' : 'confweb';
include CHEMIN.'skins/'.$pathconf.'/skin'.INCEXT;
include CHEMIN.'skins/'.$pathconf.'/confskin'.INCEXT;
include CHEMIN.'admin/inc/check_confs'.INCEXT;
include CHEMIN.'skins/'.$pathconf.'/'.$fileconf.INCEXT;
$z2 = !isset($body[16]) ? '#z2' : ($body[16] == 'on' ? '#z2' : '');

$usertime = !empty($members[21]) ? intval($members[21]) : 157680000;
$expires  = (is_file(CHEMIN.'admin/'.REDACREP.$userprefs[1].INCEXT) || $userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176]) ? 157680000 : $usertime;
if (!empty($members[21]) && $userprefs[1] != '' && FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
    $aconnect  = isset($_COOKIE[PREF_COOKIE]) ? explode(CONNECTOR, $_COOKIE[PREF_COOKIE]) : array(0, '');
    $savetime = $serviz[177] == '0' ? $_SESSION['connect_time'] : $aconnect[0];
    $ctrltime = time() - $savetime;
    if ($ctrltime >= $expires) {
        session_name('GuppYSite');
        session_start();
        session_unset();
        $_SESSION = array();
        session_destroy();
        setcookie('GuppYSite', '', time() - 3600, '/', $_DOMAIN, $_SECURE);
        unset($_COOKIE['GuppYSite']);
        setcookie(USER_COOKIE, '', time() - 3600, '/', $_DOMAIN, $_SECURE);
        if (isset($_COOKIE['GuppYAdmin'])) {
            session_name('GuppYAdmin');
            session_start();
            @session_unset();
            $_SESSION = array();
            @session_destroy();
            setcookie('GuppYAdmin', '', time() - 3600, 'admin', $_DOMAIN, $_SECURE);
        }
        unset($_COOKIE[USER_COOKIE]);
        setcookie(PREF_COOKIE, '', time() - 3600, '/', $_DOMAIN, $_SECURE);
        unset($_COOKIE[PREF_COOKIE]);
        $location = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng);
        echo '
<script type="text/javascript">
  window.location="'.$location.'";
</script>';
        header("location:".$location); 
    }
}
@session_regenerate_id();

if ($serviz[177] == '0')
    $_SESSION['connect_time'] = time();
else {
    $userconnect = time().CONNECTOR.$userprefs[1];
    setcookie(PREF_COOKIE, $userconnect, time() + $expires, '/', $_DOMAIN, $_SECURE);
}

if (!isset($_SERVER['REQUEST_URI'])) {
    $REQUEST_URI = $_SERVER['SCRIPT_NAME']."?".$_SERVER['QUERY_STRING'];
}
StartTimer();

$reptheme = is_dir($meskin.'general') ? $meskin.'general' : CHEMIN.'inc/img/general/'.$page[27];

if (!headers_sent()) header('Content-type: text/html; charset='.$charset);

if ($lng == $lang[0]) {
    $npage = array($web[169], getLabel($nom[1]), getLabel($nom[24]), getLabel($nom[22]), getLabel($nom[9]), getLabel($nom[0]), getLabel($nom[3]),
        getLabel($nom[7]), getLabel($nom[2]), getLabel($nom[6]), getLabel($nom[20]), getLabel($nom[26]), $web[144], getLabel($nom[42]),
        $web[485], $web[486], $web[487], $web[488], $web[489], $web[490]
        );
} else {
    $npage = array($web[169], getLabel($nom[11]), getLabel($nom[25]), getLabel($nom[23]), getLabel($nom[19]), getLabel($nom[10]), getLabel($nom[13]),
        getLabel($nom[17]), getLabel($nom[12]), getLabel($nom[16]), getLabel($nom[21]), getLabel($nom[27]), $web[144], getLabel($nom[43]),
        $web[485], $web[486], $web[487], $web[488], $web[489], $web[490]
        );
}

$flag1 = CHEMIN.INCREP.'lang/'.$lang[0].'.gif';
$flag2 = CHEMIN.INCREP.'lang/'.$lang[1].'.gif';

if (stristr($_SERVER['SCRIPT_NAME'], 'calendar.php') === false && strpos($endurl, '/install/') === false) {
    include CHEMIN.INCREP.'log.inc' ;
    include CHEMIN.'inc/log_stats.inc';
}

include CHEMIN.'inc/security.inc';
ExecuteBannishment();

$userAgent = $_SERVER['HTTP_USER_AGENT'];
if ((strpos($userAgent,  'MSIE') !== false) and (strpos($userAgent, 'compatible') !== false)
and (strpos($userAgent, 'Opera')=== false) and (strpos($userAgent, 'Gecko') === false)
and (strpos($userAgent, 'Konqueror') === false))
    $browser = 'OK';
elseif ((strpos($userAgent, 'Gecko') !== false) and (strpos($userAgent, 'Safari') === false) and (strpos($userAgent, 'Konqueror') === false))
    $browser = 'OK';
elseif (strpos($userAgent, 'Konqueror') !== false)
    $browser = 'OK';
elseif (strpos($userAgent, 'Safari') !== false)
    $browser = 'OK';
elseif (strpos($userAgent, 'Opera') !== false) {
    $version = (float)substr($userAgent, strpos($userAgent, 'Opera/') + 6, 4);
    $browser = $version >= 9.0 ? 'OK' : 'KO';
}
else
  $browser = 'KO';
  
if (strpos($endurl, '/install/') === false) {
    if ($serviz[44] == 'on' &&  ($userprefs[1] == '' || ($serviz[31] != '' && $serviz[31] != $userprefs[1]) || ($serviz[176] != '' && $serviz[176] != $userprefs[1]))) {
        header('location: '.CHEMIN.'maintenance.php?lng='.$lng);
    }
}

?>