<?php
/*******************************************************************************
 *   Home page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.01.06 (December 06, 2016)  : improve #EditoBoxes structure
 * v5.01.07 (January 04, 2016)   : improvement of #EditoBoxes without lateral boxes
 *                               : correction for non numeric values
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[1] != 0) {
    switch ($serviz[1]) {
    case 1 : if ($serviz[53] == '') $serviz[1] = 0; break; // Blog
    case 2 : if ($serviz[8]  == '') $serviz[1] = 0; break; // News
    case 3 : if ($serviz[13] == '') $serviz[1] = 0; break; // Forum
    case 4 : if ($serviz[47] == '') $serviz[1] = 0; break; // Agenda
    }
}

if ($serviz[1] != 0) {
    switch ($serviz[1]) {
    case 1 : header('location:'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1]: $site['BLS'].'.php?lng='.$lng)); die();
    case 2 : header('location:'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[8]: $site['NE'].'.php?lng='.$lng)); die();
    case 3 : header('location:'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-31': $site['FR'].'.php?lng='.$lng)); die();
    case 4 : header('location:'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[17].'-2': 'agenda.php?lng='.$lng.'&agv=2')); die();
    }
}

$widepage = 'on' == $serviz[74];
$topmess  = '';
$pgtype   = 5;
$tconfig  = 0;
include 'inc/hpage.inc';

echo '
  <!-- Begin of EditoBoxes -->
  <div id="EditoBoxes">';
foreach ($xposbox[BOX_EDITO][BOX_LEFT] as $i => $a) {
    $item1 = ExecFunctionBox(BOX_EDITO, $xposbox[BOX_EDITO][BOX_LEFT][$i]);
    $item2 = ExecFunctionBox(BOX_EDITO, $xposbox[BOX_EDITO][BOX_CENTER][$i]);
    $item3 = ExecFunctionBox(BOX_EDITO, $xposbox[BOX_EDITO][BOX_RIGHT][$i]);
    $nbitem = 0;
    if (FALSE !== $item1) $nbitem++;
    if (FALSE !== $item2) $nbitem++;
    if (FALSE !== $item3) $nbitem++;
	if ($nbitem > 0) {
        $w0    = (int)$wposbox[BOX_EDITO][BOX_LEFT][$i];
        $w1    = (int)$wposbox[BOX_EDITO][BOX_CENTER][$i];
        $w2    = (int)$wposbox[BOX_EDITO][BOX_RIGHT][$i];
        $wcols = $nbitem < 3 ? ceil((100 - $w0 - $w1 - $w2) / (3 - $nbitem)) : 100;
        $sfix  = BOX_EDITO.'0'.$i;
        echo '
<style type="text/css">
.wcols'.$sfix.' { width: '.$wcols.'%; }
.wcol0'.$sfix.' { width: '.($w0 == '' ? '0' : $w0).'%; }
.wcol1'.$sfix.' { width: '.($w1 == '' ? '0' : $w1).'%; }
.wcol2'.$sfix.' { width: '.($w2 == '' ? '0' : $w2).'%; }
</style>
';
        $wcol0 = $item1 === false || $w0 == '' ? ($w1 == 100 || $w2 == 100 ? '' : ' wcols'.$sfix) : ' wcol0'.$sfix;
        $wcol1 = $item2 === false || $w1 == '' ? ($w0 == 100 || $w2 == 100 ? '' : ' wcols'.$sfix) : ' wcol1'.$sfix;
        $wcol2 = $item3 === false || $w2 == '' ? ($w1 == 100 || $w0 == 100 ? '' : ' wcols'.$sfix) : ' wcol2'.$sfix;
        echo '
    <div class="E'.$tconfig.'entrow'.$i.'">
      <div class="row E'.$tconfig.'row'.$i.'">'.
        ($wcol0 != '' ? '<div class="col col0'.$wcol0.'">'.(FALSE !== $item1 ? $item1 : '&nbsp;').'</div>' : '').
        ($wcol1 != '' ? '<div class="col col1'.$wcol1.'">'.(FALSE !== $item2 ? $item2 : '&nbsp;').'</div>' : '').
        ($wcol2 != '' ? '<div class="col col2'.$wcol2.'">'.(FALSE !== $item3 ? $item3 : '&nbsp;').'</div>' : '').'
      </div>
    </div>';
    }
}
echo '
  </div>
  <!-- End of EditoBoxes -->';
include 'inc/bpage.inc';
?>