<?php
/*******************************************************************************
 *   Links
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.4 (April 30,  2014)      : add a directory links
 * v5.0.7 (August 21, 2014)      : rename plus and minis images
 * v5.0.8 (October 02, 2014)     : corrected navigation
 * v5.0.9 (November 28, 2014)    : improved display directory
 * v5.00.10 (December 29, 2014)  : modify styles of directory
 * v5.00.11 (March 2, 2015)      : modified quick admin icons
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : adding a custom error handling 404
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.01.07 (January 04, 2016)   : correction of end of documents
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : mofify end of document
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[11] != 'on') {
    exit($web[143]);
}

$pg      = import('pg');
$id      = import('id');
$tconfig = $menuico[16] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[16];
$dirlnk  = import('dirlnk');
$k       = ($lng == $lang[0])? 0 : 1;
$categ   = '';
$dbwork  = array();
if (!empty($pg)) {
    $dbwork = SelectDbFieldsByField(ReadDBFields(DBLINKS), 4, $pg);
	$isdoc  = (count($dbwork) != 0);
	$dbwan  = array();
	if ($isdoc) {
		$isdoc = isAuthorizedPublication($dbwork[0][5]);
        if (!isAccessGranted($dbwork[0][6])) {
			header('HTTP/1.0 403 Forbidden');
        }
    }
    if (!$isdoc) {
        $dbwork = array();
        if ($site[10] != '') {
            header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
            exit;
        }
        else header('HTTP/1.0 404 Not Found');
        $web[38] = '';
    }
} else {
    $dbwork2 = ReadDBFields(DBLINKS);
    $dbwork1 = array_filter($dbwork2, 'IsNotEmptyTitle');
    unset($dbwork2);
	$dbwan = array();
	if (empty($dirlnk) || $dirlnk == 'no') {
		foreach ($dbwork1 as $db) {
			if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
				$cats  = explode('|', $db[0 + $k]);
				$catan =  count($cats) > 1 ? $cats[0] : $web[649];
				if (array_search($catan, $dbwan) === false) {
					$dbwan[] = $catan;
				}
			}
		}
		if (count($dbwan) == 1 && $dbwan[0] == $web[649]) {
			$dirlnk = 'no';
			foreach ($dbwork1 as $db) {
				if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
					$dbwork[] = $db;
				}
			}
		}
		sort($dbwan);
	}
	else {
		$dbwan = array();
		foreach ($dbwork1 as $db) {
			if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5])) {
				$cats  = explode('|', $db[0 + $k]);
				$cat0  = count($cats) > 1 ? $cats[0] : $web[649];
				$pos   = mb_strpos($cat0, '-->');
				$cat0  = $pos !== false ? mb_substr($cat0, $pos + 3) : $cat0;
				$catan = KeepGoodChars(count($cats) > 1 ? $cat0 : $web[649]);
				if ($dirlnk == $catan) {
					$dbwork[] = $db;
					$categ    = $cat0;
				}
			}
		}
		$categ = $dirlnk == KeepGoodChars($web[649]) ? $web[649] : $categ;
	}
    unset($dbwork1);
}
sort($dbwork);

$topmess = strip_tags(getLabel($nom[$lng == $lang[0] ? 3 : 13]));
if ($page[9] != '') {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/links.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'LNK'.$tconfig, '100%');
else
    htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[3])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
} else {
    echo '
<div><p class="textCenter">'.$web[38].'</p></div>';
	if (empty($dirlnk) && empty($pg)) {
        if (!empty($dbwan)) {
            foreach ($dbwan as $an) {
				$pos = mb_strpos($an, '-->');
				$an  = $pos !== false ? mb_substr($an, $pos + 3) : $an;
                echo '
<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[6].'-6-'.KeepGoodChars($an).'-'.$tconfig.$z2 : 'links.php?lng='.$lng.'&amp;dirlnk='.KeepGoodChars($an).'&amp;tconfig='.$tconfig.$z2).'">
  <div class="licatlink">
    <img src="'.$reptheme.'/catlink.png" title='.$an.' alt="catlink.png" />'.$an.'
  </div>
</a>';
            }
        }
    } else {
		if (empty($id)) {
			$id = 1;
		}
		if (empty($pg) && $dirlnk != 'no') {
			if (!empty($categ)) echo '
<div class="lititlecat">'.$categ.'</div>';
			echo '
<div class="textCenter">
  <form name="retanlnk" method="post" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[6].'-'.$tconfig.$z2 : 'links.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'">
    '.SubmitButton($web[650]).'
  </form>
</div>';
		}
		if (!empty($dbwork)) {
			$typeRubrique = TYP_LINKS;
			$imgOpen = "li.png";
			$imgClose = "li1.png";
			$subImgOpen = "puce1.png";
			$subImgClose = "puce2.png";
			$nlpg = (count($dbwork)-($serviz[5]*($id-1))>$serviz[5])? $serviz[5] : count($dbwork)-($serviz[5]*($id-1)) ;
			echo BeginJavascript().'
var maxsub = '.$nlpg.';'.EndJavascript();
			$rubr = '';
			$l = 0;
			if (3 == abs($prt)) {
				$id = 1;
				$serviz[5] = 99999;
			}
			$isNew = false;
			for ($i = $serviz[5]*($id-1); $i < Min($serviz[5]*$id, count($dbwork)); $i++) {
				ReadDoc($dbwork[$i][4]);
				$img = getNewUpdateDoc($creadate, $moddate, $serviz[144]);
				if ($img != '') $isNew = true;
				if ($lng == $lang[0]) {
					$txt1 = $img.$fieldb1;
					$txt2 = $fieldc1;
					$txt3 = $fielda1;
					$txt4 = $fieldd1;
				} else {
					$txt1 = $img.$fieldb2;
					$txt2 = $fieldc2;
					$txt3 = $fielda2;
					$txt4 = $fieldd2;
				}
				if ($rubr <> $txt3 || $txt3 == '') {
					$rubr  = $txt3;
					$rubrs = explode('|', $rubr);
					$srubr = count($rubrs) > 1 ? $rubrs[1] : $rubrs[0];
					if ($l > 0) {
						echo '
</div>';
					}
					if (trim($rubr) != '') {
						$l ++;
						echo '
<div id="titreRubr'.$typeRubrique.$i.'" class="lirubr" onclick="MontreCacheItems(\'imgOpen'.$typeRubrique.$i.'\',\'imgClose'.$typeRubrique.$i.'\',\'itemsRubr'.$typeRubrique.$i.'\',\'itemsRubrSelect\');">
  <img id="imgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" class="displayNone" />
  <img id="imgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgClose.'" alt="'.$web[57].'" title="'.$web[57].'" class="displayInline" />
  &nbsp;'.$srubr.'
</div>';
						if (count($dbwork) == 1) {
							echo '
<div id="itemsRubrSelect" class="displayBlock">';
						} else {
							echo '
<div id="itemsRubr'.$typeRubrique.$i.'" class="displayBlock">';
						}
					}
				}
				$n = (count($dbwork) > $serviz[5])? $i-$serviz[5]*$id+$serviz[5] : $i;
				echo '
  <div id="titreSubRubr'.$typeRubrique.$i.'" class="lirubr2" onclick="MontreCacheItems(\'subImgOpen'.$typeRubrique.$i.'\',\'subImgClose'.$typeRubrique.$i.'\',\'itemSubRubr'.$typeRubrique.$i.'\',\'itemSubRubrSelect\');">'."\n".'
	<div class="f-left textRight lirubr3">
      <img id="subImgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" class="displayNone" /> 
      <img id="subImgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgClose.'" alt="'.$web[57].'" title="'.$web[57].'" class="displayInline" /> 
    </div>'."\n".'
    <div class="lisubrubr"><a id="subRubr'.$typeRubrique.$i.'">'.$txt1.'</a></div>'."\n".'
  </div>'."\n";
				if (count($dbwork) == 1) {
					echo '
<div class="bord2 displayBlock" id="itemSubRubrSelect">';
				} else {
					echo '
<div class="bord2 displayBlock" id="itemSubRubr'.$typeRubrique.$i.'">';
				}
				$printurl = $prt != 0 ? ' <strong> '.$txt4.' </strong>' : '';
				echo '
  <div class="rep licontent">'.$txt2.'<div class="c-both"></div>';
				echo '
    <p class="textRight clsCursor">';
                if (TYP_SCREEN == 'WEB')
                    echo '
      <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[6].'-1-'.$dbwork[$i][4].$z2 : 'links.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].$z2).'">
        <img src="'.$reptheme.'/hyperlink.png" alt="'.$web[527].'" title="'.$web[527].'"  class="valignMiddle" />
      </a>&nbsp;&nbsp;';
                echo '
      <a href="'.$txt4.'" target="'.TYP_BLANK.'">
        <img src="'.$reptheme.'/site.png" alt="'.$web[304].'" title="'.$web[304].'" class="valignMiddle" />'.$printurl.'
      </a>
    </p>'."\n";
				echo '
  </div><div class="c-both"></div>';
                if (empty($prt)) echo displayQuickConfig(NULL, $dbwork[$i][4], 'links&amp;form=2&amp;id='.$dbwork[$i][4], 'links&amp;act=i&amp;id='.$dbwork[$i][4], 'links&amp;del='.$dbwork[$i][4], 20);
				echo '
</div>';
			}
			if ($l > 0) {
				echo '
</div>';
			}
			if (0 == $prt && 'on' != $serviz[80] && !$isNew) {
				echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemsRubr"+ typeRubr + i) != null) || (document.all && document.all["itemsRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemsRubr"+ typeRubr + i] != undefined) ) {
		cache("itemsRubr"+ typeRubr + i);
		montre("imgOpen"+ typeRubr + i, "inline");
		cache("imgClose"+ typeRubr + i);
	}
}'.EndJavascript();
			}
			if (0 == $prt && 'on' != $serviz[80]) {
				echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemSubRubr"+ typeRubr + i) != null) || (document.all && document.all["itemSubRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemSubRubr"+ typeRubr + i] != undefined) ) {
		cache("itemSubRubr"+ typeRubr + i);
		montre("subImgOpen"+ typeRubr + i, "inline");
		cache("subImgClose"+ typeRubr + i);
	}
}'.EndJavascript();
			}
		} else if (!empty($pg)) {
			echo '
<p>'.$web[36].'</p>';
		}
		echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[6].'-4-'.$dirlnk.'-' : 'links.php?lng='.$lng.'&amp;dirlnk='.$dirlnk.'&amp;id='), count($dbwork), $id, $serviz[5], $z2);
		if (empty($pg) && $dirlnk != 'no')
			echo '
<div class="textCenter">
  <form name="retanlnk" method="post" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[6].'-'.$tconfig.$z2 : 'links.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'">
    '.SubmitButton($web[650]).'
  </form>
</div>';
	}
}
btable();
include 'inc/bpage.inc';
?>
