<?php
/*******************************************************************************
 *   Lost password
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.3 (April 15, 2014)       : reorganization of messages
 * v5.0.8 (October 02, 2014)     : corrected display of $email
 * v5.01.00 (June 12, 2015)      : add ckeckbox for hostings behind a cache (thanks jcp)
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 *                               : improvement of IP address reading
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.02 (December 18, 2017)  : secondary admin support
 * v5.02.03 (February 01, 2018)  : new password synchronization
 *                               : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

$action  = import('action');
$pseudo  = import('pseudo');
$email   = import('email');
$ask     = import('ask');
$tconfig = $serviz[172] == 'ALL' ? import('tconfig', '', true, 0) : $serviz[172];

$err_email = (empty($email) || 1 != preg_match('/^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/', $email)) && $ask == 1;
$erreur    = '';
$erreur   .= $err_email ? '<li>'.$web[42].'</li>': '';

if ($action != 'lost' && !empty($action)) {
	header("location:index.php");
	die();
}

if ($action == 'lost') {
	if (is_file(MSGREP.$pseudo.DBEXT)) {
		$userdb = ReadDBFields(MSGREP.$pseudo.DBEXT);
		if (isset($userdb[1][3]) && $userdb[1][3] != $email) {
			echo BeginJavascript().'
alert("'.addslashes($web[599]).'");
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'"\', 1000);
			'.EndJavascript();
			echo '
<noscript>';
			header('location:'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng));
			echo '
</noscript>';
			exit();
		}
	}
    $newpass      = GenerateUID();
	$userdb[0][0] = md5($newpass);
	$userdb[0][1] = crypt($newpass);
	$userdb[1][8] = md5($newpass);
	WriteDBFields(MSGREP.$pseudo.DBEXT, $userdb);
	$numava = isset($userdb[2][8]) ? $userdb[2][8] : substr($page[23], 4);
    $padmin = trim($serviz[31]) == '' ? (trim($serviz[176]) == '' ? $user[0] : $serviz[176]) : $serviz[31];
	$msg = array(
		$padmin,
		GetCurrentDateTime(),
		$web[253].' '.sprintf($web[612], $pseudo),
		'new',
		'',
		'',
		'',
		$serviz[43],
		$numava);
	AppendDBFields(MSGREP.$pseudo.DBEXT, $msg);
    UpdateCollaboratorPass($pseudo, md5($newpass));
    UpdateProtectMember($pseudo, crypt($newpass));
	$sujet = $web[600];
    $body  = $web[601];
    $body .= $web[457].'<b>'.$pseudo.'</b><br /><br />';
    $body .= $web[602].'<b>'.$newpass.'</b><br /><br />';
    $body .= $web[603].'<br /><br /><a href="'.$site[3].'">'.$site[3].'</a>';
    eMailHtmlTo($sujet, $body, $email);
	
	if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) unlink(TEMPREP.'cnt-'.$pseudo.DBEXT);
	
	$topmess = $web[594];
	include CHEMIN.'inc/hpage.inc';
    if (function_exists('htable1'))
        htable1($topmess, 'LOST'.$tconfig, '100%');
    else
        htable($topmess, '100%');
    $email = import('email');
	echo '<div class="textCenter afterlost">'.$web[604].'<br />'.$email.'</div>';
}

if ($ask == 1 && empty($erreur)) {
	$continue = true;
	$bad      = array('.', '..', 'index.php');
	$files    = scandir(TEMPREP);
	$files    = array_diff($files, $bad);
	foreach ($files as $file) {
		if (is_file(TEMPREP.$file) && substr($file, -3) == 'dtb') {
			$userdb = ReadDBFields(TEMPREP.$file);
			if (isset($userdb[1][3])) {
				if ($email == $userdb[1][3]) {
					echo BeginJavascript().'
alert("'.addslashes($web[596]).'");
					'.EndJavascript();
					$continue = false;
					$erreur  .= '<li>'.$web[596].'</li>';
				}
			}
		}
	}
	if ($continue) {
		$pseudo = '';
		$files  = scandir(MSGREP);
		$files  = array_diff($files, $bad);
		foreach ($files as $file) {
			if (is_file(MSGREP.$file) && substr($file, -3) == 'dtb') {
				$userdb = ReadDBFields(MSGREP.$file);
				if (isset($userdb[1][3])) {
					if ($email == $userdb[1][3]) {
						$pseudo = $userdb[1][2];
						break;
					}
				}
			}
		}
	}
	if ($continue) {
		if ($pseudo == '') {
			echo BeginJavascript().'
alert("'.addslashes($web[595]).'");
			'.EndJavascript();
			$continue = false;
			$erreur  .= '<li>'.$web[595].'</li>';
		}
	}
	if ($continue) {
		$sujet = $web[597];
		$body  = $web[253].' '.$pseudo.',<br /><br />';
		$body .= sprintf($web[598], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']));
		$body .= '<a href="'.$site[3].'lostpass.php?lng='.$lng.'&amp;pseudo='.$pseudo.'&amp;email='.$email.'&amp;action=lost&amp;tconfig='.$tconfig.$z2.'">'.$site[3].'lostpass.php?lng='.$lng.'&amp;pseudo='.$pseudo.'&email='.$email.'&action=lost</a>';
		eMailHtmlTo($sujet, $body, $email);
		$topmess = $web[594];
		include CHEMIN.'inc/hpage.inc';
        if (function_exists('htable1'))
            htable1($topmess, 'LOST'.$tconfig, '100%');
        else
            htable($topmess, '100%');
        $email = import('email');
		echo '<div class="textCenter afterlost">'.$web[605].'<br />'.$email.'</div>';
	}
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.userlostpass.email.value)) {
		sto += \'  - '.addslashes($web[42]).'\n\';
		document.userlostpass.email.className = "errorInputText";
        erreur = true;
    }
    if (erreur == true) {
		sto = \''.addslashes($web[638]).'\n\n\' + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

if (empty($action) && empty($ask)) {
	$topmess = $web[594];
	include CHEMIN.'inc/hpage.inc';
    if (function_exists('htable1'))
        htable1($topmess, 'LOST'.$tconfig, '100%');
    else
        htable($topmess, '100%');
    
	if (!empty($erreur))
		echo displayErrorMsg($web[638], $erreur);
	echo '
<p class="textCenter">'.sprintf($web[593], $reptheme).'</p>
<div class="textCenter marginAuto">
  <form name="userlostpass" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-161-1-'.$tconfig.$z2 : 'lostpass.php?lng='.$lng.'&amp;ask=1&amp;tconfig='.$tconfig.$z2).'" method="POST" onsubmit="return VerifyForm(); return false;">
	'.$web[13].' :&nbsp;&nbsp;
	<input class="'.(!empty($erreur) ? 'errorInputText' : 'texte').'" type="text" name="email" size="30" value=""><br />'
	.SubmitButton($web[52]).'
  </form>
</div><br />';
}

btable();
include CHEMIN.'inc/bpage.inc';
?>