<?php
/*******************************************************************************
 *   Member list
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.6 (July 02, 2014)        : initial release.
 *                               : improvement of management members
 * v5.0.7 (August 21, 2014)      : improvement of management members
 * v5.0.8 (October 02, 2014)     : corrected members selection
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : corrected url-rw adress
 * v5.02.00 (May 09, 2017)       : correction of link
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 *                               : independence of the admin part
 * v5.02.02 (December 18, 2017)  : secondary admin support
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[28] != 'on' || $userprefs[20] == 'on') {
    exit($web[143]);
}

function GetStatus ($pseudo) {
	global $web, $serviz;
	if ($pseudo == $serviz[31] || $pseudo == $serviz[176]) return strtoupper($web[144]);
	$status = '';
	if (is_file(CHEMIN.'admin/'.REDACREP.$pseudo.INCEXT)) {
		include CHEMIN.'admin/'.REDACREP.$pseudo.INCEXT;
		$status = '<br />'.$drtuser[30];
	}
	$admins = ReadDBFields(ADMINS);
	foreach ($admins as $adm)
		if ($pseudo == $adm[0]) {
			return ucfirst($adm[1]).$status;
		}
	return ucfirst($web[322]);
}

$dbusers = array();
$file_users = opendir(MSGREP);
while ($nomfichier = readdir($file_users)) {
	if (substr($nomfichier, -3) == 'dtb') {
		$pseudo    = str_replace(substr($nomfichier, -4), '', $nomfichier);
		$userdb    = ReadDBFields(MSGREP.$nomfichier);
		if ($userdb[1][13] == 'on' && (empty($userdb[1][31]) || (!empty($userdb[1][31]) && $userdb[1][31] != '1' && $userdb[1][31] != 2))) {
			$avatar    = CHEMIN.'inc/img/avatars/'.($userdb[1][9] == 'unknow.png' ? 'unknow.png' : $page[23].'/'.$userdb[1][9]);
			$avatar    = $userdb[1][16] != '' ? $userdb[1][16] : $avatar;
			$dbusers[] = array(
			  'tri'    => strtoupper(substr($pseudo, 0, 1)),
			  'pseudo' => $pseudo, 
			  'status' => GetStatus($pseudo),
			  'avatar' => $avatar, 
			  'web'    => $userdb[1][10], 
			  'mail'   => $userdb[1][3],
			  'reg'    => substr(FormatDate($userdb[1][14]), 0, 10), 
			  'date'   => substr(FormatDate($userdb[1][15]), 0, 10),
			  'okprf'  => $userdb[1][20],
			  'okmail' => $userdb[1][24],
			  'okmp'   => $userdb[1][25]
			);
			if ($userprefs[1] == $pseudo) {
				$userprefs[17] = $userdb[1][18];
				$userprefs[18] = $userdb[1][19];
			}
		}
	}
}
closedir($file_users);
sort($dbusers);
$mblist = array();

$scope  = import('scope');
$search = import('search');
$idpg   = import('idpg');

if (!empty($scope)) {
	switch ($scope) {
	case 'ALL' :
		$mblist = $dbusers;
		break;
	case 'SEARCH' :
		$mblist = $dbusers;
		$nbdb   = count($mblist);
		$key    = 0;
		for ($i = 0; $i < $nbdb; $i++)
			if (false !== stripos($mblist[$i]['pseudo'], $search) || false !== stripos($mblist[$i]['mail'], $search)) {
				$key     = $i;
				$spseudo = $mblist[$i]['pseudo'];
				break;
			}
		$idpg = floor($key / $serviz[75]) + 1;
		break;
	default :
		foreach ($dbusers as $user) if ($user['tri'] == $scope) $mblist[] = $user;
	}
}
else {
	$mblist = $dbusers;
    $scope  = 'ALL';
}

$userprefs3 = array_reduce($xposbox[$tconfig][BOX_LEFT], 'EstNonVide', true) ? BOX_RIGHT : BOX_LEFT;
$topmess    = $web[664];
$tconfig    = $serviz[172] == 'ALL' ? import('tconfig', '', true, 0) : $serviz[172];
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'MEMB'.$tconfig, '100%');
else
    htable($topmess, '100%');

$nbdb = count($mblist);
if (empty($idpg)) {
	$idpg = 1;
}
else {
	while ($nbdb <= ($idpg - 1) * $serviz[75]) $idpg--;
}
$navbar = GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-910-'.$scope.'-'.$tconfig.'-' : 'memberlist.php?lng='.$lng.'&amp;scope='.$scope.'&amp;tconfig='.$tconfig.'&amp;idpg='), $nbdb, $idpg, $serviz[75], $z2);

echo '
<div class="mbrlistmain">
  <form name="frmsearch" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-9-'.$tconfig.$z2 : 'memberlist.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" method="POST">
    <input type="hidden" name="scope" value="SEARCH" />
    <div class="tbldiv width100">
      <div class="forum trtbldiv">
        <div class="tdtbldiv">'.$web[665].'</div>
	    <div class="tdtbldiv"><input type="text" class="texte" name="search" size="40" /></div>
	    <div class="tdtbldiv">'.SubmitButton($web[58]).'</div>
      </div>
    </div>
  </form>
  <div class="rep textCenter">|';
for ($i=65; $i<91; $i++) echo '
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-91-'.chr($i).'-'.$tconfig.$z2 : 'memberlist.php?lng='.$lng.'&amp;scope='.chr($i).'&amp;tconfig='.$tconfig.$z2).'" title="'.chr($i).'"><b><i>'.chr($i).'</i></b></a>|';
echo '
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-91-ALL-'.$tconfig.$z2 : 'memberlist.php?lng='.$lng.'&amp;scope=ALL&amp;tconfig='.$tconfig.$z2).'" title="'.$web[666].'"><b><i>'.$web[666].'</i></b></a>|
  </div>';
if ($navbar != '')
	echo '
  <br />
  '.$navbar.'
  <br />';
echo '
  <div class="tbldiv width100">
    <div class="forum2 trtbldiv">
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[667].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[172].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.trim(substr($web[292], 0, -1)).'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[304].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[13].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[668].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[669].'<br />'.$web[674].'</div>
	</div>';
for ($i = $serviz[75]*($idpg-1); $i < Min($serviz[75]*$idpg, $nbdb); $i++) {
	$mb = $mblist[$i];
	echo '
	<div class="'.($i%2 ? 'rep' : 'quest').' trtbldiv">
	  <div class="tdtbldiv valignMiddle textCenter">
	    <img src="'.$mb['avatar'].'" alt="" title="" class="mbrlistimgava" />
	  </div>
	  <div '.($spseudo == $mb['pseudo'] ? 'class="forum"' : '').' class="tdtbldiv valignMiddle textCenter">
	    '.($mb['okprf'] == '' ? '<a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-92-'.$mb['pseudo'].'-'.$tconfig.$z2 : 'memberprf.php?lng='.$lng.'&amp;upseudo='.$mb['pseudo'].'&amp;tconfig='.$tconfig.$z2).'" title="'.$mb['pseudo'].'">' : '').
		'<b>'.$mb['pseudo'].'</b>'.($mb['okprf'] == '' ? '</a>' : '').'
	  </div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$mb['status'].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">
	    '.(empty($mb['web']) ? '<a href="#">&nbsp;</a>' : '<a href="'.$mb['web'].'" title="" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/site.png" alt="'.$web[304].'" class="valignMiddle mbrlistimg" /></a>').'
	  </div>
	  <div class="tdtbldiv valignMiddle textCenter">';
	if ($mb['okmail'] == 'on' && $userprefs[18] != 'on')
		echo displayWriteEmail('mblst'.$i, $mb['pseudo'], $mb['mail'], 
		  ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$mb['pseudo'].'" title="'.$web[173].' '.$mb['pseudo'].'" class="valignMiddle mbrlistimg" />');
	echo '
	  </div>
	  <div class="tdtbldiv valignMiddle textCenter">';
	if ($mb['okmp'] == 'on' && $userprefs[17] != 'on') echo '
		<a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-2-1-'.$mb['pseudo'].'-'.$userprefs[1].'-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;to='.$mb['pseudo'].'&amp;from='.$userprefs[1].'&amp;tconfig='.$tconfig.$z2).'" title="'.$web[214].'">
	      <img src="'.$reptheme.'/mail.png" alt="'.$web[214].' '.$mb['pseudo'].'" title="'.$web[214].' '.$mb['pseudo'].'" class="valignMiddle mbrlistimg" />
		</a>';
	echo '
	  </div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$mb['reg'].'<br />'.$mb['date'].'</div>
	</div>';
}
echo '
  </div>';
if ($navbar != '')
	echo '
  <br />
  '.$navbar.'
  <br />';
echo '
</div>';

btable();
include 'inc/bpage.inc';
?>
