<?php
/*******************************************************************************
 *   Member profile
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.6 (July 02, 2014)        : initial release.
 *                               : improvement of management members
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 *                               : independence of the admin part
 * v5.02.02 (December 18, 2017)  : secondary admin support
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[28] != 'on' || $userprefs[19] == 'on' || $userprefs[20] == 'on') {
    exit($web[143]);
}

function GetStatus ($pseudo) {
	global $web, $serviz;
	if ($pseudo == $serviz[31] || $pseudo == $serviz[176]) return strtoupper($web[144]);
	$status = '';
	if (is_file(CHEMIN.'admin/'.REDACREP.$pseudo.INCEXT)) {
		include CHEMIN.'admin/'.REDACREP.$pseudo.INCEXT;
		$status = ' / '.$drtuser[30];
	}
	$admins = ReadDBFields(ADMINS);
	foreach ($admins as $adm)
		if ($pseudo == $adm[0]) {
			return ucfirst($adm[1]).$status;
		}
	return ucfirst($web[322]);
}

$upseudo = import('upseudo');
$mb      = array();

if (is_file(MSGREP.$upseudo.DBEXT)) {
	$userdb = ReadDBFields(MSGREP.$upseudo.DBEXT);
	$avatar = CHEMIN.'inc/img/avatars/'.($userdb[1][9] == 'unknow.png' ? 'unknow.png' : $page[23].'/'.$userdb[1][9]);
	$avatar = $userdb[1][16] != '' ? $userdb[1][16] : $avatar;
	$mb     = array(
	  'pseudo' => $upseudo,
	  'status' => GetStatus($upseudo),
	  'avatar' => $avatar, 
	  'web'    => $userdb[1][10],
	  'mail'   => $userdb[1][3],
	  'reg'    => substr(FormatDate($userdb[1][14]), 0, 10), 
	  'date'   => substr(FormatDate($userdb[1][15]), 0, 10),
	  'okmail' => $userdb[1][24],
	  'okmp'   => $userdb[1][25]
	);
}

$topmess = $web[673];
$tconfig = $serviz[172] == 'ALL' ? import('tconfig', '', true, 0) : $serviz[172];
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'MEMB'.$tconfig, '100%');
else
    htable($topmess, '100%');

if (!empty($mb)) {
	echo '
<div class="marginAuto prfAdmButton">';
if ($drtuser[10] == 'on' || $serviz[31] == $userprefs[1] || $serviz[176] == $userprefs[1]) {
	echo '
  <div class="f-right">
    '.SubmitButton($web[144], 'self.location.href=\''.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=compte&amp;edit='.$upseudo.'\'').'
  </div>
  <div class="c-right"></div>
  <br />';
}
echo '
  <div class="tbldiv width100 prftblborder">
    <div class="rep trtbldiv">
	  <div class="tdtbldiv textCenter prftblborder prfheadtbl">
	    '.$web[673].' '.$web[208].' <b>'.$upseudo.'</b>
	  </div>
    </div>
  </div>
  <div class="tbldiv width100 prftblborder">
	<div class="trtbldiv">
	  <div class="tdtbldiv width45 textCenter prftblborder">
	    '.$web[108].'<br /><b>'.$mb['status'].'</b><br /><br />'.$web[667].'
	  </div>
	  <div class="tdtbldiv textCenter valignBottom prftblborder">'.$web[515].' '.$web[208].' '.$upseudo.'</div>
	</div>
	<div class="trtbldiv">
	  <div class="tdtbldiv textCenter valignMiddle prftblborder prfheadtbl">
	    <img src="'.$mb['avatar'].'" alt="'.$mb['avatar'].'" title="" class="prfava" />
	  </div>
	  <div class="tdtbldiv textCenter valignTop prftblborder">
	    <div class="tbldiv marginAuto">
		  <div class="trtbldiv">
            <div class="tdtbldiv textRight">'.$web[669].' </div>
            <div class="tdtbldiv">'.$mb['reg'].'</div>
          </div>
		  <div class="trtbldiv">
            <div class="tdtbldiv textRight">'.$web[674].' </div>
            <div class="tdtbldiv">'.$mb['date'].'</div>
          </div>
		</div>
	    <div class="tbldiv marginAuto">
          <div class="trtbldiv">
			<div class="tdtbldiv textCenter prfwebsite">
			  '.$web[304].' : '.(empty($mb['web']) ? '&nbsp;' : 
			  '<a href="'.$mb['web'].'" title="" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/site.png" alt="'.$web[304].'" class="valignMiddle prfimgmail" /></a>').'
			</div>
		  </div>
		</div>
	  </div>
	</div>
	<div class="rep trtbldiv">
	  <div class="tdtbldiv textCenter prftblborder prfwebsite">'.$web[13].' ';
	if ($mb['okmail'] == 'on' && $userprefs[18] != 'on')
		echo displayWriteEmail('mbprf', $mb['pseudo'], $mb['mail'], 
		  ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$mb['pseudo'].'" title="'.$web[173].' '.$mb['pseudo'].'" class="valignMiddle prfimgmail" />');
	echo '
	  </div>
	  <div class="tdtbldiv textCenter prftblborder prfwebsite">'.$web[668].' ';
	if ($mb['okmp'] == 'on' && $userprefs[17] != 'on') echo '
		<a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-2-1-'.$mb['pseudo'].'-'.$userprefs[1].'-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;to='.$mb['pseudo'].'&amp;from='.$userprefs[1].'&amp;tconfig='.$tconfig.$z2).'" title="'.$web[214].'">
	      <img src="'.$reptheme.'/mail.png" alt="'.$web[214].' '.$mb['pseudo'].'" title="'.$web[214].' '.$mb['pseudo'].'" class="valignMiddle prfimgmail" />
		</a>';
	echo '
	  </div>
	</div>
  </div>
</div>';
}

btable();
include 'inc/bpage.inc';
?>
