<?php
/*******************************************************************************
 *   Newsletter
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.5 (June 07, 2014)        : protection against copying in certain fields
 * v5.01.02 (December 02, 2015)  : adding a custom error handling 404
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[36] == '') {
    exit($web[143]);
}

$crypt   = isset($_POST['crypt']) ? strip_tags($_POST['crypt']) : NULL;
$cryptok = (!$crypt) ? false : chk_crypt($crypt);

$action    = import('action');
$nlsecure  = import('nlsecure');
$nlconfirm = import('nlconfirm');
$pg        = import('pg');
$ctrl_spam = import('code_pseudo', 'POST', true, '');
$nlgrp     = import('nlgrp', 'GET', true, null);
$nlpseudo  = import('nlpseudo', 'GET', true, null);
$tconfig   = import('tconfig', '', true, 0);

function isValidEmail($email, $verify, $return_errors=true) {
    global $web, $charset;
    $error = '';
    if (preg_match('/^([a-zA-Z0-9\._\+-]+)\@((\[?)[a-zA-Z0-9\-\.]+\.([a-zA-Z]{2,7}|[0-9]{1,3})(\]?))$/', $email, $matches)) {
        $user = $matches[1];
        $domain = $matches[2];
        if ($verify == "on") {
            echo sprintf($web[502], $domain);
            $ipname = gethostbyname($domain);
            if ($ipname == $domain) {
                $error = $web[503];
            }
        }
    } else {
        $error = $web[504];
    }
    if ($return_errors) {
        if(isset($error)) {
            return htmlentities($error, NULL, $charset);
        } else {
            return TRUE;
        }
    }
}

function CheckEqualityDB1Field($fic, $submit, $FieldNB) {
    if (FileDBExist($fic)) {
        $DataDB = ReadDBFields($fic);
        for ($i = 0; $i < count($DataDB); $i++) {
            if (isset($DataDB[$i][$FieldNB]) && strtolower($DataDB[$i][$FieldNB]) == strtolower($submit)) {
                return TRUE;
            }
        }
    }
    return FALSE;
}

################################################################################
if (empty($action) && !empty($pg) && !is_null($nlgrp) && !is_null($nlpseudo)) {
    // Affichage d'une lettre d'information
	$abonnes = ReadDBFields(MEMBERSNWL);
	if ($nlgrp != 'all_subscribers') {
		$ok = false;
		foreach ($abonnes as $abonne)
			if ($abonne[0] == $nlpseudo) {
				$ok = $nlgrp == $abonne[1];
				break;
			}
	} else
		$ok = true;
    if ($ok && (1 == count(SelectDBFields(TYP_NWL, 'a', $pg)) || 1 == count(SelectDBFields(TYP_NEWS, 'a', $pg)))) {
        ReadDoc($pg);
        $topmess = $lng == $lang[0] ? getLabel($nom[38]).' - '.$fieldb1 : getLabel($nom[39]).' - '.$fieldb2;
        $txtnwl = $lng == $lang[0] ? $fieldc1 : $fieldc2;
    } else {
        $topmess = getLabel($nom[$lng == $lang[0] ? 38 : 39]);
        if ($site[10] != '') {
            header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
            exit;
        }
        else header('HTTP/1.0 404 Not Found');
        $txtnwl = $web[36];
    }
    include_once 'inc/hpage.inc';
	$topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;
    if (function_exists('htable1'))
        htable1($topmess, 'NWL'.$tconfig, '100%');
    else
        htable($topmess, '100%');
    echo '
<p>
'.$txtnwl.'
</p>';
    btable();
    include_once 'inc/bpage.inc';

}
################################################################################
elseif (empty($ctrl_spam)) {
    // Abonnement / confirmation / désabonnement
    $nlpseudo = import('nlpseudo');
    $nlpseudo = KeepGoodChars(CutLongWord(strip_tags(stripslashes($nlpseudo)),20));
    $nlmail   = import('nlmail');
    $topmess  = $web[222];
    include_once 'inc/hpage.inc';
    if (function_exists('htable1'))
        htable1($topmess, 'NWL'.$tconfig, '100%');
    else
        htable($topmess, '100%');
    switch ($action) {
    case 'sub' :
        echo '<p class="textLeft">'.sprintf($web[502], $nlmail).'<br /></p>';
        $error = '';
        if(($nlpseudo == "") || ($nlpseudo == KeepGoodChars($web[259]))) {
            $error = '<p class="textJustify"> - '.$web[252].'</p>';
        }
        if ((!preg_match("!^(.+)@(.+)\\.(.+)$!",$nlmail)) || ($nlmail == "") || ($nlmail == $web[260])) {
            $error .= '<p class="textJustify"> - '.$web[251].'</p>';
        }
        if (($serviz[100] != '0' && $serviz[93] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) && !$cryptok) {
            $error .= '<p class="textJustify"> - '.$web[529].'</p>';
        }
        if ($error == "") {
            $controle = CheckEqualityDB1Field(NEWSLET_LIST,$nlpseudo,0);
            if ($controle) {
                $error = $web[392];
            }
            else {
                $controle = CheckEqualityDB1Field(NEWSLET_LIST,$nlmail,1);
                if ($controle) {
                    $error = $web[250];
                }
            }
            if (FileDBExist(NEWSLET_WAIT)) {
                $tmplist = ReadDBFields(NEWSLET_WAIT);
				for ($k = count($tmplist)-1; $k >= 0; $k--) {
					if ($tmplist[$k][0] !="" && $tmplist[$k][0] != $nlpseudo && $tmplist[$k][3] < date("YmdHi")) {
						DeleteDBFieldById(NEWSLET_WAIT, $id=$k);
					}
				}
                unset($tmplist);
                $tmplist = ReadDBFields(NEWSLET_WAIT);
                for ($k = 0; $k < count($tmplist); $k++) {
                    if ($tmplist[$k][0] == $nlpseudo) {
                        unset($tmplist);
                        echo BeginJavascript().'
alert("'.addslashes($web[433]).'");
document.location.href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'";'.EndJavascript();
                        die ('STOP !');
                    }
                }
                unset($tmplist);
            }
            if (!$controle) {
                $valemail = IsValidEmail($nlmail, $serviz[36]);
                if ($valemail) {
                    $controle = false;
                    $error = $valemail;
                }
            }
            if (!$controle && !$valemail) {
                $nllist = array();
                $nllist[0] = $nlpseudo;
                $nllist[1] = $nlmail;
                $nllist[2] = $lng;
                $nllist[3] = date("YmdHi",time()+900); //délai 15 mn
                AppendDBFields(NEWSLET_WAIT,$nllist);
                echo '<p>'.$web[245].'<b> '.$nlpseudo.'</b> '.$web[431].stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'<br />'.$web[433].'</p>';
                $to = $nlmail;
                $sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[246];
                $body  = $web[245]." ".$nlpseudo." ".$web[431].stripslashes($site[($lang[0] == $lng ? 0 : 11)])."<br /><br />";
                $body .= $web[432]."<br />";
				$url   = $site['URLR'] == 'on'? $lng.'-'.$urlrw[18].'-1-confsub-'.$nlpseudo.'-'.$nlmail: $site['NL'].'.php?lng='.$lng.'&action=confsub&nlpseudo='.$nlpseudo.'&nlmail='.$nlmail;
                $body .= '<a href="'.$site[3].$url.'">'.$site[3].$url.'</a>';
                $body .= "<hr />".$web[235]."<br />".$user[0]." <br />".$site[3];
                eMailHtmlTo($sujet,$body,$to);
            } else {
                echo '<br /><p>'.$error.'</p><br />';
            }
        } else {
            echo '<p class="textJustify"><b>'.$web[256].'</b></p><br />'.$error;
        }
        break;
    case "confsub" :
        $error = "";
        $nlmail = strip_tags(stripslashes($nlmail));
        echo '<p class="textLeft">'.sprintf($web[502], $nlmail).'<br /></p>';
        if (($nlpseudo == "") || ($nlpseudo == KeepGoodChars($web[259]))) {
            $error = '<p class="textJustify""> - '.$web[252].'</p>';
        }
        if ((!preg_match("!^(.+)@(.+)\\.(.+)$!",$nlmail)) || ($nlmail == "") || ($nlmail == $web[260])) {
            $error .= '<p class="textJustify"> - '.$web[251].'</p>';
        }
        if ($error == "") {
            $controle = CheckEqualityDB1Field(NEWSLET_LIST,$nlpseudo,0);
            if ($controle) {
                $error = $web[392];
            } else{
                $controle = CheckEqualityDB1Field(NEWSLET_LIST,$nlmail,1);
                if ($controle) {
                    $error = $web[250];
                }
            }
            // update tmp list
            if (FileDBExist(NEWSLET_WAIT)) {
                $tmplist = ReadDBFields(NEWSLET_WAIT);
                for ($k = 0; $k < count($tmplist); $k++) {
                    if ($tmplist[$k][0] == $nlpseudo && $tmplist[$k][3] > date("YmdHi")) {
                        unset($tmplist);
                        DeleteDBFieldById(NEWSLET_WAIT, $id=$k);
                        break;
                    }
                }
            }
            if (!$controle) {
                $valemail = IsValidEmail($nlmail, $user[1], $serviz[36]);
                if ($valemail) {
                    $controle = false;
                    $error = $valemail;
                }
            }
            if (!$controle && !$valemail) {
                echo '<p>'.$web[249].'<b> '.$nlpseudo.'</b><br /><br />'.$web[50].'<b> '.$nlmail.'</b> '.$web[248].'</p><br />';
                $nllist = array();
                $nllist[0] = $nlpseudo;
                $nllist[1] = $nlmail;
                $nllist[2] = $lng;
                AppendDBFields(NEWSLET_LIST,$nllist);
                $to = $nlmail;
                $sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[246];
                $body  = $web[245]." ".$nlpseudo.$web[244]." ".stripslashes($site[($lang[0] == $lng ? 0 : 11)])."<br /><br />";
                $body .= $web[235]."<br />".$user[0]."<br />".$site[3]."<hr />";
                $body .= $web[243]."<br />";
				$url   = $site['URLR'] == 'on'? $lng.'-'.$urlrw[18].'-1-unsub-'.$nlpseudo.'-'.$nlmail: $site['NL'].'.php?lng='.$lng.'&action=unsub&nlpseudo='.$nlpseudo.'&nlmail='.$nlmail;
                $body .= '<a href="'.$site[3].$url.'">'.$site[3].$url.'</a>';
                eMailHtmlTo($sujet,$body,$to);
                if ($supervision[7] == "on") {
                    $body  = $nlpseudo.' ('.$nlmail.') '.$web[242].' '.stripslashes($site[($lang[0] == $lng ? 0 : 11)])."<hr />";
                    $body .= $web[241].":<br />";
                    $body .= '<a href="'.$site[3].$url.'">'.$site[3].$url.'</a>';
                    eMailHtmlTo($sujet,$body);
                }
            } else {
                echo '<br /><p>'.$error.'</p><br />';
            }
        } else {
            echo '<p class="textJustify"><b>'.$web[256].'</b></p><br />'.$error;
        }
        break;
    case "unsub" :
        $error = "";
		if ($nlsecure != 'on' && $nlconfirm != 'on') $nlsecure = 'on';
        if (($nlpseudo == "" || $nlpseudo == KeepGoodChars($web[259])) && $nlsecure != 'on') {
            $error = '<p class="textJustify"> - '.$web[252].'</p>';
            $nlconfirm = 'on';
        }
        if ((!preg_match("!^(.+)@(.+)\\.(.+)$!",$nlmail) || $nlmail == "" || $nlmail == $web[260]) && $nlsecure != 'on') {
            $error .= '<p class="textJustify"> - '.$web[251].'</p>';
            $nlconfirm = 'on';
        }
        if (($serviz[100] != '0' && $serviz[93] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) && !$cryptok && $nlsecure != 'on') {
            $error .= '<p class="textJustify"> - '.$web[529].'</p>';
            $nlconfirm = 'on';
        } else {
            if ($nlsecure == 'on' && $nlconfirm != 'on') {
                echo '
<div class="box">
  <div class="textCenter nwlunsub"><b>'.$nlpseudo.' => '.$nlmail.'</b><br /><br />'.$web[553].'</div>
  <form name="confunsub" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[18].$z2 : $site['NL'].'.php?lng='.$lng.$z2).'" method="POST">
    <input type="hidden" name="nlsecure" value="on">
    <input type="hidden" name="nlconfirm" value="on">
    <input type="hidden" name="action" value="unsub">
    <input type="hidden" name="nlpseudo" value="'.$nlpseudo.'" />
    <input type="hidden" name="nlmail" value="'.$nlmail.'" />
    <div class="textCenter">';
                if ($serviz[100] != '0' && $serviz[93] == 'on' && $serviz[98] == '') {
					$lbl = $serviz[100] == '3' ? $web[642] : '';
                    echo '
      <div class="textCenter nwlcrypt">
        <div class="textCenter">'.dsp_crypt(0, 1, 3, 1, $lbl, $serviz[115] == 'on' ? $web[643] : '');      
                    if ($serviz[100] == '1') echo '<br />';
                    echo ($serviz[100] == '3' ? '' : $web[530]).'<br />
          <input type="text" name="crypt" size="6" onpaste="return false;" />
        </div>
      </div><br />';
                }
                echo '
      <span class="nwlyesbtn">
        '.SubmitButton($web[313]).'
      </span>
      <span class="nwlnobtn">
        <button type="button" title="'.$web[314].'" onclick="self.location.href=\''.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'\'">'.$web[314].'</button>
      </span>
    </div>
  </form>
</div>';
            }
        }
        if ($nlconfirm == 'on') {
            if ($error == '') {
                $controle = CheckDB2Fields(NEWSLET_LIST,$nlpseudo,0,$nlmail,1);
                if ($controle) {
                    $nlpseudo = stripslashes($nlpseudo);
                    $newdb = array();
                    $dbwork = ReadDBFields(NEWSLET_LIST);
                    for ($i = 0; $i < count($dbwork); $i++) {
                        if (isset($dbwork[$i][1]) && $dbwork[$i][1] == $nlmail) {
                            if ($dbwork[$i][0] != $nlpseudo) {
                                $newdb[] = $dbwork[$i];
                            }
                        } else {
                            $newdb[] = $dbwork[$i];
                        }
                    }
                    WriteDBFields(NEWSLET_LIST,$newdb);
                    echo '<p>'.$web[253].'<b> '.$nlpseudo.'</b><br /><br />'.$web[255].'<b> '.$nlmail.'</b> '.$web[254].'</p><br />';
                    if ($supervision[7] == "on") {
                        $to = $nlmail;
                        $sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)])." - ".$web[241];
                        $body  = $web[240]." ".$nlpseudo.$web[239]." ".stripslashes($site[($lang[0] == $lng ? 0 : 11)])."<hr />";
                        $body .= $web[235]."<br />".$user[0]."<br />".$site[3]."<hr />";
                        $body .= $web[234]."<br />";
						$url   = $site['URLR'] == 'on'? $lng.'-'.$urlrw[18].'-1-sub-'.$nlpseudo.'-'.$nlmail: $site['NL'].'.php?lng='.$lng.'&action=sub&nlpseudo='.$nlpseudo.'&nlmail='.$nlmail;
                        $body .= '<a href="'.$site[3].$url.'">'.$site[3].$url.'</a>';
                        eMailHtmlTo($sujet,$body,$to);
                        $body  = $nlpseudo." (".$nlmail.") ".$web[238]." ".stripslashes($site[($lang[0] == $lng ? 0 : 11)])."\n";
                        eMailHtmlTo($sujet,$body,'');
                    }
                } else {
                    echo '<br /><p>'.$web[255].' <b>'.$nlmail.'</b> '.$web[233].'</p><br />';
                }
            } else {
                echo '<p class="textJustify"><b>'.$web[256].'</b></p><br />'.$error;
            }
        }
        break;
    }
    btable();
    include_once 'inc/bpage.inc';
}
?>
