<?php
/*******************************************************************************
 *   News RSS
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.01.05 (September 27, 2016) : optimizing the limited height display
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 *                               : adding page number in rss link
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[38] != 'on') {
    exit($web[143]);
}

ReadDoc($id);
if ($lng == $lang[0]) {
    $rssurl = $fieldb1;
    $rsstxt = getLabel($nom[36]).' - '.$fielda1;
}
else {
    $rssurl = $fieldb2;
    $rsstxt = getLabel($nom[37]).' - '.$fielda2;
}
$tconfig = $fieldweb == 'ALL' ? import('tconfig', '', true, 0) : $fieldweb;

if ($page[9] != '') {
    $rsstxt = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/news.gif" class="f-right img32x32 valignMiddle" alt="" />'.$rsstxt;
}
$topmess = $rsstxt;
$topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;

$max_width  = $style != '1024' ? ($style == '800' ? '500px' : 'auto') : '720px';
$max_height = isset($serviz[133]) && $serviz[133] > 0 && empty($prt) ? $serviz[133] : 0;

include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'RSS'.$tconfig, '100%');
else
    htable($topmess,'100%');

include 'inc/lastRSS.inc';
$rss             = new lastRSS;
$rss->default_cp = strtoupper($charset);
$rss->cache_dir  = substr(CACHEREP, 0, strlen(CACHEREP)-1);
$rss->cache_time = $serviz[39];
$rs              = $rss->Get($rssurl);
if (FALSE !== $rs) {
    $cpin  = strtoupper($rs['encoding']);
    $cpout = strtoupper($charset);
    if ($cpin == $cpout) {
        function MyIConv($txt) { return $txt; }
    } else {
        function MyIConv($txt) {
            global $cpin, $cpout;
            return iconv($cpin, $cpout, $txt);
        }
    }
	
    if (isset($rs['image_url']) && $rs['image_url'] != '') {
		if (isset($rs['image_width']))
			$classimg = $rs['image_width'] > 540 || $rs['image_width'] == '' ? ' class="imgrss540"' : ' class="imgrss"';
		else
			$classimg = ' class="imgrss540"';
        echo '
<style type="text/rss">
.imgrss540 { width: 540px; }
.imgrss { width: '.$rs['image_width'].'px; }
</style>
<div class="textCenter marginAuto"><img src="'.$rs['image_url'].'" alt="" title="'.$rs['image_title'].'"'.$classimg.' /></div>';
    }
    if (isset($rs['link']) && $rs['title'] != '') {
		if (preg_match('!^https?://([-a-z0-9.]+)+(/[-a-z0-9.]*)*(\?[-a-z0-9=&/]+)?$!', $rs['link']))
			echo '
<p class="forum"><b><a href="'.$rs['link'].'" target="'.TYP_BLANK.'">'.MyIConv($rs['title']).'</a></b></p>
<br />';
		else
			echo '
<p class="forum"><b>'.MyIConv($rs['title']).'</b></p>
<p class="textCenter marginAuto">'.$rs['link'].'</p><br />';
	}
    if (isset($rs['description'])) {
		echo '
<p><b>'.html_entity_decode(MyIConv($rs['description']), ENT_QUOTES, $charset).'</b></p>
<hr class="width60" />';
	}
	
    $i=0;
    foreach($rs['items'] as $item) {
        $i++;
        if ($item['title'] == '' && $item['link'] == '') {
            $txt = '';
        }
        elseif ($item['title'] == '') {
            $txt = '<a href="'.$item['link'].'" target="'.TYP_BLANK.'">'.$item['link'].'</a><br /><br />';
        }
        elseif ($item['link'] == '') {
            $txt = '<u>'.MyIConv($item['title']).'</u><br /><br />';
        }
        else {
            $txt = '<a href="'.$item['link'].'" target="'.TYP_BLANK.'" title="'.$web[297].'">'.MyIConv($item['title']).'&nbsp; <img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a><br /><br />';
        }
        $desc = html_entity_decode(MyIConv($item['description']), ENT_QUOTES, $charset);
        $txt1 = '<b>'.$txt.'</b>'.$desc;
        if (!empty($txt1)) {
            echo '
<style type="text/css">
.maxwidthitem { max-width: '.$max_width.'; }
.txt1rss {
  height: '.($max_height > 0 ? $max_height.'px;' : 'auto;').'
  overflow: '.($max_height > 0 ? 'hidden;' : 'visible;').'
}
</style>
<div id="texte2'.$i.'" class="rep text2newsrss maxwidthitem">
  <div class="rep textJustify txt1rss">
    '.$txt1.'
  </div>';
            if ($max_height > 0) echo '
  <p class="textRight">
    <a href="javascript:cache(\'texte2'.$i.'\');montre(\'texte1'.$i.'\');" class="box" title="'.$web[296].'">
    '.$web[505].' <img src="'.$reptheme.'/plus.png" alt="'.$web[296].'" /></a>
  </p>
</div>
<div id="texte1'.$i.'" class="bord displayNone textJustify text1newsrss maxwidthitem">
  '.$txt1.'
  <p class="textRight clsCursor">
    <a href="javascript:cache(\'texte1'.$i.'\');montre(\'texte2'.$i.'\');" class="box" title="'.$web[296].'">
      '.$web[57].' <img src="'.$reptheme.'/minus.png" alt="'.$web[57].'" title="'.$web[57].'" />
    </a>
  </p>
</div>';
        }

        if (isset($item['pubDate']) && $item['pubDate'] != '') {
            echo '
<div class="marginAuto datitemrss maxwidthitem">('.FormatDate($item['pubDate']).')</div>';
        } else {
            echo '
<div class="marginAuto datitemrss maxwidthitem">(???)</div>';
		}
        echo '
<hr class="maxwidthitem" />';
    }
    $modfl = @filemtime(CACHEREP.'rsscache_'.md5($rssurl));
    if ($modfl == false) {
        $txt = $web[261];
    }
    else {
        $txt = $web[263].' <b>'.FormatDateStamp($modfl).'</b>';
    }
    echo '
<p>'.$txt.'</p>';
}
else {
    echo '
<p>'.$web[262].' '.$rssurl.'</p>';
}
btable();
include 'inc/bpage.inc';
?>
