<?php
/*******************************************************************************
 *   Photos
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.3 (April 15, 2014)       : reorganization of the display photoramas
 * v5.0.4 (April 30, 2014)       : corrected display lightbox photorama
 * v5.0.7 (August 21, 2014)      : corrected photo display
 * v5.0.9 (November 28, 2014)    : add full page display of photorama and secondary page
 * v5.00.10 (December 29, 2014)  : improve display photorama
 * v5.00.11 (March 2, 2015)      : corrected pages navigation
 *                               : modified quick admin icons
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : adding a custom error handling 404
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.01.04 (September 07, 2016) : adding a visits counter
 * v5.02.00 (May 09, 2017)       : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[9] != 'on') {
    exit($web[143]);
}

$tconfig = $menuico[14] == 'ALL' ? ($serviz[157] != 0 ? $serviz[157] : import('tconfig', '', true, 0)) : $menuico[14];
$pg      = import('pg');
$id      = import('id', '', true, 1);

if (!empty($pg)) {
    $dbwork  = SelectDbFieldsByField(ReadDBFields(DBPHOTO), 4, $pg);
	$param10 = '';
	include PHOTOREP.'gal_'.$pg.'/params_'.$pg.INCEXT;
	$isdoc = (count($dbwork) != 0 && empty($param10));
	if ($isdoc) {
		$isdoc = isAuthorizedPublication($dbwork[0][5]);
        if (!isAccessGranted($dbwork[0][6])) {
			header('HTTP/1.0 403 Forbidden');
        }
    }
    if (!$isdoc) {
        $dbwork = array();
        if ($site[10] != '') {
            header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
            exit;
        }
        else header('HTTP/1.0 404 Not Found');
        $web[38] = '';
    }
} else {
	$dbwork  = array();
    $dbwork2 = ReadDBFields(DBPHOTO);
    $dbwork1 = array_filter($dbwork2, 'IsNotEmptyTitle');
    foreach ($dbwork1 as $db) {
		$param10 = '';
		include PHOTOREP.'gal_'.$db[4].'/params_'.$db[4].INCEXT;
        if (isAccessGranted($db[6]) && isAuthorizedPublication($db[5]) && empty($param10)) {
            $dbwork[] = $db;
        }
    }
    unset($dbwork1, $dbwork2);
}
sort($dbwork);

if (is_dir(CHEMIN.'inc/photo/lightbox')) {
	$headinc .= '
<link href="'.CHEMIN.'inc/photo/lightbox/css/lightbox.css" rel="stylesheet" />'.
JavascriptFile(CHEMIN.'inc/photo/lightbox/js/lightbox-2.6.min.js').
JavascriptFile(CHEMIN.'inc/photo/lightbox/js/modernizr.custom.js');
}
if (is_dir(CHEMIN.'inc/photo/lytebox')) {
    $headinc .= '
<link rel="stylesheet" href="'.CHEMIN.'inc/photo/lytebox/lytebox.css" type="text/css" media="screen" />'.
JavascriptFile(CHEMIN.'inc/photo/lytebox/lytebox.js');
}

$widepage = $serviz[156];
$topmess  = strip_tags(getLabel($nom[$lng == $lang[0] ? 2 : 12]));
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/photo.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'PH'.$tconfig, '100%');
else
    htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[2])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
} else {
 	if (empty($id)) {
        $id = 1;
    }
 	if (!empty($dbwork)) {
        $typeRubrique = TYP_PHOTO;
        $imgOpen      = 'plus.png';
        $imgClose     = 'minus.png';
        $subImgOpen   = 'puce1.png';
        $subImgClose  = 'puce2.png';
        $mawmenu      = (count($dbwork)-($serviz[87]*($id-1))>$serviz[87]) ? $serviz[87] : count($dbwork)-($serviz[87]*($id-1)) ;
        echo BeginJavascript().'
var maxsub = '.$mawmenu.';'.EndJavascript();
        $rubr  = '';
        $l     = 0;
		$isNew = false;
        for ($i = $serviz[87]*($id-1); $i < Min($serviz[87]*$id, count($dbwork)); $i++) {
            ReadDoc($dbwork[$i][4]);
            $dirgal = 'gal_'.$fileid;
			$dirmin = $dirgal.'/vgnt';
			$img = getNewUpdateDoc($creadate, $moddate, $serviz[142]);
			if ($img != '') $isNew = true;
            if ($lng == $lang[0]) {
                $txt1 = $img.$fieldb1;
                $txt2 = $fieldc1;
                $txt3 = $fielda1;
            } else {
                $txt1 = $img.$fieldb2;
                $txt2 = $fieldc2;
                $txt3 = $fielda2;
            }
            if (!is_file(PHOTOREP.$dirgal.'/params_'.substr($dirgal, 4).INCEXT)) {
                $txt2 = '
<p class="textCenter"><br>'.$web[680].'<br /><br /></p>';
            } else {
				$tmpi = count(SelectDBFieldsByField(ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT), 1, 'a'));
                include PHOTOREP.$dirgal.'/params_'.substr($dirgal, 4).INCEXT;
            }
            if ($rubr != $txt3) {
                $rubr = $txt3;
                if ($l > 0) {
                    echo '
</div>';
                }
                if (trim($rubr) != "") {
                    $l++;
                    echo '
<div id="titreRubr'.$typeRubrique.$i.'" class="phrubr" onclick="MontreCacheItems(\'imgOpen'.$typeRubrique.$i.'\',\'imgClose'.$typeRubrique.$i.'\',\'itemsRubr'.$typeRubrique.$i.'\',\'itemsRubrSelect\');">
  <img id="imgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" class="displayNone" />
  <img id="imgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$imgClose.'" alt="'.$web[57].'" title="'.$web[57].'" class="displayInline" />
  &nbsp;'.$rubr.'
</div>';
                    if (count($dbwork) == 1) {
                        echo '
<div id="itemsRubrSelect" class="displayBlock">';
                    } else {
                        echo '
<div id="itemsRubr'.$typeRubrique.$i.'" class="displayBlock">';
                    }
                }
            }
			echo '
  <div id="titreSubRubr'.$typeRubrique.$i.'" class="phrubr2" onclick="MontreCacheItems(\'subImgOpen'.$typeRubrique.$i.'\',\'subImgClose'.$typeRubrique.$i.'\',\'itemSubRubr'.$typeRubrique.$i.'\',\'itemSubRubrSelect\');">'."\n".'
	<div class="phitem2">
	  <img id="subImgOpen'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgOpen.'" alt="'.$web[429].'" title="'.$web[429].'" class="displayNone" /> 
	  <img id="subImgClose'.$typeRubrique.$i.'" src="'.$reptheme.'/'.$subImgClose.'" alt="'.$web[57].'" title="'.$web[57].'" class="displayInline" /> 
	</div>
	<div class="phsubrubr"><a id="subRubr'.$typeRubrique.$i.'">'.$txt1.'</a>'.($param11 != 'on' ? '<span class="phcpt">('.$tmpi.' photos)</span>' : '').'</div>
  </div>';
			echo '
  <div class="c-both"></div>';
            if (count($dbwork) == 1) {
                echo '
  <div class="bord2 displayBlock" id="itemSubRubrSelect">';
            } else {
               echo '
  <div class="bord2 displayBlock" id="itemSubRubr'.$typeRubrique.$i.'">';
            }
            if (!empty($txt2))
				echo '
  <div class="phcomment">'.$txt2.'</div>';
            echo '
  <div class="phimgs">';
            if (file_exists(PHOTOREP.$dirgal.'/params_'.substr($dirgal, 4).INCEXT)) {
                if ($tmpi > 0) {
					$dirgal  = 'gal_'.$fileid;
					$dirmin  = $dirgal.'/vgnt';
					$dbphoto = ReadDBFields(PHOTOREP.$dirgal.'/'.$dirgal.DBEXT);
					$tmpi    = 0;
					$tmp[0]  = array();
					$tmp[1]  = array();
					$tmp[2]  = array();
					$tmp[3]  = array();
					$tmp[4]  = array();
					$tmp[5]  = array();
					$tmp[6]  = array();
					for ($ii = 0; $ii < count($dbphoto); $ii++) {
						if ($dbphoto[$ii][1] == 'a') {
							$tmp[0][$tmpi] = $dbphoto[$ii][0];
							$tmp[1][$tmpi] = $dbphoto[$ii][1];
							$tmp[2][$tmpi] = $dbphoto[$ii][2];
							$tmp[3][$tmpi] = $dbphoto[$ii][3];
							$tmp[4][$tmpi] = $dbphoto[$ii][4];
							$tmp[5][$tmpi] = $dbphoto[$ii][5];
							$tmp[6][$tmpi] = $dbphoto[$ii][6];
							$tmpi++;
						}
					}
					unset($dbphoto);
					$cr = array_multisort($tmp[2], SORT_ASC, $tmp[0], $tmp[1], $tmp[3], $tmp[4], $tmp[5], $tmp[6]);
                    $countgal = UpdateDocCounter($dbwork[$i][4]);
                    $txtcount = $web[685].'<b>'.$countgal.' '.($countgal < 2 ? $web[188] : $web[189]).'</b>';
                    echo '
    <div class="phimgs2 '.($param8 == 'L' ? 'textLeft' : ($param8 == 'C' ? 'textCenter' : 'textRight')).'">';
                    $nbmin = min($param1, $tmpi);
                    $nbpl  = min($param6, $nbmin);
                    $nb    = 0;
                    for ($ii = 0; $ii < $nbmin; $ii++) {
                        $filemin = PHOTOREP.$dirmin.'/'.$tmp[2][$ii];
                        $fileimg = PHOTOREP.$dirgal.'/'.$tmp[2][$ii];
                        $comment = stripslashes($tmp[$lng == $lang[0] ? 5 : 6][$ii]);
                        switch ($param4) {
                        case 'lightbox' :
                            echo '
	  <a href="'.$fileimg.'" class="lightshow" title="'.$comment.'" data-lightbox="'.$fileid.'" rel="lightbox[plants]">';
                            break;
                        case 'lytebox' :
                            echo '
	  <a href="'.$fileimg.'" class="lyteshow" data-lyte-options="slide:true group:'.$fileid.' slideInterval:'.($param5*1000).'" data-title="'.$comment.'" rel="lyteshow[diapo'.$fileid.']">';
                            break;
                        }
                        echo '
<style type="text/css">
.phimg'.$fileid.$ii.' {
    width: '.$tmp[3][$ii].'px;
    height: '.$tmp[4][$ii].'px;
    margin: '.intval($param7/2).'px;
}
</style>
        <img class="phimg phimg'.$fileid.$ii.'" src="'.$filemin.'" alt="" title="" />
	  </a>';
                        $nb++;
                        if ($nb == $nbpl) {
                            echo '<br />';
                            $nb = 0;
                        }
                    }
                    if ($nbmin < $tmpi)
                        echo '
      <strong>...</strong>';
                    for ($ii = $nbmin; $ii < $tmpi; $ii++) {
                        $filemin = PHOTOREP.$dirmin.'/'.$tmp[2][$ii];
                        $fileimg = PHOTOREP.$dirgal.'/'.$tmp[2][$ii];
                        $comment = stripslashes($tmp[$lng == $lang[0] ? 5 : 6][$ii]);
                        echo '
      <span class="displayNone">';							
                        switch ($param4) {
                        case 'lightbox' :
                            echo '
	    <a href="'.$fileimg.'" title="'.$comment.'" data-lightbox="'.$fileid.'" rel="lightbox[plants]">';
                            break;
                        case 'lytebox' :
                            echo '
	    <a href="'.$fileimg.'" class="lyteshow" data-lyte-options="slide:true group:'.$fileid.' slideInterval:'.($param5*1000).'" data-title="'.$comment.'" rel="lyteshow[diapo'.$fileid.']">';
                            break;
                        }
                        echo '
<style type="text/css">
.phimg2'.$fileid.$ii.' {
    width: '.$tmp[3][$ii].'px;
    height: '.$tmp[4][$ii].'px;
}
</style>
          <img src="'.$filemin.'"  class="phimg2'.$fileid.$ii.'" alt="" title="" />
	    </a>
	  </span>';
                    }
                    echo '
    </div>';
                    if ($param12 != 'on') echo '
    <div class="galcounter textRight">('.$txtcount.')</div>';
                    echo '
    <div class="c-both"></div>';
                }
                echo displayQuickConfig(NULL, $dbwork[$i][4], 'photo&amp;form=2&amp;id='.$dbwork[$i][4], 'photo&amp;act=i&amp;id='.$dbwork[$i][4], 'photo&amp;del='.$dbwork[$i][4], 18);
                echo '
  </div>';
                echo '
</div>';
            }
        }
        if ($l > 0) {
            echo '
</div>';
        }
        if ('on' != $serviz[81] && !$isNew && empty($prt)) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemsRubr"+ typeRubr + i) != null) || (document.all && document.all["itemsRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemsRubr"+ typeRubr + i] != undefined) ) {
		cache("itemsRubr"+ typeRubr + i);
		montre("imgOpen"+ typeRubr + i,"inline");
		cache("imgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
        if ('on' != $serviz[81] && empty($prt)) {
            echo BeginJavascript().'
var nbRubr = '.$i.';
var typeRubr = "'.$typeRubrique.'";
for(i = 0; i < nbRubr; i++) {
	if((document.getElementById && document.getElementById("itemSubRubr"+ typeRubr + i) != null) || (document.all && document.all["itemSubRubr"+ typeRubr + i] != undefined ) || (document.layers && document.layers["itemSubRubr"+ typeRubr + i] != undefined) ) {
		cache("itemSubRubr"+ typeRubr + i);
		montre("subImgOpen"+ typeRubr + i,"inline");
		cache("subImgClose"+ typeRubr + i);
	}
}'.EndJavascript();
        }
 	} elseif (!empty($pg)) {
        echo '
<p>'.$web[36].'</p>';
    }
    echo '
<div class="phrubr2">
  '.GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[9].'-5-'.$tconfig.'-' : 'photorama.php?lng='.$lng.'&amp;tconfig='.$tconfig.'&amp;id='), count($dbwork), $id, $serviz[87], $z2).'
</div>';
}
btable();
include_once 'inc/bpage.inc';
?>
