<?php
/*******************************************************************************
 *   Poll
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.00.11 (March 02, 2015)     : modified quick admin icons
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[23] != 'on') {
    exit($web[143]);
}

$choix = import('choix');
if (!empty($choix)) {
    $vote = DejaVote(DBIPPOLL, POLL_TIME);
    if ($vote[0] == false) {
        $ter = ReadDBFields(DBPOLL);
        if ($choix > 0 && $choix < count($ter)) {
            $ter[$choix][3] = $ter[$choix][3]+1;
            WriteDBFields(DBPOLL, $ter);
        }
    }
}

$commun = PollCalculation();
$bar    = 200/$commun[0][3];

$topmess = getLabel($nom[($lng == $lang[0] ? 6 : 16)]).' - '.$commun[0][($lng == $lang[0] ? 0 : 1)];
$topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;
$tconfig = import('tconfig', '', true, 0);
include('inc/hpage.inc');
if (function_exists('htable1'))
    htable1($topmess, 'POLL'.$tconfig, '100%');
else
    htable($topmess, '100%');

$j = ($lng == $lang[0] ? 0 : 1);
echo '
<div class="tbldiv marginAuto">';

$k = $n = 0;
foreach($commun as $com) {
	if ($k == 0) {
		$k++;
		continue;
	}
    $nbvotes = $com[3];
    $n++;
    echo '
<style type="text/css">
.baritempool'.$n.' {
    width: '.round($com[3]*$bar).'px;
    height: 10px;
}
</style>
  <div class="trtbldiv">
      <div class="tdtbldiv textRight"><b>'.$com[$j].'</b> </div>
      <div class="tdtbldiv textLeft">&nbsp;
        <img src="inc/img/bars/'.$com[2].'.gif" class="baritempool'.$n.'" alt="'.$com[4].'%" />&nbsp;
      </div>
      <div class="tdtbldiv"> '.$com[4].'% </div>
      <div class="display:table-cell;"> ('.$nbvotes.' '.$web[24].')</div>
  </div>';
}
echo '
</div>
<p class="textCenter">'.$web[25].' <b>'.$commun[0][2].'</b> '.$web[24].'.</p>';
if (empty($prt)) echo displayQuickConfig(NULL, false, 'poll', '', '', 25);
if (isset($vote) && $vote[0] == true) {
    echo BeginJavascript().'alert("'.addslashes($web[26]).'");'.EndJavascript();
	echo '
<noscript>
  <p class="textCenter">'.$web[26].'</p>
</noscript>';
}

btable();
include('inc/bpage.inc');
?>
