<?php
/*******************************************************************************
 *   RSS Feeds
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.03 (June 07, 2016)      : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

$topmess = $web[617];
$tconfig = import('tconfig', '', true, 0);
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'RSS'.$tconfig, '100%');
else
    htable($topmess, '100%');

if ($prt != -1 && $prt != 1) {
	echo sprintf($web[618], stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'
<div class="bord tbldiv marginAuto width90">';
	if ($serviz[60] == 'on') {
		$rssurl = $site[3].sprintf(RSSART, $lng);
		echo '
	<div class="trtbldiv">
	  <div class="tdtbldiv valignMiddle width50 textRight itemrss">'.$web[169].'</div>
	  <div class="tdtbldiv valignMiddle width50 textLeft itemrss">
  	    <a href="'.$rssurl.'" target="'.TYP_BLANK.'">
		  <img src="'.CHEMIN .$reptheme.'/rssguppy.png" class="noborder valignBottom"  alt="rss" />
		</a>
	  </div>
	</div>';
	}
	if ($serviz[54] == 'on') {
		$rssurl = $site[3].sprintf(RSSBLOG, $lng);
		echo '
	<div class="trtbldiv">
	  <div class="tdtbldiv valignMiddle width50 textRight itemrss">'.getLabel($nom[$lng == $lang[0] ? 42 : 43]).'</div>
	  <div class="tdtbldiv valignMiddle width50 textLeft itemrss">
		<a href="'.$rssurl.'" target="'.TYP_BLANK.'">
		  <img src="'.CHEMIN .$reptheme.'/rssguppy.png" class="noborder valignBottom"  alt="rss" />
		</a>
	  </div>
	</div>';
	}
	if ($serviz[16] == 'on') {
		$rssurl = $site[3].sprintf(RSSNEWS, $lng);
		echo '
	<div class="trtbldiv">
	  <div class="tdtbldiv valignMiddle width50 textRight itemrss">'.getLabel($nom[$lng == $lang[0] ? 7 : 17]).'</div>
	  <div class="tdtbldiv valignMiddle width50 textLeft itemrss">
		<a href="'.$rssurl.'" target="'.TYP_BLANK.'">
		  <img src="'.CHEMIN .$reptheme.'/rssguppy.png" class="noborder valignBottom"  alt="rss" />
		</a>
	  </div>
	</div>';
	}
	if ($serviz[103] == 'on') {
		$rssurl = $site[3].sprintf(RSSALL, $lng);
		echo '
	<div class="trtbldiv">
	  <div class="tdtbldiv valignMiddle width50 textRight itemrss">'.$web[619].'</div>
	  <div class="tdtbldiv valignMiddle width50 textLeft itemrss">
		<a href="'.$rssurl.'" target="'.TYP_BLANK.'">
		  <img src="'.CHEMIN .$reptheme.'/rssguppy.png" class="noborder valignBottom"  alt="rss" />
		</a>
	  </div>
	</div>';
	}
	echo '
</div>
<br />
<hr />';
}

btable();
include 'inc/bpage.inc';
?>
