<?php
/*******************************************************************************
 *   Forum Thread
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.2 (March 25, 2014)       : correction access to private forum
 *                               : corrected display of social network
 * v5.0.5 (June 07, 2014)        : replaced ImgSubmitButton by SubmitButton
 *                               : conformity W3C (thanks Ludo)
 * v5.0.7 (August 21, 2014)      : corrected width panels for moving threads
 * v5.0.9 (November 28, 2014)    : corrected display of external avatar
 *                               : corrected display of label status
 * v5.00.10 (December 29, 2014)  : corrected display of quick admin icons
 * v5.00.11 (March 2, 2015)      : modified quick admin icons
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : adding members access with private groups
 *                               : adding a custom error handling 404
 *                               : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : display of the right column if the forum is not in full screen
 *                               : replace css properties by class rules
 * v5.01.04 (September 07, 2016) : suppress editor test
 * v5.01.06 (December 06, 2016)  : correction unknown avatar image name
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : improvement of impressions
 *                               : removal of PGEditor
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.02 (December 18, 2017)  : secondary admin support
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 *                               : correction link "Become a member"
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[13] != 'on') {
    exit($web[143]);
}

$pg      = import('pg');
$thrd    = import('thrd');
$cat     = import('cat');
$fid     = import('fid');
$tconfig = $menuico[19] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[19];

if ('on' == $serviz[18] && !isForumAccessGranted(getForumCatFull($cat))) {
	header("location:index.php?lng=".$lng);
	die();
}

$thread = 0;
if (!empty($pg)) {
    $dbwork = SelectDBForumByID(ReadDBFields(DBFORUM), $pg);
    if (count($dbwork) != 0) {
        $thread = $dbwork[0][1];
    }
    ReadDoc($pg);
    $frcat  = explode(',', $fieldb2);
    $cat    = $frcat[0];
    $access = empty($cat) ? $serviz[18] == '' : $serviz[18] == 'on';
    $thread = $access ? $thread : 0;
} elseif (!empty($thrd)) {
    $dbwork = ReadDBFields(DBTHREAD);
    foreach ($dbwork as $dbw) {
        if ($dbw[1] == $thrd && $dbw[2] == '0') {
            $thread = $thrd;
            $pg     = $dbw[3];
            break;
        }
    }
}

$nom_frth = getLabel($lng == $lang[0] ? $nom[22] : $nom[23]);

$activeCat = true;
if (!empty($cat)) {
    $dbcat = getForumCat();
    foreach ($dbcat as $db)
        if ($db[0] == $cat) {
            $activeCat = $db[5] == 'on';
            break;
        }
}

if ($thread === 0 || !$activeCat) {
    $threadarch = 0;
    $dbworkarch = SelectDBForumByID(ReadDBFields(DBFORUMARCH), $pg);
    if (count($dbworkarch) != 0) {
        $threadarch = $dbwork[0][1];
    }
    if ($threadarch !== 0) {
        header('location:'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-51-'.$pg.'-'.$cat.'-'.$fid.$z2 : 'threadarch.php?lng='.$lng.'&pg='.$pg.'&cat='.$cat.'&fid='.$fid.$z2));
        exit;
    }
    if ($site[10] != '') {
        header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
        exit;
    }
    else header('HTTP/1.0 404 Not Found');
    $topmess = $nom_frth;
    include 'inc/hpage.inc';
    if (function_exists('htable1'))
        htable1($topmess, 'TH'.$tconfig, '100%');
    else
        htable($topmess, '100%');
    echo '
<p>'.$web[36].'</p>';
    btable();
    include 'inc/bpage.inc';
    exit;
}

if ($serviz[34] == 'on') {
    $threadcounter = UpdateDocCounter($pg);
}
$dbthrd = SelectDBThreadByThread(ReadDBFields(DBTHREAD), $thread);

if ('on' == $serviz[18] && !isForumAccessGranted($fielda1)) {
	header('HTTP/1.0 403 Forbidden');
}

if ($serviz[18] != 'on') {
    $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-21-'.$fid.$z2 : $site['FR'].'.php?lng='.$lng.'&amp;id='.$fid.$z2).'">'.$nom_frth.'</a>';
}
else {
    if (!empty($cat)) {
        $dbworkcat = ReadDBFields(DBFORUMCAT);
        $catxt     = getForumCatName($cat);
        $topmess   = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$z2 : $site['FRT'].'.php?lng='.$lng.$z2).'">'.$nom_frth.'</a>
        - <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-22-'.$fid.'-'.getForumcatId($cat).$z2 : $site['FR'].'.php?lng='.$lng.'&amp;id='.$fid.'&amp;cat='.getForumcatId($cat).$z2).'">'.$catxt.'</a> - ';
    }
    else {
		$dbworkcat = array();
		$catxt     = 'unknown';
        $topmess   = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$z2 : $site['FRT'].'.php?lng='.$lng.$z2).'">'.$nom_frth.'</a> - ';
    }
    $topmess .= $fieldb1;
}
if ($page[9] != '') {
    $topmess = '<img src=\''.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif\' class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
if ($userprefs[3] =='' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $left_empty = array_reduce($xposbox[$tconfig][BOX_LEFT], 'EstNonVide', true);
    $userprefs3 = $left_empty ? BOX_RIGHT : BOX_LEFT;
}
$widepage  = $forum[3];
$forumname = strip_tags($nom_frth);

include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'TH'.$tconfig, '100%');
else
    htable($topmess, '100%');

ReadDoc($pg);
echo '<br />';
if (empty($prt)) include 'inc/topforum.inc'; 
if ($forum[9] == 'on' && empty($prt)) {
	echo '
<div class="fontBold frtlnkrules">
  <a href="javascript:PopupWindow(\'rules.php?lng='.$lng.'\',\'rules\',800,500,\'yes\',\'yes\');" title="'.$web[409].'">
  <img src="'.$reptheme.'/charte.png" class="valignMiddle" alt="'.$web[409].'" /> - '.$web[409].'</a>
</div>';
}
if ($serviz[18] == 'on') {
    $title = '
<div class="fontBold thlnkforum'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$z2 : $site['FRT'].'.php?lng='.$lng.$z2).'" title="'.$forumname.'">
  <img src="'.$reptheme.'/dir.png" class="valignMiddle" alt="'.$forumname.'" /> - '.$forumname.'</a>
</div>
<div class="fontBold thlnkcateg">
  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-2-'.getForumcatId($cat).$z2 : $site['FR'].'.php?lng='.$lng.'&amp;cat='.getForumcatId($cat).$z2).'" title="'.$catxt.'">
  <img src="'.$reptheme.'/dir1.png" class="valignMiddle" alt="'.$catxt.'"/> - '.$catxt.'</a>
</div>';
}
else {
    $title = '
<div class="fontBold thlnkcateg">
  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-31'.$z2 : $site['FR'].'.php?lng='.$lng.$z2).'" title="'.$forumname.'">
  <img src="'.$reptheme.'/dir.png" class="valignMiddle" alt="'.$forumname.'" />  - '.$forumname.'</a>
</div>';
}
echo '
<p class="textLeft">'.$title.'</p>';

if ($members[0] == 'on' && $userprefs[1] == '' && !isAccessGranted($members[5])) {
    echo '
<div class="textCenter web342">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p>[&nbsp;
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$tconfig.$z2).'">'.$web[160].'</a>&nbsp;]
  </p>';
	echo '
</div>';
}
else {
    $newdate = date('YmdHi', time() - (86400 * $forum[8]));
    $st = explode('#',$fieldmod);
    if ($st[0] == 'c') {
        $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
		$img_msg = 'msg_'.$st[0].'.png';
    } elseif ($st[0] == 's') {
        $st[0] = 'c';
        $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
		$img_msg = 'msg_'.$st[0].'.png';
    } elseif ($st[0] == 't' && $moddate > date('YmdHi')) {
        $etat = $web[370].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
		$img_msg = 'msg_'.$st[0].'.gif';
    } elseif ($st[0] == 'u' && $moddate > date('YmdHi')) {
        $st[0] = 't';
        $etat = 'Up '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
		$img_msg = 'msg_'.$st[0].'.gif';
    } elseif ($newdate < $creadate) {
        $st[0] = 'n';
        $etat = $web[371];
		$img_msg = 'msg_'.$st[0].'.png';
    } else {
        $st[0] = 'a';
        $etat = $web[367];
		$img_msg = 'msg_'.$st[0].'.png';
    }
    echo '
<div class="textCenter thmain'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
<div class="bord tbldiv width100 thhead">
  <div class="trhtblfr">
    <div class="thtbldiv textCenter width20 thheadsubject'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
	  <img src="'.$reptheme.'/'.$img_msg.'" class="valignMiddle" alt="'.$etat.'" title="'.$etat.'" />&nbsp;&nbsp;<b>'.$web[63].' '.$thread.'</b>
	</div>
    <div class="thtbldiv textLeft thheadbody'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">&nbsp;
      <a href="'.$site[3].($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-4-'.$pg.'-'.$cat.$z2 : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat).$z2).'" title="'.$web[511].'"><b>'.$fieldb1.'</b></a>
	</div>
  </div>
</div>
<div class="bord tbldiv width100 thbody">
  <div class="trtbldiv">
    <div class="rep tdtblfr textCenter width20 thbodysubject'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">';
    if ($fieldd2 != 'v' && $fieldd2 != '') {
        $nbrpostmsg = $fieldd2.' '.($fieldd2 > 1 ? $web[335] : $web[334]);
    } else {
        $nbrpostmsg='';
    }
    $max = explode('-', $forum[7]);
    if ($fieldd2 == 'v') {
        $inscrit = $web[15];
    } elseif($forum[7] == '') {
        $inscrit = '';
    } elseif($fieldd2 >= $max[3]) {
        $inscrit = '<img src="'.$reptheme.'/rank5.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    } elseif($fieldd2 >= $max[2]) {
        $inscrit = '<img src="'.$reptheme.'/rank4.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    } elseif($fieldd2 >= $max[1]) {
        $inscrit = '<img src="'.$reptheme.'/rank3.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    } elseif($fieldd2 >= $max[0]) {
        $inscrit = '<img src="'.$reptheme.'/rank2.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    } else {
        $inscrit = '<img src="'.$reptheme.'/rank1.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    }
	if ($page[23] != 'none') {
		if($fieldc2 == '') {
			$fieldc2 = '<img src="inc/img/avatars/unknow.png" alt="'.$web[305].'" title="'.$web[305].'" />';
		} else {
			if ($fieldc2 == 'unknow.png' && is_file(MSGREP.$author.DBEXT)) {
				$userdb  = ReadDBFields(MSGREP.$author.DBEXT);
				if ($userdb[1][9] == 'unknow.png' && $userdb[1][16] != '')
					$fieldc2 = '<img src="'.$userdb[1][16].'" alt="'.$author.'" title="'.$author.'" />';
				else
					$fieldc2 = '<img src="inc/img/avatars/unknow.png" alt="'.$author.'" title="'.$author.'" />';
			} else {
                $fieldc2 = '<img src="inc/img/avatars/'.$page[23].'/'.$fieldc2.'" alt="'.$author.'" title="'.$author.'" />';
			}
		}
	}
    echo '
      <br />'.$web[7].' '.FormatDate($creadate).'
      <br />'.$web[6].' <b>'.addslashes($author).'</b>
      <br />
      <br />'.($page[23] != 'none' ? $fieldc2 : '&nbsp;').'
      <br />
      <br />';
    $rank     = ReadDBFields(ADMINS);
    $modadmin = '';
    for ($y = 0; $y < count($rank); $y++) {
        if ($rank[$y][0] == $userprefs[1] && $rank[$y][2] == 'on') {
            $modadmin = 'yes';
            break;
        }
    }
    if ($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176]) {
        $modadmin = 'yes';
    }
    if ($author == $serviz[31] || $author == $serviz[176]) {
        echo $web[418].'<br />';
    } elseif (is_file(CHEMIN.'admin/redac/'.$author.'.inc')) {
        include CHEMIN.'admin/redac/'.$author.'.inc';
        if (!empty($drtuser[30])) echo $drtuser[30].'<br />';
    } else {
        for ($y = 0; $y < count($rank); $y++) {
            if ($rank[$y][0] == $author) {
                switch ($rank[$y][1]) {
                case 'admin' :
                    echo (empty($rank[$y][3]) ? $web[418] : $rank[$y][3]).'<br />';
                    break;
                case 'modo' :
                    echo (empty($rank[$y][3]) ? $web[420] : $rank[$y][3]).'<br />';
                    break;
                case 'redac' :
                    echo (empty($rank[$y][3]) ? $web[419] : $rank[$y][3]).'<br />';
                    break;
                case 'webm' :
                    echo (empty($rank[$y][3]) ? $web[11] : $rank[$y][3]).'<br />';
                    break;
                }
            }
        }
    }
    echo $inscrit;
	$url1 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'maj'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=maj&amp;num='.$thread.'&amp;pg='.$fileid;
	$url2 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'stop'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=stop&amp;num='.$thread.'&amp;pg='.$fileid;
	$url3 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'raz'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=raz&amp;num='.$thread.'&amp;pg='.$fileid;
	$url4 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'lock'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=lock&amp;num='.$thread.'&amp;pg='.$fileid;
	$url5 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'top'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=top&amp;num='.$thread.'&amp;pg='.$fileid;
	$url6 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'up'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=up&amp;num='.$thread.'&amp;pg='.$fileid;
	$url7 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'move'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=move&amp;num='.$thread.'&amp;pg='.$fileid;
    switch ($st[0]) {
    case 'c':
    case 's':
        if (WYSIWYG && $modadmin == 'yes') {
            echo '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url3.$z2.'" title="'.$web[621].'"><img src="'.$reptheme.'/unlock.png" alt="'.$web[621].'" /></a>' : '');
        }
        break;
    case 't':
    case 'u';
        if ($modadmin == 'yes') {
            if (WYSIWYG) {
                echo '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url2.$z2.'" title="'.$web[390].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[390].'" /></a>' : '').'
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url3.$z2.'" title="'.$web[621].'"><img src="'.$reptheme.'/unlock.png" alt="'.$web[621].'" /></a>' : '');
            }
        }
        elseif ($userprefs[1] == $author) {
            if (WYSIWYG) {
                echo '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>';
			}
			echo '
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url4.$z2.'" title="'.$web[363].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[363].'" /></a>' : '');
        }
        break;
    default:
        if ($modadmin == 'yes') {
            if (WYSIWYG) {
                echo '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url2.$z2.'" title="'.$web[390].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[390].'" /></a>' : '');
            }
            if ($forum[6] != '' && TYP_SCREEN == 'WEB') {
                echo '
	  &nbsp;<img src="'.$reptheme.'/lockup.png" class="clsCursor" alt="'.$web[364].'" title="'.$web[364].'" onmouseup="cache(\'moveto\'); montre(\'timetop\');" />
	  <div id="timetop" class="quest posAbsolute displayNone textCenter thtimetop">
	    <form name="topval" action="'.$url5.$z2.'" method="post">
	      '.$web[622].' 
		  <input class="texte" type="text" name="forum6"  size="2" value="'.$forum[6].'" />
		  <div class="textCenter">'.SubmitButton($web[52]).'</div>
		  <div class="f-right closethtimetop"><img src="'.$reptheme.'/close.png" alt="'.$web[57].'" title="'.$web[57].'" onmouseup="cache(\'timetop\')" /></div>
		  <div class="c-both"></div>
	    </form>
	  </div>';
            }
			if ($serviz[18] == 'on' && TYP_SCREEN == 'WEB') {
				echo '
	  &nbsp;<img src="'.$reptheme.'/moveto.png" class="clsCursor" alt="'.$web[632].'" title="'.$web[632].'" onmouseup="cache(\'timetop\'); montre(\'moveto\');" />
	  <div id="moveto" class="quest posAbsolute displayNone textCenter thmoveto">
	    <form name="movetoform" action="'.$url7.$z2.'" method="post">
	    '.$web[633].' 
          <select name="tocat" onchange="this.form.submit();" class="valignMiddle thtocat">';
				for ($k = 0; $k < count($dbworkcat); $k++) {
					echo '
            <option value="'.$dbworkcat[$k][0].'"'.Selected($dbworkcat[$k][0] == $cat).'>'.$dbworkcat[$k][1].'</option>';
				}
				echo '
          </select>
		  <div class="f-right closethtocat"><img src="'.$reptheme.'/close.png" alt="'.$web[57].'" title="'.$web[57].'" onmouseup="cache(\'moveto\')" /></div>
		  <div class="c-both"></div>
	    </form>
	  </div>';
			}
        } elseif ($userprefs[1] == $author) {
            if (WYSIWYG) {
                echo '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>';
            }
            echo '
      &nbsp;<a href="'.$url4.$z2.'" title="'.$web[363].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[363].'" /></a>';
            if ($forum[5] != '') {
                echo '
      &nbsp;<a href="'.$url6.$z2.'" title="'.$web[364].'"><img src="'.$reptheme.'/lockup.png" alt="'.$web[364].'" /></a>';
            }
        }
    }
    echo '
      <br />';
    echo '
    </div>
    <div class="tdtblfr">
      <div class="rep textLeft thbodycontent'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'"><br />'.$fieldc1.'</div>
      <div class="textLeft thbodybottom">';
	if ($prt == 0 && $serviz[107] == 'on' && empty($prt)) {
		include CONFIGREP.'sncode.inc';
		if (!empty($coders))
			echo '
	    <div class="thcoders">'.$coders.'</div>';
	}
	echo '
	    <div class="width100">';
    if ($fieldd1 == 'on') {
        echo 
		  displayWriteEmail(TYP_THREAD, $author, $email, ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$author.'" title="'.$web[173].' '.$author.'" class="valignMiddle themail" />');
    }
    if ($fieldweb != '') {
        echo '
          <a href="'.$fieldweb.'" target="'.TYP_BLANK.'">
            <img src="'.$reptheme.'/site.png" alt="'.$web[304].' '.$author.'" title="'.$web[304].' '.$author.'" class="valignMiddle thimgsite'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />
          </a>';
    }
    if (empty($prt)) echo displayQuickConfig(NULL, $fileid, 'forum&amp;form=2&amp;id='.$fileid, 'forum&amp;act=i&amp;id='.$fileid, 'forum&amp;del='.$fileid, 23);
    echo '
	      <div class="f-right">';
    if ($st[0] != 'c') {
        echo '
            <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-2-'.TYP_THREAD.'-'.$thread.'-'.$fileid.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;num='.$thread.'&amp;pg='.$fileid.$z2).'">
              <img src="'.$reptheme.'/reponse.png" alt="'.$web[65].'" title="'.$web[65].'" class="thimgrep'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />
		    </a>';
    } else {
        echo '
            <img src="'.$reptheme.'/rep_lock.png" alt="'.$web[366].$web[368].'" title="'.$web[366].$web[368].'" class="thimgrep'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />';
    }
    echo '
            <a href="#top"><img src="'.$reptheme.'/haut.png"  class="img11x11" alt="'.$web[136].'" title="'.$web[136].'" /></a>&nbsp;&nbsp;
	      </div>
          <div class="c-both"> </div>
	    </div>';
    echo '
      </div>
    </div>
  </div>
</div>';
    $dbder = ReadDBFields(DBFORUM);
    for ($i = 0; $i < count($dbder); $i++) {
        if($fielda1 == $dbder[$i][1] && $dbder[$i][7] > 3 && empty($prt)) {
            $idder = (ceil(count($dbthrd)/ $serviz[20]));
            echo '
<form action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-5-'.$pg.'-'.$cat.'-'.$idder.'#R'.$dbder[$i][7] : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $idder).'#R'.$dbder[$i][7]).'" method="post">
  <p class="textRight">
    '.SubmitButton($web[283]).'
  </p>
</form>';
            break;
        }
    }
    if (empty($id)) {
        $id = 1;
    }
    if (!empty($dbthrd)) {
        if (3 == abs($prt)) {
            $id = 1;
            $serviz[20] = 99999;
        }
        echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-5-'.$pg.'-'.$cat.'-' : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbthrd), $id, $serviz[20], $z2);
        for ($i = $serviz[20]*($id-1); $i < Min($serviz[20]*$id, count($dbthrd)); $i++) {
            ReadDoc($dbthrd[$i][3]);
            if ($fieldd2 != 'v' && $fieldd2 != '') {
                $nbrpostmsg = $fieldd2.' '.($fieldd2 > 1 ? $web[335] : $web[334]);
            } else {
                $nbrpostmsg='';
            }
            if ($fieldd2=='v' || !FileDBExist(MSGREP.$author.DBEXT)) {
                $inscrit = $web[15];
            } elseif($forum[7] == '') {
                $inscrit = '';
            } elseif($fieldd2 >= $max[3]) {
                $inscrit = '<img src="'.$reptheme.'/rank5.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            } elseif($fieldd2 >= $max[2]) {
                $inscrit = '<img src="'.$reptheme.'/rank4.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            } elseif($fieldd2 >= $max[1]) {
                $inscrit = '<img src="'.$reptheme.'/rank3.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            } elseif($fieldd2 >= $max[0]) {
            $inscrit = '<img src="'.$reptheme.'/rank2.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            } else {
                $inscrit = '<img src="'.$reptheme.'/rank1.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            }
			if ($page[23] != 'none') {
				if($fieldc2 == '') {
					$fieldc2 = '<img src="inc/img/avatars/unknow.png" alt="'.$web[305].'" title="'.$web[305].'" />';
				} else {
					if ($fieldc2 == 'unknow.png' && is_file(MSGREP.$author.DBEXT)) {
						$userdb  = ReadDBFields(MSGREP.$author.DBEXT);
						if ($userdb[1][9] == 'unknow.png' && $userdb[1][16] != '')
							$fieldc2 = '<img src="'.$userdb[1][16].'" alt="'.$author.'" title="'.$author.'" />';
						else
							$fieldc2 = '<img src="inc/img/avatars/unknow.png" alt="'.$author.'" title="'.$author.'" />';
					} else {
						$fieldc2 = '<img src="inc/img/avatars/'.$page[23].'/'.$fieldc2.'" alt="'.$author.'" title="'.$author.'" />';
					}
				}
			}
            echo '
<a id="R'.$fielda2.'"></a>
<div class="bord tbldiv width100 thbody">
  <div class="trtbldiv">
    <div class="rep tdtblfr textCenter width20 thbodysubject'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">';
            $newdate = date('YmdHi',time()-(86400*$forum[8]));
            if ($newdate < $creadate) {
                echo '
      <img src="'.$reptheme.'/msg_n.png" class="valignMiddle" alt="'.$web[371].'" title="'.$web[171].'" /> ';
            }
            echo '
      <b>'.$web[68].' '.$fielda2.'</b>
      <br />--------
      <br /> '.$web[7].' '.FormatDate($creadate).'
      <br />'.$web[6].' <b>'.addslashes($author).'</b>
      <br />
      <br />'.($page[23] != 'none' ? $fieldc2 : '&nbsp;').'
      <br />
      <br />';
            if ($author == $serviz[31] || $author == $serviz[176]) {
                echo $web[418].'<br />';
            } elseif (is_file(CHEMIN.'admin/redac/'.$author.'.inc')) {
                include CHEMIN.'admin/redac/'.$author.'.inc';
                if (!empty($drtuser[30])) echo $drtuser[30].'<br />';
            } else {
                for ($y = 0; $y < count($rank); $y++) {
                    if ($rank[$y][0] == $author) {
                        switch ($rank[$y][1]) {
                        case 'admin' :
                            echo $web[418].'<br />';
                            break;
                        case 'modo' :
                            echo $web[420].'<br />';
                            break;
                        case 'redac' :
                            echo $web[419].'<br />';
                            break;
                        case 'webm' :
                            echo $web[11].'<br />';
                            break;
                        }
                    }
                }
            }
            echo $inscrit;
            if (WYSIWYG && $st[0] != 'c' && $st[0] != 's') {
                if ($author == $userprefs[1] || $modadmin == 'yes' || $serviz[31] == $userprefs[1] || $serviz[176] == $userprefs[1]) {
                    if ($browser == 'OK' && $st[0] != 'c' && $st[0] != 's') {
						$url = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-maj-'.$thread.'-'.$fileid.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=maj&amp;num='.$thread.'&amp;pg='.$fileid.$z2;
                        echo '
      &nbsp;<a href="'.$url.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>';
                    }
                }
            }
            echo '
      <br />';
            $fieldc1 = stripslashes($fieldc1);
            echo '
    </div>
    <div class="tdtblfr">
      <div class="rep textLeft thbodycontent'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'"><br />'.$fieldc1.'</div>
      <div class="textLeft thbodybottom">';
            if ($fieldd1 == 'on') {
                echo displayWriteEmail('thread'.$i, $author, $email, ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$author.'" title="'.$web[173].' '.$author.'" class="valignMiddle themail" />');
            }
            if ($fieldweb != '') {
                echo '
        <a href="'.$fieldweb.'" target="'.TYP_BLANK.'">
          <img src="'.$reptheme.'/site.png" alt="'.$web[304].' '.$author.'" title="'.$web[304].' '.$author.'" class="valignMiddle thimgsite'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />
        </a>';
            }
            if (empty($prt)) echo displayQuickConfig(NULL, $fileid, 'forum&amp;form=2'.GetOptionnalArg('id', $fileid), 'forum&amp;act=i'.GetOptionnalArg('id', $fileid), 'forum'.GetOptionnalArg('del', $fileid), 23);
            echo '
        <div class="f-right">';
            if ($st[0] != 'c') {
                echo '
          <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-2-'.TYP_THREAD.'-'.$thread.'-'.$fileid.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;num='.$thread.'&amp;pg='.$fileid.$z2).'">
            <img src="'.$reptheme.'/reponse.png" alt="'.$web[65].'" title="'.$web[65].'" class="thimgrep'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />
          </a>';
            }
            else {
                echo '
          <img src="'.$reptheme.'/rep_lock.png" alt="'.$etat.'" title="'.$etat.'" />';
            }
            echo '
          <a href="#top"><img src="'.$reptheme.'/haut.png"  class="img11x11" alt="'.$web[136].'" title="'.$web[136].'" /></a>&nbsp;&nbsp;
        </div>
        <div class="c-both"></div>
      </div>
    </div>
  </div>
</div>';
        }
    }
    echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-5-'.$pg.'-'.$cat.'-' : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbthrd), $id, $serviz[20], $z2);
    if (empty($fid)) {
        $fid = 1;
    }
    echo '
<div class="width100 textLeft thmsgicons">
  <img src="'.$reptheme.'/msg_a.png" class="valignMiddle" alt="'.$web[367].'" /> '.$web[366].$web[367].' &nbsp;
  <img src="'.$reptheme.'/msg_c.png" class="valignMiddle" alt="'.$web[368].'" /> '.$web[366].$web[368].' &nbsp;
  <img src="'.$reptheme.'/msg_t.gif" class="valignMiddle" alt="'.$web[370].'" /> '.$web[370].' &nbsp;
  <img src="'.$reptheme.'/msg_n.png" class="valignMiddle" alt="'.$web[371].'" />'.$web[371].$web[334].'<br />
  <img src="'.$reptheme.'/edit.png" class="valignMiddle" alt="'.$web[369].'" /> '.$web[369]." ".$web[334].' &nbsp;
  <img src="'.$reptheme.'/lock.png" class="valignMiddle" alt="'.$web[363].'" /> '.$web[363].$web[366].' &nbsp;
  <img src="'.$reptheme.'/lockup.png" class="valignMiddle" alt="'.$web[364].'" /> '.$web[364].' &nbsp;'
  .($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176] ? '
	<img src="'.$reptheme.'/unlock.png" class="valign-1" alt="'.$web[621].'" /> '.$web[621].$web[366].' &nbsp;
	<img src="'.$reptheme.'/moveto.png" class="valign-1" alt="'.$web[632].'" /> '.$web[632].$web[366]
	: '').'
</div>';
    if (empty($prt)) {
        echo '
<div class="width100">
  <div class="f-right textRight thretbutton">
    <form action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-22-'.$cat.'-'.$fid.$z2 : $site['FR'].'.php?lng='.$lng.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $fid).$z2).'" method="post">
      '.SubmitButton($web[70]).'
    </form>
  </div>';
        if ($serviz[18] == 'on' && !empty($dbworkcat)) {
            echo '
  <div class="f-right textRight thselcat">
    <form method="post" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-31'.$z2 : $site['FR'].'.php?lng='.$lng.$z2).'">
      <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-31-'.$tconfig.$z2 : $site['FR'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" title="'.$web[130].'">
        <img src="'.$reptheme.'/dir.png"  class="valignMiddle" alt="'.$web[130].'" /> &nbsp;<b>'.$forumname.'</b>
      </a>&nbsp;
      <select name="cat" onchange="this.form.submit();" class="valignMiddle">';
            foreach ($dbworkcat as $dbw) {
                echo '
        <option value="'.$dbw[0].'" '.Selected($dbw[0] == $cat).'>'.$dbw[1].'</option>';
            }
            echo '
      </select>
    </form>
  </div>';
    }
        echo '
</div>';
    }
    echo '
<br />
</div>
<br />
<br />';
}
btable();
include 'inc/bpage.inc';
?>