<?php
/*******************************************************************************
 *   Forum Thread Archive
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.2 (March 25, 2014)       : correction access to private forum
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : display of the right column if the forum is not in full screen
 *                               : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : removal of PGEditor
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';
include CHEMIN.'inc/funcarch.php';

if ($serviz[13] != 'on') {
    exit($web[143]);
}

$pg   = import('pg');
$thrd = import('thrd');
$cat  = import('cat');
$id   = import('id');
$fid  = import('fid');

if ('on' == $serviz[18] && !isForumAccessGranted(getForumCatFull($cat))) {
	header("location:index.php");
}

$thread = 0;
if (!empty($pg)) {
    $dbwork = SelectDBForumByID(ReadDBFields(DBFORUMARCH),$pg);
    if (count($dbwork) != 0) {
        $thread = $dbwork[0][1];
        $cat    = $dbwork[0][12];
    }
}
elseif (!empty($thrd)) {
    $dbwork = ReadDBFields(DBTHREADARCH);
    foreach ($dbwork as $dbw) {
        if ($dbw[1] == $thrd && $dbw[2] == '0') {
            $thread = $thrd;
            $pg     = $dbw[3];
            $cat    = $dbw[8];
        }
    }
}

if ($serviz[34] == 'on') {
    $threadcounter = UpdateDocCounterArch($pg);
}

$dbthrd = SelectDBThreadByThread(ReadDBFields(DBTHREADARCH),$thread);
@sort($dbthrd);

if ($userprefs[3] =='' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $left_empty = array_reduce($xposbox[$tconfig][BOX_LEFT], 'EstNonVide', true);
    $userprefs3 = $left_empty ? BOX_RIGHT : BOX_LEFT;
}
$widepage = $forum[3];
$tconfig  = $menuico[19] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[19];
include 'inc/hpage.inc';
$i = $lng == $lang[0] ? 0 : 1;
ReadDoc($pg, ARCHDBBASE);

if ((CheckGroup($cat, $userprefs[1]) != 1) && (!is_numeric($cat) && $CatForumOn))  { 
	header("location:".($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php'));
	die();
}
if (preg_match('/^pr/i', $fieldb2) && (CheckGroup($fieldb2, $userprefs[1]) != 1)) {
	header("location:".($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php'));
	die();
}

if ($serviz[18] != 'on') {
    $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-34-'.$fid.$z2 : 'forumarch.php?lng='.$lng.GetOptionnalArg('id', $fid).$z2).'">'.$web[226].'</a> - '.$web[63].$fielda1;
}
else {
    if (!empty($cat)) {
        $catxt = getForumCatName($cat);
        $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-6'.$z2 : 'fortopicarch.php?lng='.$lng.$z2).'">'.$web[226].'</a> - <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-35-'.$cat.$fid.$z2 : 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $fid).$z2).'">'.$catxt.'</a> - '.$web[63].$fielda1;
    }
    else {
        $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-6'.$z2 : 'fortopicarch.php?lng='.$lng.$z2).'">'.$web[226].'</a> - '.$web[63].$fielda1;
    }
}
if ($page[9] != '') {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
if (function_exists('htable1'))
    htable1($topmess, 'THA'.$tconfig, '100%');
else
    htable($topmess, '100%');
echo '
<div class="bord tharchmain">
  <div class="tbldiv width100">
    <div class="trtbldiv">
      <div class="forum tdtblfr width25 tharchsubject">'.$web[63].$fielda1.'</div>
      <div class="forum2 tdtblfr width75">
        <b>'.$fieldb1.'</b>
        <br />
        &nbsp;&nbsp;&nbsp;'.$web[6].' ';
if ($fieldd1 != 'on') {
    echo displayWriteEmail('threadarch1', $author, $email);
}
else {
    echo '
        <b>'.$author.'</b>';
}
echo '
      '.$web[7].' '.FormatDate($creadate).'
      </div>
    </div>
  </div>
  <div class="tbldiv width100">
    <div class="trtbldiv">
      <div class="quest tdtblfr width100">'.$fieldc1.'</div>
    </div>
  </div>
</div>';
if (empty($id)) {
    $id = 1;
}
if (!empty($dbthrd)) {
    if (3 == abs($prt)) {
        $id = 1;
        $serviz[20] = 99999;
    }
    for ($i = $serviz[20]*($id-1); $i < Min($serviz[20]*$id, count($dbthrd)); $i++) {
        ReadDoc($dbthrd[$i][3], ARCHDBBASE);
        echo '
<div class="bord trarchmain">
  <div class="tbldiv width100">
    <div class="trtbldiv">
      <div class="quest tdtblfr textCenter">'.$web[68].$fielda2.'</div>
      <div class="quest tdtblfr width85">'.$web[6].' ';
        if ($fieldd1 != "on") {
            echo displayWriteEmail('threadarch2'.$i, $author, $email);
        }
        else {
            echo '<b>'.$author.'</b>';
        }
        echo '
      '.$web[7].' '.FormatDate($creadate).'
      </div>
    </div>
  </div>
  <div class="tbldiv width100">
    <div class="trtbldiv">
      <div class="rep tdtblfr" colspan="2">'.$fieldc1.'</div>
    </div>
  </div>
</div>';
    }
}
if (count($dbthrd)>$serviz[20]) {
    echo '
<hr />'.GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-52-'.$pg.'-'.$cat.'-' : 'threadarch.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbthrd), $id, $serviz[20], $z2);
}
echo '
<p class="textCenter">
  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-35-'.$cat.$fid.$z2 : 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $fid).$z2).'">'.$web[70].'</a>
</p>';

btable();
include 'inc/bpage.inc';
?>
