<?php
/*******************************************************************************
 *   Tinymsg
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.2 (March 25, 2014)       : add label for return links
 * v5.0.6 (July 02, 2014)        : improvement of management members
 * v5.00.11 (March 02, 2015)     : corrected pseudo in email notification
 * v5.01.00 (June 12, 2015)      : improvement for a mobile-friendly structure
 * v5.01.03 (June 07, 2016)      : corrected url-rw links
 *                               : replace css properties by class rules
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 * v5.02.01 (August 28, 2017)    : suppress session cookie parameters for Edge and mobiles
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

$action     = import('action');
$fic        = import('fic');
$form       = import('form');
$ancienmsg  = addslashes(import('ancienmsg'));
$anciendate = import('anciendate');
$msg        = addslashes(import('msg'));
$maxcar     = '1500'; // max length of tiny messages in chr
$tconfig    = import('tconfig', '', true, 0);

$topmess = $web[215].' - '.$userprefs[1];
include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'TMSG'.$tconfig, '100%');
else
    htable($topmess, '100%');

$from = KeepGoodChars(CutLongWord(import('from'),20));
$to   = KeepGoodChars(CutLongWord(import('to'),20));

if (empty($userprefs[1])) {
    echo "<strong>".$web[357]."</strong><br /><br />".$web[358]."<br />";
    btable();
    include("inc/bpage.inc");
    exit;
}

function UpdateFicForm($fic, $form, $id) {
    $array  = explode("\n", fread(fopen($fic, "r"), filesize($fic)));
    $delete = array_pop($array);
    $new    = $form;
    $array[$id] = $new;
    $fhandle = fopen($fic,"w");
    for($a=0; $a< count($array); $a++) {
        fwrite($fhandle,stripslashes($array[$a])."\n");
    }
    fclose($fhandle);
}

################################################################################
if ($action == 1) {  // Envoyer un tiny
    $from = $userprefs[1];
    if (empty($to)) {
        echo '<strong>'.$web[357].'</strong><br /><br />'.$web[359].'<br />';
        btable();
        include 'inc/bpage.inc';
        exit;
    }
    echo JavascriptFile(CHEMIN.'inc/tinymsg.js').'
  <div class="tbldiv textCenter marginAuto tbltinysend">
    <div class="trtbldiv textLeft">
	  <div class="tdtbldiv">
        <form name="nmsgr" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-2-2-'.$to.'-'.$from.'-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=2&amp;to='.$to.'&amp;from='.$from.'&amp;tconfig='.$tconfig.$z2).'" method="post">
          <p class="textLeft">'.$web[208].'&nbsp;&nbsp;<strong>'.$from.'</strong><br />'.$web[204].'&nbsp;&nbsp;<strong>'.$to.'</strong></p>
          <div class="tbldiv width80 marginAuto">';
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($id != '') {
            if ($dbmsg[0][0] == $userprefs[7]) {
                if ($dbmsg[$id][3] == 'new') {
                    $dbmsg[$id][3] = 'lu';
                    UpdateFicForm(MSGREP.$userprefs[1].DBEXT, implode(CONNECTOR, $dbmsg[$id]), $id);
                }
            }
            echo '
            <div class="trtbldiv textLeft"><div class="tdtbldiv"><input type="hidden" name="anciendate" value="'.$dbmsg[$id][1].'" /></div></div>
            <div class="trtbldiv textLeft">
			  <div class="tdtbldiv textCenter">
			    <p class="textCenter">'.$web[216].'</p>
                <input type="hidden" name="ancienmsg" value="'.stripslashes($dbmsg[$id][2]).'" />
                <div class="rep marginAuto tdrepmsg">'.stripslashes(souriez($dbmsg[$id][2])).'</div>
              </div>
			</div>';
        }
    }
    echo '
            <div class="trtbldiv textLeft"><div class="tdtbldiv textCenter"><p class="textCenter">'.$web[56].'</p></div></div>
            <div class="trtbldiv textLeft"><div class="tdtbldiv"><textarea name="msg" rows="8" class="msgtinysend"></textarea></div></div>
            <div class="trtbldiv textLeft">
			  <div class="tdtbldiv textCenter valignMiddle">
                <a href="javascript:format(\'b\')"><img class="clsCursor" src="inc/img/images/bold.gif" alt="'.$web[98].'" title="'.$web[98].'" /></a>&nbsp;
                <a href="javascript:format(\'i\')"><img class="clsCursor" src="inc/img/images/italic.gif" alt="'.$web[100].'" title="'.$web[100].'" /></a>&nbsp;
                <a href="javascript:format(\'u\')"><img class="clsCursor" src="inc/img/images/underline.gif" alt="'.$web[99].'" title="'.$web[99].'" /></a>&nbsp;
                <a href="javascript:dolink(\'href=http://\')"><img class="clsCursor" src="inc/img/images/link.gif" alt="'.$web[170].'" title="'.$web[170].'" /></a>&nbsp;  &nbsp;';
    if ($page[12] != 'none') DrawSmileys("");
    echo '
	          </div>
			</div>
          </div>
          <p class="textCenter">'.SubmitButton($web[52]).'&nbsp;'.SubmitButton($web[205], '', '', '', 'reset').'</p>
        </form>
      </div>
    </div>
  </div>'.BeginJavascript().'
document.nmsgr.msg.focus();
'.EndJavascript().'
  <p class="textCenter">
    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$tconfig.$z2).'">'.$web[135].'
      <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
    </a>
  </p>';
}
################################################################################
elseif ($action == 2) { // Voir un tiny
    $from = $userprefs[1];
    if (empty($to)) {
        echo "<p><strong>".$web[357]."</strong><br /><br />".$web[359]."</p>";
        btable();
        include 'inc/bpage.inc';
        exit;
    }
    if (strlen($msg) > $maxcar) {
        echo BeginJavascript().'
alert("'.strlen($msg).' '.$web[408].' '.$maxcar.')");
history.back();'.EndJavascript();
        exit;
    }
    $msg = str_replace(chr(10), '<br />', $msg);
    $msg = str_replace(chr(13), '', $msg);
    $msg = str_replace('[b]',   '<b>', $msg);
    $msg = str_replace('[/b]',  '</b>', $msg);
    $msg = str_replace('[i]',   '<i>', $msg);
    $msg = str_replace('[/i]',  '</i>', $msg);
    $msg = str_replace('[u]',   '<u>', $msg);
    $msg = str_replace('[/u]',  '</u>', $msg);
    $msg = str_replace('[l]href=','<a href="', $msg);
    $msg = str_replace('[/l]',  '" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/site.png" border="0" alt="'.$web[304].'" /></a>', $msg);
    $msg = str_replace('"',     "'", $msg);
    $dbmsg = array();
    if (FileDBExist(MSGREP.$to.DBEXT)) {
        $dbmsg[0] = $from;
        $dbmsg[1] = GetCurrentDateTime();
        $dbmsg[2] = RemoveConnector(stripslashes($msg));
        $dbmsg[3] = 'new';
        $dbmsg[4] = '';
        $dbmsg[5] = RemoveConnector(stripslashes($ancienmsg));
        $dbmsg[6] = $anciendate;
        $dbmsg[7] = $userprefs[8];
        AppendDBFields(MSGREP.$to.DBEXT, $dbmsg);
        $dbmsg[0] = $to;
        $dbmsg[1] = GetCurrentDateTime();
        $dbmsg[2] = RemoveConnector(stripslashes($msg));
        $dbmsg[3] = 'lu';
        $dbmsg[4] = 'send';
        $dbmsg[5] = RemoveConnector(stripslashes($ancienmsg));
        $dbmsg[6] = $anciendate;
        $dbmsg[7] = $userprefs[8];
        AppendDBFields(MSGREP.$from.DBEXT, $dbmsg);
		$dbmsg2 = ReadDBFields(MSGREP.$to.DBEXT);
		$eto    = $dbmsg2[1][3];
		$sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[670];
		$body   = '<div style="margin:auto;padding:8px;width:440px;border: solid 1px #000000;border-radius:4px;">';
		$body  .= '<p style="text-align:left;font:12pt Arial;">';
		$body  .= $web[245].sprintf($web[672], $to, $from).'<a href="'.$site[3].'" title="'.$site[3].'">'.$site[3].'</a>';
		$body  .= '</p></div>';
		eMailHtmlTo($sujet, $body, $eto);
        echo '
    <br />
	<div class="marginAuto textCenter">
	  <p>'.$web[332].'<br /><br />
	    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$tconfig.$z2).'">'.$web[135].'
	      <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	    </a>
	  </p>
    </div>
    <form name="suit2" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$tconfig.$z2).'" method="post"></form>'.BeginJavascript().'
setTimeout("document.suit2.submit();",4000);'.EndJavascript();
    }
    else {
        echo '
    <br /><p class="textCenter">'.$web[230].'</p>';
    }
}
################################################################################
elseif ($action == 3) { // Gérer les tiny
    $nbrtinymsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
    if(count($nbrtinymsg) > ($serviz[48]+2)) {
        DeleteDBFieldById(MSGREP.$userprefs[1].DBEXT, 2);
    }
    $dbmsg = Array();
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($dbmsg[0][0] == $userprefs[7]) {
            echo BeginJavascript().'
function selectAllMsg(opt)
{
	var option = opt.name;
	var allSelected = opt.checked;
	switch (option) {
	case "delRecu_all" :
		var allMsg = document.forms["boxtinymsg"].elements["delRecu_id[]"];
		break;
	case "delSend_all" :
		var allMsg = document.forms["boxtinymsg"].elements["delSend_id[]"];
		break;
	default :
		return false;
	}
	if (allMsg.length != undefined) {
		for (i = 0; i < allMsg.length; i++) {
			allMsg[i].checked = (allSelected)? true : false;
		}
	} else {
		allMsg.checked = (allSelected)? true : false;
	}
	return false;
}

function verifyTinyMsgChecked()
{
	var error = true;
	var message = "'.$web[428].'";

	if (document.forms["boxtinymsg"].elements["delRecu_id[]"]) {
		var allMsgRecu = document.forms["boxtinymsg"].elements["delRecu_id[]"];
		if (allMsgRecu.length != undefined) {
			for (i = 0; i < allMsgRecu.length; i++) {
				if (allMsgRecu[i].checked) { error = false; }
			}
		} else {
			if (allMsgRecu.checked) { error = false; }
		}
	}
	if (document.forms["boxtinymsg"].elements["delSend_id[]"]) {
		var allMsgSend = document.forms["boxtinymsg"].elements["delSend_id[]"];
		if (allMsgSend.length != undefined) {
			for (i = 0; i < allMsgSend.length; i++) {
				if (allMsgSend[i].checked) { error = false; }
			}
		} else {
			if (allMsgSend.checked) { error = false; }
		}
	}
	if (error) {
		alert(message);
		return false;
	} else {
		return true;
	}
}
'.EndJavascript().'
<p class="textCenter">'.$web[291].' '.$serviz[48].' '.$web[335].'</p>
<p class="textCenter">
  <img src="'.$reptheme.'/new.gif" alt="'.$web[211].'" title="'.$web[211].'" /> '.$web[211].'&nbsp;&nbsp;&nbsp;&nbsp;
  <img src="'.$reptheme.'/lu.gif" alt="'.$web[209].'" title="'.$web[209].'" /> '.$web[209].'
</p>
<hr />
<form name="boxtinymsg" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-5-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=5&amp;tconfig='.$tconfig.$z2).'" method="post" onsubmit="return verifyTinyMsgChecked(); return false;">
  <div class="textCenter marginAuto"><strong>'.$web[207].'</strong></div>
  <div class="tbldiv marginAuto tbltinymain">
    <div class="forum trtbldiv textCenter">
      <div class="tdtbldiv width10"><strong>'.$web[206].'</strong></div>
      <div class="tdtbldiv width35"><strong>'.$web[210].'</strong></div>
      <div class="tdtbldiv width35"><strong>'.$web[325].'</strong></div>
      <div class="tdtbldiv width20">
        <div class="tbldiv marginAuto">
          <div class="trtbldiv">
            <div class="tdtbldiv textCenter"><strong>'.$web[323].'</strong></div>
          </div>
        </div>
      </div>
    </div>';
            $nbMsgRecu = 0;
            for ($i = 2; $i < count($dbmsg); $i++) {
                if (isset($dbmsg[$i][4]) && $dbmsg[$i][4] != 'send') {
                    $trcolor = $dbmsg[$i][3] == 'new' ? 'quest trtbldiv ' : ($dbmsg[$i][3] == 'lu' ? 'rep trtbldiv ' : '');
                    echo '
    <div class="'.$trcolor.'textCenter trmsgtiny">
      <div class="tdtbldiv width10"><img src="'.$reptheme.'/'.$dbmsg[$i][3].'.gif" alt="'.$dbmsg[$i][3].'" title="'.$dbmsg[$i][3].'" /></div>
      <div class="tdtbldiv width35 textLeft tdmsglnk">
	    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-4-1-'.$i.'-'.$dbmsg[$i][0].'-'.$userprefs[1].'-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;id='.$i.'&amp;to='.$dbmsg[$i][0].'&amp;from='.$userprefs[1].'&amp;tconfig='.$tconfig.$z2).'" title="'.$web[140].'"><strong>'.$dbmsg[$i][0].'</strong></a>
	  </div>
      <div class="tdtbldiv width35">'.FormatDate($dbmsg[$i][1]).'</div>
      <div class="tdtbldiv width20 textCenter">
        <div class="tbldiv marginAuto width100">
          <div class="trtbldiv">
            <div class="tdtbldiv width40 textCenter">
              <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-5-4'.$i.'-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=4&amp;id='.$i.'&amp;tconfig='.$tconfig.$z2).'">
                <img src="'.$reptheme.'/look.png" alt="'.$web[326].'" title="'.$web[326].'" />
              </a>
            </div>
            <div class="tdtbldiv width60 textCenter">
              <input type="checkbox" name="delRecu_id[]" value="'.$i.'" />
              <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
            </div>
          </div>
        </div>
      </div>
    </div>';
                    $nbMsgRecu ++;
                }
            }
            echo '
  </div>';
            if ($nbMsgRecu > 0) { //Case Tout supprimer
                echo '
  <div class="tbldiv marginAuto tbltinymain">
	<div class="trtbldiv textCenter trmsgtiny">
      <div class="tdtbldiv textRight">'.$web[425].'</div>
      <div class="tdtbldiv width12">
        <input title="'.$web[426].'" type="checkbox" name="delRecu_all" value="" onclick="selectAllMsg(this)" />
        <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
      </div>
    </div>
  </div>';
            }
            echo '
  <br />
  <div class="marginAuto textCenter"><strong>'.$web[327].'</strong></div>
  <div class="tbldiv marginAuto tbltinymain">
    <div class="forum trtbldiv textCenter">
      <div class="tdtbldiv width10"><strong>'.$web[206].'</strong></div>
      <div class="tdtbldiv width35"><strong>'.$web[328].'</strong></div>
      <div class="tdtbldiv width35"><strong>'.$web[325].'</strong></div>
      <div class="tdtbldiv width20">
        <div class="tbldiv marginAuto">
          <div class="trtbldiv">
            <div class="tdtbldiv textCenter"><strong>'.$web[323].'</strong></div>
          </div>
        </div>
      </div>
    </div>';
      
            $nbMsgSend = 0;
            for ($i = 2; $i < count($dbmsg); $i++) {
                if ($dbmsg[$i][4] == 'send') {
                    echo '
    <div class="rep trtbldiv textCenter trmsgtiny">
      <div class="tdtbldiv width10"><img src="'.$reptheme.'/'.$dbmsg[$i][3].'.gif" alt="'.$dbmsg[$i][3].'" title="'.$dbmsg[$i][3].'" /></div>
      <div class="tdtbldiv width35 textLeft tdmsglnk"><strong>'.$dbmsg[$i][0].'</strong></div>
      <div class="tdtbldiv width35">'.FormatDate($dbmsg[$i][1]).'</div>
      <div class="tdtbldiv width20 textCenter">
        <div class="tbldiv marginAuto width100">
          <div class="trtbldiv">
            <div class="tdtbldiv width40">
              <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-5-6'.$i.'-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=6&amp;id='.$i.'&amp;tconfig='.$tconfig.$z2).'">
                <img src="'.$reptheme.'/look.png" alt="'.$web[326].'" title="'.$web[326].'" />
              </a>
            </div>
            <div class="tdtbldiv width60">
              <input type="checkbox" name="delSend_id[]" value="'.$i.'" />
              <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
            </div>
          </div>
        </div>
      </div>
    </div>';
                    $nbMsgSend ++;
                }
            }
            echo '
  </div>';

            if ($nbMsgSend > 0) { //Case Tout supprimer
                echo '
  <div class="tbldiv marginAuto tbltinymain">
	<div class="trtbldiv textCenter trmsgtiny">
      <div class="tdtbldiv textRight">'.$web[425].'</div>
      <div class="tdtbldiv width12">
        <input title="'.$web[427].'" type="checkbox" name="delSend_all" value="" onclick="selectAllMsg(this)" />
        <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
      </div>
    </div>
  </div>';
            }
            if ($nbMsgSend + $nbMsgRecu > 0) { //Case Tout supprimer
                echo '
  <div class="marginAuto textRight btntinymain">'.SubmitButton($web[424]).' <img src="'.$reptheme.'/up1.png" alt=" " /></div>';
            }
            echo '
  </form>';
        }
    }
}
################################################################################
elseif ($action == 4) { // Répondre à  ou Supprimer un tiny
    if (empty($id)) {
        die('tinymsg.php : action=4 empty id');
    }
    $dbmsg = array();
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($dbmsg[0][0] == $userprefs[7]) {
			$sendRR = $dbmsg[$id][3] == 'lu' ? true : false;
            $dbmsg[$id][3] = 'lu';
            UpdateFicForm(MSGREP.$userprefs[1].DBEXT, implode(CONNECTOR, $dbmsg[$id]), $id);
            echo '
    <p class="textCenter"><b>'.$web[330]." ".$dbmsg[$id][0].'</b> '.$web[7]." ".FormatDate($dbmsg[$id][1]).'</p>';
			$imgavexp = $page[23] != 'none' ? $dbmsg[$id][7] != '' ? $page[23].'/'.$dbmsg[$id][7] : 'unknow.png' : '';
			echo '
    <br />
	<fieldset>
      <div class="tbldiv width98 marginAuto">
        <div class="rep trtbldiv">
          <div class="tdtbldiv width10 textCenter">
            '.($page[23] != 'none' ?  '<img src="'.CHEMIN.'inc/img/avatars/'.$imgavexp.'" alt="'.$dbmsg[$id][0].'" title="'.$dbmsg[$id][0].'" />' : '&nbsp;').'
          </div>
          <div class="tdtbldiv width90"><p>'.stripslashes(souriez($dbmsg[$id][2])).'</p></div>
        </div>
      </div>';
			if($dbmsg[$id][5] != '') {
				$imgavdest = $page[23] != 'none' ? $userprefs[8] != '' ? $page[23].'/'.$userprefs[8] : 'unknow.png' : '';
                echo '
      <div class="tbldiv width98 marginAuto">
        <div class="forum trtbldiv textCenter">
          <div class="tdtbldiv"><p>'.$web[329]." ".FormatDate($dbmsg[$id][6]).'</p></div>
        </div>
      </div>
      <div class="tbldiv width98 marginAuto">
        <div class="rep trtbldiv">
          <div class="tdtbldiv width10 textCenter">
            '.($page[23] != 'none' ?  '<img src="inc/img/avatars/'.($page[23] != 'none' ? $imgavdest : '&nbsp;').'" alt="Avatar '.$dbmsg[$id][0].'" />' : '&nbsp;').'
          </div>
          <div class="tdtbldiv width90"><p>'.stripslashes(souriez($dbmsg[$id][5])).'</p></div>
        </div>
      </div>';
			}
			echo '
	</fieldset>
	<div class="textCenter divcmdtiny">
	  <div class="f-left">
	    <form name="msg_answer" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-4-1-'.$id.'-'.$dbmsg[$id][0].'-'.$userprefs[1].'-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;id='.$id.'&amp;to='.$dbmsg[$id][0].'&amp;from='.$userprefs[1].'&amp;tconfig='.$tconfig.$z2).'" method="post" class="frmcmdtiny">
		  '.SubmitButton($web[140]).'
	    </form>
	  </div>
	  <div>
	    <form name="msg_del" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-5-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=5&amp;tconfig='.$tconfig.$z2).'" method="post" class="frmcmdtiny">
	      <input type="hidden" name="delRecu_id[]" value="'.$id.'" />
		  '.SubmitButton($web[324]).'
	    </form>
	  </div>
	</div>';
			if ($dbmsg[1][27] == 'on' && $sendRR) {
				$dbmsg2 = ReadDBFields(MSGREP.$dbmsg[$id][0].DBEXT);
				$to     = $dbmsg2[1][3];
				$sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[670];
				$body   = '<div style="margin:auto;padding:8px;width:440px;border: solid 1px #000000;border-radius:4px;">';
				$body  .= '<p style="text-align:left;font:12pt Arial;">';
				$body  .= $web[245].sprintf($web[671], $dbmsg2[1][2], $userprefs[1]).'<a href="'.$site[3].'" title="'.$site[3].'">'.$site[3].'</a><br /><br />';
				$body  .= $web[56].'<br /><br />'.$dbmsg[$id][2].'<br /><br />';
				$body  .= '</p></div>';
				eMailHtmlTo($sujet, $body, $to);
			}
		}
	}
    echo '
  <p class="textCenter">
    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$tconfig.$z2).'" title="">'.$web[135].'
	  <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	</a>
  </p>';
}
################################################################################
elseif ($action == 5) { // Supprimer des tiny
	$id = array();
	$id_recu = (isset($_POST['delRecu_id']) && is_array($_POST['delRecu_id']))? $_POST['delRecu_id'] : array();
	$id_send = (isset($_POST['delSend_id']) && is_array($_POST['delSend_id']))? $_POST['delSend_id'] : array();
	$id = array_merge($id_recu, $id_send);
	if (FileDBExist(MSGREP.$userprefs[1].DBEXT) && !empty($id)) { //Vérification de l'existence du membre
		$dbmsg = array();
		$dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
		if ($dbmsg[0][0] == $userprefs[7]) { //Vérification du mot de passe
			for ($i = 0; $i < count($id); $i++) {
				unset($dbmsg[$id[$i]]);
			}
			$dbmsg = array_values($dbmsg);
			WriteDBFields(MSGREP.$userprefs[1].DBEXT, $dbmsg);
		}
	}
    echo '
  <p class="textCenter">'.$web[331].'</p>
  <br />
  <p class="textCenter">
    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$tconfig.$z2).'" title="">'.$web[135].'
	  <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	</a>
  </p>
  <form name="suit5" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$tconfig.$z2).'" method="post"></form>'.BeginJavascript().'
setTimeout("document.suit5.submit();",2400);'.EndJavascript();
}
################################################################################
elseif ($action == 6) {
    if (empty($id)) {
        die("tinymsg.php : action=6 empty id");
    }
    $dbmsg = Array();
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($dbmsg[0][0] == $userprefs[7]) {
            $dbmsg[$id][3] = 'lu';
            UpdateFicForm(MSGREP.$userprefs[1].DBEXT, implode(CONNECTOR, $dbmsg[$id]), $id);
            echo '
      <p class="textCenter">'.$web[328]." : &nbsp;" .' <strong>'.$dbmsg[$id][0].'</strong> '." &nbsp;".$web[7]." &nbsp;".FormatDate($dbmsg[$id][1]).'</p>
      <div class="rep width98 divreptiny">'.stripslashes(souriez($dbmsg[$id][2])).'</div>';
        }
    }
    echo '
  <div class="textCenter">
  <hr />
  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$tconfig.$z2).'">'.$web[135].'
      <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	</a>
  </div>';
}
################################################################################

btable();
include 'inc/bpage.inc';
?>

