<?php
/*******************************************************************************
 *   Confirm User preferencies
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.1 (March 08, 2014)       : resized to 64x64 external avatars
 * v5.0.2 (March 25, 2014)       : corrected entry form
 *                               : added processing against vulnerabilities
 *                               : added processing for minimum time to response
 * v5.0.5 (June 07, 2014)        : corrected real password for mails
 *                               : protected account deletion
 *                               : protection against copying in certain fields
 *                               : corrected the removal of collaborating members
 * v5.0.6 (July 02, 2014)        : improvement of management members
 * v5.0.7 (August 21, 2014)      : improvement of management members
 * v5.0.8 (October 02, 2014)     : add test of option to prohibit skin changes
 * v5.0.9 (November 28, 2014)    : improved display form
 * v5.00.10 (December 29, 2014)  : corrected processing against vulnerabilities
 * v5.00.11 (March 02, 2015)     : corrected access of connected user
 *                               : changing the input of the pseudo
 *                               : add hyphen in the nickname
 * v5.01.00 (June 12, 2015)      : add ckeckbox for hostings behind a cache (thanks jcp)
 *                               : improvement for a mobile-friendly structure
 *                               : replacement of security messages
 *                               : corrected supervision of new user
 * v5.01.01 (September 02, 2015) : corrected inscription flag
 * v5.01.02 (December 02, 2015)  : changing the treatment of $tconfig
 * v5.01.03 (June 07, 2016)      : adding the prohibition of changing the position of the boxes
 *                               : corrected url-rw rule for connect link
 *                               : replace css properties by class rules
 *                               : improvement of IP address reading
 * v5.01.04 (September 07, 2016) : suppress editor test
 *                               : correction confirmation webmaster
 * v5.01.06 (December 06, 2016)  : avatar and external signature image become internal in https
 * v5.01.07 (January 04, 2016)   : improvement of control of external signature
 * v5.02.00 (May 09, 2017)       : improve cookies and session management for firewall use
 *                               : adding new member to the list of online members
 * v5.02.01 (August 28, 2017)    : improvement of user email validation
 *                               : suppress session cookie parameters for Edge and mobiles
 *                               : password protection
 * v5.02.02 (December 18, 2017)  : secondary admin support
 *                               : deleting the GuppYUser5 cookie
 *                               : improving the complete deletion of a member
 *                               : improved password control
 * v5.02.03 (February 01, 2018)  : improvement of password input
 *                               : deleting collaborator in admin protection file
 *                               : new password synchronization
 * v5.02.03 (February 01, 2018)  : automatic disconnection improvement
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[28] != 'on') {
    exit($web[143]);
}

$crypt   = isset($_POST['crypt']) ? strip_tags($_POST['crypt']) : NULL;
$cryptok = (!$crypt) ? false : chk_crypt($crypt);

$topmess = getLabel($nom[($lng == $lang[0] ? 34 : 35)]);
$topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;

$setusercookie = import('setusercookie');
$tconfig       = $serviz[172] == 'ALL' ? import('tconfig', '', true, 0) : $serviz[172];

$REMOTE_ADDR = getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']);
switch ($setusercookie) {
case NULL :
	$token = uniqid(rand(), true);
	$_SESSION['user_token']      = $token;
	$_SESSION['user_token_time'] = time();
    break;
case 1 :
	$token = !isset($_SESSION['user_token']) ? NULL : $_SESSION['user_token'];
    $token_time = time() - (15 * 60);
    $msg = $REMOTE_ADDR.'<br />'.(is_null($token) ? 'NULL' : $token).' => '.intval(($token_time - $_SESSION['user_token_time']) / 60);
	if ($_SESSION['user_token'] != $token || $_SESSION['user_token_time'] < $token_time) {
        echo BeginJavascript().'
var sto = "'.str_replace('<br />', '\n', stripslashes($web[681])).'";
alert(sto);
'.EndJavascript();
        $setusercookie = NULL;
        $token = uniqid(rand(), true);
        $_SESSION['user_token'] = $token;
        $_SESSION['user_token_time'] = time();
    }
	elseif ($_SESSION['user_token_time'] + 2 > time()) {
        echo BeginJavascript().'
var sto = "'.str_replace('<br />', '\n', stripslashes($web[682])).'";
alert(sto);
'.EndJavascript();
        $setusercookie = NULL;
        $token = uniqid(rand(), true);
        $_SESSION['user_token'] = $token;
        $_SESSION['user_token_time'] = time();
    }
    break;
}

$ctrl_spam  = import('code_pseudo', 'POST');
$unreg      = import('unreg');
$ulang      = import('ulang');
$upseudo    = import('upseudo');
$upseudo    = 1 == preg_match('/^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/', $upseudo) ? $upseudo : '';
$uemail     = checkEmail(CutLongWord(import('uemail')));
$uboxes     = import('uboxes');
$ushow      = import('ushow');
$usign      = WrapLongWords(stripslashes(import('usign')));
$uuid       = import('uuid');
$uuid2      = import('uuid2');
$udesign    = import('udesign');
$avatar     = import('avatar');
$avatar     = IsImage(substr($avatar, -3)) ? trim($avatar) : 'unknow.png';
$uwebsite   = import('uwebsite');
$uimgsign   = import('uimgsign');
$uextavatar = import('uextavatar');
$suite      = import('suite');
$modif      = import('modif');
$uuser      = import('uuser');
$umailct    = import('umailct');
$umpct      = import('umpct');
$usendmail  = import('usendmail');
$usendct    = import('usendct');
$uredir     = import('uredir');

$ishttps    = 1 != preg_match('!^https!', $site[3]) ? false : true;
$preprot    = $ishttps ? 'https://' : 'http://';
$uwebsite   = empty($uwebsite) ? 'http://' : $uwebsite;
$uimgsign   = empty($uimgsign) ? $preprot : $uimgsign;
$uextavatar = empty($uextavatar) ? $preprot : $uextavatar;

$err_pseudo = (empty($upseudo) || $upseudo != import('upseudo')) && $setusercookie == 1 ? true: false;
$err_uid    = ((empty($uuid) && $modif != '1') || (!empty($uuid) && !ctrlPasswordOK($uuid))) && $setusercookie == 1 ? true: false;
$err_uid2   = $uuid != $uuid2 && $setusercookie == 1 ? true: false;
$err_uemail = empty($uemail) && $setusercookie == 1 ? true: false;
$err_uweb   = 'http://' != $uwebsite && 'https://' != $uwebsite && 1 != preg_match('/(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uwebsite) && $setusercookie == 1 ? true : false;
$err_uimg   = 'http://' != $uimgsign && 'https://' != $uimgsign && 1 != preg_match('/(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uimgsign) && $setusercookie == 1 ? true : false;
$err_uext   = 'http://' != $uextavatar && 'https://' != $uextavatar && 1 != preg_match('/(http|https|inc\/img\/avatars):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uextavatar) && $setusercookie == 1 ? true : false;
$err_uimg   = $err_uimg && !IsImage(substr($uimgsign, -3));
$err_uext   = $err_uext && !IsImage(substr($uextavatar, -3));
$err_crypt  = $serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '') && !$cryptok && $setusercookie == 1 ? true: false;

$erreur  = '';
$erreur .= $err_pseudo ? '<li>'.$web[266].'</li>': '';
$erreur .= $err_uid ? '<li>'.$web[302].'</li>': '';
$erreur .= $err_uid2 ? '<li>'.$web[466].'</li>': '';
$erreur .= $err_uemail ? '<li>'.$web[42].'</li>': '';
$erreur .= $err_uweb ? '<li>'.$web[545].$web[51].$web[554].'</li>': '';
$erreur .= $err_uimg ? '<li>'.$web[545].$web[623].$web[554].'</li>': '';
$erreur .= $err_uext ? '<li>'.$web[545].$web[627].$web[554].'</li>': '';
$erreur .= $err_crypt ? '<li>'.$web[529].'</li>': '';

$uwebsite   = $err_uweb ? 'http://' : $uwebsite;
$uimgsign   = $err_uimg ? $preprot : $uimgsign;
$uextavatar = $err_uext ? $preprot : $uextavatar;

$usermess = '';
$modif_ok = ($uuser == 'old' && $modif == 1 && !empty($usercookie) && $userprefs[1] != '');
if (($members[19] == '0' && empty($usercookie)) || ($members[19] == '3' && ($userprefs[1] != $serviz[31] || $userprefs[1] != $serviz[31])) && !$modif_ok) {
	echo BeginJavascript().'
alert("'.addslashes($web[512]).'");
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng).'";
'.EndJavascript();
	include 'inc/hpage.inc';
    if (function_exists('htable1'))
        htable1($topmess, 'USR'.$tconfig, '100%');
    else    
        htable($topmess, '100%');
	echo '<br /><p class="textCenter"><strong>'.$web[512].'</strong></p>';
	btable();
	include 'inc/bpage.inc';
    exit('<p class="textCenter"><br><strong>'.$web[512].'</strong></p>');
}

// contrôle en attente déjà inscrit
if (is_file(MSGREP.$upseudo.DBEXT)) {
    $dbmsg = ReadDBFields(MSGREP.$upseudo.DBEXT);
	$dbmsg[1][31] = empty($dbmsg[1][31]) ? '0' : $dbmsg[1][31];
	if ($dbmsg[1][31] == '1' || $dbmsg[1][31] == '2') {
		switch($suite) {
			case '' : // inscription en attente
				include('inc/hpage.inc');
                if (function_exists('htable1'))
                    htable1($topmess, 'USR'.$tconfig, '100%');
                else    
                    htable($topmess, '100%');
				echo '
<br />
<p class="textCenter"><strong>'.$web[577].'</strong></p>';
				btable();
				include 'inc/bpage.inc';
				break;
			case 'ok' : // confirmation mail
				if ($uuid == $dbmsg[0][0]) {
					$dbmsg[0][0]  = md5($uuid);
					$dbmsg[0][1]  = crypt($uuid);
					$dbmsg[1][31] = 'ok';
					WriteDBFields(MSGREP.$upseudo.DBEXT, $dbmsg);
					unset($dbmsg);
					echo BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng).'"'.EndJavascript();
				} else {
					die('STOP : bad password');
				}
				exit();
				break;
			case 'go' : // confirmation webmaster
				include 'inc/hpage.inc';
                if (function_exists('htable1'))
                    htable1($topmess, 'USR'.$tconfig, '100%');
                else    
                    htable($topmess, '100%');
                if ($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176] || $drtuser[42] == 'admin') {
                    $uuid         = $dbmsg[0][0];
                    $dbmsg[0][0]  = md5($uuid);
					$dbmsg[0][1]  = crypt($uuid);
                    $dbmsg[1][31] = 'ok';
                    WriteDBFields(MSGREP.$upseudo.DBEXT, $dbmsg);
                    echo sprintf($web[558], $upseudo);
                    $uemail = $dbmsg[1][3];
                    $to     = $uemail;
                    $sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[515];
                    $body   = $web[245].sprintf($web[516], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
                    $body  .= $web[49].' '.$upseudo.'<br />'.$web[300].' : '.$uuid.'<br />'.$web[517];
                    $body  .= '<a href="'.$site[3].'index.php?lng='.$lng.'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
                    $body  .= $web[235].'<br />'.$user[0].'<br />';
                    eMailHtmlTo($sujet,$body,$to);
                } else {
					echo '
<br />
<p class="textCenter"><strong>'.$web[513].'</strong></p>';                    
                }
				btable();
				include 'inc/bpage.inc';
				exit();
				break;
			case 'no' : // refus
				include 'inc/hpage.inc';
                if (function_exists('htable1'))
                    htable1($topmess, 'USR'.$tconfig, '100%');
                else    
                    htable($topmess, '100%');
                if ($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176] || $drtuser[42] == 'admin') {
                    DestroyDBFile(MSGREP.$upseudo.DBEXT);
                    $uemail = $dbmsg[1][3];
                    $to     = $uemail;
                    $sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[518];
                    $body   = $web[240].sprintf($web[519], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
                    $body  .= $web[235].'<br />'.$user[0].'<br />';
                    eMailHtmlTo($sujet,$body,$to);                    
					echo '
<br />
<p class="textCenter"><strong>'.$web[518].'<br />'.$upseudo.'</strong></p>';                    
                } else {
					echo BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-0'.$z2 : 'connect.php?lng='.$lng.'&tconfig=0'.$z2).'"'.EndJavascript();                    
                }
				btable();
				include 'inc/bpage.inc';
				exit();
				break;
			default: /// attente de confirmation
				include 'inc/hpage.inc';
                if (function_exists('htable1'))
                    htable1($topmess, 'USR'.$tconfig, '100%');
                else    
                    htable($topmess, '100%');
				switch($members[19]) {
				case 1 :
					echo '
<br />
<p class="textCenter"><strong>'.$web[513].'</strong></p>';
					break;
				case 2 :
					echo '
<br />
<p class="textCenter"><strong>'.$web[514].'</strong></p>';
					break;
				}
				btable();
				include 'inc/bpage.inc';
				exit();
				break;
		}
	}
}

if ($suite != '') {
    switch($suite) {
        case 'ok' : // confirmation mail
			echo BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$tconfig.$z2 : 'connect.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'"'.EndJavascript();
			break;
        case 'go' : // confirmation webmaster
        case 'no' : // refus
            include('inc/hpage.inc');
            if (function_exists('htable1'))
                htable1($topmess, 'USR'.$tconfig, '100%');
            else    
                htable($topmess, '100%');
            echo '
<br />
<p class="textCenter"><strong>'.$web[459].'</strong></p>';
            btable();
            include('inc/bpage.inc');
			exit();
			break;
		default :
			echo BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng).'"'.EndJavascript();
	}
}

// enregistrement nouveau ou modif
if ($setusercookie == 1 && empty($ctrl_spam)) {
    $aconnect  = isset($_COOKIE[PREF_COOKIE]) ? explode(CONNECTOR, $_COOKIE[PREF_COOKIE]) : array(0, '');
    $is_pseudo = $upseudo == ($serviz[177] == '0' ? $_SESSION['connect_pseudo'] : $aconnect[1]);
    $pseudok   = ($uuser == 'old' && $userprefs[1] == $upseudo && $is_pseudo) || $uuser == 'new' ? true : false;
    if ($pseudok) {
        $msg     = '';
        $dbmail  = array();
        $bad     = array('.', '..', 'index.php');
        $files   = scandir(MSGREP);
        $files   = array_diff($files, $bad);
        foreach ($files as $file) {
            if ($file == $upseudo.DBEXT) {
                if ($uuser == 'new') {
                    $pseudok = false;
                    $msg     = $web[231];
                    break;                
                }
            } else {
                $userdb = ReadDBFields(MSGREP.$file);
                if (!empty($userdb[1][3])) $dbmail[] = $userdb[1][3];
            }
        }
    } else {
        $msg = $web[404];        
    }
	if ($pseudok && ($uuser == 'new' || ($modif == 1 && $userprefs[2] != $uemail)) && in_array($uemail, $dbmail)) {
		$pseudok    = false;
		$msg       .= ' - '.$web[557];
		$err_uemail = true;
		$err_uid    = $uuid != $uuid2 ? true: false;
		$err_uid2   = $uuid != $uuid2 ? true: false;
	}
    if ($pseudok) {
		$continue = true;
        if (($serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) && $err_crypt) {
			$msg .= ' - '.$web[529];
            $continue = false;			
        }
		if ($continue && empty($erreur)) {
            $imghttps = 1 != preg_match('!^https!', $uimgsign) ? false : true;
			if ($uimgsign != $preprot) {
                $uimgsign = $ishttps && !$imghttps ? $site[3].'data/users/frsigns/'.basename($uimgsign) : $uimgsign;
                if (file_exists($uimgsign)) {
                    list($wimg, $himg, $timg, $aimg) = getimagesize($uimgsign);
                    if ($wimg == 0 || $himg == 0 || $wimg > 468 || $himg > 60) {
                        $msg .= ' - '.$web[624];
                        $continue = false;
                    } else {
                        $frcode  = 'fr_'.$upseudo;
                        $frsigns = ReadFrSigns();
                        if (isset($frsigns[$frcode])) {
                            $frsigns[$frcode]['image'] = $uimgsign;
                            $frsigns[$frcode]['status']  = 'a';
                        } else {
                            $frsigns[$frcode]['image']   = $uimgsign;
                            $frsigns[$frcode]['status']  = 'a';
                            $frsigns[$frcode]['origine'] = 'e';
                        }
                        WriteFrSigns($frsigns);
                    }
                } else $uimgsign = '';
			}
            if (empty($uimgsign) || $uimgsign == $preprot) {
				$frcode  = 'fr_'.$upseudo;
				$frsigns = ReadFrSigns();
				if (isset($frsigns[$frcode])) unset($frsigns[$frcode]);
				WriteFrSigns($frsigns);
			}
		}
		if ($continue) {
			if ($uextavatar != $preprot) {
                $imghttps   = 1 != preg_match('!^https!', $uextavatar) ? false : true;
                $uextavatar = $ishttps && !$imghttps ? 'inc/img/avatars/'.basename($uextavatar) : $uextavatar;
                $avaexist   = $ishttps && !$imghttps ? CHEMIN.$uextavatar : $uextavatar;
                if (file_exists($avaexist)) {
                    list($wimg, $himg, $timg, $aimg) = getimagesize($avaexist);
                    if ($wimg == 0 || $himg == 0 || $wimg > 64 || $himg > 64) {
                        $msg .= ' - '.$web[628];
                        $continue = false;
                    }
                }
			}
		}
		if ($continue && empty($erreur)) {
			$uuid    = empty($uuid) && $uuser == 'new' ? GenerateUID() : $uuid;
			$userdb  = (is_file(MSGREP.$upseudo.DBEXT)) ? ReadDBFields(MSGREP.$upseudo.DBEXT) : array();
			$lng     = $ulang;
			$uavaext = isset($userdb[1][22]) && !empty($userdb[1][22]) ? $userdb[1][22] : 'user21';
			$uimgext = isset($userdb[1][23]) && !empty($userdb[1][23]) ? $userdb[1][23] : 'user22';
			if ($uimgext == 'on') {
				$frcode  = 'fr_'.$upseudo;
				$frsigns = ReadFrSigns();
				if (isset($frsigns[$frcode])) {
					unset($frsigns[$frcode]);
					WriteFrSigns($frsigns);
				}
			}
            $usign = str_replace(chr(10), '<br />', RemoveConnector(stripslashes($usign)));
			
			$usertemp[0]  = $ulang;
			$usertemp[1]  = trim($upseudo);
			$usertemp[2]  = trim($uemail);
			$usertemp[3]  = $uboxes;
			$usertemp[4]  = $ulang;
			$usertemp[5]  = $ushow;
			$usertemp[6]  = $usign;
			$usertemp[7]  = ($modif == '1' && empty($uuid)) ? $userdb[0][0] : md5($uuid);
			$usertemp[8]  = $avatar;
			$usertemp[9]  = $uwebsite == 'https://' || $uwebsite == 'http://' ? '' : $uwebsite;
			$usertemp[10] = $serviz[146] == 'on' ? '' : $udesign;
			$usertemp[11] = '';
			$usertemp[12] = 'on';
			$usertemp[13] = (is_file(MSGREP.$upseudo.DBEXT) && !empty($userprefs[13])) ? $userprefs[13] : GetCurrentDateTime();
			$usertemp[14] = (is_file(MSGREP.$upseudo.DBEXT) && !empty($userprefs[14])) ? $userprefs[14] : GetCurrentDateTime();
			$usertemp[15] = $uextavatar == $preprot || $avatar != 'unknow.png' || $uavaext == 'on' ? '' : $uextavatar;
			$usertemp[16] = (is_file(MSGREP.$upseudo.DBEXT)) ? $userprefs[14] : GetCurrentDateTime();
			$usertemp[17] = $userdb[1][18];
			$usertemp[18] = $userdb[1][19];
			$usertemp[19] = $userdb[1][20];
			$usertemp[20] = $userdb[1][21];
			$usertemp[21] = $uavaext;
			$usertemp[22] = $uimgext;
			$usertemp[23] = $umailct;
			$usertemp[24] = $umpct;
			$usertemp[25] = $usendmail;
			$usertemp[26] = $usendct;
			$usertemp[27] = '';
			$usertemp[28] = $userdb[1][29];
			$usertemp[29] = $uredir;
			$usertemp[30] = $members[19] == '' ? 'ok' : $userdb[1][31];
			
			$userdb[0][0] = $usertemp[7];
            $userdb[0][1] = crypt($uuid);
			$userdb[1][0] = '0';
			if ($uuser == 'new') {
				$userdb[1][1] = $usertemp[0].CONNECTOR.$usertemp[1].CONNECTOR.$usertemp[2].CONNECTOR.$usertemp[3].CONNECTOR.$usertemp[4].CONNECTOR.
                  $usertemp[5].CONNECTOR.$usertemp[6].CONNECTOR.$usertemp[7].CONNECTOR.$usertemp[8].CONNECTOR.$usertemp[9].CONNECTOR.$usertemp[10].CONNECTOR.
                  $usertemp[11].CONNECTOR.$usertemp[12].CONNECTOR.$usertemp[13].CONNECTOR.$usertemp[14].CONNECTOR.$usertemp[15].CONNECTOR.$usertemp[16].CONNECTOR.
                  $usertemp[17].CONNECTOR.$usertemp[18].CONNECTOR.$usertemp[19].CONNECTOR.$usertemp[20].CONNECTOR.$usertemp[21].CONNECTOR.$usertemp[22].CONNECTOR.
                  $usertemp[23].CONNECTOR.$usertemp[24].CONNECTOR.$usertemp[25].CONNECTOR.$usertemp[26].CONNECTOR.$usertemp[27].CONNECTOR.$usertemp[28].CONNECTOR.
                  $usertemp[29].CONNECTOR.($members[19] == '' ? 'ok' : $members[19]);
                $padmin = trim($serviz[31]) == '' ? (trim($serviz[176]) == '' ? $user[0] : $serviz[176]) : $serviz[31];
				if ($serviz[31] != '') {
					$userdb[2][0] = $padmin.CONNECTOR.GetCurrentDateTime().CONNECTOR.'&nbsp; '.
					$web[253].' '.sprintf($web[167], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), $usertemp[1]).CONNECTOR.'new'.CONNECTOR.
						CONNECTOR.CONNECTOR.CONNECTOR.$serviz[43].CONNECTOR.substr($page[23], 4);
				}
                if ($usertemp[1] != '' && $usertemp[5] == 'on' && $serviz[111] == 'on') {
                    $regusers    = ReadDBFields(DBIPSTATS);
                    $usersonline = array();
                    $myIP        = '';
                    foreach ($regusers as $reg) {
                        if (!empty($reg[2])) {
                            if ($usertemp[1] == $reg[2]) $myIP = $reg[0];
                            $usersonline[] = array($reg[2], $reg[0]);
                        }
                    }
                    @usort($usersonline,'AsciiCompare');
                    $uniqueusers   = array();
                    $uniqueusers[] = $usersonline[0];
                    for ($i = 1; $i < count($usersonline); $i++) {
                        if ($usersonline[$i][0] != $usersonline[$i-1][0]) {
                            $uniqueusers[] = $usersonline[$i];
                        }
                    }
                    $visits  = ReadDBFields(USERREP.'visitsofday.dtb');
                    $today   = date('Ymd');
                    $visits1 = array();
                    foreach ($visits as $visit) if ($visit[1] == $today) $visits1[] = $visit;
                    $found = false;
                    foreach ($uniqueusers as $unuser) {
                        foreach ($visits1 as $visit) if ($visit[0] == $unuser[0]) $found = true;
                        if (!$found && !empty($unuser[0])) $visits1[] = array($unuser[0], $today);
                    }
                    WriteDBFields(USERREP.'visitsofday.dtb', $visits1);
                }
			} else {			
				$userdb[1][1]  = $ulang;    // langue
				$userdb[1][2]  = trim($upseudo);  // pseudo
				$userdb[1][3]  = trim($uemail);   // email
				$userdb[1][4]  = $uboxes;   // position boîtes
				$userdb[1][5]  = $ulang;    // langue
				$userdb[1][6]  = $ushow;    // afficher pseudo dans connectés
				$userdb[1][7]  = $usign;    // signature forum
				$userdb[1][8]  = ($modif == '1' && empty($uuid)) ? $userdb[0][0] : md5($uuid);       // pass
				$userdb[1][9]  = $avatar;                                                            // avatar
				$userdb[1][10] = $uwebsite == 'https://' || $uwebsite == 'http://' ? '' : $uwebsite; // site web
				$userdb[1][11] = $serviz[146] == 'on' ? '' : $udesign;                               // skin
				$userdb[1][12] = '';    // éditeur
				$userdb[1][13] = 'on';  // 'on' par défaut
				$userdb[1][14] = (is_file(MSGREP.$upseudo.DBEXT) && !empty($userprefs[13])) ? $userprefs[13] : GetCurrentDateTime(); // date enregistrement
				$userdb[1][15] = (is_file(MSGREP.$upseudo.DBEXT) && !empty($userprefs[14])) ? $userprefs[14] : GetCurrentDateTime(); // date dernière connexion
				$userdb[1][16] = $uextavatar == $preprot || $avatar != 'unknow.png' || $uavaext == 'on' ? '' : $uextavatar;          // avatar externe
				$userdb[1][17] = (is_file(MSGREP.$upseudo.DBEXT)) ? $userprefs[14] : GetCurrentDateTime();                           // date déconnexion
				$userdb[1][18] = $userdb[1][18];   // pas autorisé MP
				$userdb[1][19] = $userdb[1][19];   // pas autorisé email
				$userdb[1][20] = $userdb[1][20];   // pas autorisé profils membres
				$userdb[1][21] = $userdb[1][21];   // pas autorisé liste des membres
				$userdb[1][22] = $uavaext;         // interdire avatar externe
				$userdb[1][23] = $uimgext;         // interdire image signature externe
				$userdb[1][24] = $umailct;         // membres peuvent envoyer email
				$userdb[1][25] = $umpct;           // membres peuvent envoyer MP
				$userdb[1][26] = $usendmail;       // avertir par email arrivée MP
				$userdb[1][27] = $usendct;         // accusé lecture MP
				$userdb[1][28] = '';               // 
				$userdb[1][29] = $userdb[1][29];   // pas autorisé change boîtes
				$userdb[1][30] = $uredir;          // redirection vers l'accueil
				$userdb[1][31] = $userdb[1][31];   // flag inscription 
			}
            if (!empty($userprefs[4])) {
                include CHEMIN.'inc/lang/'.$userprefs[4].'-web'.INCEXT;
            } else {
                include CHEMIN.'inc/lang/'.$lng.'-web'.INCEXT;
            }
            if ($uuser == 'new' && $supervision[11] == 'on') {
                $sujet = $web[608];
                $body  = $web[253].' '.$user[0].'<br /><br />'.sprintf($web[609], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
                $body .= $web[455].getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']).'<br /><br />';
                $to    = $user[1];
                eMailHtmlTo($sujet, $body, $to);
            }
			if (($members[19] == '') || $modif == '1') {
				WriteDBFields(MSGREP.$usertemp[1].DBEXT, $userdb);
                $userdata = '';
                for ($i = 0; $i < count($usertemp); $i++) {
                    $stri      = sprintf("%02d", $i);
                    $strlen    = empty($usertemp[$i]) ? '03' : sprintf("%02d", strlen($usertemp[$i]));
                    $userdata .= $stri.$strlen.(empty($usertemp[$i]) ? 'off' : $usertemp[$i]);
                }
                
                if ($serviz[177] == '0') {
                    $_SESSION['SID']            = @session_id();
                    $_SESSION['connect_time']   = time();
                    $_SESSION['connect_pseudo'] = $userprefs[1];
                    $_SESSION['UserData']       = $userdata;
                } else {
                    $usertime = !empty($members[21]) ? intval($members[21]) : 157680000;
                    $expires  = (is_file(CHEMIN.'admin/'.REDACREP.$userprefs[1].INCEXT) || $userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176]) ? 157680000 : $usertime;
                    setcookie(USER_COOKIE, $userdata, time() + $expires, '/', $_DOMAIN, $_SECURE);
                    
                    $userconnect = time().CONNECTOR.$userprefs[1];
                    setcookie(PREF_COOKIE, $userconnect, time() + $expires, '/', $_DOMAIN, $_SECURE);
                }
                
                $usermess = $web[161];
				if ($uuser == 'old' && !empty($uuid)) {
					UpdateCollaboratorPass($upseudo, md5($uuid));
                    UpdateProtectMember($upseudo, crypt($uuid));
				}
				include 'inc/hpage.inc';
                if (function_exists('htable1'))
                    htable1($topmess, 'USR'.$tconfig, '100%');
                else    
                    htable($topmess, '100%');
				echo '
<br />
<p class="textCenter"><b>'.$usermess.'</b></p>';
				btable();
				include 'inc/bpage.inc';
				echo '
<br />'.BeginJavascript().'
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-14-'.$tconfig.$z2 : 'compte.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'"\', 3000);
'.EndJavascript();
				header('location:'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-14-'.$tconfig.$z2 : 'compte.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2));
				exit();
			}
			
			$userdb[0][0]  = $uuid;
            $userdb[0][1]  = crypt($uuid);
			$userdb[1][31] = $members[19] == '' ? 'user30' : $members[19]; 
			WriteDBFields(MSGREP.$usertemp[1].DBEXT, $userdb);
			if ($members[19] == '1') { // confirmation par mail
				$adrimg = $skn_logo != '' ? $skn_logo : CHEMIN.'img/'.$page[4];
				while ('../' == substr($adrimg, 0, 3)) $adrimg = substr($adrimg, 3);
				$to    = $uemail;
				$sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[523];
				$body  = '<div style="margin:auto;padding:8px;width:600px;border: solid 1px #000000;border-radius:4px;">';
				$body .= '<p style="text-align:center;"><img src="'.$site[3].$adrimg.'" style="max-width:580px;" /></p><hr />';
				$body .= '<p style="text-align:left;font:12pt Arial;">';
				$body .= $web[245].sprintf($web[524], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
				$body .= $web[49].' <b>'.$upseudo.'</b><br />'.$web[300].' : <b>'.$uuid.'</b><br /><br />';
				$body .= $web[525];
				$body .= '<a href="'.$site[3].($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-1-ok-'.$upseudo.'-'.$uuid.'-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&suite=ok&upseudo='.$upseudo.'&uuid='.$uuid.'&amp;tconfig='.$tconfig.$z2).'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
				$body .= $web[235].'<br />'.$user[0].'<br />';
				$body .= '</p></div>';
				eMailHtmlTo($sujet, $body, $to);
				$response = '<br /><p style="text-align:center;"><strong>'.$web[513].'</strong></p>';
			}
			elseif ($members[19] == '2'){ // confirmation webmaster
				$sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.ucfirst($web[321]);
				$body  = '<div style="margin:auto;padding:8px;width:600px;border: solid 1px #000000;border-radius:4px;">';
				if ($skn_logo != '') {
					$adrimg = $skn_logo;
					while ('../' == substr($adrimg, 0, 3)) $adrimg = substr($adrimg, 3);
					$body .= '<p style="text-align:center;"><img src="'.$site[3].$adrimg.'" style="max-width:580px;" /></p><hr />';
				}
				$body .= '<p style="text-align:left;font:12pt Arial;">';
				$body .= sprintf($web[520], $upseudo, $uemail, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<hr />';
				$body .= $web[521].' : ';
				$body .= '<a href="'.$site[3].($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-2-go-'.$upseudo.'-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&suite=go&upseudo='.$upseudo.'&amp;tconfig='.$tconfig.$z2).'">'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-2-go-'.$upseudo: 'user.php?lng='.$lng.'&suite=go&upseudo='.$upseudo).'</a><br />';
				$body .= $web[522].' : ';
				$body .= '<a href="'.$site[3].($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-2-no-'.$upseudo.'-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&suite=no&upseudo='.$upseudo.'&amp;tconfig='.$tconfig.$z2).'">'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-2-no-'.$upseudo: 'user.php?lng='.$lng.'&suite=no&upseudo='.$upseudo).'</a>';
				eMailHtmlTo($sujet, $body);
				$response = '<br /><p style="text-align:center;"><strong>'.$web[514].'</strong></p>';
			}
			include 'inc/hpage.inc';
            if (function_exists('htable1'))
                htable1($topmess, 'USR'.$tconfig, '100%');
            else    
                htable($topmess, '100%');
			echo $response;
			btable();
			include 'inc/bpage.inc';
			exit();
        }
    }
	if (!empty($msg)) {
        echo BeginJavascript().'
alert("'.addslashes($msg).'");
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng).'"\', 2000);
		'.EndJavascript();
    }
}

// suppression des préférences
if ($unreg == 1) {
    $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
	if ($userprefs[1] == $dbmsg[1][2]) {
        $username = $userprefs[1];
		if (FileDBExist(MSGREP.$username.DBEXT)) {
			if ($dbmsg[0][0] == $userprefs[7]) {
				DestroyDBFile(MSGREP.$username.DBEXT);
			}
		}
		if (FileDBExist(COUNTMSGREP.$username.DBEXT)) {
			DestroyDBFile(COUNTMSGREP.$username.DBEXT);
		}
		if (FileDBExist(CHEMIN.'admin/'.REDACREP.$username.INCEXT)) {
			DestroyDBFile(CHEMIN.'admin/'.REDACREP.$username.INCEXT);
			$admins  = ReadDBFields(ADMINS);
			$dbadmin = array();
			foreach ($admins as $adm) {
				if ($adm[0] != $username) $dbadmin[] = $adm;
			}
			WriteDBFields(ADMINS, $dbadmin);
            DestroyMemberCol($username);
		}
        DeleteMemberProtect($username);
        DestroyMember($username);
		if ($supervision[11] == 'on') {
			$sujet = $web[610];
			$body  = $web[253].' '.$user[0].'<br /><br />'.sprintf($web[611], $username, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
			$body .= $web[455].getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']).'<br /><br />';
			$to    = $user[1];
			eMailHtmlTo($sujet, $body, $to);
		}
		$userprefs = array_fill(0, 31, '');
        session_name('GuppYSite');
        session_unset();
        $_SESSION = array();
        session_destroy();
        setcookie('GuppYSite', '', time() - 3600, '/', $_DOMAIN, $_SECURE);
        unset($_COOKIE['GuppYSite']);
        setcookie(USER_COOKIE, '', time() - 3600, '/', $_DOMAIN, $_SECURE);
        unset($_COOKIE[USER_COOKIE]);
        setcookie(PREF_COOKIE, '', time() - 3600, '/', $_DOMAIN, $_SECURE);
        unset($_COOKIE[PREF_COOKIE]);
		$usermess = $web[163];
		include 'inc/hpage.inc';
        if (function_exists('htable1'))
            htable1($topmess, 'USR'.$tconfig, '100%');
        else    
            htable($topmess, '100%');
		echo '
<br />
<p class="textCenter"><b>'.$username.' '.$usermess.'...!</b></p>
<br />';
		btable();
		include 'inc/bpage.inc';
		sleep(4);
		echo BeginJavascript().'
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'"\', 3000);
'.EndJavascript();
		header('location:'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng));
		exit();
	}
	else exit();
}

// cas normal inscription ou modif
if (empty($userprefs[7])) {
	$userprefs[7] = GenerateUID();
} else {
	$dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
}

$headinc .= BeginJavascript().'
function VerifyForm() {
	var sto = "";
	var erreur = false;
	var modif = "'.$modif.'";
	var uid   = document.userprefnow.uuid.value;
	var uid2  = document.userprefnow.uuid2.value;
	var uweb  = document.userprefnow.uwebsite.value;
	var uimg  = document.userprefnow.uimgsign.value;
	var uext  = document.userprefnow.uextavatar.value;
	regexp = /^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/;
	if (!regexp.test(document.userprefnow.upseudo.value)) {
		sto += "  - '.str_replace('"', '\"', stripslashes($web[266])).'\n";
		document.userprefnow.upseudo.className = "errorInputText";
		erreur = true;
	}
	if (modif == "" || (modif == "1" && uid != "")) {
        regexp = /^\S{5,40}$/;
		if (!regexp.test(uid)) {
			sto += "  - '.str_replace('"', '\"', stripslashes($web[302])).'\n";
			document.userprefnow.uuid.className = "errorInputText";
			erreur = true;
		}
	}
	if (uid != uid2) {
		sto += "  - '.str_replace('"', '\"', stripslashes($web[466])).'\n";
		document.userprefnow.uuid.className = "errorInputText";
		document.userprefnow.uuid2.className = "errorInputText";
		erreur = true;
	}
	regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
	if (!regexp.test(document.userprefnow.uemail.value)) {
		sto += "  - '.str_replace('"', '\"', stripslashes($web[42])).'\n";
		document.userprefnow.uemail.className = "errorInputText";
		erreur = true;
	}
';
$headinc .= '
	regexp = /(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
    if (uweb != "http://" && uweb != "https://" && !regexp.test(uweb)) {
        sto += "  - '.str_replace('"', '\"', stripslashes($web[545].$web[51].$web[554])).'\n";
		document.userprefnow.uwebsite.className = "errorInputText";
		document.userprefnow.uwebsite.value = "http://";
        erreur = true;
    }
    if (uimg != "'.$preprot.'" && !regexp.test(uimg)) {
        sto += "  - '.str_replace('"', '\"', stripslashes($web[545].$web[623].$web[554])).'\n";
		document.userprefnow.uimgsign.className = "errorInputText";
		document.userprefnow.uimgsign.value = "'.$preprot.'";
        erreur = true;
    }
	';
if ($page[23] != 'none') {
	$headinc .= '
	regexp = /(http|https|inc/img/avatars):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
    if (uext != "'.$preprot.'" && !regexp.test(uext)) {
        sto += "  - '.str_replace('"', '\"', stripslashes($web[545].$web[627].$web[554])).'\n";
		document.userprefnow.uextavatar.className = "errorInputText";
		document.userprefnow.uextavatar.value = "'.$preprot.'";
        erreur = true;
    }
	';
}
if ($serviz[100] != '0' && ($serviz[98] == '' || $userprefs[1] == '') && $crypt) {
	$headinc .= '
    regexp = /^[a-zA-Z0-9_]{2,20}$/;
	if (!regexp.test(document.userprefnow.crypt.value)) {
		sto += "  - '.str_replace('"', '\"', stripslashes($web[529])).'\n";
		document.userprefnow.crypt.className = "errorInputText";
		erreur = true;
	}';
}
$headinc .= '
	if (erreur) {
        sto = "'.str_replace('"', '\"', stripslashes($web[265])).'\n\n" + sto;
		alert(sto);
		return false;
	}
}
'.EndJavascript();

include 'inc/hpage.inc';
if (function_exists('htable1'))
    htable1($topmess, 'USR'.$tconfig, '100%');
else    
    htable($topmess, '100%');
if (!empty($erreur))
	echo displayErrorMsg($web[638], $erreur);

echo '
<div class="textCenter width100 marginAuto">
  <div class="textLeft divheaduser">
	<p class="textCenter">'.$web[156].'</p>
	<p class="textCenter">'.$web[157].'</p>
	<hr />';
if (!empty($usermess)) {
	echo '
	<p class="textCenter"><b>'.$usermess.'</b></p>
	<br />';
}
if ($userprefs[1] != '') {
	$value_pseudo = 'value="'.$userprefs[1].'" readonly="readonly"';
} else {
	$value_pseudo = 'value="'.$upseudo.'"';
}

echo '
<style type="text/css">
.usr-password {
	font-size: 9px;
	text-transform: uppercase;
	position: absolute;
	cursor: pointer;
	margin: 6px 0 0 -20px;
}
</style>
<script text="javascript">
  $(document).ready(function(){
    $(".usr-password").click(function() {
        if($(this).prev("input").prop("type") == "password") {
            $(this).prev("input").prop("type","text");
            $(this).children("img").prop("title","'.$web[474].'");
        } else {
            $(this).prev("input").prop("type","password");
            $(this).children("img").prop("title","'.$web[473].'");
        }
    });
    $("#testuid").on("keyup", function(e) {
      var strongRegex = new RegExp("^(?=.{8,})(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?=.*\\\\W).*$", "ig");
      var mediumRegex = new RegExp("^(?=.{8,})(((?=.*[A-Z])(?=.*[a-z]))|((?=.*[A-Z])(?=.*[0-9]))|((?=.*[a-z])(?=.*[0-9]))).*$", "g");
      var okRegex = new RegExp("(?=.{8,}).*", "g");
      if (okRegex.test($(this).val()) === false) {
        $("#testuid-strength").removeClass().addClass("alert alert-error").html("'.$help[21].'");
      } else if (strongRegex.test($(this).val())) {
        $("#testuid-strength").removeClass().addClass("alert alert-success").html("'.$help[22].'");
      } else if (mediumRegex.test($(this).val())) {
        $("#testuid-strength").removeClass().addClass("alert alert-info").html("'.$help[23].'");
      } else {
        $("#testuid-strength").removeClass().addClass("alert alert-error").html("'.$help[24].'");
      }
      return true;
    });
  });
</script>
	<form name="userprefnow" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" method="post" onsubmit="return VerifyForm(); return false;">
	  <input type="hidden" name="setusercookie" value="1" />';
if ($modif == '1') {
	echo '
	  <input type="hidden" name="modif" value="1" />
	  <input type="hidden" name="uuser" value="old" />';
} else
	echo '
	  <input type="hidden" name="uuser" value="'.$uuser.'" />';
echo '
	  <br />
	  <fieldset class="width90 marginAuto"><legend>'.$web[377].'</legend>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignMiddle divuseritem">
            &bull; '.$web[49].'<span class="displayNone"><input type="text" name="code_pseudo" value="" /></span>
          </div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' valignMiddle divuseritem">
            <input type="text"  class="'.($err_pseudo ? 'errorInputText' : 'texte').'" name="upseudo" size="32" '.$value_pseudo.' />
          </div>
        </div>
        <div class="width100">
		  <div class="" id="testuid-strength"></div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignTop divuserpwd">&bull; '.$web[300].' :</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').'">
			<div class="f-left">
              <input id="testuid" type="password" class="'.($err_uid ? 'errorInputText' : 'texte').'" name="uuid" size="30" value="'.($modif == '1' ? '' : ($userprefs[1] != '' ? $userprefs[7] : $uuid)).'" />
              <span class="usr-password"><img src="inc/img/look.png" alt="<O>" title="'.$web[473].'" /></span>
            </div>
			'.($modif == '1' ? '
			<span class="pop f-left popuserpwd">
			  <a><img src="'.$reptheme.'/say.png" alt="" title="" />
				<span><em></em>'.$help[3].'</span></a>
			</span><span class="c-left"></span>' : '').'
          </div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignMiddle divuseritem">&bull; '.$web[467].' :</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' divuseritem">
            <input id="confirmuid" type="password" class="'.($err_uid2 ? 'errorInputText' : 'texte').'" name="uuid2" size="30" value="'.($modif == '1' ? '' : ($userprefs[1] != '' ? $userprefs[7] : $uuid)).'" />
            <span class="usr-password"><img src="inc/img/look.png" alt="<O>" title="'.$web[473].'" /></span>
          </div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignMiddle divuseritem">&bull; '.$web[50].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' divuseritem">
            <input type="text" class="'.($err_uemail ? 'errorInputText' : 'texte').'" name="uemail" size="32" value="'.$userprefs[2].'" />
          </div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignMiddle divuseritem">&bull; '.$web[51].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' divuseritem">
            <input type="text" class="'.($err_uweb ? 'errorInputText' : 'texte').'" name="uwebsite" size="32" value="'.(empty($userprefs[9]) ? $preprot : $userprefs[9]).'" />
          </div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignTop divuseritem">&bull; '.$web[219].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' divuseritem">
            <textarea name="usign" rows="3" class="width95">'.stripslashes($userprefs[6]).'</textarea>
          </div>
	    </div>';
if ($userprefs[22] != 'on') {
	echo '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignTop divuseritem">&bull; '.$web[623].'</div>';
	$frsigns = ReadFrSigns();
	$imgsign = $preprot;
	foreach ($frsigns as $code => $frsign) {
		if ('fr_'.$userprefs[1] == $code && 'a' == $frsign['status'] && 'e' ==  $frsign['origine']) {
			$imgsign = $frsign['image'];
			break;
		}
	}
	echo '
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' divuseritem">
			<div class="f-left"><input type="text" class="'.($err_uimg ? 'errorInputText' : 'texte').'" name="uimgsign" size="32" value="'.$imgsign.'" /></div>
			<span class="pop f-left popusersign">
			  <a><img src="'.$reptheme.'/say.png" alt="" title="" />
				<span><em></em>'.$help[6].'</span>
              </a>
			</span><span class="c-left"></span>
		  </div>
        </div>
          ';
} 
echo '
        <div class="width100">
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '60' : '100').' valignTop divuseritem">&bull; '.$web[213].' :</div>
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem"><input type="checkbox" name="ushow"'.Checked($userprefs[5] == 'on').' /></div>
        </div>
          ';
echo '
        <div class="width100">
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '60' : '100').' valignTop divuseritem">&bull; '.$web[654].'</div>
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem"><input type="checkbox" name="umailct"'.Checked($userprefs[23] == 'on').' /></div>
        </div>
        <div class="width100">
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '60' : '100').' valignTop divuseritem">&bull; '.$web[655].'</div>
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem"><input type="checkbox" name="umpct"'.Checked($userprefs[24] == 'on').' /></div>
        </div>
        <div class="width100">
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '60' : '100').' valignTop divuseritem">&bull; '.$web[656].'</div>
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem"><input type="checkbox" name="usendmail"'.Checked($userprefs[25] == 'on').' /></div>
        </div>
        <div class="width100">
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '60' : '100').' valignTop divuseritem">&bull; '.$web[657].'</div>
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem"><input type="checkbox" name="usendct"'.Checked($userprefs[26] == 'on').' /></div>
	    </div>
		<br />
	  </fieldset>
	  <br />
	  <fieldset class="width90 marginAuto"><legend>'.$web[378].'</legend>';
if ($lang[1] != '') {
	echo '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">&bull; '.$web[155].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">
			<select name="ulang">
			  <option value="'.$lang[0].'"'.Selected($userprefs[0] == $lang[0]).'>'.$lang[0].'</option>
			  <option value="'.$lang[1].'"'.Selected($userprefs[0] == $lang[1]).'>'.$lang[1].'</option>
			</select>
		  </div>
	    </div>
          ';
} else {
	echo '
		  <input type="hidden" name="ulang" value="'.$lang[0].'" />';
}
if ($serviz[146] != 'on') {
	$uskintheme = ExploreDir('skins/');
	echo '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">&bull; '.$web[307].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">
			<select name="udesign">
			  <option value="">'.$web[315].'</option>';
	for ($i = 0; $i < count($uskintheme); $i++) {
		echo '
			  <option value="'.$uskintheme[$i].'"'.Selected($userprefs[10] == $uskintheme[$i]).'>'.$uskintheme[$i].'</option>';
	}
	echo '
			</select>
		  </div>
		</div>';
} else {
	echo '
		  <input type="hidden" name="udesign" value="" />';
}
if ($userprefs[28] != 'on' && $serviz[174] != 'on') {
	echo '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">&bull; '.$web[164].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">
			<select name="uboxes">
			  <option value="'.BOX_LEFT.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_LEFT.BOX_RIGHT).'>'.$web[165].'</option>
			  <option value="'.BOX_LEFT.'"'.Selected($userprefs[3] == BOX_LEFT).'>'.$web[166].'</option>
			  <option value="'.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_RIGHT).'>'.$web[232].'</option>
			</select>
		  </div>
		</div>';
} else {
	echo '
		  <input type="hidden" name="uboxes" value="'.BOX_LEFT.BOX_RIGHT.'" />';
}
echo '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">&bull; '.$web[475].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'"><input type="checkbox" name="uredir"'.Checked($userprefs[29]).' /></div>
		</div>
        <div class="widthAuto">';
if ($page[23] != 'none') {
	$imgavatars = array();
	$dossier = opendir(CHEMIN.'inc/img/avatars/'.$page[23].'/');
	while ($fichier = readdir($dossier)) {
		if (is_file(CHEMIN.'inc/img/avatars/'.$page[23].'/'.$fichier)) {
			$path_parts = basename($fichier);
			$path_parts = substr($path_parts,strrpos($path_parts,'.')+1);
			if (Isimage($path_parts)) {
				$imgavatars[] = $fichier;
			}
		}
	}
	closedir($dossier);
	@sort($imgavatars);
	echo '
              <fieldset class="width75 marginAuto usermainava"><legend>'.$web[303].'</legend>
                <div class="divuserava">
                  <div class="tbl tbldiv marginAuto tbluserava'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
                    <div class="trtbldiv">
            ';
	$nbrimgavatar = 0; $j= count($imgavatars);
	for ($i = 0; $i < count($imgavatars); $i++) {
        $styleimg = ' class="imgavaitem'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'"';
		echo '
			          <div class="tdtbldiv textCenter divavaitem"><label>
			            <img src="'.CHEMIN.'inc/img/avatars/'.$page[23].'/'.$imgavatars[$i].'" alt="'.$imgavatars[$i].'" title="'.$imgavatars[$i].'"'.$styleimg.' />
			            <br />
			            <input type="radio" value="'.$imgavatars[$i].'" name="avatar"'.Checked($userprefs[8] == $imgavatars[$i]).' /></label>
			          </div>';
		$nbrimgavatar++; $j--;
		if ($nbrimgavatar == 5 && $j != 0) {
			$nbrimgavatar = 0;
			echo '
                    </div>
		            <div class="trtbldiv">
            ';
		}
	}
	$vid = 5 - count($imgavatars)%5 ;
	if ($vid != 5) {
        for ($i = 0; $i < $vid; $i++)
            echo '
			          <div class="tdtbldiv textCenter divavaitem">&nbsp;</div>';
	}
	echo '
		            </div>
		          </div>
		        </div>';
	if ($userprefs[21] != 'on') {
		echo '
                <div class="textCenter divuseravaext'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
                  <div><label><input type="radio" value="unknow.png" name="avatar"'.Checked($userprefs[8] == 'unknow.png' || (!empty($userprefs[15]) && $userprefs[15] != $preprot)).' />'.$web[627].' :</label></div>
                  <div>
                    <input type="text" class="'.($err_uext ? 'errorInputText' : 'texte').' userextava'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" name="uextavatar" value="'.(empty($userprefs[15]) ? $preprot : $userprefs[15]).'" />
			        <span class="pop f-right popavaext">
                      <a>
                        <img src="'.$reptheme.'/say.png" alt="" title="" />
                        <span><em> </em>'.$help[8].'</span>
                      </a>
                    </span><span class="c-left"></span>
                  </div>
                </div>
                <div style="clear:both;"></div>';
		if ($userprefs[8] == 'unknow.png' && !empty($userprefs[15]))
			echo '
                <div class="textCenter width100 marginAuto">
                  <img src="'.$userprefs[15].'" alt="" title="'.$userprefs[1].'" style="max-width:60px; max-height:60px;" />
                </div>';
	}
	echo '
              </fieldset>';
}
echo '
		</div>
	  </fieldset>';
if ($serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) {
	$lbl = $serviz[100] == '3' ? $web[642] : '';
	echo '
	  <div class="textCenter">'.dsp_crypt(0, 1, 3, 2, $lbl, $serviz[115] == 'on' ? $web[643] : '');
	if ($serviz[100] == '1') echo '<br />';
	echo ($serviz[100] == '3' ? '' : $web[530]).'<input class="'.($err_crypt ? 'errorInputText' : 'texte').'" type="text" name="crypt" size="6" onpaste="return false;");" /><br /></div>';
}
echo '
	  <p class="textCenter">'.SubmitButton($web[154]).'</p>
	</form>
  </div>
</div>';
if ($userprefs[1] != '') { // suppression des préférences
	echo '
<hr />
<div class="textCenter">
  <form name="userbye" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;tconfig='.$tconfig.$z2).'" method="post">
	<input type="hidden" name="unreg" value="1" />
'.SubmitButton($web[162]).'
  </form>
</div>';
}

btable();
include 'inc/bpage.inc';
?>