<?php
/*******************************************************************************
 *   Admin Configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014)    : initial release.
 * v5.0.1 (March 8, 2014)        : correction of chmod folders
 * v5.0.3 (April 15, 2014)       : corrected style of font of p.rubr (thanks Papinou)
 *                               : corrected style of title class
 *                               : classes tblout and tblboxout suppressed
 *                               : ajout de classes pour le photorama
 * v5.0.6 (July 02, 2014)        : corrected background-color of side and center boxes
 * v5.0.7 (September 02, 2014)   : add style for visits of the day management
 *                               : add style for faq categories
 * v5.0.9 (November 28, 2014)    : corrected img class for mobiles and tablets (thanks Papinou)
 * v5.00.10 (December 29, 2014)  : add classes of directory for links, download and faq
 *                               : suppression of the merger of styleplus.css
 * v5.00.11 (March 2, 2015)      : improvement of config look
 * v5.01.00 (June 12, 2015)      : registration correction for hostings with data caching
 *                               : improvement for a mobile-friendly structure
 * v5.01.01 (September 02, 2015) : correction writing the css file
 *                               : correction title word-wrapping
 * v5.01.02 (December 02, 2015)  : correction generated style for jqstyle
 *                               : adding style for mobile dropdown menu
 *                               : correction border-radius position
 *                               : adding text styles for directories elements
 *                               : adding $opacity[] for many items
 *                               : adding settings for center areas
 *                               : adding margins and paddings for many items
 * v5.01.03 (June 07, 2016)      : replaced top, copyright and timer policy by $page[39]
 *                               : marking the current option of the drop-down menus
 * v5.01.04 (September 07, 2016) : adding return to top floating button
 *                               : improvement of config look
 * v5.01.05 (September 27, 2016) : improvement of config look
 * v5.01.06 (December 06, 2016)  : improvement of config look
 *                               : correction of the recording with data caching
 * v5.01.07 (January 04, 2016)   : improvement of config look
 *                               : corrections for php 7.1.x conformity
 * v5.02.00 (May 09, 2017)       : suppress flash management
 *                               : various corrections
 *                               : adding parallax effect
 *                               : fixing a TOP line of your choice to the top of the page
 * v5.02.01 (August 28, 2017)    : adding CKEditor parameters
 *                               : independence of the admin part
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 * v5.02.03 (February 01, 2018)  : improvement of password input
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'config2.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[1] == '') {
        $nomzone = $admin[45];
        include 'access.inc';
        exit();
    }
}

include CONFIG;
$selskin = is_file(CHEMIN.'skins/'.$selskin.'/confskin.inc') ? $selskin : 'no_skin';
$meskin = CHEMIN.'skins/'.$selskin.'/';
if (is_file ($meskin.'confskin.inc')) {
    include $meskin.'confskin.inc';
} else {
    die('Skin not found : '.$meskin);
}

$tfonts = '';
$afonts = array();

if (is_file($meskin.'font/fontstyle.css')) {
    $tfonts = file_get_contents($meskin.'font/fontstyle.css');
    $sf = file($meskin.'font/fontstyle.css');
    foreach($sf as $line) {
        $n = strpos($line, 'font-family');
        if ($n !== false) {
            $line1 = substr($line, $n + 11);
            $n = strpos($line1, "'");
            $n = $n !== false ? $n : strpos($line1, '"');
            $p = strrpos($line1, "'");
            $p = $p !== false ? $p : strrpos($line1, '"');
            $r = strlen($line1);
            if ($n !== false && $p !== false) {
                $ft = trim(substr($line1, $n + 1, $r - ($n + ($r - $p)) - 1));
                if ($ft) $afonts[] = $ft.', sans-serif';
            }
        }
    }
}

$mycss = import('mycss');
$regit = import('regit');
$scrah = import('scrah');

function UrlBKimg($nameimg) {
    $imgcss = explode('|', $nameimg);
    $url    = substr($imgcss[0], 0, 1) == 'I' ? '../../' : '';
    return 'url('.$url.'img/'.$imgcss[1].')';
}

function hex2rgba($color, $opac='0.0') {
    $opac = preg_replace("/[^0-9.]/", '', $opac);
    if (substr($color, 0, 1) != '#' || empty($opac)) return $color;
    $color = preg_replace("/[^0-9A-Fa-f]/", '', $color);
    $argb  = array();
    if (strlen($color) == 6) {
        $colorVal  = hexdec($color);
        $argb['R'] = 0xFF & ($colorVal >> 0x10);
        $argb['G'] = 0xFF & ($colorVal >> 0x8);
        $argb['B'] = 0xFF & $colorVal;
    } elseif (strlen($color) == 3) {
        $argb['R'] = hexdec(str_repeat(substr($color, 0, 1), 2));
        $argb['G'] = hexdec(str_repeat(substr($color, 1, 1), 2));
        $argb['B'] = hexdec(str_repeat(substr($color, 2, 1), 2));
    } else {
        return false;
    }
    return 'rgba('.implode(',', $argb).', '.$opac.')';
}

function getBorder ($width='0', $style='solid', $color='#000000') {
    $awidth = explode(' ', $width);
    $astyle = explode(' ', $style);
    $acolor = explode(' ', $color);
    $count  = count($awidth) + count($astyle) + count($acolor);
    if ($count == 3) {
        $width = in_array($width, array('0', '0px')) || in_array($style, array('hidden', 'none')) ? '0px' : $width;
        $color = in_array($color, array('inherit', 'transparent')) ? '#000000' : $color;
        return $width == '0px' || $width == '0' ? 'border: 0;' : 'border: '.$width.' '.$style.' '.$color.';';
    }
    return 'border-width: '.$width.';'."\n".'    border-style: '.$style.';'."\n".'    border-color: '.$color.';';
}

$messreg  = '';
$messreg2 = '';
if ($regit == 1) {
    $regpart = import('regpart');
	$messreg = " OK";

	if ($regpart == '1') {
        $body[5] = import('body5', 'POST', true, '1%'); // Position en bas de page du bouton flottant
        $body[6] = import('body6', 'POST', true, '0'); // Décalage avant affichage du bouton flottant
        $body[7] = import('body7', '', true); // Bouton flottant ON/OFF
        $opacity[20] = import('opacity20', 'POST', true, '0.7'); // Opacité du bouton flottant
        
        $page[4]  = import('page4', 'POST', true, 'Pas d\'image'); // Logo du site
        $page[7]  = import('page7', '', true); // Affichage alerte Javascript désactivé
        $page[8]  = import('page8', '', true); // Affichage Temps de chargement de page ON / OFF
        $page[13] = import('page13', '', true); // Image Page en cours de chargement
        $page[22] = import('page22', 'POST', true); // utilisation titres longs
        $page[54] = '';
        foreach ($templates as $key=>$tmpl) 
            $page[54] .= ','.import('page54'.$key, 'POST', true, ''); // N° ligne TOP à fixer en haut de page
        $page[54] = substr($page[54], 1);
        $body[16] = import('body16', '', true); // Ancrage automatique zone 2
    }
    
	if ($regpart == '2') {
		$body[0] = import('body0', 'POST', true, 'transparent'); // Arrière-plan du site
		$body[1] = import('body1', '', true); // Image de fond du site
		$body[2] = import('body2', '', true); // Image de fond fixe / mouvante
        $body[3] = import('body3', 'POST', true, 'Non'); // Répétition image de fond
        $body[4] = import('body4', 'POST', true, 'TOP'); // Position horizontale
		$body[8] = import('body8', '', true); // Image de fond bas de page
        $body[9] = import('body9', 'POST', true, 'Non'); // Répétition image bas de page
        $body[10] = import('body10', 'POST', true, '1'); // N° de la colonne gauche
        $body[11] = import('body11', 'POST', true, '2'); // N° de la colonne centrale
        $body[12] = import('body12', 'POST', true, '3'); // N° de la colonne droite
        $body[13] = import('body13', 'POST', true, '1'); // N° de la colonne gauche
        $body[14] = import('body14', 'POST', true, '2'); // N° de la colonne centrale
        $body[15] = import('body15', 'POST', true, '3'); // N° de la colonne droite

        $citation[0] = import('citation0', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police des citations
		$citation[1] = import('citation1', 'POST', true, '13px'); // Taille de la police des citations
		$citation[2] = import('citation2', 'POST', true, 'inherit'); // Couleur de la police des citations
		$citation[3] = import('citation3', 'POST', true, ''); // Style de la police des citations
		$citation[4] = import('citation4', 'POST', true, 'inherit'); // Couleur des adresses actives
		$citation[5] = import('citation5', 'POST', true, 'inherit'); // Couleur de la page courante
		$citation[6] = import('citation6', 'POST', true, 'inherit'); // Police de la boîte impression
		$citation[7] = import('citation7', 'POST', true, ''); // Style de la police boîte impression
		$citation[8] = import('citation8', 'POST', true, '13px'); // Taille de la police boîte impression
		$citation[9] = import('citation9', 'POST', true, 'inherit'); // Couleur de la police boîte impression
        $citation[10] = import('citation10', 'POST', true, 'transparent'); // Arrière-plan des citations
        $citation[11] = import('citation11', '', true); // Image de fond des citations
        $citation[12] = import('citation12', 'POST', true, 'inherit'); // Couleur des bordures des citations
        $citation[13] = import('citation13', 'POST', true, '0px'); // Taille des bordures des citations
		$citation[14] = import('citation14', 'POST', true, '0px'); // Taille coins arrondis des citations
		$citation[15] = import('citation15', 'POST', true, 'solid'); // Style des bordures des citations
		$citation[16] = import('citation16', 'POST', true, '0'); // Marges externes des citations
		$citation[17] = import('citation17', 'POST', true, '0'); // Marges internes des citations

		$lien[0] = import('lien0', 'POST', true, 'inherit'); // Lien OFF des boites centrales
		$lien[1] = import('lien1', 'POST', true, 'inherit'); // Lien ON des boites centrales
		$lien[2] = import('lien2', 'POST', true, 'inherit'); // Lien OFF des boites latérales
		$lien[3] = import('lien3', 'POST', true, 'inherit'); // Lien ON des boites latérales
		$lien[4] = import('lien4', 'POST', true, 'inherit'); // Liens OFF de la barre de menu haute
		$lien[5] = import('lien5', 'POST', true, 'inherit'); // Liens ON de la barre de menu haute
		$lien[6] = import('lien6', 'POST', true, 'transparent'); // Fond liens ON de la barre de menu haute
		$lien[7] = import('lien7', 'POST', true, 'transparent'); // Fond liens OFF de la barre de menu haute
		$lien[8] = import('lien8', 'POST', true, 'transparent'); // Fond lien actif de la barre de menu haute
		$lien[9] = import('lien9', 'POST', true, 'inherit'); // Liens actif de la barre de menu haute
		$lien[10] = import('lien10', 'POST', true, 'inherit'); // Couleur de la bordure des onglets de la barre de menu
		$lien[11] = import('lien11', 'POST', true, '0px'); // Taille de la bordure des onglets de la barre de menu
		$lien[12] = import('lien12', 'POST', true, 'solid'); // Style de la bordure des onglets de la barre de menu
		$lien[13] = import('lien13', 'POST', true, '0px'); // Taille des  coins arrondis des onglets de la barre de menu
		$lien[14] = import('lien14', 'POST', true, '0'); // Marges internes des onglets de la barre de menu
		$lien[15] = import('lien15', 'POST', true, '0'); // Marges externes des onglets de la barre de menu

		$page[0] = import('page0', 'POST', true, 'transparent'); // Arrière-plan de la page
		$page[1] = import('page1', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police des boites centrales
		$page[2] = import('page2', 'POST', true, '13px'); // Taille des textes des boites centrales
		$page[3] = import('page3', '', true); // Image de fond de la page
		$page[5] = import('page5', 'POST', true, 'transparent'); // Arrière-plan du bandeau TOP
		$page[6] = import('page6', '', true); // Image de fond du bandeau
		$page[10] = import('page10', '', true); // Image de fond fixe / mouvante		
		$page[16] = import('page16', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police des boites latérales
		$page[17] = import('page17', 'POST', true, '13px'); // Taille des textes des boites latérales
		$page[18] = import('page18', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police du menu de navigation
		$page[19] = import('page19', 'POST', true, '14px'); // Taille de police du menu de navigation
		$page[21] = import('page21', 'POST', true, 'auto'); // Hauteur du footer
		$page[24] = import('page24', '', true); // Image de fond parallaxe 1
		$page[25] = import('page25', '', true); // Image de fond parallaxe 2
		$page[26] = import('page26', '', true); // Image de fond parallaxe 3
        $page[28] = import('page28', 'POST', true, '1024'); // Largeur de page <=> $screen_choice
        $page[29] = import('page29', 'POST', true, 'transparent'); // Arrière-plan du bandeau TOP
        $page[30] = import('page30', '', true); // Image de fond du bandeau TOP
        $page[31] = import('page31', 'POST', true, 'transparent'); // Arrière-plan du bandeau BOTTOM
        $page[32] = import('page32', '', true); // Image de fond du bandeau BOTTOM
        $page[33] = import('page33', '', true); // Image de fond de la barre de menu
        $page[34] = import('page34', 'POST', true, 'transparent'); // Arrière-plan de la barre de menu
        $page[35] = import('page35', 'POST', true, ''); // Style de la police des boîtes latérales
        $page[36] = import('page36', 'POST', true, ''); // Style de la police des boîtes centrales
        $page[37] = import('page37', 'POST', true, ''); // Style de la police du menu icônes
        $page[38] = import('page38', 'POST', true, '28px'); // Hauteur des icônes du menu
		$page[39] = import('page39', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police corps du document
		$page[40] = import('page40', 'POST', true, '13px'); // Taille des textes corps du document
        $page[41] = import('page41', 'POST', true, ''); // Style de la police corps du document
		$page[42] = import('page42', 'POST', true, '0'); // Hauteur du header
        $page[43] = import('page43', 'POST', true, 'transparent'); // Arrière-plan du header
        $page[44] = import('page44', '', true); // Image de fond du header
		$page[45] = import('page45', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police footer
		$page[46] = import('page46', 'POST', true, '13px'); // Taille des textes footer
        $page[47] = import('page47', 'POST', true, ''); // Style de la police footer
        $page[48] = import('page48', '', true); // Largeur de page réduite ON/OFF
        $page[49] = import('page49', '', true); // Effet de parallaxe ON/OFF
        $page[50] = import('page50', 'POST', true, 'no'); // Menu effet de parallaxe
		$page[51] = import('page51', 'POST', true, 'transparent'); // Arrière-plan boutons parallaxe
        $page[52] = import('page52', 'POST', true, '40%'); // Position navigateur parallaxe
        $page[53] = import('page53', '', true); // Page accueil seulement
        $page[55] = '';
        foreach ($templates as $key=>$tmpl) 
            $page[55] .= ($key > 0 ? ',' : '').import('page55'.$key, 'POST', true, 'no'); // Pages secondaires activées
		$page[56] = import('page56', 'POST', true, 'transparent'); // Arrière-plan parallaxe 1
		$page[57] = import('page57', 'POST', true, 'transparent'); // Arrière-plan parallaxe 2
		$page[58] = import('page58', 'POST', true, 'transparent'); // Arrière-plan parallaxe 3
		$page[59] = import('page59', '', true); // Hauteur réelle zone parallaxe 1
		$page[60] = import('page60', '', true); // Hauteur réelle zone parallaxe 2
		$page[61] = import('page61', '', true); // Hauteur réelle zone parallaxe 3

		$bordure[0] = import('bordure0', 'POST', true, 'inherit'); // Couleur des bordures page
		$bordure[3] = import('bordure3', 'POST', true, 'inherit'); // Couleur des bordures bandeau et pied de page
		$bordure[4] = import('bordure4', 'POST', true, '0px'); // Taille des bordures bandeau et pied de page
		$bordure[5] = import('bordure5', 'POST', true, '0px'); // Taille coins arrondis bandeau et pied de page
		$bordure[6] = import('bordure6', 'POST', true, '0px'); // Taille coins arrondis pages
		$bordure[7] = import('bordure7', 'POST', true, 'inherit'); // Couleur des bordures titre boîtes centrales
		$bordure[8] = import('bordure8', 'POST', true, '0px'); // Taille des bordures titre boîtes centrales
		$bordure[9] = import('bordure9', 'POST', true, '0px'); // Taille coins arrondis titre boîtes centrales
		$bordure[10] = import('bordure10', 'POST', true, 'inherit'); // Couleur des bordures corps boîtes centrales
		$bordure[11] = import('bordure11', 'POST', true, '0px'); // Taille des bordures corps boîtes centrales
		$bordure[12] = import('bordure12', 'POST', true, '0px'); // Taille coins arrondis corps boîtes centrales
		$bordure[13] = import('bordure13', 'POST', true, 'inherit'); // Couleur des bordures titre boîtes latérales
		$bordure[14] = import('bordure14', 'POST', true, '0px'); // Taille des bordures titre boîtes latérales
		$bordure[15] = import('bordure15', 'POST', true, '0px'); // Taille coins arrondis titre boîtes latérales
		$bordure[16] = import('bordure16', 'POST', true, 'inherit'); // Couleur des bordures corps boîtes latérales
		$bordure[17] = import('bordure17', 'POST', true, '0px'); // Taille des bordures corps boîtes latérales
		$bordure[18] = import('bordure18', 'POST', true, '0px'); // Taille coins arrondis corps boîtes latérales
		$bordure[19] = import('bordure19', 'POST', true, 'inherit'); // Couleur des bordures du bandeau TOP
		$bordure[20] = import('bordure20', 'POST', true, '0px'); // Taille des bordures du bandeau TOP
		$bordure[21] = import('bordure21', 'POST', true, '0px'); // Taille coins arrondis du bandeau TOP
		$bordure[22] = import('bordure22', 'POST', true, 'inherit'); // Couleur des bordures du bandeau BOTTOM
		$bordure[23] = import('bordure23', 'POST', true, '0px'); // Taille des bordures du bandeau BOTTOM
		$bordure[24] = import('bordure24', 'POST', true, '0px'); // Taille coins arrondis du bandeau BOTTOM
		$bordure[25] = import('bordure25', 'POST', true, '32px'); // Hauteur de la barre de menu
        $bordure[26] = import('bordure26', 'POST', true, 'inherit'); // Couleur des bordures de la barre de menu
        $bordure[27] = import('bordure27', 'POST', true, '0px'); // Taille des bordures de la barre de menu
		$bordure[28] = import('bordure28', 'POST', true, '0px'); // Taille coins arrondis de la barre de menu
		$bordure[29] = import('bordure29', 'POST', true, 'solid'); // Style des bordures du bandeau TOP
		$bordure[30] = import('bordure30', 'POST', true, 'solid'); // Style des bordures du bandeau BOTTOM
		$bordure[31] = import('bordure31', 'POST', true, 'solid'); // Style des bordures du pied de page
		$bordure[32] = import('bordure32', 'POST', true, 'solid'); // Style des bordures de la barre de menu
		$bordure[33] = import('bordure33', 'POST', true, 'solid'); // Style des bordures du bloc page
		$bordure[34] = import('bordure34', 'POST', true, 'solid'); // Style des bordures titre boîtes centrales
		$bordure[35] = import('bordure35', 'POST', true, 'solid'); // Style des bordures corps boîtes centrales
		$bordure[36] = import('bordure36', 'POST', true, 'solid'); // Style des bordures titre boîtes latérales
		$bordure[37] = import('bordure37', 'POST', true, 'solid'); // Style des bordures corps boîtes latérales
		$bordure[38] = import('bordure38', 'POST', true, 'solid'); // Style des bordures formulaire
		$bordure[39] = import('bordure39', 'POST', true, 'solid'); // Style des bordures annuaires
		$bordure[40] = import('bordure40', 'POST', true, 'inherit'); // Couleur des bordures du header
		$bordure[41] = import('bordure41', 'POST', true, '0px'); // Taille des bordures du header
		$bordure[42] = import('bordure42', 'POST', true, '0px'); // Taille coins arrondis du header
		$bordure[43] = import('bordure43', 'POST', true, 'solid'); // Style des bordures du header
		$bordure[44] = import('bordure44', 'POST', true, 'inherit'); // Couleur bordures boutons parallaxe

		$barre[0] = import('barre0', 'POST', true, 'inherit'); // Couleur des HR
		$barre[1] = import('barre1', 'POST', true, '1px'); // Taille des HR
		$barre[2] = import('barre2', 'POST', true, 'solid'); // Style des HR
		$barre[3] = import('barre3', 'POST', true, 'inherit'); // Couleur des bordures
		$barre[4] = import('barre4', 'POST', true, '0px'); // Taille des bordures
		$barre[5] = import('barre5', 'POST', true, 'solid'); // Style des bordures

		$titre[0] = import('titre0', 'POST', true, 'inherit'); // Couleur du titre des boites centrales
		$titre[1] = import('titre1', 'POST', true, 'transparent'); // Arrière-plan du titre des boites centrales
		$titre[2] = import('titre2', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police des titres des boites centrales
		$titre[3] = import('titre3', 'POST', true, '13px'); // Taille des titres des boites centrales
		$titre[4] = import('titre4', 'POST', true, 'inherit'); // Couleur du titre des boites latérales
		$titre[5] = import('titre5', 'POST', true, 'transparent'); // Arrière-plan du titre des boites latérales
		$titre[6] = import('titre6', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police des titres des boites latérales
		$titre[7] = import('titre7', 'POST', true, '13px'); // Taille des titres des boites latérales
		$titre[8] = import('titre8', 'POST', true); // Image de fond des titres des boites centrales
		$titre[9] = import('titre9', '', true); // Image de fond des titres des boites latérales
        $titre[10] = import('titre10', 'POST', true, '172px'); // Largeur de la colonne gauche du blog
		$titre[11] = import('titre11', 'POST', true, ''); // Style de police des titres des boites latérales
		$titre[12] = import('titre12', 'POST', true, ''); // Style de police des titres des boites centrales
        $titre[13] = import('titre13', 'POST', true, '200px'); // Largeur de la colonne latérale gauche
		$titre[14] = import('titre14', 'POST', true, 'transparent'); // Arrière-plan de la colonne latérale gauche
		$titre[15] = import('titre15', '', true); // Image de fond de la colonne latérale gauche
		$titre[16] = import('titre16', 'POST', true, 'inherit'); // Couleur des bordures de la colonne latérale gauche
		$titre[17] = import('titre17', 'POST', true, '0px'); // Taille des bordures de la colonne latérale gauche
		$titre[18] = import('titre18', 'POST', true, 'solid'); // Style des bordures de la colonne latérale gauche
		$titre[19] = import('titre19', 'POST', true, '0px'); // Rayon des coins de la colonne latérale gauche
        $titre[20] = import('titre20', 'POST', true, '200px'); // Largeur de la colonne latérale droite
		$titre[21] = import('titre21', 'POST', true, 'transparent'); // Arrière-plan de la colonne latérale droite
		$titre[22] = import('titre22', '', true); // Image de fond de la colonne latérale droite
		$titre[23] = import('titre23', 'POST', true, 'inherit'); // Couleur des bordures de la colonne latérale droite
		$titre[24] = import('titre24', 'POST', true, '0px'); // Taille des bordures de la colonne latérale droite
		$titre[25] = import('titre25', 'POST', true, 'solid'); // Style des bordures de la colonne latérale droite
		$titre[26] = import('titre26', 'POST', true, '0px'); // Rayon des coins de la colonne latérale droite
		$titre[27] = import('titre27', 'POST', true, 'transparent'); // Arrière-plan des colonnes du blog
		$titre[28] = import('titre28', '', true); // Image de fond des colonnes du blog
		$titre[29] = import('titre29', 'POST', true, 'inherit'); // Couleur des bordures des colonnes du blog
		$titre[30] = import('titre30', 'POST', true, '0px'); // Taille des bordures des colonnes du blog
		$titre[31] = import('titre31', 'POST', true, 'solid'); // Style des bordures des colonnes du blog
		$titre[32] = import('titre32', 'POST', true, '0px'); // Rayon des coins des colonnes du blog
        $titre[33] = import('titre33', 'POST', true, '172px'); // Largeur de la colonne droite du blog
		$titre[34] = import('titre34', 'POST', true, 'transparent'); // Arrière-plan de la zone principale
		$titre[35] = import('titre35', '', true); // Image de fond de la zone principale
		$titre[36] = import('titre36', 'POST', true, 'inherit'); // Couleur des bordures de la zone principale
		$titre[37] = import('titre37', 'POST', true, '0px'); // Taille des bordures de la zone principale
		$titre[38] = import('titre38', 'POST', true, 'solid'); // Style des bordures de la zone principale
		$titre[39] = import('titre39', 'POST', true, '0px'); // Rayon des coins de la zone principale
		$titre[41] = import('titre41', 'POST', true, 'transparent'); // Arrière-plan de la colonne centrale
		$titre[42] = import('titre42', '', true); // Image de fond de la colonne centrale
		$titre[43] = import('titre43', 'POST', true, 'inherit'); // Couleur des bordures de la colonne centrale
		$titre[44] = import('titre44', 'POST', true, '0px'); // Taille des bordures de la colonne centrale
		$titre[45] = import('titre45', 'POST', true, 'solid'); // Style des bordures de la colonne centrale
		$titre[46] = import('titre46', 'POST', true, '0px'); // Rayon des coins de la colonne centrale
		$titre[47] = import('titre47', 'POST', true, 'transparent'); // Arrière-plan de la zone principale blog
		$titre[48] = import('titre48', '', true); // Image de fond de la zone principale blog
		$titre[49] = import('titre49', 'POST', true, 'inherit'); // Couleur des bordures de la zone principale blog
		$titre[50] = import('titre50', 'POST', true, '0px'); // Taille des bordures de la zone principale blog
		$titre[51] = import('titre51', 'POST', true, 'solid'); // Style des bordures de la zone principale blog
		$titre[52] = import('titre52', 'POST', true, '0px'); // Rayon des coins de la zone principale blog
		$titre[54] = import('titre54', 'POST', true, 'transparent'); // Arrière-plan de la colonne centrale blog
		$titre[55] = import('titre55', '', true); // Image de fond de la colonne centrale blog
		$titre[56] = import('titre56', 'POST', true, 'inherit'); // Couleur des bordures de la colonne centrale blog
		$titre[57] = import('titre57', 'POST', true, '0px'); // Taille des bordures de la colonne centrale blog
		$titre[58] = import('titre58', 'POST', true, 'solid'); // Style des bordures de la colonne centrale blog
		$titre[59] = import('titre59', 'POST', true, '0px'); // Rayon des coins de la colonne centrale blog
		$titre[60] = import('titre60', 'POST', true, 'transparent'); // Arrière-plan de la zone au-dessus
		$titre[61] = import('titre61', '', true); // Image de fond de la zone au-dessus
		$titre[62] = import('titre62', 'POST', true, 'inherit'); // Couleur des bordures de la zone au-dessus
		$titre[63] = import('titre63', 'POST', true, '0px'); // Taille des bordures de la zone au-dessus
		$titre[64] = import('titre64', 'POST', true, 'solid'); // Style des bordures de la zone au-dessus
		$titre[65] = import('titre65', 'POST', true, '0px'); // Rayon des coins de la zone au-dessus
		$titre[66] = import('titre66', 'POST', true, 'transparent'); // Arrière-plan de la zone édito
		$titre[67] = import('titre67', '', true); // Image de fond de la zone édito
		$titre[68] = import('titre68', 'POST', true, 'inherit'); // Couleur des bordures de la zone édito
		$titre[69] = import('titre69', 'POST', true, '0px'); // Taille des bordures de la zone édito
		$titre[70] = import('titre70', 'POST', true, 'solid'); // Style des bordures de la zone édito
		$titre[71] = import('titre71', 'POST', true, '0px'); // Rayon des coins de la zone édito
		$titre[72] = import('titre72', 'POST', true, 'transparent'); // Arrière-plan de la zone au-dessous
		$titre[73] = import('titre73', '', true); // Image de fond de la zone au-dessous
		$titre[74] = import('titre74', 'POST', true, 'inherit'); // Couleur des bordures de la zone au-dessous
		$titre[75] = import('titre75', 'POST', true, '0px'); // Taille des bordures de la zone au-dessous
		$titre[76] = import('titre76', 'POST', true, 'solid'); // Style des bordures de la zone au-dessous
		$titre[77] = import('titre77', 'POST', true, '0px'); // Rayon des coins de la zone au-dessous
        
		$texte[0] = import('texte0', 'POST', true, 'inherit'); // Couleur des textes des boites centrales
		$texte[1] = import('texte1', 'POST', true, 'transparent'); // Arrière-plan OFF des boites centrales
		$texte[2] = import('texte2', 'POST', true, 'transparent'); // Arrière-plan ON des boites centrales
		$texte[4] = import('texte4', 'POST', true, '0px'); // Taille des bordures
		$texte[5] = import('texte5', 'POST', true, 'inherit'); // Couleur des textes des boites latérales
		$texte[6] = import('texte6', 'POST', true, 'transparent'); // Arrière-plan OFF des boites latérales
		$texte[7] = import('texte7', 'POST', true, 'transparent'); // Arrière-plan ON des boites latérales
		$texte[8] = import('texte8', 'POST', true, 'inherit'); // Couleur des textes éléments footer
		$texte[9] = import('texte9', 'POST', true, 'inherit'); // Couleur des textes corps du document
		$texte[10] = import('texte10', 'POST', true, 'left'); // Alignement des titres boîtes centrales
		$texte[11] = import('texte11', 'POST', true, 'left'); // Alignement des titres boîtes latérales
		$texte[12] = import('texte12', 'POST', true, 'left'); // Alignement des options de menu déroulant
		$texte[13] = import('texte13', 'POST', true, 'center'); // Alignement des lignes du bas de page

		$forum[0] = import('forum0', 'POST', true, 'transparent'); // Arrière-plan entêtes forum
		$forum[1] = import('forum1', 'POST', true, 'transparent'); // Arrière-plan du sujet
		$forum[2] = import('forum2', 'POST', true, 'transparent'); // Arrière-plan de la réponse
		$forum[11] = import('forum11', 'POST', true, 'inherit'); // Couleur texte dans entêtes
		$forum[12] = import('forum12', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police du texte dans entêtes
		$forum[13] = import('forum13', 'POST', true, ''); // Style du texte dans entêtes
		$forum[14] = import('forum14', 'POST', true, '13px'); // Taille du texte dans entêtes

		$presform[0] = import('presform0', 'POST', true, 'inherit'); // Couleur des textes dans les boites de choix et boutons de commande
		$presform[1] = import('presform1', 'POST', true, 'inherit'); // Couleur des boites de choix
		$presform[2] = import('presform2', 'POST', true, 'inherit'); // Couleur des boutons de commande
		$presform[3] = import('presform3', 'POST', true, 'inherit'); // Couleur des zone de texte
		$presform[4] = import('presform4', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police dans la présentation des formulaires
		$presform[5] = import('presform5', 'POST', true); // Taille de la police dans la présentation des formulaires
		$presform[6] = import('presform6', 'POST', true, 'transparent'); // Arrière-plan des textarea
		$presform[7] = import('presform7', 'POST', true, '1px'); // Taille de la bordure
		$presform[8] = import('presform8', 'POST', true, 'inherit'); // Couleur de la bordure
		$presform[9] = import('presform9', 'POST', true, '0px'); // Taille coins arrondis
		$presform[10] = import('presform10', 'POST', true, ''); // Style de la police de présentation
		$presform[11] = import('presform11', 'POST', true, 'inherit'); // Couleur du texte des boutons de commande
		$presform[12] = import('presform12', 'POST', true, '0'); // Marges externes des boutons de commande
		$presform[13] = import('presform13', 'POST', true, 'inherit'); // Couleur des boutons de commande survolés
		$presform[14] = import('presform14', 'POST', true, 'inherit'); // Couleur du texte des boutons de commande survolés

		$calendar[0]  = import('calendar0', 'POST', true, 'transparent'); // Couleur de fond des jours libre du mois
		$calendar[1]  = import('calendar1', 'POST', true, 'transparent'); // Couleur de fond des jours du mois
		$calendar[2]  = import('calendar2', 'POST', true, 'transparent'); // Couleur de fond de la journée
		$calendar[3]  = import('calendar3', 'POST', true, 'transparent'); // Couleur de fond des dimanches
		$calendar[4]  = import('calendar4', 'POST', true, 'transparent'); // Couleur de fond de la journée si dimanche
		$calendar[5]  = import('calendar5', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police du calendrier
		$calendar[6]  = import('calendar6', 'POST', true, '13px'); // Taille de la police du calendrier
		$calendar[7]  = import('calendar7', 'POST', true, 'inherit'); // Couleurs de la police des chiffres
		$calendar[8]  = import('calendar8', 'POST', true, 'inherit'); // Couleurs de la police des jours de la semaine
		$calendar[9]  = import('calendar9', 'POST', true, '0px'); // Espacement des bordures du calendrier
		$calendar[10] = import('calendar10', 'POST', true, 'inherit'); // Couleur évènement
		$calendar[11] = import('calendar11', 'POST', true, 'inherit'); // Couleur de fond du calendrier/bordure
		$calendar[12] = import('calendar12', 'POST', true, '0px'); // Taille des bordures du calendrier
		$calendar[13] = import('calendar13', 'POST', true, 'inherit'); // Couleur bordure calendrier
		$calendar[14] = import('calendar14', 'POST', true, '0px'); // Taille coins arrondis calendrier
		$calendar[15] = import('calendar15', 'POST', true, ''); // Style de police du calendrier
		$calendar[16] = import('calendar16', 'POST', true, 'inherit'); // Couleur de la police évènement
		$calendar[17] = import('calendar17', 'POST', true, 'transparent'); // Couleur de fond des jours de la semaine
		$calendar[18] = import('calendar18', 'POST', true, 'inherit'); // Couleur de la police de la journée
		$calendar[19] = import('calendar19', 'POST', true, 'inherit'); // Couleur de la police des dimanches
		$calendar[20] = import('calendar20', 'POST', true, 'inherit'); // Couleur de la police de la journée si dimanche
        
        $annuaire[0] = import('annuaire0', 'POST', true, 'transparent'); // Arrière-plan de la catégorie 
        $annuaire[1] = import('annuaire1', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police de la catégorie
        $annuaire[2] = import('annuaire2', 'POST', true, '16px'); // Taille de la police de la catégorie
        $annuaire[3] = import('annuaire3', 'POST', true, 'inherit'); // Couleur de la police de la catégorie
        $annuaire[4] = import('annuaire4', 'POST', true, 'inherit'); // Couleur de bordure de la catégorie
        $annuaire[5] = import('annuaire5', 'POST', true, '0px'); // Taille de bordure de la catégorie
        $annuaire[6] = import('annuaire6', 'POST', true, '0px'); // Taille des coins arrondis de la catégorie
        $annuaire[7] = import('annuaire7', 'POST', true, ''); // Style de police de la catégorie
        $annuaire[8] = import('annuaire8', 'POST', true, 'transparent'); // Arrière-plan sous-catégorie 
        $annuaire[9] = import('annuaire9', 'POST', true, 'transparent'); // Arrière-plan élément
        $annuaire[10] = import('annuaire10', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police de la sous-catégorie
        $annuaire[11] = import('annuaire11', 'POST', true, ''); // Style de police de la sous-catégorie
        $annuaire[12] = import('annuaire12', 'POST', true, '15px'); // Taille de la police de la sous-catégorie
        $annuaire[13] = import('annuaire13', 'POST', true, 'inherit'); // Couleur de la police de la sous-catégorie
        $annuaire[14] = import('annuaire14', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police des éléments
        $annuaire[15] = import('annuaire15', 'POST', true, ''); // Style de police des éléments
        $annuaire[16] = import('annuaire16', 'POST', true, '13px'); // Taille de la police des éléments
        $annuaire[17] = import('annuaire17', 'POST', true, 'inherit'); // Couleur de la police des éléments
        
		$dropdown[0] = import('dropdown0', 'POST', true, 'auto'); // Largeur option menu déroulant
		$dropdown[1] = import('dropdown1', 'POST', true, 'Arial, Helvetica, sans-serif'); // Police option menu déroulant
		$dropdown[2] = import('dropdown2', 'POST', true, ''); // Style de police option menu déroulant
		$dropdown[3] = import('dropdown3', 'POST', true, '13px'); // Taille de police option menu déroulant
		$dropdown[4] = import('dropdown4', 'POST', true, 'inherit'); // Couleur de police option menu déroulant
		$dropdown[5] = import('dropdown5', 'POST', true, 'transparent'); // Couleur arrière-plan option menu déroulant
		$dropdown[6] = import('dropdown6', '', true); // Image arrière-plan option menu déroulant
		$dropdown[7] = import('dropdown7', 'POST', true, 'inherit'); // Couleur de bordure option menu déroulant
		$dropdown[8] = import('dropdown8', 'POST', true, '0px'); // Taille de bordure option menu déroulant
		$dropdown[9] = import('dropdown9', 'POST', true, 'solid'); // Style de bordure option menu déroulant
		$dropdown[10] = import('dropdown10', 'POST', true, '0px'); // Taille des coins arrondis option menu déroulant
		$dropdown[11] = import('dropdown11', 'POST', true, 'auto'); // Largeur sous-option menu déroulant
		$dropdown[12] = import('dropdown12', 'POST', true, 'transparent'); // Couleur arrière-plan sous-option menu déroulant
		$dropdown[13] = import('dropdown13', '', true); // Image arrière-plan sous-option menu déroulant
		$dropdown[14] = import('dropdown14', 'POST', true, 'transparent'); // Couleur arrière-plan option visitée menu déroulant
		$dropdown[15] = import('dropdown15', '', true); // Image arrière-plan option visitée menu déroulant
		$dropdown[16] = import('dropdown16', 'POST', true, 'inherit'); // Couleur texte option visitée menu déroulant
		$dropdown[17] = import('dropdown17', 'POST', true, 'auto'); // Largeur panneau menu déroulant linéaire
		$dropdown[18] = import('dropdown18', 'POST', true, 'auto'); // Hauteur panneau option menu déroulant linaire
		$dropdown[19] = import('dropdown19', 'POST', true, 'transparent'); // Couleur arrière-plan option menu déroulant linaire
		$dropdown[20] = import('dropdown20', '', true); // Image arrière-plan option menu déroulant linéaire
		$dropdown[21] = import('dropdown21', 'POST', true, 'inherit'); // Couleur de bordure option menu déroulant linéaire
		$dropdown[22] = import('dropdown22', 'POST', true, '0px'); // Taille de bordure option menu déroulant linéaire
		$dropdown[23] = import('dropdown23', 'POST', true, 'solid'); // Style de bordure option menu déroulant linéaire
		$dropdown[24] = import('dropdown24', 'POST', true, '0px'); // Taille des coins arrondis option menu déroulant linéaire
		$dropdown[25] = import('dropdown25', 'POST', true, 'inherit'); // Couleur texte sous-option menu déroulant
		$dropdown[26] = import('dropdown26', 'POST', true, 'inherit'); // Couleur texte panneau menu déroulant linéaire
		$dropdown[27] = import('dropdown27', 'POST', true, 'transparent'); // Couleur arrière-plan option survolée menu déroulant
		$dropdown[28] = import('dropdown28', '', true); // Image arrière-plan option survolée menu déroulant
		$dropdown[29] = import('dropdown29', 'POST', true, 'inherit'); // Couleur texte option survolée menu déroulant
        
        $tabs[0] = import('tabs0', 'POST', true, 'inherit'); // Couleur des textes des onglets inactifs
        $tabs[1] = import('tabs1', 'POST', true, 'transparent'); // Couleur arrière-plan des onglets inactifs
        $tabs[2] = import('tabs2', 'POST', true, 'inherit'); // Couleur des bordures des onglets inactifs
        $tabs[3] = import('tabs3', 'POST', true, '0px'); // Taille des bordures des onglets inactifs
        $tabs[4] = import('tabs4', 'POST', true, '0px'); // Taille des coins arrondis des onglets inactifs
        $tabs[5] = import('tabs5', 'POST', true, 'transparent'); // Couleur arrière-plan des onglets actifs
        $tabs[6] = import('tabs6', 'POST', true, 'inherit'); // Couleur des textes des onglets actifs
        $tabs[7] = import('tabs7', 'POST', true, 'transparent'); // Couleur arrière-plan des panneaux des onglets
        $tabs[8] = import('tabs8', 'POST', true, 'inherit'); // Couleur des bordures des panneaux des onglets
        $tabs[9] = import('tabs9', 'POST', true, '0px'); // Taille des bordures des panneaux des onglets
        $tabs[10] = import('tabs10', 'POST', true, '0px'); // Taille des coins arrondis des panneaux des onglets
        $tabs[11] = import('tabs11', 'POST', true, 'inherit'); // Couleur des textes des accordéons inactifs
        $tabs[12] = import('tabs12', 'POST', true, 'transparent'); // Couleur arrière-plan des accordéons inactifs
        $tabs[13] = import('tabs13', 'POST', true, 'inherit'); // Couleur des bordures des accordéons inactifs
        $tabs[14] = import('tabs14', 'POST', true, '0px'); // Taille des bordures des accordéons inactifs
        $tabs[15] = import('tabs15', 'POST', true, '0px'); // Taille des coins arrondis des accordéons inactifs
        $tabs[16] = import('tabs16', 'POST', true, 'transparent'); // Couleur arrière-plan des accordéons actifs
        $tabs[17] = import('tabs17', 'POST', true); // Couleur des textes des accordéons actifs
        $tabs[18] = import('tabs18', 'POST', true, 'transparent'); // Couleur arrière-plan des panneaux des accordéons
        $tabs[19] = import('tabs19', 'POST', true, 'inherit'); // Couleur des bordures des panneaux des accordéons
        $tabs[20] = import('tabs20', 'POST', true, '0px'); // Taille des bordures des panneaux des accordéons
        $tabs[21] = import('tabs21', 'POST', true, '0px'); // Taille des coins arrondis des panneaux des accordéons
        $tabs[22] = import('tabs22', 'POST', true, 'transparent'); // Couleur pour le fondu des fenêtre modales
        $tabs[23] = import('tabs23', 'POST', true, '0.6'); // Opacité pour le fondu des fenêtre modales
        $tabs[24] = import('tabs24', 'POST', true, 'transparent'); // Couleur arrière-plan des fenêtre modales
        $tabs[25] = import('tabs25', 'POST', true, 'inherit'); // Couleur des bordures des fenêtre modales
        $tabs[26] = import('tabs26', 'POST', true, '0px'); // Taille des bordures des fenêtre modales
        $tabs[27] = import('tabs27', 'POST', true, '0px'); // Taille des coins arrondis des fenêtre modales
        $tabs[28] = import('tabs28', 'POST', true, 'transparent'); // Couleur arrière-plan des onglets survolés
        $tabs[29] = import('tabs29', 'POST', true, 'inherit'); // Couleur des textes des onglets survolés
        $tabs[30] = import('tabs30', 'POST', true, 'transparent'); // Couleur arrière-plan des accordéons survolés
        $tabs[31] = import('tabs31', 'POST', true, 'inherit'); // Couleur des textes des accordéons survolés

        $other[0] = import('other0', 'POST', true, 'inherit'); // Couleur des textes visites du jour
        $other[1] = import('other1', 'POST', true, 'transparent'); // Couleur arrière-plan visites du jour
        $other[2] = import('other2', 'POST', true, 'inherit'); // Couleur des bordures visites du jour
        $other[3] = import('other3', 'POST', true, '0px'); // Taille des bordures visites du jour
        $other[4] = import('other4', 'POST', true, '0px'); // Taille des coins arrondis visites du jour
        $other[5] = import('other5', 'POST', true, '0'); // Marges externes logo
        $other[6] = import('other6', 'POST', true, '0'); // Marges internes logo
        $other[7] = import('other7', 'POST', true, '0'); // Marges externes bannières
        $other[8] = import('other8', 'POST', true, '0'); // Marges internes bannières
        $other[9] = import('other9', 'POST', true, 'inherit'); // Couleur des bordures citations de texte
        $other[10] = import('other10', 'POST', true, '0px'); // Taille des bordures citations de texte
		$other[11] = import('other11', 'POST', true, 'dashed'); // Style de bordure citations de texte
        $other[12] = import('other12', 'POST', true, 'transparent'); // Couleur arrière-plan auteur de la citation
        $other[13] = import('other13', 'POST', true, 'inherit'); // Couleur des textes auteur de la citation
        $other[14] = import('other14', 'POST', true, 'transparent'); // Couleur arrière-plan info bulle
        $other[15] = import('other15', 'POST', true, 'inherit'); // Couleur des bordures info bulle
        $other[16] = import('other16', 'POST', true, '0px'); // Taille des bordures info bulle
        $other[17] = import('other17', 'POST', true, '0px'); // Taille des coins arrondis info bulle
        $other[18] = import('other18', 'POST', true, 'transparent'); // Couleur arrière-plan cryptogramme
        $other[19] = import('other19', 'POST', true, 'inherit'); // Couleur des textes cryptogramme
        $other[20] = import('other20', 'POST', true, 'inherit'); // Couleur des bordures cryptogramme
        $other[21] = import('other21', 'POST', true, '0px'); // Taille des bordures cryptogramme
        $other[22] = import('other22', 'POST', true, '0px'); // Taille des coins arrondis cryptogramme
        $other[23] = import('other23', 'POST', true, 'transparent'); // Couleur arrière-plan citation de code
        $other[24] = import('other24', 'POST', true, '#FFFFFF'); // Couleur arrière-plan CKEditor
        $other[25] = import('other25', 'POST', true, '#000000'); // Couleur des textes CKEditor
        $other[26] = import('other26', 'POST', true, '12px'); // Taille des textes CKEditor
        $other[27] = import('other27', 'POST', true, 'inherit'); // Taille des textes blocs infos
        
        $opacity[0] = import('opacity0', 'POST', true, '1'); // Opacité arrière-plan entête
        $opacity[1] = import('opacity1', 'POST', true, '1'); // Opacité arrière-plan bas de page
        $opacity[2] = import('opacity2', 'POST', true, '1'); // Opacité arrière-plan pied de page
        $opacity[3] = import('opacity3', 'POST', true, '1'); // Opacité arrière-plan menu icônes
        $opacity[4] = import('opacity4', 'POST', true, '1'); // Opacité arrière-plan colonne gauche
        $opacity[5] = import('opacity5', 'POST', true, '1'); // Opacité arrière-plan colonne droite
        $opacity[6] = import('opacity6', 'POST', true, '1'); // Opacité arrière-plan colonnes blog
        $opacity[7] = import('opacity7', 'POST', true, '1'); // Opacité arrière-plan zone principale
        $opacity[8] = import('opacity8', 'POST', true, '1'); // Opacité arrière-plan colonne centrale
        $opacity[9] = import('opacity9', 'POST', true, '1'); // Opacité arrière-plan titres boîtes centrales
        $opacity[10] = import('opacity10', 'POST', true, '1'); // Opacité arrière-plan tables boîtes centrales
        $opacity[11] = import('opacity11', 'POST', true, '1'); // Opacité arrière-plan titres boîtes latérales
        $opacity[12] = import('opacity12', 'POST', true, '1'); // Opacité arrière-plan tables boîtes latérales
        $opacity[13] = import('opacity13', 'POST', true, '1'); // Opacité arrière-plan zone principale blog
        $opacity[14] = import('opacity14', 'POST', true, '1'); // Opacité arrière-plan colonne centrale blog
        $opacity[15] = import('opacity15', 'POST', true, '1'); // Opacité arrière-plan zone au-dessus
        $opacity[16] = import('opacity16', 'POST', true, '1'); // Opacité arrière-plan zone édito
        $opacity[17] = import('opacity17', 'POST', true, '1'); // Opacité arrière-plan zone au-dessous
        $opacity[18] = import('opacity18', 'POST', true, '1'); // Opacité arrière-plan header
        $opacity[19] = import('opacity19', 'POST', true, '1'); // Opacité arrière-plan citations
        $opacity[21] = import('opacity21', 'POST', true, '1'); // Opacité de la page
        $opacity[22] = import('opacity22', 'POST', true, '1'); // Opacité arrière-plan auteur de la citation
        $opacity[23] = import('opacity23', 'POST', true, '1'); // Opacité arrière-plan citation de code
        
        $marge[1] = import('marge1', 'POST', true, '0'); // Marges externes de la colonne gauche
        $marge[2] = import('marge2', 'POST', true, '0'); // Marges internes de la colonne gauche
        $marge[3] = import('marge3', 'POST', true, '0'); // Marges externes de la colonne droite
        $marge[4] = import('marge4', 'POST', true, '0'); // Marges internes de la colonne droite
        $marge[5] = import('marge5', 'POST', true, '0'); // Marges externes de la colonne gauche blog
        $marge[6] = import('marge6', 'POST', true, '0'); // Marges internes de la colonne gauche blog
        $marge[7] = import('marge7', 'POST', true, '0'); // Marges externes de la colonne droite blog
        $marge[8] = import('marge8', 'POST', true, '0'); // Marges internes de la colonne droite blog
        $marge[9] = import('marge9', 'POST', true, '0'); // Marges externes titre boîtes centrales
        $marge[10] = import('marge10', 'POST', true, '0'); // Marges internes titre boîtes centrales
        $marge[11] = import('marge11', 'POST', true, '0'); // Marges externes boîtes centrales
        $marge[12] = import('marge12', 'POST', true, '0'); // Marges internes boîtes centrales
        $marge[13] = import('marge13', 'POST', true, '0'); // Marges externes titre boîtes latérales
        $marge[14] = import('marge14', 'POST', true, '0'); // Marges internes titre boîtes latérales
        $marge[15] = import('marge15', 'POST', true, '0'); // Marges externes boîtes latérales
        $marge[16] = import('marge16', 'POST', true, '0'); // Marges internes boîtes latérales
		$marge[17] = import('marge17', 'POST', true, '0'); // Marges internes de la page
        $marge[18] = import('marge18', 'POST', true, '0'); // Marges externes du header
        $marge[19] = import('marge19', 'POST', true, '0'); // Marges externes du bandeau TOP
        $marge[20] = import('marge20', 'POST', true, '0'); // Marges externes du bandeau MAIN
        $marge[21] = import('marge21', 'POST', true, '0'); // Marges externes du bandeau BOTTOM
        $marge[22] = import('marge22', 'POST', true, '0'); // Marges externes du footer
        $marge[23] = import('marge23', 'POST', true, '0'); // Marges internes du footer
        $marge[24] = import('marge24', 'POST', true, '0'); // Marges internes du bandeau TOP
        $marge[25] = import('marge25', 'POST', true, '0'); // Marges internes du bandeau MAIN
        $marge[26] = import('marge26', 'POST', true, '0'); // Marges internes du bandeau BOTTOM
        $marge[27] = import('marge27', 'POST', true, '0'); // Marges internes zone centrale
        $marge[28] = import('marge28', 'POST', true, '0'); // Marges internes zone au-dessus
        $marge[29] = import('marge29', 'POST', true, '0'); // Marges internes zone éditorial
        $marge[30] = import('marge30', 'POST', true, '0'); // Marges internes zone au-dessous
        $marge[31] = import('marge31', 'POST', true, '0'); // Marges internes zone principale BLOG
        $marge[32] = import('marge32', 'POST', true, '0'); // Marges internes zone centrale BLOG
	}
    
	include 'inc/confskin.inc';
    if ($site[7] == 'on') {
        flush();
        sleep($site[8]);
    }
}

if($regit == 2) {
    include $meskin.'confskin.inc';
	$messreg2 = " OK";
    $cssbody2 = $body[3].' '.$body[4].(empty($body[2]) ? '' : ' fixed');
    $cssbody8 = empty($body[8]) ? '' : UrlBKimg($body[8]).$body[9].' bottom';
    $cssbody3 = empty($body[1]) ? (empty($body[8]) ? '' : "\n".'    background: '.$cssbody8.';') : 
                "\n".'    background: '.UrlBKimg($body[1]).$cssbody2.(!empty($body[8]) ? ', '.$cssbody8 : '').';';
    $css3  = empty($page[10]) ? '' : "\n".'    background-attachment: fixed;';
    $css4  = empty($page[3]) ? '' : $css3."\n".'    background-image: '.UrlBKimg($page[3]).';';
    $css5  = empty($page[5]) ? "\n".'    background-color: transparent;' : "\n".'    background-color: '.hex2rgba($page[5], $opacity[2]).';';
    $css6  = empty($page[6]) ? '' : $css3."\n".'    background-image: '.UrlBKimg($page[6]).';';
    $css8  = empty($titre[8]) ? '' : "\n".'    background: '.UrlBKimg($titre[8]).';';
    $css9  = empty($titre[9]) ? '' : "\n".'    background: '.UrlBKimg($titre[9]).';';
    $css10 = empty($calendar[0]) ? '    background-color: inherit;' : '    background-color: '.$calendar[0].';';
    $css11 = $boutoncenter != '' ? '    border: 0px;'."\n".'    height: 20px;'."\n".'    margin: 2px 0px;'."\n".'    padding-bottom: 2px;'."\n".'    vertical-align: top;'."\n".'    text-decoration: none;'."\n".'    background-color: transparent;'."\n".'    background-image: url('.$boutoncenter.');'."\n".'    background-repeat: repeat-x;'."\n".'    font-size: 9px;' : '';
    $css13 = empty($titre[10]) ? "\n".'    width: 172px;'."\n".'    min-width: 172px;' : "\n".'    width: '.$titre[10].';'."\n".'    min-width: '.$titre[10].';';
	$css14 = "\n".'    '.getBorder($bordure[4], $bordure[31], $bordure[3])."\n".'    border-radius: '.$bordure[5].';';
	$css15 = "\n".'    '.getBorder($bordure[8], $bordure[34], $bordure[7])."\n".'    border-radius: '.$bordure[9].';';
	$css16 = "\n".'    '.getBorder($bordure[11], $bordure[35], $bordure[10])."\n".'    border-radius: '.$bordure[12].';';
	$css17 = "\n".'    '.getBorder($bordure[14], $bordure[36], $bordure[13])."\n".'    border-radius: '.$bordure[15].';';
	$css18 = "\n".'    '.getBorder($bordure[17], $bordure[37], $bordure[16])."\n".'    border-radius: '.$bordure[18].';';
	$css19 = "\n".'    '.getBorder($texte[4], $bordure[33], $bordure[0])."\n".'    border-radius: '.$bordure[6].';';
    $css20 = empty($page[29]) ? "\n".'    background-color: transparent;' : (empty($page[30]) ? "\n".'    background-color: '.hex2rgba($page[29], $opacity[0]).';' : '');
	$css21 = "\n".'    '.getBorder($bordure[20], $bordure[29], $bordure[19])."\n".'    border-radius: '.$bordure[21].';';
    $css22 = empty($page[30]) ? '' : "\n".'    background: '.(empty($page[29]) ? '' : hex2rgba($page[29], $opacity[0]).' ').UrlBKimg($page[30]).';';
    $css23 = empty($page[31]) ? "\n".'    background-color: transparent;' : (empty($page[32]) ? "\n".'    background-color: '.hex2rgba($page[31], $opacity[1]).';' : '');
	$css24 = "\n".'    '.getBorder($bordure[23], $bordure[30], $bordure[22])."\n".'    border-radius: '.$bordure[24].';';
    $css25 = empty($page[32]) ? '' : "\n".'    background: '.(empty($page[31]) ? '' : hex2rgba($page[31], $opacity[1]).' ').UrlBKimg($page[32]).';';
	$css26 = "\n".'    '.getBorder($bordure[27], $bordure[32], $bordure[26])."\n".'    border-radius: '.$bordure[28].';';
    $css27 = empty($page[33]) ? (empty($page[34]) ? '' : "\n".'    background-color: '.hex2rgba($page[34], $opacity[3]).';') : "\n".'    background: '.UrlBKimg($page[33]).';';
    $css28 = empty($bordure[25]) ? "\n".'    height: auto;' : "\n".'    height: '.$bordure[25].';';
    $css29 = empty($annuaire[0]) ? "\n".'    background-color: transparent;' : "\n".'    background-color: '.$annuaire[0].';';
	$css30 = "\n".'    '.getBorder($annuaire[5], $bordure[39], $annuaire[4])."\n".'    border-radius: '.$annuaire[6].';';    
    $css31 = empty($annuaire[8]) ? "\n".'    background-color: transparent;' : "\n".'    background-color: '.$annuaire[8].';';
    $css32 = empty($annuaire[9]) ? "\n".'    background-color: transparent;' : "\n".'    background-color: '.$annuaire[9].';';
	$css34 = "\n".'    '.getBorder($dropdown[8], $dropdown[9], $dropdown[7])."\n".'    border-radius: '.$dropdown[10].';';
	$css35 = "\n".'    '.getBorder($dropdown[22], $dropdown[23], $dropdown[21])."\n".'    border-radius: '.$dropdown[24].';';
    $css36 = empty($dropdown[6]) ? (empty($dropdown[5]) ? '' : "\n".'    background: '.$dropdown[5].';') : '    background: '.UrlBKimg($dropdown[6]).';';
    $css37 = empty($dropdown[13]) ? (empty($dropdown[12]) ? '' : "\n".'    background: '.$dropdown[12].';') : '    background: '.UrlBKimg($dropdown[13]).';';
    $css38 = empty($dropdown[15]) ? (empty($dropdown[14]) ? '' : "\n".'    background: '.$dropdown[14].';') : '    background: '.UrlBKimg($dropdown[15]).';';
    $css39 = empty($titre[13]) ? "\n".'    width: 172px;'."\n".'    min-width: 172px;' : "\n".'    width: '.$titre[13].';'."\n".'    min-width: '.$titre[13].';';
    $css40 = empty($titre[15]) ? (empty($titre[14]) ? '' : "\n".'    background-color: '.hex2rgba($titre[14], $opacity[4]).';') : "\n".'    background: '.UrlBKimg($titre[15]).';';
	$css41 = "\n".'    '.getBorder($titre[17], $titre[18], $titre[16])."\n".'    border-radius: '.$titre[19].';';
    $css42 = empty($titre[20]) ? "\n".'    width: 172px;'."\n".'    min-width: 172px;' : "\n".'    width: '.$titre[20].';'."\n".'    min-width: '.$titre[20].';';
    $css43 = empty($titre[22]) ? (empty($titre[21]) ? '' : "\n".'    background-color: '.hex2rgba($titre[21], $opacity[5]).';') : "\n".'    background: '.UrlBKimg($titre[22]).';';
	$css44 = "\n".'    '.getBorder($titre[24], $titre[25], $titre[23])."\n".'    border-radius: '.$titre[26].';';
    $css45 = empty($titre[28]) ? (empty($titre[27]) ? '' : "\n".'    background-color: '.hex2rgba($titre[27], $opacity[6]).';') : '    background: '.UrlBKimg($titre[28]).';';
	$css46 = "\n".'    '.getBorder($titre[30], $titre[31], $titre[29])."\n".'    border-radius: '.$titre[32].';';
    $css47 = empty($titre[33]) ? "\n".'    width: 172px;'."\n".'    min-width: 172px;' : "\n".'    width: '.$titre[33].';'."\n".'    min-width: '.$titre[33].';';
	$css60 = "\n".'    '.getBorder($titre[37], $titre[38], $titre[36])."\n".'    border-radius: '.$titre[39].';';
	$css61 = "\n".'    '.getBorder($titre[44], $titre[45], $titre[43])."\n".'    border-radius: '.$titre[46].';';
	$css62 = "\n".'    '.getBorder($titre[50], $titre[51], $titre[49])."\n".'    border-radius: '.$titre[52].';';
	$css63 = "\n".'    '.getBorder($titre[57], $titre[58], $titre[56])."\n".'    border-radius: '.$titre[59].';';
	$css64 = "\n".'    '.getBorder($titre[63], $titre[64], $titre[62])."\n".'    border-radius: '.$titre[65].';';
	$css65 = "\n".'    '.getBorder($titre[69], $titre[70], $titre[68])."\n".'    border-radius: '.$titre[71].';';
	$css66 = "\n".'    '.getBorder($titre[75], $titre[76], $titre[74])."\n".'    border-radius: '.$titre[77].';';
    $css67a = empty($titre[34]) ? "\n".'    background-color: transparent;' : (empty($titre[35]) ? "\n".'    background-color: '.hex2rgba($titre[34], $opacity[7]).';' : '');
    $css67b = empty($titre[35]) ? '' : "\n".'    background: '.(empty($titre[34]) ? '' : hex2rgba($titre[34], $opacity[7]).' ').UrlBKimg($titre[35]).';';
    $css68a = empty($titre[41]) ? "\n".'    background-color: transparent;' : (empty($titre[42]) ? "\n".'    background-color: '.hex2rgba($titre[41], $opacity[8]).';' : '');
    $css68b = empty($titre[42]) ? '' : "\n".'    background: '.(empty($titre[41]) ? '' : hex2rgba($titre[41], $opacity[8]).' ').UrlBKimg($titre[42]).';';
    $css69a = empty($titre[47]) ? "\n".'    background-color: transparent;' : (empty($titre[48]) ? "\n".'    background-color: '.hex2rgba($titre[47], $opacity[13]).';' : '');
    $css69b = empty($titre[48]) ? '' : "\n".'    background: '.(empty($titre[47]) ? '' : hex2rgba($titre[47], $opacity[13]).' ').UrlBKimg($titre[48]).';';
    $css70a = empty($titre[54]) ? "\n".'    background-color: transparent;' : (empty($titre[55]) ? "\n".'    background-color: '.hex2rgba($titre[54], $opacity[14]).';' : '');
    $css70b = empty($titre[55]) ? '' : "\n".'    background: '.(empty($titre[54]) ? '' : hex2rgba($titre[54], $opacity[14]).' ').UrlBKimg($titre[55]).';';
    $css71a = empty($titre[60]) ? "\n".'    background-color: transparent;' : (empty($titre[61]) ? "\n".'    background-color: '.hex2rgba($titre[60], $opacity[15]).';' : '');
    $css71b = empty($titre[61]) ? '' : "\n".'    background: '.(empty($titre[60]) ? '' : hex2rgba($titre[60], $opacity[15]).' ').UrlBKimg($titre[61]).';';
    $css72a = empty($titre[66]) ? "\n".'    background-color: transparent;' : (empty($titre[67]) ? "\n".'    background-color: '.hex2rgba($titre[66], $opacity[16]).';' : '');
    $css72b = empty($titre[67]) ? '' : "\n".'    background: '.(empty($titre[66]) ? '' : hex2rgba($titre[66], $opacity[16]).' ').UrlBKimg($titre[67]).';';
    $css73a = empty($titre[72]) ? "\n".'    background-color: transparent;' : (empty($titre[73]) ? "\n".'    background-color: '.hex2rgba($titre[72], $opacity[17]).';' : '');
    $css73b = empty($titre[73]) ? '' : "\n".'    background: '.(empty($titre[72]) ? '' : hex2rgba($titre[72], $opacity[17]).' ').UrlBKimg($titre[73]).';';
    $css74 = empty($dropdown[28]) ? (empty($dropdown[27]) ? '' : "\n".'    background: '.$dropdown[27].';') : '    background: '.UrlBKimg($dropdown[28]).';';
    $css75 = empty($page[43]) ? "\n".'    background-color: transparent;' : (empty($page[44]) ? "\n".'    background-color: '.hex2rgba($page[43], $opacity[18]).';' : '');
	$css76 = "\n".'    '.getBorder($bordure[41], $bordure[43], $bordure[40])."\n".'    border-radius: '.$bordure[42].';';
    $css77 = empty($page[44]) ? '' : "\n".'    background: '.(empty($page[43]) ? '' : hex2rgba($page[43], $opacity[18]).' ').UrlBKimg($page[44]).';';
    $css78 = empty($citation[11]) ? (empty($citation[10]) ? '' : "\n".'    background-color: '.hex2rgba($citation[10], $opacity[19]).';') : "\n".'    background: '.UrlBKimg($citation[11]).';';
	$css79 = "\n".'    '.getBorder($citation[13], $citation[15], $citation[12])."\n".'    border-radius: '.$citation[14].';';
    $css80 = $page[56] != 'transparent' ? '#slide1 {'."\n".'    background: '.$page[56].';'."\n".'}'."\n" :
      (empty($page[24]) ? '' : '#slide1 {'."\n".'    background: '.UrlBKimg($page[24]).' center 0 no-repeat fixed;'."\n".'    background-size: cover;'."\n".'}'."\n");
    $css81 = $page[57] != 'transparent' ? '#slide2 {'."\n".'    background: '.$page[57].';'."\n".'}'."\n" :
      (empty($page[25]) ? '' : '#slide2 {'."\n".'    background: '.UrlBKimg($page[25]).' center 0 no-repeat fixed;'."\n".'    background-size: cover;'."\n".'}'."\n");
    $css82 = $page[58] != 'transparent' ? '#slide3 {'."\n".'    background: '.$page[58].';'."\n".'}'."\n" :
      (empty($page[26]) ? '' : '#slide3 {'."\n".'    background: '.UrlBKimg($page[26]).' center 0 no-repeat fixed;'."\n".'    background-size: cover;'."\n".'}');
    $css84 = "\n".'    min-height: '.($page[59] == 'on' ? 'auto;' : $scrah.'px;');
    $css85 = "\n".'    min-height: '.($page[60] == 'on' ? 'auto;' : $scrah.'px;');
    $css86 = "\n".'    min-height: '.($page[61] == 'on' ? 'auto;' : $scrah.'px;');
    $css87 = empty($page[49]) ? '' : (empty($page[61]) ? "\n".'    position: absolute;'."\n".'    bottom: 0px;' : '');

    /**********************************
     * Construction de la feuille CSS *
     **********************************/
    $rem     = (intval(substr($page[40], 0, -2))/10).'rem';
    $csslist = "/* ---------  CSS generated for ".$mycss."  ----------- */

".$tfonts."
@font-face {
  font-family: \"fontello\";
  src: url(\"font/fontello.eot?33978178\");
  src: url(\"font/fontello.eot?33978178#iefix\") format(\"embedded-opentype\"),
       url(\"font/fontello.woff?33978178\") format(\"woff\"),
       url(\"font/fontello.ttf?33978178\") format(\"truetype\"),
       url(\"font/fontello.svg?33978178#fontello\") format(\"svg\");
  font-weight: normal;
  font-style: normal;
}

html { /*  document */
    font-size: 62.5%;
    color: ".$texte[9].";
    background-color: ".$body[0].";
}
body { /*  corps du document */
    margin: 0;
    text-align: center;
    font: ".(empty($page[40]) ? 'inherit' : trim($page[41]." ".$rem." ".$page[39])).";
    color: ".$texte[9].";".$cssbody3."
}
/************
 * Général */
a { /* lien */
    color: ".$lien[0].";
    background: inherit;
    text-decoration: none;
}
a.titre { /* lien titres */
    color: ".$texte[0].";
    background-color: inherit;
    text-decoration: none;
}
a:hover { /* lien survolé */
    color: ".$lien[1].";
    text-decoration: none;
    font-weight: normal;
    background-color: inherit;
}
p { /* paragraphe */
    margin: 16px 0;
    color: inherit;
    background: inherit;
}
hr { /* ligne horizontale */
    height: ".$barre[1].";
    ".getBorder($barre[1], $barre[2], $barre[0])."
    width: 98%;
}
ul, ol, dl, dd, dt { /* listes */
    padding: 0;
    margin: 0;
}
h1 { /* titre niveau 1 */
    font-size: 24px;
}
h2 { /* titre niveau 2 */
    font-size: 18px;
}
h3 { /* titre niveau 3 */
    font-size: 16px;
}
h4 { /* titre niveau 4 */
    font-size: 14px;
}
img, object, embed, canvas, video, audio, picture {
    border-style: none;
    max-width: 100%;
    height: auto;
}
/******************************************
* Mise en page des blocks div principaux */
#noscriptWarning {
    background: #B5121B;
    color: #FFF;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 24px;
    line-height: 24px;
    font-weight: 700;
    font-size: 11px;
    font-family: Arial, sans-serif;
}
#page { /* all the page */
    background-color: ".hex2rgba($page[0], $opacity[21]).";".$css4.$css19."
    position: relative;
    width: 100%;
    max-width: ".($page[28] == '' || $page[28] == 'fix' ? '100%' : ($page[48] == '' ? '100%' : $page[28].'px')).";
    margin: 0 auto;
    padding: ".(empty($marge[17]) ? 0 : $marge[17]).";
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    color: inherit;
}
#header { /* header */
    height: ".(empty($page[42]) ? 0 : $page[42]).";
    margin: ".(empty($marge[18]) ? 0 : $marge[18]).";
    padding: 0;
    color: inherit;".$css75.$css76.$css77."
}
#header .row {
    max-width: ".($page[28] == '' || $page[28] == 'fix' ? '100%' : $page[28].'px').";
    margin: 0 auto;
}
#TopBoxes { /* area between header and main area */
    margin: ".(empty($marge[19]) ? 0 : $marge[19]).";
    padding: ".(empty($marge[24]) ? 0 : $marge[24]).";
    width: 100%;
    max-width: 100%;
    height: auto;".$css84."
    color: inherit;".$css20.$css21.$css22."
}
#TopBoxes .row {
    max-width: ".($page[28] == '' || $page[28] == 'fix' ? '100%' : $page[28].'px').";
    margin: 0 auto;
}
#MainContent { /* main area */
    margin: ".(empty($marge[20]) ? 'auto' : $marge[20]).";
    padding: ".(empty($marge[25]) ? 0 : $marge[25]).";
    width: 100%;
    max-width: ".($page[28] == '' || $page[28] == 'fix' ? '100%' : $page[28].'px').";
    display: -webkit-flex;
    display: flex;".$css60.$css67a.$css67b.$css85."
}
#LeftBoxes { /* left boxes area */
    margin: ".(empty($marge[1]) ? 0 : $marge[1]).";
    padding: ".(empty($marge[2]) ? 0 : $marge[2]).";".$css39.$css40.$css41."
    max-width: 100%;
    vertical-align: top;
    display: inline-block;
    order: ".$body[10].";
}
#CenterBoxes { /* center area */
    margin: 0;
    padding: ".(empty($marge[27]) ? 0 : $marge[27]).";
    width: 100%;
    vertical-align: top;
    display: inline-block;".$css61.$css68a.$css68b."
    order: ".$body[11].";
}
#RightBoxes { /* right boxes area */
    margin: ".(empty($marge[3]) ? 0 : $marge[3]).";
    padding: ".(empty($marge[4]) ? 0 : $marge[4]).";".$css42.$css43.$css44.$css50."
    max-width: 100%;
    vertical-align: top;
    display: inline-block;
    order: ".$body[12].";
}
#AboveBoxes { /* boxes above in center area */
    margin: 0 auto;
    padding: ".(empty($marge[28]) ? 0 : $marge[28]).";".$css71a.$css71b.$css64."
}
#EditoBoxes { /* boxes that appear in the home page - HOMEPAGE CONFIG */
    margin: 0;
    width: 100%;
    padding: ".(empty($marge[29]) ? 0 : $marge[29]).";".$css72a.$css65.$css85."
}
#EditoBoxes .row {
    max-width: ".($page[28] == '' || $page[28] == 'fix' ? '100%' : $page[28].'px').";
    margin: 0 auto;
}
#UnderBoxes { /* boxes under center area */
    margin: 0 auto;
    padding: ".(empty($marge[30]) ? 0 : $marge[30]).";".$css73.$css66."
}
#BottomBoxes { /* area between main and footer */
    width: 100%;
    max-width: 100%;
    height: auto;
    margin: ".(empty($marge[21]) ? 0 : $marge[21]).";
    padding: ".(empty($marge[26]) ? 0 : $marge[26]).";
    color: inherit;
    text-align: left;".$css23.$css24.$css25."
}
#BottomBoxes .row {
    max-width: ".($page[28] == '' || $page[28] == 'fix' ? '100%' : $page[28].'px').";
    margin: 0 auto;
}
#footer { /* footer Copyright */
    font: ".$page[47]." ".(empty($page[46]) ? 'inherit' : $page[46])." ".$page[45].";
    text-align: ".$texte[13].";
    color: ".$texte[8].";
    width: ".(empty($page[48]) ? '100%' : 'auto').";
    max-width: 100%;
    height: ".$page[21].";
    margin: ".(empty($marge[22]) ? 0 : $marge[22]).";
    padding: ".(empty($marge[23]) ? 0 : $marge[23]).";".$css5.$css6.$css14.$css87."
}
#footer .row {
    max-width: ".($page[28] == '' || $page[28] == 'fix' ? '100%' : $page[28].'px').";
    margin: 0 auto;
}
.copyright {
    background-color: transparent;
    color: ".$texte[8].";
    text-align: ".$texte[13].";
}
.top {
    background: transparent;
    color: ".$texte[8].";
    text-align: ".$texte[13].";
    font: 1.2em ".$page[39].";
    font-weight: bold;
}
a.top span { font-family: fontello; }
.txtspeC { margin: 12px 0 4px; }
.txtspeLR { margin: 8px 0 4px; }
.txtspeG { padding: 10px 0 0; }
.timer {
    background-color: transparent;
    color: ".$texte[8].";
    font: italic 0.9em ".$page[39].";
    text-align: ".$texte[13].";
    padding: 8px;
}
#skinCopyright {
    width: 100%;
    margin-top: 2px;
    color: ".$texte[8].";
    text-align: ".$texte[13].";
}
#MainBlog {
    margin: 0;
    padding: ".(empty($marge[31]) ? 0 : $marge[31]).";
    width: 100%;
    text-align:center;
    display: -webkit-flex;
    display: flex;".$css62.$css69a.$css69b."
}
#BlogTop {
    width: 100%;
    padding: 0;
    margin: 0;
    color: inherit;
    background-color : transparent;
}
#BlogLeftBoxes { /* blog left column */
    margin: ".(empty($marge[5]) ? 0 : $marge[5]).";
    padding: ".(empty($marge[6]) ? 0 : $marge[6]).";
    color: inherit;".$css13.$css45.$css46."
    max-width: 100%;
    vertical-align: top;
    display: inline-block;
    order: ".$body[13].";
}
#BlogCenterBoxes { /* blog center area */
    margin: 0;
    padding: ".(empty($marge[32]) ? 0 : $marge[32]).";
    width: 100%;
    vertical-align: top;
    display: inline-block;".$css63.$css70a.$css70b."
    order: ".$body[14].";
}
#BlogRightBoxes { /* blog right boxes */
    margin: ".(empty($marge[7]) ? 0 : $marge[7]).";
    padding: ".(empty($marge[8]) ? 0 : $marge[8]).";
    color: inherit;".$css47.$css45.$css46."
    max-width: 100%;
    vertical-align: top;
    display: inline-block;
    order: ".$body[15].";
}
/***********************
 * Effet de parallaxe */
".$css80.$css81.$css82."
.slide_inside {
    width: 100%;
	max-width: 100%;
	margin: 0 auto;
}
#slide1 .slide_inside {".$css84."\n}
#slide2 .slide_inside {".$css85."\n}
#slide3 .slide_inside {".$css86."\n}
#paranav {
  position: fixed;
  top: ".$page[52].";
  ".($page[50] == 'left' ? 'left: 6px' : 'right: 30px').";
  list-style: none;
  z-index: 999;
}
#paranav li {
  margin: 0 0 15px;
}
#paranav li a {
  display: block;
  width: 10px;
  height: 10px;
  border-radius: 10px;
  background-color: ".$page[51].";
  border: solid 2px ".$bordure[44].";
}
/*******************************************
 * Mise en page des blocks dans le header */
div.logo { /* block logo */
    margin: ".(empty($other[5]) ? 0 : $other[5]).";
    padding: ".(empty($other[6]) ? 0 : $other[6]).";
    text-align: center;
}
div.banner { /* block bannière */
    background-repeat: no-repeat;
    margin: ".(empty($other[7]) ? 0 : $other[7]).";
    padding: ".(empty($other[8]) ? 0 : $other[8]).";
    text-align: center;
}
/*************************
 * block boite citation */
div.quote { /* block citation */
    margin: ".(empty($citation[16]) ? 0 : $citation[16]).";
    padding: ".(empty($citation[17]) ? 0 : $citation[17]).";
    text-align: center;".$css78.$css79."
}
div.quote span.labelcita { /* label */
    font: bold ".(empty($citation[1]) ? 'inherit' : $citation[1])." ".$citation[0].";
    color: ".$citation[2].";
    background: transparent;
    margin: 0;
    padding: 0 8px;
}
div.quote span.cita { /* texte */
    font: ".$citation[3]." ".(empty($citation[1]) ? 'inherit' : $citation[1])." ".$citation[0].";
    color: ".$citation[2].";
    background: transparent;
    font-style: normal;
    text-align: center;
    border: 0px;
    margin: 0;
    padding: 0 8px;
}
div.quote span.author { /* auteur */
    font: italic ".(empty($citation[1]) ? 'inherit' : $citation[1])." ".$citation[0].";
    color: ".$citation[2].";
    background: transparent;
}
";
$csslist .= "
/*********************************
 * bloc horizontal Menu sections */
div.menuIcons { /* block menu */
    padding: 0;
    margin: 0 0 6px;
}
div.menuIcons ul { /* block liste du menu */
    margin: -16px 0 0;
    padding-left: 36px;
    list-style: none;
    width: auto;".$css28.$css26.$css27."
}
div.menuIcons ul.noflag { padding-left: 4px; }
div.menuIcons ul li { /* toutes les sections */
    float: left;
    margin-right: 8px;
    text-align: center;
}
div.menuIcons ul li span { /* toutes les sections */
    display: block;
    white-space: nowrap;
}
div.menuIcons ul li a img { /* toutes les sections */
    height: ".$page[38].";
    max-height: 56px;
    padding-bottom: 2px;
}
div.pop.menuIcons_flag { /* section drapeau */
    float: left;
    text-align: center;
    white-space: normal;
    top: 12px;
    width: 32px;
}
div.pop.menuIcons_flag img { /* séparation drapeau */
    border: 0px;
    vertical-align: middle;
}
div.pop.menuIcons_flag img.imglatflag {
    margin: 0 0 0 -16px;
    padding: 0 0 6px;
}
div.pop.menuIcons_flag span.popflagT { /* séparation drapeau */
    top: 32px;
    width: 128px;
    font: ".$page[41]." ".(empty($page[40]) ? 'inherit' : $page[40])." ".$page[39].";
    text-align: center;
}
div.pop.menuIcons_flag span.popflagS {   
    top: 20px;
    width: 128px;
    font: ".$page[41]." ".(empty($page[40]) ? 'inherit' : $page[40])." ".$page[39].";
    text-align: center;
}
div.menuIcons ul li.menu_admin { /* section admin */
    float: right;
    padding-right: 3px;
}
div.menuIcons ul li a span { /* lien */
    background-color: ".$lien[7].";
    color: ".$lien[4].";
    margin: ".(empty($lien[15]) ? 0 : $lien[15]).";
    padding: ".(empty($lien[14]) ? 0 : $lien[14]).";
    ".getBorder($lien[11], $lien[12], $lien[10])."
    border-radius: ".$lien[13].";
    text-decoration: none;
    font: ".$page[37]." ".(empty($page[19]) ? 'inherit' : $page[19])." ".$page[18].";
}
div.menuIcons ul li a span.current { /* lien actif */
    background-color: ".$lien[8].";
    color:".$lien[9].";
    margin: ".(empty($lien[15]) ? 0 : $lien[15]).";
    padding: ".(empty($lien[14]) ? 0 : $lien[14]).";
    ".getBorder($lien[11], $lien[12], $lien[10])."
    border-radius: ".$lien[13].";
    text-decoration: none;
}
div.menuIcons ul li a:hover span { /* lien survolé*/
    background-color: ".$lien[6].";
    color: ".$lien[5].";
    margin: ".(empty($lien[15]) ? 0 : $lien[15]).";
    padding: ".(empty($lien[14]) ? 0 : $lien[14]).";
    ".getBorder($lien[11], $lien[12], $lien[10])."
    border-radius: ".$lien[13].";
    text-decoration: none;
}
/*************************************
 * bloc boîte latérale Menu Sections */
.titleboxmenu { padding-left: 28px; }
ul.boxmenu { /* block liste */
    margin: 0;
    padding: 5px 0;
    list-style: none;
}
ul.boxmenu li { /* items liste */
    margin-bottom: 10px;
}
ul.boxmenu li .cur_item { /* items actifs liste */
    margin-bottom: 10px;
}
ul.boxmenu li img { /* icons */
    vertical-align: middle;
    margin-right: 10px;
    height: ".$page[38].";
    max-height: 56px;
}
/****************
 * Fil d'ariane */
.ariane { /* bloc fil d'ariane */
    text-align: left;
    padding: 4px;
    margin: 0px;
    color: ".$citation[4].";
}
div.ariane span.arianeOn a { /* adresses actives */
    font-style: italic;
    color: ".$citation[4].";
}
div.ariane span.arianeOff { /* page courante */
    font-style: italic;
    color: ".$citation[5].";
}
/****************************************
 * Mise en page des blocs dans le corps */
/* bloc boîtes latérales */
.htable {
    margin-bottom: 8px;
}
.htable1 {
    margin-bottom: 8px;
}
.titrebox { /* Titre */
    background-color: ".hex2rgba($titre[5], $opacity[11]).";".$css9.$css17."
    margin: ".(empty($marge[13]) ? 0 : $marge[13]).";
    padding: ".(empty($marge[14]) ? 0 : $marge[14]).";
    white-space: normal;
    word-wrap: break-word;
    font: ".$titre[11]." ".(empty($titre[7]) ? 'inherit' : $titre[7])." ".$titre[6].";
    color: ".$titre[4].";
    text-align: ".(empty($texte[11]) ? 'left' : $texte[11]).";
    cursor: pointer;
}
.tblbox {  /* Corps */
    background-color: ".hex2rgba($texte[6], $opacity[12]).";".$css18."
    margin: ".(empty($marge[15]) ? 0 : $marge[15]).";
    padding: ".(empty($marge[16]) ? 0 : $marge[16]).";
    color: inherit;
    text-align:left;
}
.tblboxover { /* Corps survolé */
    background-color: ".hex2rgba($texte[7], $opacity[12]).";
}
/* bloc boîtes centrales */
.titre {
    background-color: ".hex2rgba($titre[1], $opacity[9]).";".$css8.$css15."
    margin: ".(empty($marge[9]) ? 0 : $marge[9]).";
    padding: ".(empty($marge[10]) ? 0 : $marge[10]).";
    white-space: normal;
    word-wrap: break-word;
    font: ".$titre[12]." ".(empty($titre[3]) ? 'inherit' : $titre[3])." ".$titre[2].";
    color: ".$titre[0].";
    text-align: ".(empty($texte[10]) ? 'left' : $texte[10]).";
}
.titre a {
    background-color: ".hex2rgba($titre[1], $opacity[9]).";
    padding: ".(empty($marge[10]) ? 0 : $marge[10]).";
    white-space: normal;
    word-wrap: break-word;
    font: ".$titre[12]." ".(empty($titre[3]) ? 'inherit' : $titre[3])." ".$titre[2].";
    color: ".$titre[0].";
    text-align: ".(empty($texte[10]) ? 'left' : $texte[10]).";
}
.titre a span {
    background-color: inherit;
}
.tbl {
    font: ".$page[36]." ".$page[2]." ".$page[1].";
    color: ".$texte[0].";".$css16."
    margin: ".(empty($marge[11]) ? 0 : $marge[11]).";
    padding: ".(empty($marge[12]) ? 0 : $marge[12]).";
    text-align:left;
    background-color: ".hex2rgba($texte[1], $opacity[10]).";"."
}
.tblover {
    background-color: ".hex2rgba($texte[2], $opacity[10]).";
}
div ul, ol { /* listes */
    padding: 8px 0 8px 8px;
    margin-left: 16px;
}
div li{
    padding: 0;
    margin-left: 12px;
}
.box {
    font: ".$page[35]." ".(empty($page[17]) ? 'inherit' : $page[17])." ".$page[16].";
    color: ".$texte[5].";
    background-color: transparent;
    text-align: left;
}
p.box {
    margin: 0;
    font: ".$page[35]." ".(empty($page[17]) ? 'inherit' : $page[17])." ".$page[16].";
    color: ".$texte[5].";
    background-color: transparent;
}
.box a, .item a {
    color: ".$lien[2].";
    background-color: transparent;
    text-decoration: none;
    font: ".$page[35]." ".(empty($page[17]) ? 'inherit' : $page[17])." ".$page[16].";
}
.box a:hover, .item a:hover {
    color: ".$lien[3].";
    text-decoration: none;
    background-color: transparent;
}
/* boîtes diverses */
.boxnet {
    width: auto;
    margin: auto;
    text-align: center;
    background-color: transparent;
}
.boxprint { 
    margin: 0;
    height: 40px;
    font: ".$citation[7].' '.(empty($citation[8]) ? 'inherit' : $citation[8]).' '.$citation[6].";
    color: ".$citation[9].";
    background-color: transparent;
}
.boxprint1 {
    float: right;
}
.boxprint2 {
    float: right;
    padding-right: 10px;
}
/* search boxes */
.thinboxsearch {
    background-color: transparent;
    text-align: center;
}
.thinboxsearchW {
    margin: -4px 0 0;
}
.thinboxsearchM {
    margin: 18px 0 20px;
}
.wideboxsearch {
    background-color: transparent;
    text-align: center;
}
.thinboxsearch1 {
    background-color: transparent;
    text-align: center;
}
.wideboxsearch1 {
    background-color: transparent;
    padding-bottom: 8px;
    margin: auto;
    text-align: center;
}
.imgsearchW {
    vertical-align: bottom;
    cursor: pointer;
    padding-left: 0;
}
.imgsearchM {
    vertical-align: bottom;
    cursor: pointer;
    padding-left: 14px;
}
.thinboxsearch2 {
    display: none;
    background-color: transparent;
    text-align: center;
}
.wideboxsearch2 {
    display: none;
    background-color: transparent;
    padding-bottom: 8px;
    margin: -10px auto auto;
    text-align: center;
    width: 172px;
}
.thinboxsearch2W, .wideboxsearch2W {
    position: absolute;
    z-index: 999;
}
.thinboxsearch3W, .wideboxsearch3W {
    text-align: center;
    width: 172px;
    margin: 0 auto;
}
.thinboxsearch3M, .wideboxsearch3M {
    margin: 8px 0 20px;
}
.searchlngW {
    text-align: center;
    width: 172px;
    margin: -4px auto 0;
}
.searchlngM {
    margin: 0 0 14px;
}
.adv1web {
    text-align: center;
    font-size: 0.8em;
    margin-top: -2px;
}
.adv1mob {
    text-align: center;
    font-size: 0.8em;
    margin-top: 14px;
}
.adv2 {
    display: none;
    text-align: center;
    font-size: 0.8em;
    margin-top: -2px;
    height: 2px;
}
.adv2W {
    height: 15px;
}
.searchclose {
    cursor: pointer;
    float: right;
    margin: -12px 0 0;
}
";
$csslist .= "
/*********************
 * bloc boîtes menus */
.rubr { /* catégories des articles */
    font: ".$page[35]." ".(empty($page[17]) ? 'inherit' : $page[17])." ".$page[16].";
    color: ".$lien[2].";
    background-color: transparent;
    text-align: left;
    margin: 1px;
    padding: 4px 2px;
}
p.rubr {
    padding: 0 2px;
    margin: 1px;
    font: ".$page[35]." ".(empty($page[17]) ? 'inherit' : $page[17])." ".$page[16].";
    color: inherit;
    background-color: transparent;
    text-align: left;
    line-height: 20px;
    font-weight: bold;
}
p.rubr:hover { color: ".$lien[3]."; }
.item {
    font: ".$page[35]." ".(empty($page[17]) ? 'inherit' : $page[17])." ".$page[16].";
    color: ".$lien[2].";
    background-color: transparent;
    text-align: left;
    list-style: none;
    margin: 0;
    padding: 2px 0;
}
ul.item {
    margin: 0;
    padding: 0;
}
ul.item li.item { /* titres des articles */
    font: ".$page[35]." ".(empty($page[17]) ? 'inherit' : $page[17])." ".$page[16].";
    color: ".$lien[2].";
    background-color: transparent;
    text-align: left;
    list-style: none;
    padding: 2px 0 2px 10px;
}
.curr_item {
    font: ".$page[35]." ".(empty($page[17]) ? 'inherit' : $page[17])." ".$page[16].";
    color: ".$forum[11].";
    background-color: ".$forum[0].";
    text-align: left;
    list-style: none;
    padding: 2px 0;
}
ul.item li.curr_item a { /* titre article est affiché */
    font: ".$page[35]." ".(empty($page[17]) ? 'inherit' : $page[17])." ".$page[16].";
    color: ".$forum[11].";
    background-color: ".$forum[0].";
    text-align: left;
    list-style: none;
    padding: 2px 0 2px 10px;
}
/**********
 * Photos */
.phrubr {
    font: ".$annuaire[11].' '.(empty($annuaire[12]) ? 'inherit' : $annuaire[12]).' '.$annuaire[10].";
    color: ".$annuaire[13].";
    text-align: left;
    margin: 2px 0px;
    padding: 2px 6px;
    border: 0px;
    cursor: pointer;".$css31."
}
.phrubr2 {
    font: ".$annuaire[15].' '.(empty($annuaire[16]) ? 'inherit' : $annuaire[16]).' '.$annuaire[14].";
    color: ".$annuaire[17].";
    text-align: left;
    margin: 2px 0px;
    padding: 2px 0px;
    border: 0px;
    cursor: pointer;".$css32."
}
.phsubrubr { 
    text-align: justify;
    padding-left: 35px;
}
.phitem2 {
    float: left;
    text-align: right;
    margin-left: 20px !important;
    margin-left: 12px;
    height: 15px;
}
.phcomment {
    font: ".$page[36]." ".$page[2]." ".$page[1].";
    padding: 0 10px;
}
.phimgs {
    font: ".$page[36]." ".$page[2]." ".$page[1].";
    margin: 5px;
    background-color: transparent;
    padding: 10px 5px 5px 5px;
}
.phimgs2 {
    padding-left: 4px; 
}
.phimg { /* miniatures des galeries photos */
    background: transparent;
    margin: 4px 4px 10px;
    border: 1px solid #C0C0C0 !important;
    border-radius: 4px;
    box-shadow: 1px 2px 2px #555; 
}
.phcpt {
    font: ".$page[36]." ".$page[2]." ".$page[1].";
    float: right;
    font-weight: normal;
    padding: 0px 6px;
}
.photobox { /* contenu boite photorama */
    padding: 10px 5px 15px;
}
.phtitlebox {
    text-align:center;
    margin-bottom:6px;
    font-size: 15px;
    font-weight: bold;
}
.galcounter {
    font: ".$page[36]." ".$page[2]." ".$page[1].";
    font-weight: normal;
    margin: 20px 6px 10px;
}
/*********
 * Liens */
.lititlecat {
    text-align: center;
    width: 80%;
    margin: 10px auto;
    padding: 4px 0;
    font: ".$annuaire[7].' '.$annuaire[2].' '.$annuaire[1].";".$css29.$css30."
    color: ".$annuaire[3].";
}
.licatlink {
    width: 80%;
    margin: 5px auto;
    padding: 4px 0;
    font: ".$annuaire[7].' '.$annuaire[2].' '.$annuaire[1].";".$css29.$css30."
    color: ".$annuaire[3].";
}
.licatlink img { padding: 0 8px; vertical-align: middle; }
.lirubr {
    text-align: left;
    font: ".$annuaire[11].' '.$annuaire[12].' '.$annuaire[10].";
    color: ".$annuaire[13].";
    background: transparent;
    margin: 2px 0px;
    padding: 2px 6px;
    border: 0px;
    cursor: pointer;".$css31."
}
.lirubr2 {
    text-align: left;
    font: ".$annuaire[15].' '.$annuaire[16].' '.$annuaire[14].";
    color: ".$annuaire[17].";
    margin: 2px 0px;
    padding: 2px 6px;
    border: 0px;
    cursor: pointer;".$css32."
}
.lirubr3 {
    margin-left: 20px !important;
    margin-right: 12px;
    height: 15px;
}
.lisubrubr {
    text-align: justify;
    padding-left: 35px;
}
.licontent { margin: 5px; }
/*******
 * FAQ */
.fatitlecat {
    text-align: center;
    width: 80%;
    margin: 10px auto;
    padding: 4px 0;
    font: ".$annuaire[7].' '.$annuaire[2].' '.$annuaire[1].";".$css29.$css30."
}
.facatlink {
    width: 80%;
    margin: 5px auto;
    padding: 4px 0;
    font: ".$annuaire[7].' '.$annuaire[2].' '.$annuaire[1].";".$css29.$css30."
}
.facatlink img { padding: 0 8px; vertical-align: middle; }
.farubr {
    text-align: left;
    font: ".$annuaire[11].' '.$annuaire[12].' '.$annuaire[10].";
    color: ".$annuaire[13].";
    background: transparent;
    margin: 2px 0px;
    padding: 2px 6px;
    border: 0px;
    cursor: pointer;".$css31."
}
.farubr2 {
    text-align: left;
    font: ".$annuaire[15].' '.$annuaire[16].' '.$annuaire[14].";
    color: ".$annuaire[17].";
    margin: 2px 0px;
    padding: 2px 6px;
    border: 0px;
    cursor: pointer;".$css32."
}
.farubr3 {
    margin-left: 20px !important;
    margin-right: 12px;
    height: 15px;
}
.fasubrubr {
    text-align: justify;
    padding-left: 35px;
}
.facontent { margin: 5px; }
.fainfos { font-size: ".$other[27]."; }
.fainfos strong { margin: 0 20px; }
/*******************
 * Téléchargements */
.dwnld1Body { padding: 4px; }
.maindwnld { padding: 5px; overflow: auto; }
.divdwnld { padding: 5px; }
.div1dwnld { padding: 5px 20px; }
.dntitlecat {
    text-align: center;
    width: 80%;
    margin: 10px auto;
    padding: 4px 0;
    font: ".$annuaire[7].' '.$annuaire[2].' '.$annuaire[1].";".$css29.$css30."
}
.dncatdwnl {
    width: 80%;
    margin: 5px auto;
    padding: 4px 0;
    font: ".$annuaire[7].' '.$annuaire[2].' '.$annuaire[1].";".$css29.$css30."
}
.dncatdwnl img { padding: 0 8px; vertical-align: middle; }
.dnrubr {
    text-align: left;
    font: ".$annuaire[11].' '.$annuaire[12].' '.$annuaire[10].";
    color: ".$annuaire[13].";
    background: transparent;
    margin: 2px 0px;
    padding: 2px 6px;
    border: 0px;
    cursor: pointer;".$css31."
}
.dnrubr2 {
    text-align: left;
    font: ".$annuaire[15].' '.$annuaire[16].' '.$annuaire[14].";
    color: ".$annuaire[17].";
    margin: 2px 0px;
    padding: 2px 6px;
    border: 0px;
    cursor: pointer;".$css32."
}
.dnrubr3 {
    margin-left: 20px !important;
    margin-right: 12px;
    height: 15px;
}
.dnsubrubr {
    text-align: justify;
    padding-left: 35px;
}
.dncontent { margin: 5px; }
.dnlink { margin: 0 15px; }
.dninfos { font-size: ".$other[27]."; }
.dninfos span { margin: 0 20px; }
/**************
 * info bulle */
.pop {
    text-align: justify;
    cursor: help;
    float: left;
    position: relative;
    z-index: 30;
}
.pop a {
    display: block;
}
.pop span {
    display: none;
    z-index: 30;
}
.pop a:hover span {
    color: ".$texte[0].";
    background-color: ".$other[14].";
    font: normal ".$page[2]." ".$page[1].";
    ".getBorder($other[16], 'solid', $other[15])."
    border-radius: ".(empty($other[17]) ? 0 : $other[17]).";
    display: block;
    position: absolute;
    width: 280px;
    text-decoration: none;
    padding: 4px;
    margin-top: 8px;
    text-shadow: 0px 0px 0px;
}
.pop a:hover span em {
    position: absolute;
    top: -7px;
    left: 8px;
    height: 7px;
    width: 11px;
    background: transparent url(img/infobullet.png);
    border: 0px;
}
/**************
 * Calendrier */
.cal {
    width: 100%;
    margin: auto;
    text-align: center;
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    border: 0px;
    border-collapse: separate;
    border-radius: ".$calendar[14].";
    border-spacing: ".$calendar[9].";
    color: inherit;
    background-color: ".$calendar[11].";
}
tr.cal { /* calendar nav bar */
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[8].";
    background-color: ".$calendar[11].";
    text-align: center;
}
select.cal { /* mont and year selection */
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[8].";
    background-color: ".$calendar[11].";
    ".getBorder('1px', 'solid', $calendar[13])."
}
td.cals { /* week */
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[8].";
    background-color: ".$calendar[17].";".$css9."
    width: 14%;
    text-align: center;
}
td.cal0 { /* empty cell*/
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[7].";".$css10."
    width: 14%;
    text-align: center;
}
td.cal1 { /* days */
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[7].";
    background-color: ".$calendar[1].";
    width: 14%;
    text-align: center;
}
td.cal2 { /* today */
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[18].";
    background-color: ".$calendar[2].";
    ".getBorder($calendar[12], 'solid', $calendar[13])."
    border-radius: ".$calendar[14].";
    width: 14%;
    text-align: center;
}
td.cal3 { /* sunday or special */
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[19].";
    background-color: ".$calendar[3].";
    ".getBorder($calendar[12], 'solid', $calendar[13])."
    border-radius: ".$calendar[14].";
    width: 14%;
    text-align: center;
}
td.cal4 { /* today is sunday or special */
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[20].";
    background-color: ".$calendar[4].";
    ".getBorder($calendar[12], 'solid', $calendar[13])."
    border-radius: ".$calendar[14].";
    width: 14%;
    text-align: center;
}
td.calevt { /* planner event */
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[8].";
    background-color: ".$calendar[10].";
    text-align: center;
    width: 14%;
}
td.calevt a { /* link of planner event */
    font: ".$calendar[15]." ".(empty($calendar[6]) ? 'inherit' : $calendar[6])." ".$calendar[5].";
    color: ".$calendar[16].";
}
td.leftNavCalW img, td.midNavCalW a, td.rightNavCalW img { vertical-align: middle; }
td.leftNavCalM, td.midNavCalM, td.rightNavCalM { padding: 10px 0 16px; }
td.mnthyearCalW { max-height: 22px;margin: 1px 0; }
td.mnthyearCalM { max-height: 22px; margin: 1px 0; padding: 10px 0; }
.selYearCal { width: 72px; }
.selMonthCal { width: 98px; }
.mnthyearBtnCal { max-height: 22px; margin-top: 4px; }
.cellCalM { padding: 10px 0 16px; }
.calagd { color: ".$calendar[7]."; }
/***********************
 * Formulaires (Forms) */
form { /* formulaire */
    margin: 3px 0;
}
fieldset { /* Encadrement des champs */
    ".getBorder($presform[7], $bordure[38], $presform[8])."
    border-radius: ".$presform[9].";
    margin: 8px;
}
legend { /* légende des encadrements */
    font: ".$page[36]." ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
    background-color: transparent;
    font-weight: bold;
    padding: 0 4px;
    margin-left: 5%;
}
input.bouton, button { /* bouton */
    cursor: pointer;
    margin: 4px 0;
    padding: ".(empty($presform[12]) ? 0 : $presform[12]).";
    ".getBorder('1px', 'inset', $presform[8])."
    border-radius: ".$presform[9].";
    background-color: ".$presform[2].";
    color: ".$presform[11].";
    font: ".$presform[10]." ".(empty($presform[5]) ? 'inherit' : $presform[5])." ".$presform[4].";".$css11."
}
input.bouton:hover, button:hover { /* bouton survolé */
    background-color: ".$presform[13].";
    color: ".$presform[14].";
    ".getBorder('1px', 'inset', $presform[14])."
}
input.texte { /* champ texte */
    background-color: ".$presform[3].";
    font: ".$presform[10]." ".(empty($presform[5]) ? 'inherit' : $presform[5])." ".$presform[4].";
    color: ".$presform[0].";
    ".getBorder($presform[7], $bordure[38], $presform[8])."
    border-radius: ".$presform[9].";
    margin: 4px 0;
    padding: 0px 2px;
}
select { /* champ select */
    color: ".$presform[0].";
    background-color: ".$presform[1].";
    font: ".$presform[10]." ".(empty($presform[5]) ? 'inherit' : $presform[5])." ".$presform[4].";
    ".getBorder($presform[7], $bordure[38], $presform[8])."
    border-radius: ".$presform[9].";
    margin: 4px 0;
}
textarea { /* champ textarea */
    color: ".$presform[0].";
    background-color: ".$presform[6].";
    ".getBorder($presform[7], $bordure[38], $presform[8])."
    border-radius: ".$presform[9].";
    overflow: auto;
    margin: 4px 0;
}
/***********************************
 * boîtes centrales forum - tables */
.row {
    width: 100%;
    border: 0px;
}
.col {
    width: 100%;
    max-width: 100%;
    vertical-align: top;
    display: inline-block;
}
.tbldiv {
    display: table;
    border-collapse: separate;
    border-spacing: 2px;
    width: 100%;
    max-width: 100%;
}
.trtbldiv {
    display: table-row;
    text-align: center;
}
.tdtbldiv { display: table-cell; }
.forum, .forum a {
    background-color: ".$forum[0].";
    padding: 5px 5px;
    font: bold ".$page[2]." ".$page[1].";
    color: ".$forum[11].";
    text-align: center;
    vertical-align: middle;
}
.forum2 {
    background-color: ".$forum[0].";
    padding: 5px 5px;
    font: ".$page[36]." ".$page[2]." ".$page[1].";
    color: ".$forum[11].";
    text-align: left;
}
.thtbldiv {
    display: table-cell;
    vertical-align: middle;
    padding: 0px 4px;
    text-align: center;
    font-weight: bold;
}
.trhtblfr {
    display: table-row;
    height: 34px;
    background-color: ".$forum[0].";
    padding: 5px 5px;
    font: ".$forum[14]." ".(empty($forum[12]) ? 'inherit' : $forum[12])." ".$forum[13].";
    color: ".$forum[11].";
    text-align: left;
}
.tdtblfr {
    display: table-cell;
    vertical-align: top;
    padding: 4px;
    text-align: left;
}
.bottomfrt {
    padding: 6px 4px 0px;
    margin: 8px auto;
    max-width: 100%;
    text-align: left;
    vertical-align: middle;
}
.frtrules {
    margin: 5px 40px;
    height: 300px;
    overflow: auto;
}
.quest {
    background-color: ".$forum[1].";
    padding: 5px 5px 5px 5px;
    font: ".$page[36]." ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
    text-align: left;
}
.rep {
    background-color: ".$forum[2].";
    padding: 10px 5px 5px 5px;
    font: ".$page[36]." ".$page[2]." ".$page[1].";
    color: ".$texte[0].";
    text-align: left;
}
.rep > p { background: transparent; }
.bord {
    padding: 1px;
    ".getBorder($barre[4], $barre[5], $barre[3])."
}
.bord2 { ".getBorder('2px', 'double', $forum[2])." }
.Code {
    ".getBorder('1px', 'solid', $forum[0])."
    padding-right: 5px;
    padding-left: 5px;
    color: ".$texte[5].";
    font: 12px ".(empty($titre[2]) ? 'inherit' : $titre[2]).", Monospace;
    background-color: ".$forum[2].";
}
";
$csslist .= "
/************************
 * Divers, inclassables */
.f-right { float: right; }
.f-left { float: left; }
.c-right { clear: right; }
.c-left { clear: left; }
.c-both { clear: both; }
.divnewline { min-height: 24px; }
.notice { 
    color: #FF0000;
    background-color: #FF9;
    padding: 2px;
}
.errorInputText {
    background-color: #FFE5E5;
    font: ".$presform[10]." ".(empty($presform[5]) ? 'inherit' : $presform[5])." ".$presform[4].";
    color: #000099;
    ".getBorder($presform[7], $bordure[38], $presform[8])."
    border-radius: ".$presform[9].";
    margin: 4px 0;
    padding: 0px 2px;
}
.clsCursor { cursor: pointer; }
.cursorHelp { cursor: help; }
.textRight { text-align: right; }
.textLeft { text-align: left; }
.textCenter { text-align: center; }
.textJustify { text-align: justify; }
.textUpper { text-transform: uppercase; }
.textUnderline { text-decoration: underline; }
.valignTop { vertical-align: top; }
.valignMiddle { vertical-align: middle; }
.valignBottom { vertical-align: bottom; }
.marginAuto { margin: auto; }
.popupMail { margin: 8px 0; }
.displayNone { display: none; }
.displayBlock { display: block; }
.displayInline { display: inline; }
.displayInlineBlock { display: inline-block; }
.dispError {
    max-width: 480px;
    margin: auto;
    background-color: #FFF;
}
.dispError2 {
    color: #FFF;
    background-color: #FF0000;
    text-align: center;
    font-size: 10pt;
    font-weight: bold;
    padding: 2px 0;
}
.dispArrow {
    float: right;
    font-family: fontello;
    font-size: 13px;
    padding: 3px 6px 0 0;
}
.img11x11 { width: 11px; height: 11px; }
.img15x15 { width: 15px; height: 15px; }
.img17x17 { width: 17px; height: 17px; }
.img32x32 { width: 32px; height: 32px; }
.width100 { width: 100%; }
.width98 { width: 98%; }
.width95 { width: 95%; }
.width88 { width: 88%; }
.width85 { width: 85%; }
.width78 { width: 78%; }
.width76 { width: 76%; }
.width75 { width: 75%; }
.width60 { width: 60%; }
.width55 { width: 55%; }
.width50 { width: 50%; }
.width48 { width: 48%; }
.width45 { width: 45%; }
.width40 { width: 40%; }
.width35 { width: 35%; }
.width30 { width: 30%; }
.width25 { width: 25%; }
.width22 { width: 22%; }
.width20 { width: 20%; }
.width18 { width: 18%; }
.width15 { width: 15%; }
.width13 { width: 13%; }
.width12 { width: 12%; }
.width10 { width: 10%; }
.widthAuto { width: auto; }
.web342 { margin: 15px 0 35px; }
.bgInherit { background: inherit; }
.boxCryptW { margin: 8px 0 0; }
.boxCryptM { margin: 0 0 24px; }
.basicCube1 { height: 128px; }
.popRss { width: 64px; }
.popRss span { top: 20px; }
.fontBold { font-weight: bold; }
.fontXsmall { font-size: x-small; }
.showprogbar {
    z-index: 50;
    position: absolute;
    left: 33%; top: 360px;
    width: 300px;
    padding: 20px;
    border-width: 4px;
    border-style: inset;
}
.workprogress {
    padding: 10px;
    border: 3px solid #FF0000;
    font-size: larger;
}
.loadingpage {
    position: absolute;
    left: 20%; top: 28px;
    width: 240px;
    padding: 5px;
    border-width: 1px;
    border-style: solid;
    background-color: #EEEEFF;
}
.posRelative { position: relative; }
.posAbsolute { position: absolute; }
.noborder { border: 0px; }
.nobackground { background-image: none; }
.bknocolor { background: transparent; }
.trheadsearch { background-color: ".$forum[1]."; }
.tr2headsearch { padding: 4px; background-color: ".$forum[2]."; }
.txthiddensearch { overflow: auto; height: 300px; }
/***************************
 * Evaluation mot de passe */
.alert {
    background-color: #FCF8E3;
    ".getBorder($presform[7], $bordure[38], $presform[8])."
    border-radius: ".$presform[9].";
    margin: 4px 0;
    padding: 2px;
    color: ".$presform[0].";
    text-align: center;
    font-weight: bold;
}
.alert-error {
    color: #FFFFFF;
    background-color: #FF0000;
    border-color: #EED3D7;
}
.alert-success {
    color: #000000;
    background-color: #00FF00;
    border-color: #D6E9C6;
}
.alert-info {
    color: #FFFFFF;
    background-color: #009DFF;
    border-color: #BCE8F1;
}
/*******
 * Rss */
.rssitem { padding: 6px; }
.text1newsrss, .text2newsrss {
    margin: 2px auto;
    padding: 10px 5px 5px;
}
.datitemrss { color: #999; }
.pubdateRss { color: #999; }
/***********************
 * Postguest - Editeur */
.pg280 { width: 280px; }
.pg360 { width: 360px; }
.pgrbra {
    height: 160px;
    overflow: auto;
    border-style: groove;
}
.pgc1 {
    max-width: 520px;
    height: 160px;
    overflow: auto;
    border-style: groove;
}
.pgptxt { padding: 5px }
blockquote.citation {
    border: ".$other[10]." ".$other[11]." ".$other[9]." !important;
    border-left-width: 4px !important;
}
blockquote.citation > :first-child {
    background-color: ".hex2rgba($other[12], $opacity[22])." !important;
    color: ".$other[13]." !important;
}
blockquote.citation div { font-style: italic !important; }
.hljs {
    background-color: ".hex2rgba($other[23], $opacity[23])." !important;
    margin: 0 8px;
    padding: 6px !important;
    border: ".$other[10]." ".$other[11]." ".$other[9]." !important;
    border-left-width: 4px !important;
}
/*********************
 * Boîte Préférences */
.userButtonM { margin: 4px 0 28px; }
.userIdentW {
    margin: -4px auto 0;
    width: 240px;
    max-width: 90%;
}
.userIdentM {
    margin: 0 auto 16px; 
    width: 240px;
    max-width: 90%;
}
.userLostM { margin: 24px 0 8px; }
.userLostA { font-size:0.9em; }
.userWave object { width: 0; height: 0; }
.visits {
    position: absolute;
    margin: -210px 0 0 24px;
    padding: 4px;
    width: 190px;
    background: ".$other[1].";
    color: ".$other[0].";
    ".getBorder($other[3], 'solid', $other[2])."
    border-radius: ".$other[4].";
    display: none;
    z-index: 15;
}
.visits2 {
    max-height: 200px;
    overflow: auto;
    background: transparent;
    text-align: left;
}
.visits2 img {
    vertical-align: middle;
    height: 24px;
    padding: 1px 2px;
}
.visitsClose {
    margin: 8px 6px 0;
    font-family: fontello;
    font-size: 13px;
}
.avatar {
    vertical-align: middle;
    height: 24px;
    padding: 1px 2px;
}
.connectedList { margin-top: 6px; }
.connectedImg { margin: 0 0 0 4px; }
.connectedUserM { margin-bottom: 24px; }
.userprefIP { margin: 10px; }
.itemRssBoxW { margin: 0; }
.itemRssBoxM { margin: 8px 0 24px; }
/*************************
 * Boîte Infos Webmastre */
.webm { padding-left: 4px; }
.webmtblM {
    width: 100%;
    margin: 16px 0;
}
/***********************
 * Barre de navigation */
.navbarLeftW { padding: 5px; }
.navbarLeftM { padding: 5px 15px 5px 5px; }
.imgMinusM { padding-right: 5px; }
.imgPlus { padding-left: 5px; }
.navbarRightW { padding: 5px; }
.navbarRightM { padding: 5px 5px 5px 15px; }
/*************
 * Guestbook */
.gbkb1W { padding-top: 6px; }
.gbkb1M { padding-top: 32px; }
.gbkc1 { padding-bottom: 24px; }
/**********
 * Agenda */
.calagvL {
    margin: 1px;
    min-width: 60px;
    padding-top: 10px;
}
.calagvR { margin: 1px; }
.calendarg, .calendard {
    margin: 1px;
    padding: 4px;
}
.calimggW, .calimgdW {
    width: 14px;
    height: 11px;
}
.calimggM {
    padding-right: 32px;
    width: 14px;
    height: 11px;
}
.calimgdM {
    padding-left: 32px;
    width: 14px;
    height: 11px;
}
";
$csslist .= "
/*********
 * Forum */
.valign-5 { vertical-align: -5px; }
.valign-4 { vertical-align: -4px; }
.valign-1 { vertical-align: -1px; }
.frtbldiv { margin: 8px auto; }
.frtdtbldiv { padding: 3px; }
.frWtdtbldiv {
    white-space: nowrap;
    width: 24%;
    padding: 0 3px;
}
.postsBtnForum { margin-right: 4px; padding: 6px 0 0 3px; }
.mailBtnForumWW { margin-right: 64px; padding: 6px 0 0; }
.mailBtnForumTW { margin-right: 4px; padding: 6px 0 0; }
.mailBtnForumM { width: 48%; padding: 6px 0 0; }
.newmembBtnForumW { width: 17%; padding: 6px 2px 2px; }
.newmembBtnForumM { width: 45%; padding: 6px 2px 2px; }
.connectBtnForumW { width: 15%; padding: 6px 2px 2px; }
.connectBtnForumM { width: 45%; padding: 6px 2px 2px; }
.membTopForumWW { padding-top: 12px; }
.membTopForumWM { width: 100%; padding-top: 12px; }
.membTopForumTW { padding-top: 12px; }
.membTopForumTM { width: 100%; padding-top: 12px; }
.userWaveForum {
    top: 2px; left: 274px;
    width: 38px; height: 38px;
}
.userWaveForum img { padding-top: 2px; }
.userWaveForum object { width:0; height:0; }
.searchTopForum { padding: 4px 2px 4px 0; }
.seluserTopForum { width: 100px; }
.mailsubmitTopForum { padding-left: 5px; }
.frtlnkarch img { vertical-align: -4px; }
.frtlnkrules { margin-top: -8px; }
.frlnkforumM { margin-bottom: 18px; }
.frlnkcategW { margin-left: 18px; }
.frlnkcategM { margin: 0 0 18px 18px; }
.frbottom { padding: 16px 0 4px; }
.frimgsbottom { padding: 4px; }
.frretfrt {
    width: 250px;
    margin-top: -8px;
    padding-top: 2px;
}
.thlnkforumW { margin-left: 8px; }
.thlnkforumM { margin: 0 0 18px 8px; }
.thlnkcateg { margin-left: 18px; }
.thmainM { margin-bottom: 32px; }
.thhead { margin-bottom: 4px; }
.thheadsubjectW {
    height: 32px;
    min-width: 150px;
    max-width: 160px;
}
.thheadsubjectM {
    height: 32px;
    min-width: 110px;
    max-width: 160px;
}
.thheadbody { word-break: break-all; }
.thbody { margin-bottom: 6px; }
.thbodysubjectW {
    min-width: 146px;
    max-width: 160px;
}
.thbodysubjectM {
    min-width: 108px;
    max-width: 160px;
}
.thtimetop {
    height: 52px;
    z-index: 15;
    border-width: 1px;
    border-style: solid;
    border-radius: 8px;
    background: inherit;
}
.closethtimetop { margin: -24px 4px 0 0; }
.thmoveto {
    height: 46px;
    z-index: 15;
    border-width: 1px;
    border-style: solid;
    border-radius: 8px;
    background: inherit;
}
.thtocat { width: 120px; }
.closethtocat { margin: 20px 4px 0 0; }
.thbodycontentW {
    width: 99.8%;
    margin: -4px -6px 6px -4px;
    padding: 4px;
}
.thbodycontentM {
    width: 99.8%;
    margin: -4px -6px 6px -4px;
    padding: 4px;
    word-break: break-all;
}
.thbodybottom { height: 28px; }
.thcoders { padding-top: 4px; }
.themail { padding-left: 5px; }
.thimgsiteW { padding-left: 5px; }
.thimgsiteM { padding-left: 24px; }
.thimgrepM { padding-right: 24px; }
.thmsgicons { padding: 4px; margin: 4px auto 0 0; }
.thretbutton { padding: 2px 0 4px 8px; }
.thselcat { width: auto; padding: 2px 6px 0; }
.frnoaccess { padding-bottom: 48px; }
.frarchsubject {
    min-width: 148px;
    margin: 1px;
    white-space: nowrap;
}
.frarchbody { margin: 1px; }
.tharchmain { margin-bottom: 8px; }
.tharchsubject { max-width: 160px; }
.thsign { padding-top: 8px; }
.bodyfrposts {
    margin: 0px;
    padding: 0px;
    background-image: none;
    border: 0px;
}
.mainfrposts, .mainrules {
    padding: 5px;
    margin: 2px;
}
.closefrpopup { margin: 2px 10px; }
/***********
 * Sondage */
.textPool {
    padding: 2px 0;
    font-weight: bold;
}
.txt2Pool {
    font-weight: bold;
    padding: 6px 2px;
}
.lnkPool { padding: 2px 0; }
.potbldiv {
    font: 10px Arial, Helvetica, sans-serif;
    line-height: 12px;
}
.poChoiceW { padding: 2px; }
.poChoiceM { padding: 2px 0 20px; }
.poItem { text-indent: 6px; }
.poLnkResultW { padding: 2px; }
.poLnkResultM { padding: 24px 0 12px; }
/*****************
 * Lettre d'info */
.nwlPseudoM { margin-bottom: 24px; }
.nwlMailW { margin-top: -4px; }
.nwlMailM { margin-bottom: 24px; }
.nwlActionW { padding-left: 35px; }
.nwlActionM { padding-left: 35px; margin-bottom: 24px; }
.nwlunsub { margin: 12px 0; }
.nwlcrypt { margin-top: 8px; }
.nwlyesbtn { margin-right: 6px; }
.nwlnobtn { margin-left: 6px; }
/*******************
 * Réseaux sociaux */
.rssSocnet { padding: 0 2px; }
.iconSocnetW { margin: auto; padding: 0 2px; }
.iconSocnetM { margin: 0 0 0 24px; padding: 0 2px; }
/*************
 * Nouvelles */
.codersNews { padding: 12px 0 4px; }
.archNews { padding: 0 0 12px; }
.archNews img { vertical-align: -4px; }
.postNews { margin: 0 64px 12px 0; }
.editoNews { margin-top: 4px; padding: 2px; }
.txt2News { margin-top: 4px; padding: 10px 5px 5px; }
.headNews { margin: 2px 0 0; }
/**********************
 * Nouveautés du site */
.itemLastdoc { margin: 8px 0 16px; }
.lastdoc { margin: 0px; padding: 2px }
.lastdoc2 { margin: 0px; padding: 10px 5px 5px; }
.plusLastdocM { margin: 8px 12px 16px 0; }
.lastdoc a, .lastdoc2 a { font-weight: bold; }
/***********
 * Contact */
.itemContactW { margin: 4px 0 0; }
.itemContactM { margin: 4px 0 24px; }
.imgContact { margin: 0 8px -4px 12px; }
.dispMail{ padding: 8px; }
.dispMailBody {
    width: 90%;
    padding: 8px;
    margin: 0 auto;
}
.messContactM { margin: 0; padding: 0; }
.headContactW {
    text-align: left;
    font-size: medium;
}
.headContactM {
    margin-left: 8px;
    text-align: left;
    font-size: medium;
}
.nameContactR { padding-left: 22px; }
.mailContactL { padding: 0 0 16px; }
.mailContactR { padding: 0 0 16px 22px; }
/********
 * Blog */
.selBlogCat { width: 166px; }
.dispqcBlogCat { margin-bottom: 8px; }
.itemBlogBoxW { padding: 3px 6px; }
.itemBlogBoxM { padding: 10px 0 16px; }
.cal3Blog { white-space: nowrap; }
.cal3BlogM { padding: 10px 0 16px; }
.calBlogM { padding: 10px 0; }
.calButton { min-width: 0px; }
.cal0BlogM { padding: 10px 0 16px; }
.itemRssBlog { padding: 3px; }
.rssBlog { margin-bottom: 8px; }
.boxreBlog2 { padding: 4px; }
.headCenterBlog { margin: 2px 0 0; }
.postBlog { margin: 0 64px 12px 0; }
.txt2Blog { padding: 4px }
.blogBlog { padding: 5px; }
.blog2Blog { margin-top: 4px; padding: 10px 5px 5px; }
.blog3Blog { margin-top: 4px; padding: 10px 5px 5px; }
.codersBlog { padding-top: 6px; }
.footerItemBlog { padding: 6px 4px 2px; font-size: 0.9em; }
.commentBlog { font-size: smaller; }
.commentBlogM { padding-right: 32px; }
.qcItemBlog { margin: -4px 0 20px; }
.messErrorBlog { padding: 6px; }
.blogarch { padding: 4px; }
.titleArchBlog { margin: 8px 0; }
.bordTextArch { margin-top: 4px; }
.textArchBlog { padding: 4px; }
.actionArchBlog { padding: 2px 4px; font-size: smaller; }
.pubArchBlog { padding: 2px 4px; font-size: smaller; }
.titreBlog { margin: 8px 0px; }
.bordBillet { margin-top: 4px; }
.billetBlog { padding: 4px; }
.footerBillet { padding: 4px 4px 0 0; font-size: smaller; }
.leftRssBlog, .rightRssBlog { padding: 4px; }
.text2RssBlog { margin: 0; padding: 2px; }
.textRssBlog { margin: 2px; padding: 10px 5px 5px; }
.buttonTopBlog { padding: 6px 4px 2px; }
.userWaveBlog {
    top: 0px; left: 16%;
    width: 38px; height: 38px;
}
.userWaveBlog object { width: 0; height: 0; }
.membersTopBlog { padding-top: 10px; }
.nouserTopBlog { padding-top: 2px; }
.searchTopBlog { padding: 4px 2px; }
.lnkblarch { padding: 8px 4px 0; }
.blog3arch { padding: 2px; }
.txt3arch { margin: 2px; padding: 5px; }
.txt2blogarch { padding: 5px; }
.headblogarch { padding: 6px 4px 2px; font-size: 0.9em; }
/****************
 * Statistiques */
.tdstats { padding: 5px; }
.vertbarStat { width: 2em; white-space: nowrap; }
.horiztxtStat { width: 100px; margin: 10px; }
.horizbarStat { white-space: nowrap; margin: 10px; }
/************
 * Articles */
.selArtNavbar { width: 120px; }
.rssArt { width: 64px; }
.contentArt { padding: 6px; }
.codersArt { padding: 4px 0 10px; }
.propArtW { width: 44%; padding-left:12px; font-size: smaller; }
.propArtM { width: 100%; font-size: smaller;}
.navbarArt, .prtArt { margin: 4px; }
.headreactleft { padding: 4px; }
/***********
 * Membres */
.afterlost { margin: 32px; }
.mainConnect { width: 320px; }
.lostconnect { font-size: 0.9em; }
.prfAdmButton { max-width: 500px; }
.prftblborder { ".getBorder('1px', 'solid', '#000')." }
.prfheadtbl { padding: 16px; }
.prfava { max-height: 80px; }
.prfwebsite { padding: 24px 0; }
.prfimgmail { height: 24px; }
.mbrlistmain { margin-top: 8px; }
.mbrlistimgava { height: 32px; }
.mbrlistimg { height: 24px; }
.cmptlbl { margin: 2px; padding: 10px 4px; }
.popsyncmail { width: 32px; }
.popsyncmail img { margin: -6px 0 0 0; }
.pop.popsyncmail a span { left: -270px; top: 20px; }
.pop.popsyncmail a span em { left:auto; right: 12px; }
.cmptsyncmail { margin: -6px 2px 0 16px; }
.tbltinysend { width: 100%; max-width: 540px; }
.tdrepmsg {
    height: 80px;
    width: 480px;
    overflow: auto;
    border-width: 1px;
    border-style: solid;
}
.msgtinysend { width: 500px; }
.tbltinymain { width: 460px; }
.trmsgtiny { padding: 8px 0; }
.tdmsglnk { padding: 8px 4px; }
.btntinymain { width: 460px; padding: 16px 32px 0 0; }
.divcmdtiny { margin: 0 auto; width: 280px; }
.frmcmdtiny { margin: 0; padding: 0; }
.divreptiny { padding: 4px; margin-top: 8px; }
.divheaduser {
    padding-left: 4px;
    margin-left: auto;
    margin-right: auto;
    width: 96%;
}
.divuseritem { margin: 2px; }
.divuserpwd { margin: 8px 2px 2px; }
.popuserpwd { width: auto; margin-left: 8px; }
.pop.popuserpwd a span { width: 260px; left: -240px; }
.pop.popuserpwd a span em { left: auto; right: 20px; }
.popusersign { width: auto; margin-left: 8px; }
.pop.popusersign a span { width: 260px; left: -240px; }
.pop.popusersign a span em { left: auto; right: 20px; }
.usermainava { margin: 16px auto auto; }
.divuserava { max-height: 320px; overflow: auto; }
.tbluseravaM { max-width: 280px; }
.imgavaitemM { width: 42px; }
.divavaitem { margin: 4px; padding: 4px; }
.divuseravaextW { width: 330px; margin: 6px auto 0px; }
.divuseravaextM { width: 240px; margin: 6px auto 0px; }
.userextavaW { width: 280px; }
.userextavaM { width: 200px; }
.pop.popavaext { width: 32px; }
.pop.popavaext a span { width: 290px; left: -260px; }
.pop.popavaext a span em { left: auto; right: 30px; }
.tbluseravaW { width: 420px; max-width: 60%; }
#returnOnTop {
    background: url(img/return_on_top.png);
    cursor: pointer;
    display: none;
    filter: alpha(opacity = 50);
    height: 48px;
    width: 48px;
    position: fixed;
    right: 1%;
}
#returnOnTop:hover {
    filter: alpha(opacity = 100);
    opacity: 1;
}
";
$csslist .= "
/********************
 * Menus déroulants */
ul.dropdown {
    list-style: none;
    margin: 0; 
    padding: 0;
    position: relative;
    float: left;
}
ul.dropdown li {
    font: ".$dropdown[2]." ".(empty($dropdown[3]) ? 'inherit' : $dropdown[3])." ".$dropdown[1].";
    padding: 7px 10px;".$css34.$css36."
    color: ".$dropdown[4].";
    list-style: none;
    margin: 0;
    float: left;
    line-height: 1.3em;
    vertical-align: middle;
    width: ".$dropdown[0].";
    text-align: ".$texte[12].";
}
ul.dropdown li:hover {
    color: ".$dropdown[29].";".$css74."
    position: relative;
    z-index: 599;
    cursor: pointer;
}
ul.dropdown li.dd_current {
    color: ".$dropdown[16].";".$css38."
    position: relative;
    z-index: 597;
    cursor: pointer;
}
ul.dropdown a:link, ul.dropdown a:visited	{
    color: inherit;
    text-decoration: none;
}
ul.dropdown a:hover { color: inherit; }
ul.dropdown ul {
    width: 150px;
    margin-top: 1px;
    list-style: none;
    margin: 0;
    padding: 0;
    visibility: hidden;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 598;
}
ul.dropdown ul li {
    font: ".$dropdown[2]." ".(empty($dropdown[3]) ? 'inherit' : $dropdown[3])." ".$dropdown[1].";
    color: ".$dropdown[25].";".$css37."
    width: ".$dropdown[11].";
}
ul.dropdown ul ul {
    top: 1px;
    left: 99%;
}
ul.dropdown li *.dir { padding-right: 20px; }
ul.dropdown-horizontal ul li *.dir { padding-right: 20px; }
ul.dropdown li:hover > ul {
    transition-property : visibility;
    transition-delay : 300ms;
    visibility: visible;
}
ul.dropdown-vertical { width: 160px; }
ul.dropdown-vertical ul {
    top: 1px;
    left: 99%;
}
ul.dropdown-vertical li { float: none; }
ul.dropdown-vertical li.dd_current { z-index: 596; } 
ul.dropdown-linear { width: 100%; }
ul.dropdown-linear li {
    width: ".$dropdown[11].";
    font: ".$dropdown[2]." ".(empty($dropdown[3]) ? 'inherit' : $dropdown[3])." ".$dropdown[1].";
    color: ".$dropdown[4].";".$css34."
}
ul.dropdown-linear li ul li {
    width: ".$dropdown[17].";
    height: ".$dropdown[18].";
    background: ".$dropdown[19].";".$css35."
}
.tbl ul.dropdown-linear li:hover ul li {
    color: ".$dropdown[26].";
    background: ".$dropdown[19].";
}
ul.dropdown-linear li ul li:hover {
    background: ".$dropdown[19].";
    cursor: default;
}
ul.dropdown-linear ul li { float: left; }
ul.dropdown-linear li:hover { position: static; }
ul.dropdown-linear ul li:hover {
    ".$css5."
}
ul.dropdown-linear ul ul { display: none !important; }
.ddmArrow {
    font-family: fontello;
    font-size: 13px;
    padding-left: 12px;
}
.ddmImg {
    padding-right: 6px;
    vertical-align: top;
    max-height: 16px;
}
";
$csslist .= "
/********************
 * Menus déroulants MOB */
.menu-vertical {
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;    
}
.menu-vertical ul {
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
}
.menu-vertical li {
    margin: 0 -8px 2px -8px;
    padding-right: 8px;".$css34.$css36."
    opacity: 0.99;
}
.menu-vertical li li {
    max-height: 0;".$css37."
    overflow: hidden;
    transition: all .5s;
    border-radius: 0;
    box-shadow: none;
    border: 0px;
    margin: 0 -8px 0 0;
}
.menu-vertical li a {
    display: block;
    text-decoration: none;
    padding: 0.6em 0;
    font: ".$dropdown[2]." ".(empty($dropdown[3]) ? 'inherit' : $dropdown[3])." ".$dropdown[1].";
    color: ".$dropdown[4].";
}
.menu-vertical li li a { color: ".$dropdown[25]."; }
.menu-vertical li:hover, .menu-vertical li li:hover {
    ".$css38."
}
.menu-vertical ul li:last-child { border: 0px; }
.menu-vertical li:hover li { max-height: 15em; }
/*************
 * Mots-clés */
ul.keyword {
    list-style: none;
    margin: 0; 
    padding: 0;
    position: relative;
    float: left;
}
ul.keyword li {
    margin: 0;
    padding: 0px 6px;
    background-color: transparent;
    color: inherit;
    list-style: none;
    float: left;
    line-height: 2.0em;
    vertical-align: bottom;
}
ul.keyword li:hover {
    background-color: transparent;
    color: inherit;
    position: relative;
    z-index: 599;
    cursor: pointer;
}
ul.keyword ul {
    width: 180px;
    list-style: none;
    margin: 0;
    padding: 0;
    visibility: hidden;
    position: absolute;
    top: 75%;
    left: 0;
    z-index: 598;
}
ul.keyword-horizontal ul li *.dir {
    padding-right: 20px;
}
ul.keyword li:hover > ul {
    transition-property : visibility;
    transition-delay : 300ms;
    visibility: visible;
}
ul.keyword div {
    ".getBorder('1px', 'solid', $dropdown[7])."
    border-radius: 4px;
    background-color: ".$dropdown[5].";
    padding: 4px 8px;
    line-height: 1.3em;
    color: ".$dropdown[4].";
}
.keyword0 { /* nombre d'occurrences nulle */
    font-size : 0.8em;
}
.keyword1 { /* entre 1 et 3 */ 
    font-size : 1.2em;
}
.keyword2 { /* entre 4 et 5 */
    font-size : 1.6em;
}
.keyword3 { /* plus de 5 */
    font-size : 2.0em;
}
/************************
 * Cryptogrammes texte */
#cryptogram0, #cryptogram1, #cryptogram2 {
    margin: 6px auto;
    padding: 2px;
    font-family: Arial;
    font-weight: bold; 
    font-size: 16px;
    background-color: ".$other[18].";
    color: ".$other[19].";
    ".getBorder($other[21], 'solid', $other[20])."
    border-radius: ".$other[22].";
    text-align: center;
}
";
	
    SetChmod(CHEMIN.'skins/'.$mycss.'/style.css');
    $csslist = str_replace('\'', '"', $csslist);
    WriteFullDB(CHEMIN.'skins/'.$mycss.'/style.css', $csslist);
	
    /****************************************
     * Construction de la feuille CSS jQuery*
     ****************************************/
    $csslist = "/*  ---------  CSS jQuery generated for ".$mycss."  ----------- */

/************
 * Onglets */
#gytabs {
    display: none;
    margin-left: -4px;
    color: inherit;
}
#gytabs li {
    position: relative;
    float: left;
    list-style: none;
    padding: 2px 5px 7px;
    margin-right : -8px;
    ".getBorder($tabs[3], 'solid', $tabs[2])."
    border-radius: ".$tabs[4].";
    cursor: pointer;
    background-color: ".$tabs[1].";
    color: ".$tabs[0].";
    z-index: 1;
}
#gytabs li:hover {
    background-color: ".$tabs[28].";
    color: ".$tabs[29].";
}
#gytabs .gyactif {
    margin-bottom : 1px;
    background-color: ".$tabs[5].";
    font-weight: bold;
    color: ".$tabs[6].";
    z-index: 10;
}
#gytabcontent {
    clear: both;
    position: relative;
    margin: 0 2px;
    padding: 0 4px;
    ".getBorder($tabs[9], 'solid', $tabs[8])."
    border-radius: ".$tabs[10].";
    top: -2px;
    background-color: ".$tabs[7].";
    color: inherit;
    width: auto;
    overflow: hidden;
    z-index: 5;
}

/********************
Accordéon vertical */
#gyaccordion {
    width: auto;
    height: auto;
    list-style-type: none;
    background-color: transparent;
    color: inherit;
}
#gyaccordion a {
    display: block;
    font-weight: bold;
    text-decoration: none;
}
#gyaccordion ul {
    overflow: hidden;
    margin: 0;
    padding: 0;
}
#gyaccordion li {
    margin: auto;
    list-style-type: none;
    height:auto;
}
#gyaccordion li a {
    width: auto;
    height: auto;
    padding: 4px;
    display: block;
    color: ".$tabs[11].";
}
#gyaccordion li a.closed {
    color: ".$tabs[11]." !important;
    background-color: ".$tabs[12].";
    ".getBorder($tabs[14], 'solid', $tabs[13])."
    border-radius: ".$tabs[15].";
    margin: 4px 0;
}
#gyaccordion li.firstitem a.closed {
    color: ".$tabs[11]." !important;
    background-color: ".$tabs[12].";
    ".getBorder($tabs[14], 'solid', $tabs[13])."
    border-radius: ".$tabs[15].";
}
#gyaccordion li.lastitem a.closed {
    color: ".$tabs[11]." !important;
    background-color: ".$tabs[12].";
    ".getBorder($tabs[14], 'solid', $tabs[13])."
    border-radius: ".$tabs[15].";
}
#gyaccordion li li {
    width: auto;
    height: auto;
    margin: auto;
    line-height: 28px;
    background-color: ".$tabs[18].";
    color: inherit;
    ".getBorder($tabs[20], 'solid', $tabs[19])."
    border-radius: ".$tabs[21].";
}
#gyaccordion li a.opened {
    color: ".$tabs[17].";
    font-weight: bold;
    background-color: ".$tabs[16].";
    ".getBorder($tabs[14], 'solid', $tabs[13])."
    border-radius: ".$tabs[15].";
    margin: 4px 0;
}
#gyaccordion li.firstitem a.opened {
    color: ".$tabs[17].";
    font-weight: bold;
    background-color: ".$tabs[16].";
    ".getBorder($tabs[14], 'solid', $tabs[13])."
    border-radius: ".$tabs[15].";
    margin: 4px 0;
}
#gyaccordion li a.hover {
    color: ".$tabs[31]." !important;
    background-color: ".$tabs[30].";
    ".getBorder($tabs[14], 'solid', $tabs[13])."
    border-radius: ".$tabs[15].";
    margin: 4px 0;
}
#gyaccordion li.firstitem a.hover {
    color: ".$tabs[31]." !important;
    background-color: ".$tabs[30].";
    ".getBorder($tabs[14], 'solid', $tabs[13])."
    border-radius: ".$tabs[15].";
}
#gyaccordion li.lastitem a.hover {
    color: ".$tabs[31]." !important;
    background-color: ".$tabs[30].";
    ".getBorder($tabs[14], 'solid', $tabs[13])."
    border-radius: ".$tabs[15].";
}
#gyaccordion li.lastitem li {
    margin: 4px 0 12px 0;
}
#gyaccordion li.lastitem ul {
    padding-bottom: 4px;
    margin: 0;
}

/* fenêtre modale */
#gyfade {
    display: none;
    background: ".hex2rgba($tabs[22], $tabs[23])."; 
    position: fixed; 
    left: 0;
    top: 0; 
    z-index: 10;
    width: 100%;
    height: 100%;
    z-index: 9999;
}
.gypopup_block{
    display: none;
    background-color: ".$tabs[24].";
    color: inherit;
    padding: 20px; 	
    float: left;
    font-size: 1.2em;
    position: fixed;
    top: 50%; left: 50%;
    z-index: 99999;
    border: solid ".$tabs[25].";
    border-width: ".$tabs[26].";
    border-radius: ".$tabs[27].";
    box-shadow: 0px 0px 20px ".$texte[0].";
}
.gypopup_block a { /* lien pop */
    color : ".$texte[0].";
    text-decoration: underline;
}
img.gybtn_close {
    float: right; 
    margin: -50px -50px 0 0;
    border: 0px;
    color: ".$titre[0].";
}
.gypopup p {
    padding: 5px 10px;
    margin: 5px 0;
}
";
	
    SetChmod(CHEMIN.'skins/'.$mycss.'/jqstyle.css');
    $csslist = str_replace('\'', '"', $csslist);
    WriteFullDB(CHEMIN.'skins/'.$mycss.'/jqstyle.css', $csslist);
	
    /**************************************************
     * Construction de la feuille CSS CKEditor public *
     **************************************************/
    $csslist = "/*  ---------  Paramètrage de CKEditor public  ----------- */

body {
	background: ".$other[24].";
	color: ".$other[25].";
	font-size: ".$other[26].";
}
";
	
    SetChmod(CHEMIN.'inc/ckeditor_config/guppy_contents_plus.css');
    $csslist = str_replace('\'', '"', $csslist);
    WriteFullDB(CHEMIN.'inc/ckeditor_config/guppy_contents_plus.css', $csslist);
}

if ($regit == 3) {
	$nameskin = import('nameskin');
	if (preg_match('/^[a-z0-9_]{4,20}$/', $nameskin) && !is_dir(CHEMIN.'skins/'.$nameskin)) {
		recursiveCopy(CHEMIN.'skins/no_skin', CHEMIN.'skins/'.$nameskin);
		$selskin = $userprefs[10] = $page[14] = $nameskin;
	}
}

$skn  = isset($selskin) ? '&amp;selskin='.$selskin : '';
$img1 = $img2 = array();
$img0 = ExploreImg($meskin.'img/');
$n    = 0;
foreach($img0 as $img) { $img1['S'.$n.'|'] = $img; $n++; }
$img0 = ExploreImg('img/');
$n    = 0;
foreach($img0 as $img) { $img2['I'.$n.'|'] = $img; $n++; }
$imgs = array_merge($img1, $img2);

$theme        = ExploreDir('inc/img/icons/');
$countheme    = ExploreDir('inc/img/counter/');
$smileystheme = ExploreDir('inc/img/smileys/');
$skintheme    = ExploreDir('skins/');
$progbartheme = ExploreImg("inc/img/progbar/");
$avatartheme  = ExploreDir('inc/img/avatars/');
$rpts         = array('no-repeat'=>$admin[1604], 'repeat'=>'X + Y', 'repeat-x'=>'X', 'repeat-y'=>'Y');
$poss         = array('top', 'bottom', 'center');
$textalign    = array('left'=>$admin[390], 'center'=>$admin[391], 'right'=>$admin[392]);
$textstyles   = array(''=>$admin[423], 'bold'=>$admin[387], 'italic'=>$admin[388]);
$borderstyles = array('none'=>$admin[875], 'hidden'=>$admin[1556], 'solid'=>$admin[1501], 'dotted'=>$admin[1502], 'dashed'=>$admin[1503], 'double'=>$admin[1504], 'groove'=>$admin[1505], 'ridge'=>$admin[1506], 'inset'=>$admin[1507], 'outset'=>$admin[1508]);
$parallaxnav  = array('no'=>$admin[1604], 'left'=>$admin[494], 'right'=>$admin[495]);

$fontNames = array(
    "Arial, Helvetica, sans-serif",
    "Verdana, 'Bitstream Vera Sans', sans-serif",
    "'Trebuchet MS', Helvetica, sans-serif",
    "'Comic sans MS', Arial, sans-serif",
    "'Times New Roman', Times, serif",
    "Georgia, 'Times New Roman', serif",
    "'Courier New', Courier, monospace"
);
$fontNames = array_merge($fontNames, $afonts);

$headinc .= '
    <script type="text/javascript">
        $(document).ready( function() {
            $("#gyaccordion").hoverAccordion({
                keepHeight: false,
                activateItem: 1,
				onClickOnly: true,
                speed: 400
            });
            $("#gyaccordion").children("li:first").addClass("firstitem");
            $("#gyaccordion").children("li:last").addClass("lastitem");
        });
    </script>
';

$headinc .= '
<link rel="stylesheet" media="screen" type="text/css" href="../inc/colorpicker/css/colorpicker.css" /> 
<script type="text/javascript" src="../inc/colorpicker/js/colorpicker.js"></script>
';

function GetSelector($padding, $label, $inputname, $color) { // Palette de couleurs
	return '
        <tr style="text-align:left;">
          <td style="padding:0 0 0 '.$padding.'px;width:55%;">&bull; '.$label.'</td>
		  <td style="padding:0 0 0 4px;">
			<div>
			  <input id="'.$inputname.'" name="'.$inputname.'" type="text" size="6" value="'.$color.'" style="font:12px Arial;text-align:center;width:76px;height:18px;border:1px solid #000;border-radius:4px 0 0 4px;float:left;" />
			  <div style="float:left;width:40px;height:20px;vertical-align:top;border:1px solid #000;border-left:none;background-color:'.$color.';padding:-4px 0 4px 0;"></div>
			  <div id="'.$inputname.'div" style="float:left;width:40px;height:20px;border:1px solid #000;border-left:none;background-color:'.$color.';border-radius:0 4px 4px 0;">&nbsp;</div>
			</div>'.
			BeginJavascript()."
			$('#".$inputname."').ColorPicker({
				onSubmit: function(hsb, hex, rgb, el) {
					$(el).val('#' + hex.toUpperCase());
					$(el).ColorPickerHide();
				},
				onChange: function (hsb, hex, rgb) {
					$('#".$inputname."div').css('backgroundColor', '#' + hex);
				},
				onBeforeShow: function () {
					$(this).ColorPickerSetColor(this.value);
				}
			})
			.bind('keyup', function(){
				$(this).ColorPickerSetColor(this.value);
			});".EndJavascript().'
          </td>
        </tr>';
}

function SelectImgs($padding, $label, $name, $value, &$imgs) {
    global $admin;
    $out = '
        <tr style="text-align:left;">
          <td style="padding:0 0 0 '.$padding.'px;width:55%;">&bull; '.$label.'</td>
          <td style="padding:0 0 0 4px;">
            <select name="'.$name.'">
              <option value="">'.$admin[90].'</option>
              <optgroup label="SKIN">';
    $ok = true;
	foreach($imgs as $key => $img) {
        if (substr($key, 0, 1) != 'S' && $ok) {
            $out .= '
              </optgroup>
              <optgroup label="IMG">';
            $ok = false;
        }
        $out .= '
              <option value="'.$key.$img.'"'.Selected($value == $key.$img).'>'.$img.'</option>';
	}
	$out .= '
              </optgroup>
            </select>
          </td>
        </tr>';
    return $out;
}

function SelectRepeats($padding, $label, $name, $srpt, &$rpts) {
    $out = '
        <tr style="text-align:left;">
          <td style="padding:0 0 0 '.$padding.'px;width:55%;">&bull; '.$label.'</td>
          <td style="padding:0 0 0 4px;">
            <select name="'.$name.'">';
	foreach($rpts as $key => $rpt) {
		$out .= '
              <option value="'.$key.'"'.Selected($srpt == $key).'>'.$rpt.'</option>';
	}
	$out .= '
            </select>
          </td>
        </tr>';
    return $out;
}

function SelectBorderStyles($padding, $label, $name, $value, &$borderstyles) {
    $out = '
        <tr style="text-align:left;">
          <td style="padding:0 0 0 '.$padding.'px;">&bull; '.$label.'</td>
          <td style="padding:0 0 0 4px;">
            <select name="'.$name.'">';
    foreach($borderstyles as $key => $style) {
        $out .= '
              <option value="'.$key.'"'.Selected($value == $key).'>'.$style.'</option>';
	}
	$out .= '
            </select>
          </td>
        </tr>';
    return $out;
}

function SelectPoss($padding, $label, $name, $value, &$poss) {
    $out = '
        <tr style="text-align:left;">
          <td style="padding:0 0 0 '.$padding.'px;">&bull; '.$label.'</td>
          <td style="padding:0 0 0 4px;">
            <select name="'.$name.'">';
	foreach($poss as $pos) {
		$out .= '
              <option value="'.$pos.'"'.Selected($value == $pos).'>'.strtoupper($pos).'</option>';
	}
	$out .= '
            </select>
          </td>
        </tr>';
    return $out;
}

function SelectFontOptions($padding, $name, $value, &$fontNames) {
    global $admin;
    $out = '
        <tr style="text-align:left;">
          <td style="padding:0 0 0 '.$padding.'px;width:55%;">&bull; '.$admin[85].'</td>
		  <td style="padding:0 0 0 4px;">
            <select name="'.$name.'">';
    foreach ($fontNames as $font) {
        $out .= '
              <option value="'.$font.'"'.Selected($value == $font).'>'.$font.'</option>';
    }
    return $out.'
            </select>
          </td>
        </tr>';
}

function SelectTextStyles($padding, $name, $value, &$textstyles) {
    global $admin;
    $out = '
        <tr style="text-align:left;">
          <td style="padding:0 0 0 '.$padding.'px;width:55%;">&bull; '.$admin[1499].'</td>
          <td style="padding:0 0 0 4px;">
            <select name="'.$name.'">';
    foreach($textstyles as $key => $style) {
        $out .= '
              <option value="'.$key.'"'.Selected($value == $key).'>'.$style.'</option>';
	}
	$out .= '
            </select>
          </td>
        </tr>';
    return $out;
}

function InputTexte($padding, $label, $name, $value, $size) {
    return '
        <tr style="text-align:left;">
          <td style="padding:0 0 0 '.$padding.'px;width:55%;">&bull; '.$label.'</td>
		  <td style="padding:0 0 0 4px;"><input name="'.$name.'" class="texte" type="text" size="'.$size.'" value="'.$value.'" /></td>
        </tr>';
}

function InputCheckbox($padding, $label, $name, $value) {
    return '
        <tr style="text-align:left;">
          <td style="padding:0 0 0 '.$padding.'px;width:55%;">&bull; '.$label.'</td>
          <td style="padding:0 0 0 4px;"><input type="checkbox" name="'.$name.'" '.Checked($value == 'on').' /></td>
        </tr>';
}

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[67]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[67], '100%');

echo '
<div style="padding:16px 0;">'.ToHelp($lng, 'config2').'</div>';

if ($mod_css == "off") {
	echo '
<br />
<div class="notice" style="text-align:center;">'.$admin[894].'<br /></div>
<br />';
} 
else {
	echo '
<div style="text-align:center;">
'.$admin[68].'<br />'.$admin[69].'
</div>';
}

echo '
<p class="forum" style="text-align:left; padding:5px 20px;">'.$admin[725].' : '.$userprefs[10].$messreg.'</p>
<div style="width:650px; margin:0 auto;">';
if ($selskin == 'no_skin') {
	echo '
  <p style="text-align:center;">'.$admin[1438].'</p>
  <fieldset>
	<form name="genskin" action="admin.php?lng='.$lng.'&amp;pg=config2" method="post">
	  <input type="hidden" name="regit" value="3" />
	  <p class="forum2" style="text-align:center;">'.$admin[1439].'
	    <input type="text" class="texte" name="nameskin" size=20 />
	  </p>
	  <p style="text-align:center;">'.SubmitButton($admin[38]).'</p>
    </form>
  </fieldset>';
} else {
	echo '
  <form name="conf1" action="admin.php?lng='.$lng.'&amp;pg=config2" method="post">
    <input type="hidden" name="regit" value="1" />
    <input type="hidden" name="regpart" value="1" />
    <input type="hidden" name="selskin" value="'.$selskin.'" />';
	echo '
    <p style="background-color: #7f7f7f; border: 1px solid #67890b; border-radius: 4px; color: #ffffff; font-weight: bold; margin: 4px 0; padding: 4px;">'.$admin[1559].'</p>
    <fieldset>'.legend($admin[81]).'
      <table style="width:100%;">
        '.SelectImgs(4, $admin[91], 'page4', $page[4], $imgs).'
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[1577].'</td>
        </tr>';
    $pages54 = explode(',', $page[54]);
    foreach ($templates as $key=>$tmpl) {
        if (!isset($pages54[$key])) $pages54[$key] = '-';
        if ($pages54[$key] == '-') $pages54[$key] = '';
        echo '
        '.InputTexte(32, $admin[1665].$key.' - '.$tmpl, 'page54'.$key, $pages54[$key], 3);
    }
    echo '
      </table>
    </fieldset>
    <fieldset>'.legend($admin[83]).'
      <table style="width:100%;">';
	echo '
        '.InputCheckbox(4, $admin[623], 'page22', $page[22]).'
        '.InputCheckbox(4, $admin[243], 'page7', $page[7]).'
        '.InputCheckbox(4, $admin[244], 'page8', $page[8]).'
        <tr style="text-align:left;">
          <td style="padding:4px;">&bull; '.$admin[459].'</td>
          <td style="padding:4px;">
            <select name="page13">
              <option value="">'.$admin[460].'</option>';
	for ($i = 0; $i < count($progbartheme); $i++) {
		echo '
              <option value="'.$progbartheme[$i].'"'.Selected($page[13] == $progbartheme[$i]).'>'.$progbartheme[$i].'</option>';
	}
	echo '
            </select>
          </td>
        </tr>
        '.InputCheckbox(4, $admin[1562], 'body7', $body[7]).'
        '.InputTexte(32, $admin[1560], 'body5', $body[5], 4).'
        '.InputTexte(32, $admin[1561], 'body6', $body[6], 4).'
        '.InputTexte(32, $admin[1529], 'opacity20', $opacity[20], 5).'
        '.InputCheckbox(4, $admin[1580], 'body16', $body[16]).'
      </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>';
    if ($mod_css != 'off') {
		echo '
  <hr /><br />
  <a id="generate"></a>
  <p style="text-align:center;">'.$admin[722].'</p>
  <fieldset>'.legend($admin[724].$messreg2);
		if (FileDBExist($meskin.'style.css') && FileDBExist($meskin.'jqstyle.css'))
			echo '
	<b>'.$admin[725].'&nbsp;:&nbsp;'.$selskin.'</b>';
		echo '
	<form name="gencss" action="admin.php?lng='.$lng.'&amp;pg=config2" method="post">
	  <input type="hidden" name="regit" value="2" />
	  <input type="hidden" name="selskin" value="'.$selskin.'" />
	  <input type="hidden" name="mycss" value="'.$selskin.'" />
	  <input type="hidden" name="scrah" value="'.$scrAHeight.'" />
	  <p style="text-align:center;">'.SubmitButton($admin[726]).'</p>
    </form>
  </fieldset>
  <hr /><br />
  <form name="conf2" action="admin.php?lng='.$lng.'&amp;pg=config2#generate" method="post">
    <input type="hidden" name="regit" value="1" />
    <input type="hidden" name="regpart" value="2" />
    <input type="hidden" name="selskin" value="'.$selskin.'" />

    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>';
		echo '
  <ul id="gyaccordion" style="max-width:650px; margin:auto;">
    <li>
      <a href="#">'.$admin[1489].'</a>
      <ul>
	    <li>';
		// Corps du document
		echo '
      <table style="width:100%;">
        '.SelectFontOptions(4, 'page39', $page[39], $fontNames).'
        '.SelectTextStyles(32, 'page41', $page[41], $textstyles).'
        '.InputTexte(32, $admin[86], 'page40', $page[40], 4).'
        '.GetSelector(32, $admin[95], 'texte9', $texte[9]).'
        '.GetSelector(4, $admin[82], 'body0', $body[0]).'
        '.SelectImgs(4, $admin[88], 'body1', $body[1], $imgs).'
        '.InputCheckbox(32, $admin[321], 'body2', $body[2]).'
        '.SelectRepeats(32, $admin[1490], 'body3', $body[3], $rpts).'
        '.SelectPoss(32, $admin[1491], 'body4', $body[4], $poss).'
        '.SelectImgs(4, $admin[1493], 'body8', $body[8], $imgs).'
        '.SelectRepeats(32, $admin[1490], 'body9', $body[9], $rpts).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[83].' / '.$admin[1572].'</a>
      <ul>
	    <li>';
		// Pages
		echo '
      <table style="width:100%;">
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.$admin[83].'</td></tr>';
        if ($mod_scr != 'off') {
            echo '
        <tr style="text-align:left;">
          <td style="padding:4px 0 0 32px;width:55%;">&bull; '.$admin[1384].'</td>
          <td style="padding:4px;">
            <select name="page28">';
            foreach (array($admin[1385] => $screen_choice, 'Full' => 'fix', 
                     '800px' => '800', '1024px' => '1024', '1280px' => '1280', '1600px' => '1600') as $key => $value) {
                echo '
              <option value="'.$value.'"'.Selected($page[28] == $value).'>'.$key.'</option>';
            }
            echo '
            </select>
          </td>
        </tr>';
        }
        echo '
        '.InputCheckbox(64, $admin[1571], 'page48', $page[48]).'
		'.GetSelector(32, $admin[82], 'page0', $page[0]).'
        '.InputTexte(64, $admin[1529], 'opacity21', $opacity[21], 5).'
        '.SelectImgs(32, $admin[88], 'page3', $page[3], $imgs).'
        '.InputCheckbox(64, $admin[321], 'page10', $page[10]).'
        '.InputTexte(32, $admin[1551], 'marge17', $marge[17], 16).'
		'.GetSelector(32, $admin[87], 'bordure0', $bordure[0]).'
        '.InputTexte(64, $admin[211], 'texte4', $texte[4], 16).'
        '.SelectBorderStyles(64, $admin[422], 'bordure33', $bordure[33], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'bordure6', $bordure[6], 16).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.$admin[1572].'</td></tr>
        '.InputCheckbox(32, $admin[1573], 'page49', $page[49]);
        $pages55 = explode(',', $page[55]);
        foreach ($templates as $key=>$tmpl) {
            if (!isset($pages55[$key])) $pages55[$key] = 'no';
            if ($pages55[$key] == 'no') $pages55[$key] = '';
            echo '
        '.InputCheckbox(64, $admin[1665].$key.' - '.$tmpl, 'page55'.$key, $pages55[$key]);
            if ($key == 0)
                echo '
        '.InputCheckbox(96, $admin[1576], 'page53', $page[53]);
        }
        echo '
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 32px;">&bull; '.$admin[1574].'1 ('.$admin[1583].')</td></tr>
		'.GetSelector(64, $admin[82], 'page56', $page[56]).'
        '.SelectImgs(64, $admin[88], 'page24', $page[24], $imgs).'
        '.InputCheckbox(64, $admin[1579], 'page59', $page[59]).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 32px;">&bull; '.$admin[1574].'2 ('.$admin[1666].')</td></tr>
		'.GetSelector(64, $admin[82], 'page57', $page[57]).'
        '.SelectImgs(64, $admin[88], 'page25', $page[25], $imgs).'
        '.InputCheckbox(64, $admin[1579], 'page60', $page[60]).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 32px;">&bull; '.$admin[1574].'3 ('.$admin[1667].')</td></tr>
		'.GetSelector(64, $admin[82], 'page58', $page[58]).'
        '.SelectImgs(64, $admin[88], 'page26', $page[26], $imgs).'
        '.InputCheckbox(64, $admin[1579], 'page61', $page[61]).'
        '.SelectRepeats(32, $admin[880], 'page50', $page[50], $parallaxnav).'
		'.GetSelector(64, $admin[82], 'page51', $page[51]).'
		'.GetSelector(64, $admin[87], 'bordure44', $bordure[44]).'
        '.InputTexte(64, $admin[1575], 'page52', $page[52], 4).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[81].'</a>
      <ul>
	    <li>';
		// Bandeaux
		echo '
      <table style="width:100%;">
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; HEADER</td></tr>
        '.InputTexte(32, $admin[1564], 'page42', $page[42], 5).'
        '.InputTexte(32, $admin[1550], 'marge18', $marge[18], 16).'
		'.GetSelector(32, $admin[82], 'page43', $page[43]).'
        '.InputTexte(64, $admin[1529], 'opacity18', $opacity[18], 5).'
        '.SelectImgs(32, $admin[88], 'page44', $page[44], $imgs).'
		'.GetSelector(32, $admin[87], 'bordure40', $bordure[40]).'
        '.InputTexte(64, $admin[211], 'bordure41', $bordure[41], 16).'
        '.SelectBorderStyles(64, $admin[422], 'bordure43', $bordure[43], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'bordure42', $bordure[42], 16).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; TOP</td></tr>
        '.InputTexte(32, $admin[1550], 'marge19', $marge[19], 16).'
        '.InputTexte(32, $admin[1551], 'marge24', $marge[24], 16).'
		'.GetSelector(32, $admin[82], 'page29', $page[29]).'
        '.InputTexte(64, $admin[1529], 'opacity0', $opacity[0], 5).'
        '.SelectImgs(32, $admin[88], 'page30', $page[30], $imgs).'
		'.GetSelector(32, $admin[87], 'bordure19', $bordure[19]).'
        '.InputTexte(64, $admin[211], 'bordure20', $bordure[20], 16).'
        '.SelectBorderStyles(64, $admin[422], 'bordure29', $bordure[29], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'bordure21', $bordure[21], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; MAIN</td></tr>
        '.InputTexte(32, $admin[1550], 'marge20', $marge[20], 16).'
        '.InputTexte(32, $admin[1551], 'marge25', $marge[25], 16).'
		'.GetSelector(32, $admin[82], 'titre34', $titre[34]).'
        '.InputTexte(64, $admin[1529], 'opacity7', $opacity[7], 5).'
        '.SelectImgs(32, $admin[88], 'titre35', $titre[35], $imgs).'
		'.GetSelector(32, $admin[87], 'titre36', $titre[36]).'
        '.InputTexte(64, $admin[211], 'titre37', $titre[37], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre38', $titre[38], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre39', $titre[39], 16).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; BOTTOM</td></tr>
        '.InputTexte(32, $admin[1550], 'marge21', $marge[21], 16).'
        '.InputTexte(32, $admin[1551], 'marge26', $marge[26], 16).'
		'.GetSelector(32, $admin[82], 'page31', $page[31]).'
        '.InputTexte(64, $admin[1529], 'opacity1', $opacity[1], 5).'
        '.SelectImgs(32, $admin[88], 'page32', $page[32], $imgs).'
		'.GetSelector(32, $admin[87], 'bordure22', $bordure[22]).'
        '.InputTexte(64, $admin[211], 'bordure23', $bordure[23], 16).'
        '.SelectBorderStyles(64, $admin[422], 'bordure30', $bordure[30], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'bordure24', $bordure[24], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; FOOTER</td></tr>
        '.InputTexte(32, $admin[1564], 'page21', $page[21], 5).'
        '.InputTexte(32, $admin[1550], 'marge22', $marge[22], 16).'
        '.InputTexte(32, $admin[1551], 'marge23', $marge[23], 16).'
		'.GetSelector(32, $admin[82], 'page5', $page[5]).'
        '.InputTexte(64, $admin[1529], 'opacity2', $opacity[2], 5).'
        '.SelectImgs(32, $admin[88], 'page6', $page[6], $imgs).'
		'.GetSelector(32, $admin[87], 'bordure3', $bordure[3]).'
        '.InputTexte(64, $admin[211], 'bordure4', $bordure[4], 16).'
        '.SelectBorderStyles(64, $admin[422], 'bordure31', $bordure[31], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'bordure5', $bordure[5], 16).'
        '.SelectFontOptions(32, 'page45', $page[45], $fontNames).'
        '.SelectTextStyles(64, 'page47', $page[47], $textstyles).'
        '.InputTexte(64, $admin[86], 'page46', $page[46], 4).'
        '.GetSelector(64, $admin[95], 'texte8', $texte[8]).'
        '.SelectBorderStyles(32, $admin[443], 'texte13', $texte[13], $textalign).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[1519].'</a>
      <ul>
	    <li>';
		// Colonnes latérales
		echo '	
      <table style="width:100%;">
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; '.strtoupper($admin[494]).'</td></tr>
        '.InputTexte(32, $admin[1565], 'body10', $body[10], 2).'
        '.InputTexte(32, $admin[436], 'titre13', $titre[13], 5).'
        '.InputTexte(32, $admin[1550], 'marge1', $marge[1], 16).'
        '.InputTexte(32, $admin[1551], 'marge2', $marge[2], 16).'
		'.GetSelector(32, $admin[82], 'titre14', $titre[14]).'
        '.InputTexte(64, $admin[1529], 'opacity4', $opacity[4], 5).'
        '.SelectImgs(32, $admin[88], 'titre15', $titre[15], $imgs).'
		'.GetSelector(32, $admin[87], 'titre16', $titre[16]).'
        '.InputTexte(64, $admin[211], 'titre17', $titre[17], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre18', $titre[18], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre19', $titre[19], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; '.strtoupper($admin[495]).'</td></tr>
        '.InputTexte(32, $admin[1565], 'body12', $body[12], 2).'
        '.InputTexte(32, $admin[436], 'titre20', $titre[20], 5).'
        '.InputTexte(32, $admin[1550], 'marge3', $marge[3], 16).'
        '.InputTexte(32, $admin[1551], 'marge4', $marge[4], 16).'
		'.GetSelector(32, $admin[82], 'titre21', $titre[21]).'
        '.InputTexte(64, $admin[1529], 'opacity5', $opacity[5], 5).'
        '.SelectImgs(32, $admin[88], 'titre22', $titre[22], $imgs).'
		'.GetSelector(32, $admin[87], 'titre23', $titre[23]).'
        '.InputTexte(64, $admin[211], 'titre24', $titre[24], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre25', $titre[25], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre26', $titre[26], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; '.strtoupper($admin[770]).'</td></tr>
        '.InputTexte(32, $admin[436].' '.$admin[494], 'titre10', $titre[10], 5).'
        '.InputTexte(64, $admin[1550], 'marge5', $marge[5], 16).'
        '.InputTexte(64, $admin[1551], 'marge6', $marge[6], 16).'
        '.InputTexte(64, $admin[1565], 'body13', $body[13], 2).'
        '.InputTexte(32, $admin[436].' '.$admin[495], 'titre33', $titre[33], 5).'
        '.InputTexte(64, $admin[1550], 'marge7', $marge[7], 16).'
        '.InputTexte(64, $admin[1551], 'marge8', $marge[8], 16).'
        '.InputTexte(64, $admin[1565], 'body15', $body[15], 2).'
		'.GetSelector(32, $admin[82], 'titre27', $titre[27]).'
        '.InputTexte(64, $admin[1529], 'opacity6', $opacity[6], 5).'
        '.SelectImgs(32, $admin[88], 'titre28', $titre[28], $imgs).'
		'.GetSelector(32, $admin[87], 'titre29', $titre[29]).'
        '.InputTexte(64, $admin[211], 'titre30', $titre[30], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre31', $titre[31], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre32', $titre[32], 16).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[1548].'</a>
      <ul>
	    <li>';
		// Zones centrales
		echo '	
      <table style="width:100%;">
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; CENTER</td></tr>
        '.InputTexte(32, $admin[1565], 'body11', $body[11], 2).'
        '.InputTexte(32, $admin[1551], 'marge27', $marge[27], 16).'
		'.GetSelector(32, $admin[82], 'titre41', $titre[41]).'
        '.InputTexte(64, $admin[1529], 'opacity8', $opacity[8], 5).'
        '.SelectImgs(32, $admin[88], 'titre42', $titre[42], $imgs).'
		'.GetSelector(32, $admin[87], 'titre43', $titre[43]).'
        '.InputTexte(64, $admin[211], 'titre44', $titre[44], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre45', $titre[45], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre46', $titre[46], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1087]).'</td></tr>
        '.InputTexte(32, $admin[1551], 'marge28', $marge[28], 16).'
		'.GetSelector(32, $admin[82], 'titre60', $titre[60]).'
        '.InputTexte(64, $admin[1529], 'opacity15', $opacity[15], 5).'
        '.SelectImgs(32, $admin[88], 'titre61', $titre[61], $imgs).'
		'.GetSelector(32, $admin[87], 'titre62', $titre[62]).'
        '.InputTexte(64, $admin[211], 'titre63', $titre[63], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre64', $titre[64], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre65', $titre[65], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1088]).'</td></tr>
        '.InputTexte(32, $admin[1551], 'marge29', $marge[29], 16).'
		'.GetSelector(32, $admin[82], 'titre66', $titre[66]).'
        '.InputTexte(64, $admin[1529], 'opacity16', $opacity[16], 5).'
        '.SelectImgs(32, $admin[88], 'titre67', $titre[67], $imgs).'
		'.GetSelector(32, $admin[87], 'titre68', $titre[68]).'
        '.InputTexte(64, $admin[211], 'titre69', $titre[69], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre70', $titre[70], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre71', $titre[71], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1089]).'</td></tr>
        '.InputTexte(32, $admin[1551], 'marge30', $marge[30], 16).'
		'.GetSelector(32, $admin[82], 'titre72', $titre[72]).'
        '.InputTexte(64, $admin[1529], 'opacity17', $opacity[17], 5).'
        '.SelectImgs(32, $admin[88], 'titre73', $titre[73], $imgs).'
		'.GetSelector(32, $admin[87], 'titre74', $titre[74]).'
        '.InputTexte(64, $admin[211], 'titre75', $titre[75], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre76', $titre[76], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre77', $titre[77], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; MAIN BLOG</td></tr>
        '.InputTexte(32, $admin[1551], 'marge31', $marge[31], 16).'
		'.GetSelector(32, $admin[82], 'titre47', $titre[47]).'
        '.InputTexte(64, $admin[1529], 'opacity13', $opacity[13], 5).'
        '.SelectImgs(32, $admin[88], 'titre48', $titre[48], $imgs).'
		'.GetSelector(32, $admin[87], 'titre49', $titre[49]).'
        '.InputTexte(64, $admin[211], 'titre50', $titre[50], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre51', $titre[51], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre52', $titre[52], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; CENTER BLOG</td></tr>
        '.InputTexte(32, $admin[1551], 'marge32', $marge[32], 16).'
        '.InputTexte(32, $admin[1565], 'body14', $body[14], 2).'
		'.GetSelector(32, $admin[82], 'titre54', $titre[54]).'
        '.InputTexte(64, $admin[1529], 'opacity14', $opacity[14], 5).'
        '.SelectImgs(32, $admin[88], 'titre55', $titre[55], $imgs).'
		'.GetSelector(32, $admin[87], 'titre56', $titre[56]).'
        '.InputTexte(64, $admin[211], 'titre57', $titre[57], 16).'
        '.SelectBorderStyles(64, $admin[422], 'titre58', $titre[58], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'titre59', $titre[59], 16).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[405].' - '.strtoupper($admin[1668]).' - '.strtoupper($admin[1084]).'</a>
      <ul>
	    <li>';
		// Citations - Fil d'Ariane - Boîte impression
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; '.$admin[405].'</td></tr>
        '.SelectFontOptions(32, 'citation0', $citation[0], $fontNames).'
        '.SelectTextStyles(64, 'citation3', $citation[3], $textstyles).'
        '.InputTexte(64, $admin[86], 'citation1', $citation[1], 4).'
		'.GetSelector(64, $admin[93], 'citation2', $citation[2]).'
		'.GetSelector(32, $admin[82], 'citation10', $citation[10]).'
        '.InputTexte(64, $admin[1529], 'opacity19', $opacity[19], 5).'
        '.SelectImgs(64, $admin[88], 'citation11', $citation[11], $imgs).'
		'.GetSelector(64, $admin[87], 'citation12', $citation[12]).'
        '.InputTexte(96, $admin[211], 'citation13', $citation[13], 16).'
        '.SelectBorderStyles(96, $admin[422], 'citation15', $citation[15], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'citation14', $citation[14], 16).'
        '.InputTexte(32, $admin[1550], 'citation16', $citation[16], 16).'
        '.InputTexte(32, $admin[1551], 'citation17', $citation[17], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1668]).'</td></tr>
		'.GetSelector(32, $admin[150].$admin[1520], 'citation4', $citation[4]).'
		'.GetSelector(32, $admin[150].$admin[1521], 'citation5', $citation[5]).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1084]).'</td></tr>
        '.SelectFontOptions(32, 'citation6', $citation[6], $fontNames).'
        '.SelectTextStyles(64, 'citation7', $citation[7], $textstyles).'
        '.InputTexte(64, $admin[86], 'citation8', $citation[8], 4).'
        '.GetSelector(64, $admin[93], 'citation9', $citation[9]).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[806].'</a>
      <ul>
	    <li>';	
		// Menu de navigation
		echo '
      <table style="width:100%;">
		'.SelectFontOptions(4, 'page18', $page[18], $fontNames).'
        '.SelectTextStyles(32, 'page37', $page[37], $textstyles).'
        '.InputTexte(32, $admin[86], 'page19', $page[19], 4).'
		'.GetSelector(4, $admin[1510], 'lien9', $lien[9]).'
		'.GetSelector(32, $admin[865], 'lien8', $lien[8]).'
		'.GetSelector(4, $admin[101], 'lien4', $lien[4]).'
		'.GetSelector(32, $admin[865], 'lien7', $lien[7]).'
		'.GetSelector(4, $admin[102], 'lien5', $lien[5]).'
		'.GetSelector(32, $admin[865], 'lien6', $lien[6]).'
        '.InputTexte(4, $admin[1550].' ('.strtolower($admin[1525]).')', 'lien15', $lien[15], 16).'
        '.InputTexte(4, $admin[1551].' ('.strtolower($admin[1525]).')', 'lien14', $lien[14], 16).'
		'.GetSelector(4, $admin[87].' ('.strtolower($admin[1525]).')', 'lien10', $lien[10]).'
        '.InputTexte(32, $admin[211], 'lien11', $lien[11], 5).'
        '.SelectBorderStyles(32, $admin[422], 'lien12', $lien[12], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'lien13', $lien[13], 16).'
        '.InputTexte(4, $admin[1494], 'bordure25', $bordure[25], 4).'
        '.InputTexte(4, $admin[1509], 'page38', $page[38], 4).'
		'.GetSelector(4, $admin[82], 'page34', $page[34]).'
        '.InputTexte(32, $admin[1529], 'opacity3', $opacity[3], 5).'
        '.SelectImgs(32, $admin[88], 'page33', $page[33], $imgs).'
		'.GetSelector(32, $admin[87], 'bordure26', $bordure[26]).'
        '.InputTexte(64, $admin[211], 'bordure27', $bordure[27], 16).'
        '.SelectBorderStyles(64, $admin[422], 'bordure32', $bordure[32], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'bordure28', $bordure[28], 16).'
      </table>';
      
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[92].$admin[96].'</a>
      <ul>
	    <li>';
		// Titre des boîtes centrales
		echo '	
      <table style="width:100%;">
		'.GetSelector(4, $admin[82], 'titre1', $titre[1]).'
        '.InputTexte(32, $admin[1529], 'opacity9', $opacity[9], 5).'
        '.SelectImgs(4, $admin[94], 'titre8', $titre[8], $imgs).'
		'.SelectFontOptions(4, 'titre2', $titre[2], $fontNames).'
        '.SelectTextStyles(32, 'titre12', $titre[12], $textstyles).'
        '.InputTexte(32, $admin[86], 'titre3', $titre[3], 4).'
		'.GetSelector(32, $admin[93], 'titre0', $titre[0]).'
        '.SelectBorderStyles(32, $admin[443], 'texte10', $texte[10], $textalign).'
        '.InputTexte(4, $admin[1550], 'marge9', $marge[9], 16).'
        '.InputTexte(4, $admin[1551], 'marge10', $marge[10], 16).'
		'.GetSelector(4, $admin[87], 'bordure7', $bordure[7]).'
        '.InputTexte(32, $admin[211], 'bordure8', $bordure[8], 16).'
        '.SelectBorderStyles(32, $admin[422], 'bordure34', $bordure[34], $borderstyles).'
        '.InputTexte(4, $admin[1343], 'bordure9', $bordure[9], 16).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[96].'</a>
      <ul>
	    <li>';
		// Boîtes centrales
		echo '
      <table style="width:100%;">
		'.SelectFontOptions(4, 'page1', $page[1], $fontNames).'
        '.SelectTextStyles(32, 'page36', $page[36], $textstyles).'
        '.InputTexte(32, $admin[86], 'page2', $page[2], 4).'
		'.GetSelector(32, $admin[95], 'texte0', $texte[0]).'
		'.GetSelector(4, $admin[99], 'texte1', $texte[1]).'
		'.GetSelector(4, $admin[100], 'texte2', $texte[2]).'
        '.InputTexte(32, $admin[1529], 'opacity10', $opacity[10], 5).'
		'.GetSelector(4, $admin[101], 'lien0', $lien[0]).'
		'.GetSelector(4, $admin[102], 'lien1', $lien[1]).'
        '.InputTexte(4, $admin[1550], 'marge11', $marge[11], 16).'
        '.InputTexte(4, $admin[1551], 'marge12', $marge[12], 16).'
		'.GetSelector(4, $admin[87], 'bordure10', $bordure[10]).'
        '.InputTexte(32, $admin[211], 'bordure11', $bordure[11], 16).'
        '.SelectBorderStyles(32, $admin[422], 'bordure35', $bordure[35], $borderstyles).'
        '.InputTexte(4, $admin[1343], 'bordure12', $bordure[12], 16).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[92].$admin[804].'</a>
      <ul>
	    <li>';
		// Titre des boîtes latérales
		echo '
      <table style="width:100%;">
		'.GetSelector(4, $admin[82], 'titre5', $titre[5]).'
        '.InputTexte(32, $admin[1529], 'opacity11', $opacity[11], 5).'
        '.SelectImgs(4, $admin[94], 'titre9', $titre[9], $imgs).'
		'.SelectFontOptions(4, 'titre6', $titre[6], $fontNames).'
        '.SelectTextStyles(32, 'titre11', $titre[11], $textstyles).'
        '.InputTexte(32, $admin[86], 'titre7', $titre[7], 4).'
		'.GetSelector(32, $admin[93], 'titre4', $titre[4]).'
        '.SelectBorderStyles(32, $admin[443], 'texte11', $texte[11], $textalign).'
        '.InputTexte(4, $admin[1550], 'marge13', $marge[13], 16).'
        '.InputTexte(4, $admin[1551], 'marge14', $marge[14], 16).'
		'.GetSelector(4, $admin[87], 'bordure13', $bordure[13]).'
        '.InputTexte(32, $admin[211], 'bordure14', $bordure[14], 16).'
        '.SelectBorderStyles(32, $admin[422], 'bordure36', $bordure[36], $borderstyles).'
        '.InputTexte(4, $admin[1343], 'bordure15', $bordure[15], 16).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[804].'</a>
      <ul>
	    <li>';
		// Boîtes latérales
		echo '
      <table style="width:100%;">
		'.SelectFontOptions(4, 'page16', $page[16], $fontNames).'
        '.SelectTextStyles(32, 'page35', $page[35], $textstyles).'
        '.InputTexte(32, $admin[86], 'page17', $page[17], 4).'
		'.GetSelector(32, $admin[95], 'texte5', $texte[5]).'
		'.GetSelector(4, $admin[99], 'texte6', $texte[6]).'
		'.GetSelector(4, $admin[100], 'texte7', $texte[7]).'
        '.InputTexte(32, $admin[1529], 'opacity12', $opacity[12], 5).'
		'.GetSelector(4, $admin[101], 'lien2', $lien[2]).'
		'.GetSelector(4, $admin[102], 'lien3', $lien[3]).'
        '.InputTexte(4, $admin[1550], 'marge15', $marge[15], 16).'
        '.InputTexte(4, $admin[1551], 'marge16', $marge[16], 16).'
		'.GetSelector(4, $admin[87], 'bordure16', $bordure[16]).'
        '.InputTexte(32, $admin[211], 'bordure17', $bordure[17], 16).'
        '.SelectBorderStyles(32, $admin[422], 'bordure37', $bordure[37], $borderstyles).'
        '.InputTexte(4, $admin[1343], 'bordure18', $bordure[18], 16).'
    </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[800].'</a>
      <ul>
	    <li>';
		// Forum - Blog - Tables
		echo '
      <table style="width:100%;">
		'.GetSelector(4, $admin[801], 'forum0', $forum[0]).'
        '.SelectFontOptions(32, 'forum12', $forum[12], $fontNames).'
        '.SelectTextStyles(64, 'forum13', $forum[13], $textstyles).'
        '.InputTexte(64, $admin[86], 'forum14', $forum[14], 4).'
		'.GetSelector(32, $admin[95], 'forum11', $forum[11]).'
		'.GetSelector(4, $admin[802], 'forum1', $forum[1]).'
		'.GetSelector(4, $admin[803], 'forum2', $forum[2]).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[399].'</a>
      <ul>
	    <li>';
		// Formulaires
		echo '
      <table style="width:100%;">
		'.GetSelector(4, $admin[400], 'presform1', $presform[1]).'
		'.GetSelector(4, $admin[401], 'presform2', $presform[2]).'
		'.GetSelector(32, ucfirst($admin[1669]), 'presform11', $presform[11]).'
        '.InputTexte(32, $admin[1551], 'presform12', $presform[12], 16).'
		'.GetSelector(4, $admin[401].' ('.$admin[1566].')', 'presform13', $presform[13]).'
		'.GetSelector(32, ucfirst($admin[1669]).' ('.$admin[1566].')', 'presform14', $presform[14]).'
		'.GetSelector(4, $admin[402], 'presform3', $presform[3]).'
		'.GetSelector(4, $admin[403], 'presform6', $presform[6]).'
		'.SelectFontOptions(4, 'presform4', $presform[4], $fontNames).'
        '.SelectTextStyles(32, 'presform10', $presform[10], $textstyles).'
        '.InputTexte(32, $admin[86], 'presform5', $presform[5], 4).'
		'.GetSelector(4, $admin[95], 'presform0', $presform[0]).'
		'.GetSelector(4, $admin[404], 'presform8', $presform[8]).'
        '.InputTexte(32, $admin[211], 'presform7', $presform[7], 16).'
        '.SelectBorderStyles(32, $admin[422], 'bordure38', $bordure[38], $borderstyles).'
        '.InputTexte(4, $admin[1343], 'presform9', $presform[9], 16).'
      </table>';
		echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[409].'</a>
      <ul>
	    <li>';
		// Boîte calendrier
		echo '
      <table>
		'.GetSelector(4, $admin[865], 'calendar11', $calendar[11]).'
		'.GetSelector(4, $admin[411], 'calendar0', $calendar[0]).'
		'.GetSelector(4, $admin[412], 'calendar1', $calendar[1]).'
		'.GetSelector(4, $admin[413], 'calendar2', $calendar[2]).'
		'.GetSelector(32, ucfirst($admin[1669]), 'calendar18', $calendar[18]).'
		'.GetSelector(4, $admin[414], 'calendar3', $calendar[3]).'
		'.GetSelector(32, ucfirst($admin[1669]), 'calendar19', $calendar[19]).'
		'.GetSelector(4, $admin[415], 'calendar4', $calendar[4]).'
		'.GetSelector(32, ucfirst($admin[1669]), 'calendar20', $calendar[20]).'
		'.SelectFontOptions(4, 'calendar5', $calendar[5], $fontNames).'
        '.SelectTextStyles(32, 'calendar15', $calendar[15], $textstyles).'
        '.InputTexte(32, $admin[86], 'calendar6', $calendar[6], 4).'
		'.GetSelector(4, $admin[417], 'calendar7', $calendar[7]).'
		'.GetSelector(4, $admin[418], 'calendar8', $calendar[8]).'
		'.GetSelector(32, $admin[865], 'calendar17', $calendar[17]).'
		'.GetSelector(4, $admin[1670], 'calendar10', $calendar[10]).'
		'.GetSelector(32, ucfirst($admin[1669]), 'calendar16', $calendar[16]).'
        <tr style="text-align:left;">
		  <td style="padding:4px;">&bull; '.$admin[1344].'</td>
          <td style="padding:4px;">
            <select name="calendar9">
              <option value="0px"'.Selected($calendar[9] == "0px").'>0px</option>
              <option value="1px"'.Selected($calendar[9] == "1px").'>1px</option>
              <option value="2px"'.Selected($calendar[9] == "2px").'>2px</option>
              <option value="3px"'.Selected($calendar[9] == "3px").'>3px</option>
            </select>
          </td>
		</tr>
        '.InputTexte(4, $admin[211], 'calendar12', $calendar[12], 4).'
		'.GetSelector(4, $admin[404], 'calendar13', $calendar[13]).'
        '.InputTexte(4, $admin[1343], 'calendar14', $calendar[14], 16).'
      </table>';
	echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[1495].'</a>
      <ul>
	    <li>';
		// Annuaires - Photos
		echo '
      <table style="width:100%;">
		'.GetSelector(4, $admin[1496], 'annuaire0', $annuaire[0]).'
		'.SelectFontOptions(32, 'annuaire1', $annuaire[1], $fontNames).'
        '.SelectTextStyles(64, 'annuaire7', $annuaire[7], $textstyles).'
        '.InputTexte(64, $admin[86], 'annuaire2', $annuaire[2], 4).'
		'.GetSelector(64, $admin[93], 'annuaire3', $annuaire[3]).'
		'.GetSelector(32, $admin[87], 'annuaire4', $annuaire[4]).'
        '.InputTexte(64, $admin[211], 'annuaire5', $annuaire[5], 16).'
        '.SelectBorderStyles(64, $admin[422], 'bordure39', $bordure[39], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'annuaire6', $annuaire[6], 16).'
		'.GetSelector(4, $admin[1497], 'annuaire8', $annuaire[8]).'
		'.SelectFontOptions(32, 'annuaire10', $annuaire[10], $fontNames).'
        '.SelectTextStyles(64, 'annuaire11', $annuaire[11], $textstyles).'
        '.InputTexte(64, $admin[86], 'annuaire12', $annuaire[12], 4).'
		'.GetSelector(64, $admin[93], 'annuaire13', $annuaire[13]).'
		'.GetSelector(4, $admin[1498], 'annuaire9', $annuaire[9]).'
		'.SelectFontOptions(32, 'annuaire14', $annuaire[14], $fontNames).'
        '.SelectTextStyles(64, 'annuaire15', $annuaire[15], $textstyles).'
        '.InputTexte(64, $admin[86], 'annuaire16', $annuaire[16], 4).'
		'.GetSelector(64, $admin[93], 'annuaire17', $annuaire[17]).'
      </table>';
	echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[1525].' - '.$admin[1526].' - '.$admin[1527].'</a>
      <ul>
	    <li>';
		// Onglets - Accordéons - Fenêtre modale
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">'.$admin[1525].' :</td></tr>
		'.GetSelector(32, $admin[82].' ('.strtolower($admin[1525]).')', 'tabs1', $tabs[1]).'
		'.GetSelector(64, $admin[95], 'tabs0', $tabs[0]).'
		'.GetSelector(32, $admin[87].' ('.strtolower($admin[1525]).')', 'tabs2', $tabs[2]).'
        '.InputTexte(64, $admin[211], 'tabs3', $tabs[3], 5).'
        '.InputTexte(64, $admin[1343], 'tabs4', $tabs[4], 16).'
		'.GetSelector(32, $admin[82].' ('.strtolower($admin[765]).')', 'tabs5', $tabs[5]).'
		'.GetSelector(64, $admin[95], 'tabs6', $tabs[6]).'
		'.GetSelector(32, $admin[82].' ('.strtolower($admin[1566]).')', 'tabs28', $tabs[28]).'
		'.GetSelector(64, $admin[95], 'tabs29', $tabs[29]).'
		'.GetSelector(32, $admin[82].' ('.strtolower($admin[1389]).')', 'tabs7', $tabs[7]).'
		'.GetSelector(32, $admin[87].' ('.strtolower($admin[1389]).')', 'tabs8', $tabs[8]).'
        '.InputTexte(64, $admin[211], 'tabs9', $tabs[9], 5).'
        '.InputTexte(64, $admin[1343], 'tabs10', $tabs[10], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">'.$admin[1526].' :</td></tr>
		'.GetSelector(32, $admin[82].' ('.strtolower($admin[1525]).')', 'tabs12', $tabs[12]).'
		'.GetSelector(64, $admin[95], 'tabs11', $tabs[11]).'
		'.GetSelector(32, $admin[87].' ('.strtolower($admin[1525]).')', 'tabs13', $tabs[13]).'
        '.InputTexte(64, $admin[211], 'tabs14', $tabs[14], 5).'
        '.InputTexte(64, $admin[1343], 'tabs15', $tabs[15], 16).'
		'.GetSelector(32, $admin[82].' ('.strtolower($admin[765]).')', 'tabs16', $tabs[16]).'
		'.GetSelector(64, $admin[95], 'tabs17', $tabs[17]).'
		'.GetSelector(32, $admin[82].' ('.strtolower($admin[1566]).')', 'tabs30', $tabs[30]).'
		'.GetSelector(64, $admin[95], 'tabs31', $tabs[31]).'
		'.GetSelector(32, $admin[82].' ('.strtolower($admin[1389]).')', 'tabs18', $tabs[18]).'
		'.GetSelector(32, $admin[87].' ('.strtolower($admin[1389]).')', 'tabs19', $tabs[19]).'
        '.InputTexte(64, $admin[211], 'tabs20', $tabs[20], 5).'
        '.InputTexte(64, $admin[1343], 'tabs21', $tabs[21], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">'.$admin[1527].' :</td></tr>
		'.GetSelector(32, $admin[1528], 'tabs22', $tabs[22]).'
        '.InputTexte(64, $admin[1529], 'tabs23', $tabs[23], 5).'
		'.GetSelector(32, $admin[82], 'tabs24', $tabs[24]).'
		'.GetSelector(32, $admin[87], 'tabs25', $tabs[25]).'
        '.InputTexte(64, $admin[211], 'tabs26', $tabs[26], 16).'
        '.InputTexte(32, $admin[1343], 'tabs27', $tabs[27], 16).'
      </table>';
        echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[1511].'</a>
      <ul>
	    <li>';
		// Menus déroulants
		echo '
      <table style="width:100%;">
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">'.$admin[1512].'</td></tr>
        '.InputTexte(32, $admin[436], 'dropdown0', $dropdown[0], 5).'
		'.SelectFontOptions(32, 'dropdown1', $dropdown[1], $fontNames).'
        '.SelectTextStyles(64, 'dropdown2', $dropdown[2], $textstyles).'
        '.InputTexte(64, $admin[86], 'dropdown3', $dropdown[3], 4).'
		'.GetSelector(64, $admin[93], 'dropdown4', $dropdown[4]).'
        '.SelectBorderStyles(32, $admin[443], 'texte12', $texte[12], $textalign).'
		'.GetSelector(32, $admin[82], 'dropdown5', $dropdown[5]).'
        '.SelectImgs(32, $admin[88], 'dropdown6', $dropdown[6], $imgs).'
		'.GetSelector(32, $admin[87], 'dropdown7', $dropdown[7]).'
        '.InputTexte(64, $admin[211], 'dropdown8', $dropdown[8], 16).'
        '.SelectBorderStyles(64, $admin[422], 'dropdown9', $dropdown[9], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'dropdown10', $dropdown[10], 16).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">'.$admin[1513].'</td></tr>
        '.InputTexte(32, $admin[436], 'dropdown11', $dropdown[11], 5).'
		'.GetSelector(32, $admin[82], 'dropdown12', $dropdown[12]).'
        '.SelectImgs(32, $admin[88], 'dropdown13', $dropdown[13], $imgs).'
		'.GetSelector(32, $admin[95], 'dropdown25', $dropdown[25]).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">'.$admin[1514].'</td></tr>
		'.GetSelector(32, $admin[82], 'dropdown14', $dropdown[14]).'
        '.SelectImgs(32, $admin[88], 'dropdown15', $dropdown[15], $imgs).'
		'.GetSelector(32, $admin[95], 'dropdown16', $dropdown[16]).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">'.$admin[1563].'</td></tr>
		'.GetSelector(32, $admin[82], 'dropdown27', $dropdown[27]).'
        '.SelectImgs(32, $admin[88], 'dropdown28', $dropdown[28], $imgs).'
		'.GetSelector(32, $admin[95], 'dropdown29', $dropdown[29]).'
        <tr style="text-align:left;"><td colspan="2" style="padding:4px 0 0 4px;">'.$admin[1515].'</td></tr>
        '.InputTexte(32, $admin[436], 'dropdown17', $dropdown[17], 5).'
        '.InputTexte(32, $admin[1516], 'dropdown18', $dropdown[18], 5).'
		'.GetSelector(32, $admin[95], 'dropdown26', $dropdown[26]).'
		'.GetSelector(32, $admin[82], 'dropdown19', $dropdown[19]).'
        '.SelectImgs(32, $admin[88], 'dropdown20', $dropdown[20], $imgs).'
		'.GetSelector(32, $admin[87], 'dropdown21', $dropdown[21]).'
        '.InputTexte(64, $admin[211], 'dropdown22', $dropdown[22], 16).'
        '.SelectBorderStyles(64, $admin[422], 'dropdown23', $dropdown[23], $borderstyles).'
        '.InputTexte(32, $admin[1343], 'dropdown24', $dropdown[24], 16).'
      </table>';
        echo '
        </li>
	  </ul>
    </li>
    <li>
      <a href="#">'.$admin[805].' - '.strtoupper(substr($admin[87], 0, -1)).'</a>
      <ul>
	    <li>';
		// Lignes de séparation - Bordures
		echo '
      <table style="width:100%;">
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.$admin[805].'</td></tr>
		'.GetSelector(32, $admin[150], 'barre0', $barre[0]).'
        '.InputTexte(32, $admin[86], 'barre1', $barre[1], 4).'
        '.SelectBorderStyles(32, $admin[422], 'barre2', $barre[2], $borderstyles).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.strtoupper(substr($admin[87], 0, -1)).' (.bord)'.'</td></tr>
		'.GetSelector(32, $admin[150], 'barre3', $barre[3]).'
        '.InputTexte(32, $admin[86], 'barre4', $barre[4], 4).'
        '.SelectBorderStyles(32, $admin[422], 'barre5', $barre[5], $borderstyles).'
      </table>';
		echo '
        </li>
      </ul>
    </li>
    <li>
      <a href="#">'.strtoupper($admin[1116]).'</a>
      <ul>
	    <li>';
		// Autres...
		echo '
      <table style="width:100%;">
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1730]).'</td></tr>
        '.InputTexte(32, $admin[386], 'other27', $other[27], 5).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1671]).'</td></tr>
		'.GetSelector(32, $admin[82], 'other1', $other[1]).'
		'.GetSelector(32, $admin[95], 'other0', $other[0]).'
		'.GetSelector(32, $admin[87], 'other2', $other[2]).'
        '.InputTexte(64, $admin[211], 'other3', $other[3], 5).'
        '.InputTexte(64, $admin[1343], 'other4', $other[4], 16).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.strtoupper($admin[91]).'</td></tr>
        '.InputTexte(32, $admin[1550], 'other5', $other[5], 16).'
        '.InputTexte(32, $admin[1551], 'other6', $other[6], 16).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.mb_strtoupper($admin[262], $charset).'</td></tr>
        '.InputTexte(32, $admin[1550], 'other7', $other[7], 16).'
        '.InputTexte(32, $admin[1551], 'other8', $other[8], 16).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1582]).'</td></tr>
		'.GetSelector(32, $admin[82], 'other24', $other[24]).'
		'.GetSelector(32, $admin[95], 'other25', $other[25]).'
        '.InputTexte(32, $admin[386], 'other26', $other[26], 5).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.strtoupper($admin[179]).'</td></tr>
		'.GetSelector(32, $admin[87], 'other9', $other[9]).'
        '.InputTexte(64, $admin[211], 'other10', $other[10], 16).'
        '.SelectBorderStyles(64, $admin[422], 'other11', $other[11], $borderstyles).'
        <tr><td colspan="2" style="text-align:left;padding:0 0 0 32px;">&bull; '.$admin[43].'</td></tr>
		'.GetSelector(64, $admin[82], 'other12', $other[12]).'
        '.InputTexte(92, $admin[1529], 'opacity22', $opacity[22], 5).'
		'.GetSelector(64, $admin[95], 'other13', $other[13]).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1567]).'</td></tr>
		'.GetSelector(32, $admin[82], 'other23', $other[23]).'
        '.InputTexte(64, $admin[1529], 'opacity23', $opacity[23], 5).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1569]).'</td></tr>
		'.GetSelector(32, $admin[82], 'other14', $other[14]).'
		'.GetSelector(32, $admin[87], 'other15', $other[15]).'
        '.InputTexte(64, $admin[211], 'other16', $other[16], 5).'
        '.InputTexte(32, $admin[1343], 'other17', $other[17], 16).'
        <tr><td colspan="2" style="text-align:left;padding:4px 0 0 4px;">&bull; '.strtoupper($admin[1570]).'</td></tr>
		'.GetSelector(32, $admin[82], 'other18', $other[18]).'
		'.GetSelector(32, $admin[95], 'other19', $other[19]).'
		'.GetSelector(32, $admin[87], 'other20', $other[20]).'
        '.InputTexte(64, $admin[211], 'other21', $other[21], 5).'
        '.InputTexte(64, $admin[1343], 'other22', $other[22], 16).'
      </table>';
		echo '
        </li>
      </ul>
    </li>
    </ul>

    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>';
	}
    echo '
  </form>';
}
echo '
</div>';


btable();
include CHEMIN.'admin/bpage.inc';
?>
